const List<Map<String, dynamic>> countriesData = [
    {
        "alpha2Code":"AF",
        "alpha3Code":"AFG",
        "altSpellings":[
            "AF",
            "Af\u0121\u0101nist\u0101n"
        ],
        "area":652230,
        "borders":[
            "IRN",
            "PAK",
            "TKM",
            "UZB",
            "TJK",
            "CHN"
        ],
        "callingCodes":[
            "93"
        ],
        "capital":"Kabul",
        "currencies":[
            {
                "code":"AFN",
                "name":"Afghan afghani",
                "symbol":"\u060b"
            }
        ],
        "demonym":"Afghan",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/afg.svg",
            "https://restcountries.com/data/png/afg.png"
        ],
        "gini":27.8,
        "languages":[
            {
                "iso639_1":"ps",
                "iso639_2":"pus",
                "name":"Pashto",
                "nativeName":"\u067e\u069a\u062a\u0648"
            },
            {
                "iso639_1":"uz",
                "iso639_2":"uzb",
                "name":"Uzbek",
                "nativeName":"O\u02bbzbek"
            },
            {
                "iso639_1":"tk",
                "iso639_2":"tuk",
                "name":"Turkmen",
                "nativeName":"T\u00fcrkmen"
            }
        ],
        "latlng":[
            33,
            65
        ],
        "maps":{
            "gmaps":"https://www.google.com/maps/place/Afghanistan/@33.8525517,63.2143464",
            "openstreetmap":"https://www.openstreetmap.org/relation/303427"
        },
        "name":"Afghanistan",
        "nativeName":"\u0627\u0641\u063a\u0627\u0646\u0633\u062a\u0627\u0646",
        "numericCode":"004",
        "population":27657145,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"SAARC",
                "name":"South Asian Association for Regional Cooperation"
            }
        ],
        "region":"Southern Asia",
        "timezones":[
            "+04:30"
        ],
        "topLevelDomain":[
            ".af"
        ],
        "translations":{
            "br":"Afeganist\u00e3o",
            "de":"Afghanistan",
            "es":"Afganist\u00e1n",
            "fa":"\u0627\u0641\u063a\u0627\u0646\u0633\u062a\u0627\u0646",
            "fr":"Afghanistan",
            "hr":"Afganistan",
            "it":"Afghanistan",
            "ja":"\u30a2\u30d5\u30ac\u30cb\u30b9\u30bf\u30f3",
            "nl":"Afghanistan",
            "pl":"Afganistan",
            "pt":"Afeganist\u00e3o",
            "hu":"Afganiszt\u00e1n"
        },
        "cioc":"AFG"
    },
    {
        "alpha2Code":"AL",
        "alpha3Code":"ALB",
        "altSpellings":[
            "AL",
            "Shqip\u00ebri",
            "Shqip\u00ebria",
            "Shqipnia"
        ],
        "area":28748,
        "borders":[
            "MNE",
            "GRC",
            "MKD",
            "KOS"
        ],
        "callingCodes":[
            "355"
        ],
        "capital":"Tirana",
        "currencies":[
            {
                "code":"ALL",
                "name":"Albanian lek",
                "symbol":"L"
            }
        ],
        "demonym":"Albanian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/alb.svg",
            "https://restcountries.com/data/png/alb.png"
        ],
        "gini":34.5,
        "languages":[
            {
                "iso639_1":"sq",
                "iso639_2":"sqi",
                "name":"Albanian",
                "nativeName":"Shqip"
            }
        ],
        "latlng":[
            41,
            20
        ],
        "maps":{
            "gmaps":"https://www.google.com/maps/place/Albania/@41.1475148,18.9685261",
            "openstreetmap":"https://www.openstreetmap.org/relation/53292"
        },
        "name":"Albania",
        "nativeName":"Shqip\u00ebria",
        "numericCode":"008",
        "population":2886026,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"CEFTA",
                "name":"Central European Free Trade Agreement"
            }
        ],
        "region":"Southern Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".al"
        ],
        "translations":{
            "br":"Alb\u00e2nia",
            "de":"Albanien",
            "es":"Albania",
            "fa":"\u0622\u0644\u0628\u0627\u0646\u06cc",
            "fr":"Albanie",
            "hr":"Albanija",
            "it":"Albania",
            "ja":"\u30a2\u30eb\u30d0\u30cb\u30a2",
            "nl":"Albani\u00eb",
            "pl":"Albania",
            "pt":"Alb\u00e2nia",
            "hu":"Alb\u00e1nia"
        },
        "cioc":"ALB"
    },
    {
        "alpha2Code":"DZ",
        "alpha3Code":"DZA",
        "altSpellings":[
            "DZ",
            "Dzayer",
            "Alg\u00e9rie"
        ],
        "area":2381741,
        "borders":[
            "TUN",
            "LBY",
            "NER",
            "ESH",
            "MRT",
            "MLI",
            "MAR"
        ],
        "callingCodes":[
            "213"
        ],
        "capital":"Algiers",
        "currencies":[
            {
                "code":"DZD",
                "name":"Algerian dinar",
                "symbol":"\u062f.\u062c"
            }
        ],
        "demonym":"Algerian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/dza.svg",
            "https://restcountries.com/data/png/dza.png"
        ],
        "gini":35.3,
        "languages":[
            {
                "iso639_1":"ar",
                "iso639_2":"ara",
                "name":"Arabic",
                "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
            }
        ],
        "latlng":[
            28,
            3
        ],
        "maps":{
            "gmaps":"https://www.google.com/maps/place/Argelia/@27.8007148,-7.3384447",
            "openstreetmap":"https://www.openstreetmap.org/relation/192756"
        },
        "name":"Algeria",
        "nativeName":"\u0627\u0644\u062c\u0632\u0627\u0626\u0631",
        "numericCode":"012",
        "population":40400000,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            },
            {
                "acronym":"AL",
                "name":"Arab League",
                "otherNames":[
                    "\u062c\u0627\u0645\u0639\u0629 \u0627\u0644\u062f\u0648\u0644 \u0627\u0644\u0639\u0631\u0628\u064a\u0629",
                    "J\u0101mi\u02bbat ad-Duwal al-\u02bbArab\u012byah",
                    "League of Arab States"
                ]
            }
        ],
        "region":"Northern Africa",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".dz"
        ],
        "translations":{
            "br":"Arg\u00e9lia",
            "de":"Algerien",
            "es":"Argelia",
            "fa":"\u0627\u0644\u062c\u0632\u0627\u06cc\u0631",
            "fr":"Alg\u00e9rie",
            "hr":"Al\u017eir",
            "it":"Algeria",
            "ja":"\u30a2\u30eb\u30b8\u30a7\u30ea\u30a2",
            "nl":"Algerije",
            "pl":"Algieria",
            "pt":"Arg\u00e9lia",
            "hu":"Alg\u00e9ria"
        },
        "cioc":"ALG"
    },
    {
        "alpha2Code":"AS",
        "alpha3Code":"ASM",
        "altSpellings":[
            "AS",
            "Amerika S\u0101moa",
            "Amelika S\u0101moa",
            "S\u0101moa Amelika"
        ],
        "area":199,
        "borders":[
            
        ],
        "callingCodes":[
            "1"
        ],
        "capital":"Pago Pago",
        "currencies":[
            {
                "code":"USD",
                "name":"United States Dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"American Samoan",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/asm.svg",
            "https://restcountries.com/data/png/asm.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"sm",
                "iso639_2":"smo",
                "name":"Samoan",
                "nativeName":"gagana fa'a Samoa"
            }
        ],
        "latlng":[
            -14.33333333,
            -170
        ],
        "maps":{
            "gmaps":"https://www.google.com/maps/place/American+Samoa/@-14.0630596,-170.6672373",
            "openstreetmap":"https://www.openstreetmap.org/relation/2177187"
        },
        "name":"American Samoa",
        "nativeName":"American Samoa",
        "numericCode":"016",
        "population":57100,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Polynesia",
        "timezones":[
            "-11:00"
        ],
        "topLevelDomain":[
            ".as"
        ],
        "translations":{
            "br":"Samoa Americana",
            "de":"Amerikanisch-Samoa",
            "es":"Samoa Americana",
            "fa":"\u0633\u0627\u0645\u0648\u0622\u06cc \u0622\u0645\u0631\u06cc\u06a9\u0627",
            "fr":"Samoa am\u00e9ricaines",
            "hr":"Ameri\u010dka Samoa",
            "it":"Samoa Americane",
            "ja":"\u30a2\u30e1\u30ea\u30ab\u9818\u30b5\u30e2\u30a2",
            "nl":"Amerikaans Samoa",
            "pl":"Samoa Ameryka\u0144skie",
            "pt":"Samoa Americana",
            "hu":"Amerikai Szamoa"
        },
        "cioc":"ASA"
    },
    {
        "alpha2Code":"AD",
        "alpha3Code":"AND",
        "altSpellings":[
            "AD",
            "Principality of Andorra",
            "Principat d'Andorra"
        ],
        "area":468,
        "borders":[
            "FRA",
            "ESP"
        ],
        "callingCodes":[
            "376"
        ],
        "capital":"Andorra la Vella",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Andorran",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/and.svg",
            "https://restcountries.com/data/png/and.png"
        ],
        "languages":[
            {
                "iso639_1":"ca",
                "iso639_2":"cat",
                "name":"Catalan",
                "nativeName":"catal\u00e0"
            }
        ],
        "latlng":[
            42.5,
            1.5
        ],
        "maps":{
            "gmaps":"https://www.google.com/maps/place/Andorra/@42.5421846,1.457591",
            "openstreetmap":"https://www.openstreetmap.org/relation/9407"
        },
        "name":"Andorra",
        "nativeName":"Andorra",
        "numericCode":"020",
        "population":78014,
        "continent":"Europe",
        "regionalBlocs":[
            
        ],
        "region":"Southern Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".ad"
        ],
        "translations":{
            "br":"Andorra",
            "de":"Andorra",
            "es":"Andorra",
            "fa":"\u0622\u0646\u062f\u0648\u0631\u0627",
            "fr":"Andorre",
            "hr":"Andora",
            "it":"Andorra",
            "ja":"\u30a2\u30f3\u30c9\u30e9",
            "nl":"Andorra",
            "pl":"Andora",
            "pt":"Andorra",
            "hu":"Andorra"
        },
        "cioc":"AND"
    },
    {
        "alpha2Code":"AO",
        "alpha3Code":"AGO",
        "altSpellings":[
            "AO",
            "Rep\u00fablica de Angola",
            "\u0281\u025bpublika de an'\u0261\u0254la"
        ],
        "area":1246700,
        "borders":[
            "COG",
            "COD",
            "ZMB",
            "NAM"
        ],
        "callingCodes":[
            "244"
        ],
        "capital":"Luanda",
        "currencies":[
            {
                "code":"AOA",
                "name":"Angolan kwanza",
                "symbol":"Kz"
            }
        ],
        "demonym":"Angolan",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/ago.svg",
            "https://restcountries.com/data/png/ago.png"
        ],
        "gini":58.6,
        "languages":[
            {
                "iso639_1":"pt",
                "iso639_2":"por",
                "name":"Portuguese",
                "nativeName":"Portugu\u00eas"
            }
        ],
        "latlng":[
            -12.5,
            18.5
        ],
        "maps":{
            "gmaps":"https://www.google.com/maps/place/Angola/@-11.1799772,13.2847612",
            "openstreetmap":"https://www.openstreetmap.org/relation/195267"
        },
        "name":"Angola",
        "nativeName":"Angola",
        "numericCode":"024",
        "population":25868000,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Middle Africa",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".ao"
        ],
        "translations":{
            "br":"Angola",
            "de":"Angola",
            "es":"Angola",
            "fa":"\u0622\u0646\u06af\u0648\u0644\u0627",
            "fr":"Angola",
            "hr":"Angola",
            "it":"Angola",
            "ja":"\u30a2\u30f3\u30b4\u30e9",
            "nl":"Angola",
            "pt":"Angola",
            "hu":"Angola"
        },
        "cioc":"ANG"
    },
    {
        "alpha2Code":"AI",
        "alpha3Code":"AIA",
        "altSpellings":[
            "AI"
        ],
        "area":91,
        "borders":[
            
        ],
        "callingCodes":[
            "1"
        ],
        "capital":"The Valley",
        "currencies":[
            {
                "code":"XCD",
                "name":"East Caribbean dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Anguillian",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/aia.svg",
            "https://restcountries.com/data/png/aia.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            18.25,
            -63.16666666
        ],
        "maps":{
            "gmaps":"https://www.google.com/maps/place/Anguilla/@18.3898172,-63.3402329",
            "openstreetmap":"https://www.openstreetmap.org/relation/2177161"
        },
        "name":"Anguilla",
        "nativeName":"Anguilla",
        "numericCode":"660",
        "population":13452,
        "continent":"Americas",
        "regionalBlocs":[
            
        ],
        "region":"Caribbean",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".ai"
        ],
        "translations":{
            "br":"Anguila",
            "de":"Anguilla",
            "es":"Anguilla",
            "fa":"\u0622\u0646\u06af\u0648\u06cc\u0644\u0627",
            "fr":"Anguilla",
            "hr":"Angvila",
            "it":"Anguilla",
            "ja":"\u30a2\u30f3\u30ae\u30e9",
            "nl":"Anguilla",
            "pt":"Anguila",
            "hu":"Anguilla"
        },
        "cioc":""
    },
    {
        "alpha2Code":"AQ",
        "alpha3Code":"ATA",
        "altSpellings":[
            
        ],
        "area":14000000,
        "borders":[
            
        ],
        "callingCodes":[
            "672"
        ],
        "capital":"",
        "currencies":[
            
        ],
        "demonym":"Antarctic",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/ata.svg",
            "https://restcountries.com/data/png/ata.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"ru",
                "iso639_2":"rus",
                "name":"Russian",
                "nativeName":"\u0420\u0443\u0441\u0441\u043a\u0438\u0439"
            }
        ],
        "latlng":[
            -74.65,
            4.48
        ],
        "maps":{
            "gmaps":"https://www.google.com/maps/place/Antarctica/@-40.0360936,-71.7481763",
            "openstreetmap":"https://www.openstreetmap.org/relation/2186646"
        },
        "name":"Antarctica",
        "nativeName":"Antarctica",
        "numericCode":"010",
        "population":1000,
        "continent":"Polar",
        "regionalBlocs":[
            
        ],
        "region":"",
        "timezones":[
            "-03:00",
            "+03:00",
            "+05:00",
            "+06:00",
            "+07:00",
            "+08:00",
            "+10:00",
            "+12:00"
        ],
        "topLevelDomain":[
            ".aq"
        ],
        "translations":{
            "br":"Ant\u00e1rtida",
            "de":"Antarktika",
            "es":"Ant\u00e1rtida",
            "fa":"\u062c\u0646\u0648\u0628\u06af\u0627\u0646",
            "fr":"Antarctique",
            "hr":"Antarktika",
            "it":"Antartide",
            "ja":"\u5357\u6975\u5927\u9678",
            "nl":"Antarctica",
            "pt":"Ant\u00e1rctida",
            "hu":"Antarktisz"
        },
        "cioc":""
    },
    {
        "alpha2Code":"AG",
        "alpha3Code":"ATG",
        "altSpellings":[
            "AG"
        ],
        "area":442,
        "borders":[
            
        ],
        "callingCodes":[
            "1"
        ],
        "capital":"Saint John's",
        "currencies":[
            {
                "code":"XCD",
                "name":"East Caribbean dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Antiguan, Barbudan",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/atg.svg",
            "https://restcountries.com/data/png/atg.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            17.05,
            -61.8
        ],
        "maps":{
            "maps":"https://www.google.com/maps/place/Antigua+and+Barbuda/@17.3257025,-62.2903807",
            "gmaps":"https://www.openstreetmap.org/relation/536900"
        },
        "name":"Antigua and Barbuda",
        "nativeName":"Antigua and Barbuda",
        "numericCode":"028",
        "population":86295,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"CARICOM",
                "name":"Caribbean Community",
                "otherNames":[
                    "Comunidad del Caribe",
                    "Communaut\u00e9 Carib\u00e9enne",
                    "Caribische Gemeenschap"
                ]
            }
        ],
        "region":"Caribbean",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".ag"
        ],
        "translations":{
            "br":"Ant\u00edgua e Barbuda",
            "de":"Antigua und Barbuda",
            "es":"Antigua y Barbuda",
            "fa":"\u0622\u0646\u062a\u06cc\u06af\u0648\u0627 \u0648 \u0628\u0627\u0631\u0628\u0648\u062f\u0627",
            "fr":"Antigua-et-Barbuda",
            "hr":"Antigva i Barbuda",
            "it":"Antigua e Barbuda",
            "ja":"\u30a2\u30f3\u30c6\u30a3\u30b0\u30a2\u30fb\u30d0\u30fc\u30d6\u30fc\u30c0",
            "nl":"Antigua en Barbuda",
            "pt":"Ant\u00edgua e Barbuda",
            "hu":"Antigua \u00e9s Barbuda"
        },
        "cioc":"ANT"
    },
    {
        "alpha2Code":"AR",
        "alpha3Code":"ARG",
        "altSpellings":[
            "AR",
            "Argentine Republic",
            "Rep\u00fablica Argentina"
        ],
        "area":2780400,
        "borders":[
            "BOL",
            "BRA",
            "CHL",
            "PRY",
            "URY"
        ],
        "callingCodes":[
            "54"
        ],
        "capital":"Buenos Aires",
        "currencies":[
            {
                "code":"ARS",
                "name":"Argentine peso",
                "symbol":"\$"
            }
        ],
        "demonym":"Argentinean",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/arg.svg",
            "https://restcountries.com/data/png/arg.png"
        ],
        "gini":44.5,
        "languages":[
            {
                "iso639_1":"es",
                "iso639_2":"spa",
                "name":"Spanish",
                "nativeName":"Espa\u00f1ol"
            },
            {
                "iso639_1":"gn",
                "iso639_2":"grn",
                "name":"Guaran\u00ed",
                "nativeName":"Ava\u00f1e'\u1ebd"
            }
        ],
        "latlng":[
            -34,
            -64
        ],
        "maps":{
            "gmaps":"https://www.google.com/maps/place/Argentina/@-38.1091486,-72.582178",
            "openstreetmap":"https://www.openstreetmap.org/relation/286393"
        },
        "name":"Argentina",
        "nativeName":"Argentina",
        "numericCode":"032",
        "population":43590400,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"USAN",
                "name":"Union of South American Nations",
                "otherAcronyms":[
                    "UNASUR",
                    "UNASUL",
                    "UZAN"
                ],
                "otherNames":[
                    "Uni\u00f3n de Naciones Suramericanas",
                    "Uni\u00e3o de Na\u00e7\u00f5es Sul-Americanas",
                    "Unie van Zuid-Amerikaanse Naties",
                    "South American Union"
                ]
            }
        ],
        "region":"South America",
        "timezones":[
            "-03:00"
        ],
        "topLevelDomain":[
            ".ar"
        ],
        "translations":{
            "br":"Argentina",
            "de":"Argentinien",
            "es":"Argentina",
            "fa":"\u0622\u0631\u0698\u0627\u0646\u062a\u06cc\u0646",
            "fr":"Argentine",
            "hr":"Argentina",
            "it":"Argentina",
            "ja":"\u30a2\u30eb\u30bc\u30f3\u30c1\u30f3",
            "nl":"Argentini\u00eb",
            "pt":"Argentina",
            "hu":"Argent\u00edna"
        },
        "cioc":"ARG"
    },
    {
        "alpha2Code":"AM",
        "alpha3Code":"ARM",
        "altSpellings":[
            "AM",
            "Hayastan",
            "Republic of Armenia",
            "\u0540\u0561\u0575\u0561\u057d\u057f\u0561\u0576\u056b \u0540\u0561\u0576\u0580\u0561\u057a\u0565\u057f\u0578\u0582\u0569\u0575\u0578\u0582\u0576"
        ],
        "area":29743,
        "borders":[
            "AZE",
            "GEO",
            "IRN",
            "TUR"
        ],
        "callingCodes":[
            "374"
        ],
        "capital":"Yerevan",
        "currencies":[
            {
                "code":"AMD",
                "name":"Armenian dram",
                "symbol":"\u058f"
            }
        ],
        "demonym":"Armenian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/arm.svg",
            "https://restcountries.com/data/png/arm.png"
        ],
        "gini":30.9,
        "languages":[
            {
                "iso639_1":"hy",
                "iso639_2":"hye",
                "name":"Armenian",
                "nativeName":"\u0540\u0561\u0575\u0565\u0580\u0565\u0576"
            }
        ],
        "latlng":[
            40,
            45
        ],
        "maps":{
            "gmaps":"https://www.google.com/maps/place/Armenia/@40.0652165,43.9197875",
            "openstreetmap":"https://www.openstreetmap.org/relation/364066"
        },
        "name":"Armenia",
        "nativeName":"\u0540\u0561\u0575\u0561\u057d\u057f\u0561\u0576",
        "numericCode":"051",
        "population":2994400,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"EEU",
                "name":"Eurasian Economic Union",
                "otherAcronyms":[
                    "EAEU"
                ]
            }
        ],
        "region":"Western Asia",
        "timezones":[
            "+04:00"
        ],
        "topLevelDomain":[
            ".am"
        ],
        "translations":{
            "br":"Arm\u00eania",
            "de":"Armenien",
            "es":"Armenia",
            "fa":"\u0627\u0631\u0645\u0646\u0633\u062a\u0627\u0646",
            "fr":"Arm\u00e9nie",
            "hr":"Armenija",
            "it":"Armenia",
            "ja":"\u30a2\u30eb\u30e1\u30cb\u30a2",
            "nl":"Armeni\u00eb",
            "pt":"Arm\u00e9nia",
            "hu":"\u00d6rm\u00e9nyorsz\u00e1g"
        },
        "cioc":"ARM"
    },
    {
        "alpha2Code":"AW",
        "alpha3Code":"ABW",
        "altSpellings":[
            "AW"
        ],
        "area":180,
        "borders":[
            
        ],
        "callingCodes":[
            "297"
        ],
        "capital":"Oranjestad",
        "currencies":[
            {
                "code":"AWG",
                "name":"Aruban florin",
                "symbol":"\u0192"
            }
        ],
        "demonym":"Aruban",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/abw.svg",
            "https://restcountries.com/data/png/abw.png"
        ],
        "languages":[
            {
                "iso639_1":"nl",
                "iso639_2":"nld",
                "name":"Dh",
                "nativeName":"Nederlands"
            },
            {
                "iso639_1":"pa",
                "iso639_2":"pan",
                "name":"(Eastern) Punjabi",
                "nativeName":"\u0a2a\u0a70\u0a1c\u0a3e\u0a2c\u0a40"
            }
        ],
        "latlng":[
            12.5,
            -69.96666666
        ],
        "maps":{
            "gmaps":"https://www.google.com/maps/place/Aruba/@12.5183464,-70.0373286",
            "openstreetmap":"https://www.openstreetmap.org/relation/1231749"
        },
        "name":"Aruba",
        "nativeName":"Aruba",
        "numericCode":"533",
        "population":107394,
        "continent":"Americas",
        "regionalBlocs":[
            
        ],
        "region":"Caribbean",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".aw"
        ],
        "translations":{
            "br":"Aruba",
            "de":"Aruba",
            "es":"Aruba",
            "fa":"\u0622\u0631\u0648\u0628\u0627",
            "fr":"Aruba",
            "hr":"Aruba",
            "it":"Aruba",
            "ja":"\u30a2\u30eb\u30d0",
            "nl":"Aruba",
            "pt":"Aruba",
            "hu":"Aruba"
        },
        "cioc":"ARU"
    },
    {
        "alpha2Code":"AU",
        "alpha3Code":"AUS",
        "altSpellings":[
            "AU"
        ],
        "area":7692024,
        "borders":[
            
        ],
        "callingCodes":[
            "61"
        ],
        "capital":"Canberra",
        "currencies":[
            {
                "code":"AUD",
                "name":"Australian dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Australian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/aus.svg",
            "https://restcountries.com/data/png/aus.png"
        ],
        "gini":30.5,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            -27,
            133
        ],
        "maps":{
            "gmaps":"https://www.google.com/maps/place/Australia/@-25.0346097,115.2423818",
            "openstreetmap":"https://www.openstreetmap.org/relation/80500"
        },
        "name":"Australia",
        "nativeName":"Australia",
        "numericCode":"036",
        "population":24117360,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Australia and New Zealand",
        "timezones":[
            "+05:00",
            "+06:30",
            "+07:00",
            "+08:00",
            "+09:30",
            "+10:00",
            "+10:30",
            "+11:30"
        ],
        "topLevelDomain":[
            ".au"
        ],
        "translations":{
            "br":"Austr\u00e1lia",
            "de":"Australien",
            "es":"Australia",
            "fa":"\u0627\u0633\u062a\u0631\u0627\u0644\u06cc\u0627",
            "fr":"Australie",
            "hr":"Australija",
            "it":"Australia",
            "ja":"\u30aa\u30fc\u30b9\u30c8\u30e9\u30ea\u30a2",
            "nl":"Australi\u00eb",
            "pt":"Austr\u00e1lia",
            "hu":"Ausztr\u00e1lia"
        },
        "cioc":"AUS"
    },
    {
        "alpha2Code":"AT",
        "alpha3Code":"AUT",
        "altSpellings":[
            "AT",
            "\u00d6sterreich",
            "Osterreich",
            "Oesterreich"
        ],
        "area":83871,
        "borders":[
            "CZE",
            "DEU",
            "HUN",
            "ITA",
            "LIE",
            "SVK",
            "SVN",
            "CHE"
        ],
        "callingCodes":[
            "43"
        ],
        "capital":"Vienna",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Austrian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/aut.svg",
            "https://restcountries.com/data/png/aut.png"
        ],
        "gini":26,
        "languages":[
            {
                "iso639_1":"de",
                "iso639_2":"deu",
                "name":"German",
                "nativeName":"Deutsch"
            }
        ],
        "latlng":[
            47.33333333,
            13.33333333
        ],
        "maps":{
            "gmaps":"https://www.google.com/maps/place/Austria/@47.6746276,11.1036277",
            "openstreetmap":"https://www.openstreetmap.org/relation/16239"
        },
        "name":"Austria",
        "nativeName":"\u00d6sterreich",
        "numericCode":"040",
        "population":8725931,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Central Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".at"
        ],
        "translations":{
            "br":"\u00c1ustria",
            "de":"\u00d6sterreich",
            "es":"Austria",
            "fa":"\u0627\u062a\u0631\u06cc\u0634",
            "fr":"Autriche",
            "hr":"Austrija",
            "it":"Austria",
            "ja":"\u30aa\u30fc\u30b9\u30c8\u30ea\u30a2",
            "nl":"Oostenrijk",
            "pt":"\u00c1ustria",
            "hu":"Ausztria"
        },
        "cioc":"AUT"
    },
    {
        "alpha2Code":"AZ",
        "alpha3Code":"AZE",
        "altSpellings":[
            "AZ",
            "Republic of Azerbaijan",
            "Az\u0259rbaycan Respublikas\u0131"
        ],
        "area":86600,
        "borders":[
            "ARM",
            "GEO",
            "IRN",
            "RUS",
            "TUR"
        ],
        "callingCodes":[
            "994"
        ],
        "capital":"Baku",
        "currencies":[
            {
                "code":"AZN",
                "name":"Azerbaijani manat",
                "symbol":"\u20bc"
            }
        ],
        ",demonym":"Azerbaijani",
        "flags":[
            "https://restcountries.com/data/aze.svg",
            "https://restcountries.com/data/png/aze.png"
        ],
        "gini":33.7,
        "languages":[
            {
                "iso639_1":"az",
                "iso639_2":"aze",
                "name":"Azerbaijani",
                "nativeName":"az\u0259rbaycan dili"
            }
        ],
        "latlng":[
            40.5,
            47.5
        ],
        "gmaps":"https://www.google.com/maps/place/Azerbaijan/@40.1542219,45.5120008",
        "openstreetmap":"https://www.openstreetmap.org/relation/364110",
        "name":"Azerbaijan",
        "nativeName":"Az\u0259rbaycan",
        "numericCode":"031",
        "population":9730500,
        "continent":"Asia",
        "regionalBlocs":[
            
        ],
        "region":"Western Asia",
        "timezones":[
            "+04:00"
        ],
        "topLevelDomain":[
            ".az"
        ],
        "translations":{
            "br":"Azerbaij\u00e3o",
            "de":"Aserbaidschan",
            "es":"Azerbaiy\u00e1n",
            "fa":"\u0622\u0630\u0631\u0628\u0627\u06cc\u062c\u0627\u0646",
            "fr":"Azerba\u00efdjan",
            "hr":"Azerbajd\u017ean",
            "it":"Azerbaijan",
            "ja":"\u30a2\u30bc\u30eb\u30d0\u30a4\u30b8\u30e3\u30f3",
            "nl":"Azerbeidzjan",
            "pt":"Azerbaij\u00e3o",
            "hu":"Azerbajdzs\u00e1n"
        },
        "cioc":"AZE"
    },
    {
        "alpha2Code":"BS",
        "alpha3Code":"BHS",
        "altSpellings":[
            "BS",
            "Commonwealth of the Bahamas"
        ],
        "area":13943,
        "borders":[
            
        ],
        "callingCodes":[
            "1"
        ],
        "capital":"Nassau",
        "currencies":[
            {
                "code":"BSD",
                "name":"Bahamian dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Bahamian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/bhs.svg",
            "https://restcountries.com/data/png/bhs.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            24.25,
            -76
        ],
        "maps":{
            "gmaps":"https://www.google.com/maps/place/Bahamas/@24.3681633,-80.4583616",
            "openstreetmap":"https://www.openstreetmap.org/relation/547469"
        },
        "name":"Bahamas",
        "nativeName":"Bahamas",
        "numericCode":"044",
        "population":378040,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"CARICOM",
                "name":"Caribbean Community",
                "otherNames":[
                    "Comunidad del Caribe",
                    "Communaut\u00e9 Carib\u00e9enne",
                    "Caribische Gemeenschap"
                ]
            }
        ],
        "region":"Caribbean",
        "timezones":[
            "-05:00"
        ],
        "topLevelDomain":[
            ".bs"
        ],
        "translations":{
            "br":"Bahamas",
            "de":"Bahamas",
            "es":"Bahamas",
            "fa":"\u0628\u0627\u0647\u0627\u0645\u0627",
            "fr":"Bahamas",
            "hr":"Bahami",
            "it":"Bahamas",
            "ja":"\u30d0\u30cf\u30de",
            "nl":"Bahama\u2019s",
            "pt":"Baamas",
            "hu":"Bahama-szigetek"
        },
        "cioc":"BAH"
    },
    {
        "alpha2Code":"BH",
        "alpha3Code":"BHR",
        "altSpellings":[
            "BH",
            "Kingdom of Bahrain",
            "Mamlakat al-Ba\u1e25rayn"
        ],
        "area":765,
        "borders":[
            
        ],
        "callingCodes":[
            "973"
        ],
        "capital":"Manama",
        "currencies":[
            {
                "code":"BHD",
                "name":"Bahraini dinar",
                "symbol":".\u062f.\u0628"
            }
        ],
        "demonym":"Bahraini",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/bhr.svg",
            "https://restcountries.com/data/png/bhr.png"
        ],
        "gini":null,
        "languages":[
            {
                "iso639_1":"ar",
                "iso639_2":"ara",
                "name":"Arabic",
                "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
            }
        ],
        "latlng":[
            26,
            50.55
        ],
        "maps":{
            "gmaps":"https://www.google.com/maps/place/Bahrain/@25.9406805,50.3073975",
            "openstreetmap":"https://www.openstreetmap.org/relation/378734"
        },
        "name":"Bahrain",
        "nativeName":"\u200f\u0627\u0644\u0628\u062d\u0631\u064a\u0646",
        "numericCode":"048",
        "population":1404900,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"AL",
                "name":"Arab League",
                "otherNames":[
                    "\u062c\u0627\u0645\u0639\u0629 \u0627\u0644\u062f\u0648\u0644 \u0627\u0644\u0639\u0631\u0628\u064a\u0629",
                    "J\u0101mi\u02bbat ad-Duwal al-\u02bbArab\u012byah",
                    "League of Arab States"
                ]
            }
        ],
        "region":"Western Asia",
        "timezones":[
            "+03:00"
        ],
        "topLevelDomain":[
            ".bh"
        ],
        "translations":{
            "br":"Bahrein",
            "de":"Bahrain",
            "es":"Bahrein",
            "fa":"\u0628\u062d\u0631\u06cc\u0646",
            "fr":"Bahre\u00efn",
            "hr":"Bahrein",
            "it":"Bahrein",
            "ja":"\u30d0\u30fc\u30ec\u30fc\u30f3",
            "nl":"Bahrein",
            "pt":"Bar\u00e9m",
            "hu":"Bahrein"
        },
        "cioc":"BRN"
    },
    {
        "alpha2Code":"BD",
        "alpha3Code":"BGD",
        "altSpellings":[
            "BD",
            "People's Republic of Bangladesh",
            "G\u00f4n\u00f4pr\u00f4jat\u00f4ntri Bangladesh"
        ],
        "area":147570,
        "borders":[
            "MMR",
            "IND"
        ],
        "callingCodes":[
            "880"
        ],
        "capital":"Dhaka",
        "currencies":[
            {
                "code":"BDT",
                "name":"Bangladeshi taka",
                "symbol":"\u09f3"
            }
        ],
        "demonym":"Bangladeshi",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/bgd.svg",
            "https://restcountries.com/data/png/bgd.png"
        ],
        "gini":32.1,
        "languages":[
            {
                "iso639_1":"bn",
                "iso639_2":"ben",
                "name":"Bengali",
                "nativeName":"\u09ac\u09be\u0982\u09b2\u09be"
            }
        ],
        "latlng":[
            24,
            90
        ],
        "maps":{
            "gmaps":"https://www.google.com/maps/place/Bangladesh/@23.4905951,88.1011007",
            "openstreetmap":"https://www.openstreetmap.org/relation/184640"
        },
        "name":"Bangladesh",
        "nativeName":"Bangladesh",
        "numericCode":"050",
        "population":161006790,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"SAARC",
                "name":"South Asian Association for Regional Cooperation"
            }
        ],
        "region":"Southern Asia",
        "timezones":[
            "+06:00"
        ],
        "topLevelDomain":[
            ".bd"
        ],
        "translations":{
            "br":"Bangladesh",
            "de":"Bangladesch",
            "es":"Bangladesh",
            "fa":"\u0628\u0646\u06af\u0644\u0627\u062f\u0634",
            "fr":"Bangladesh",
            "hr":"Banglade\u0161",
            "it":"Bangladesh",
            "ja":"\u30d0\u30f3\u30b0\u30e9\u30c7\u30b7\u30e5",
            "nl":"Bangladesh",
            "pt":"Bangladeche",
            "hu":"Banglades"
        },
        "cioc":"BAN"
    },
    {
        "alpha2Code":"BB",
        "alpha3Code":"BRB",
        "altSpellings":[
            "BB"
        ],
        "area":430,
        "borders":[
            
        ],
        "callingCodes":[
            "1"
        ],
        "capital":"Bridgetown",
        "currencies":[
            {
                "code":"BBD",
                "name":"Barbadian dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Barbadian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/brb.svg",
            "https://restcountries.com/data/png/brb.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            13.16666666,
            -59.53333333
        ],
        "maps":{
            "gmaps":"https://www.google.com/maps/place/Barbados/@13.1881671,-59.6052951",
            "openstreetmap":"https://www.openstreetmap.org/relation/547511"
        },
        "name":"Barbados",
        "nativeName":"Barbados",
        "numericCode":"052",
        "population":285000,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"CARICOM",
                "name":"Caribbean Community",
                "otherNames":[
                    "Comunidad del Caribe",
                    "Communaut\u00e9 Carib\u00e9enne",
                    "Caribische Gemeenschap"
                ]
            }
        ],
        "region":"Caribbean",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".bb"
        ],
        "translations":{
            "br":"Barbados",
            "de":"Barbados",
            "es":"Barbados",
            "fa":"\u0628\u0627\u0631\u0628\u0627\u062f\u0648\u0633",
            "fr":"Barbade",
            "hr":"Barbados",
            "it":"Barbados",
            "ja":"\u30d0\u30eb\u30d0\u30c9\u30b9",
            "nl":"Barbados",
            "pt":"Barbados",
            "hu":"Barbados"
        },
        "cioc":"BAR"
    },
    {
        "alpha2Code":"BY",
        "alpha3Code":"BLR",
        "altSpellings":[
            "BY",
            "Bielaru\u015b",
            "Republic of Belarus",
            "\u0411\u0435\u043b\u043e\u0440\u0443\u0441\u0441\u0438\u044f",
            "\u0420\u0435\u0441\u043f\u0443\u0431\u043b\u0438\u043a\u0430 \u0411\u0435\u043b\u0430\u0440\u0443\u0441\u044c",
            "Belorussiya",
            "Respublika Belarus\u2019"
        ],
        "area":207600,
        "borders":[
            "LVA",
            "LTU",
            "POL",
            "RUS",
            "UKR"
        ],
        "callingCodes":[
            "375"
        ],
        "capital":"Minsk",
        "currencies":[
            {
                "code":"BYN",
                "name":"New Belarusian ruble",
                "symbol":"Br"
            },
            {
                "code":"BYR",
                "name":"Old Belarusian ruble",
                "symbol":"Br"
            }
        ],
        "demonym":"Belarusian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/blr.svg",
            "https://restcountries.com/data/png/blr.png"
        ],
        "gini":26.5,
        "languages":[
            {
                "iso639_1":"be",
                "iso639_2":"bel",
                "name":"Belarusian",
                "nativeName":"\u0431\u0435\u043b\u0430\u0440\u0443\u0441\u043a\u0430\u044f \u043c\u043e\u0432\u0430"
            },
            {
                "iso639_1":"ru",
                "iso639_2":"rus",
                "name":"Russian",
                "nativeName":"\u0420\u0443\u0441\u0441\u043a\u0438\u0439"
            }
        ],
        "latlng":[
            53,
            28
        ],
        "maps":{
            "gmaps":"https://www.google.com/maps/place/Belarus/@53.6331695,23.4949703",
            "openstreetmap":"https://www.openstreetmap.org/relation/59065"
        },
        "name":"Belarus",
        "nativeName":"\u0411\u0435\u043b\u0430\u0440\u0443\u0301\u0441\u044c",
        "numericCode":"112",
        "population":9498700,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EEU",
                "name":"Eurasian Economic Union",
                "otherAcronyms":[
                    "EAEU"
                ]
            }
        ],
        "region":"Eastern Europe",
        "timezones":[
            "+03:00"
        ],
        "topLevelDomain":[
            ".by"
        ],
        "translations":{
            "br":"Bielorr\u00fassia",
            "de":"Wei\u00dfrussland",
            "es":"Bielorrusia",
            "fa":"\u0628\u0644\u0627\u0631\u0648\u0633",
            "fr":"Bi\u00e9lorussie",
            "hr":"Bjelorusija",
            "it":"Bielorussia",
            "ja":"\u30d9\u30e9\u30eb\u30fc\u30b7",
            "nl":"Wit-Rusland",
            "pt":"Bielorr\u00fassia",
            "hu":"Feh\u00e9roroszorsz\u00e1g"
        },
        "cioc":"BLR"
    },
    {
        "alpha2Code":"BE",
        "alpha3Code":"BEL",
        "altSpellings":[
            "BE",
            "Belgi\u00eb",
            "Belgie",
            "Belgien",
            "Belgique",
            "Kingdom of Belgium",
            "Koninkrijk Belgi\u00eb",
            "Royaume de Belgique",
            "K\u00f6nigreich Belgien"
        ],
        "area":30528,
        "borders":[
            "FRA",
            "DEU",
            "LUX",
            "NLD"
        ],
        "callingCodes":[
            "32"
        ],
        "capital":"Brussels",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Belgian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/bel.svg",
            "https://restcountries.com/data/png/bel.png"
        ],
        "gini":33,
        "languages":[
            {
                "iso639_1":"nl",
                "iso639_2":"nld",
                "name":"Dh",
                "nativeName":"Nederlands"
            },
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            },
            {
                "iso639_1":"de",
                "iso639_2":"deu",
                "name":"German",
                "nativeName":"Deutsch"
            }
        ],
        "latlng":[
            50.83333333,
            4
        ],
        "maps":{
            "gmaps":"https://www.google.com/maps/place/Belgium/@50.4956976,3.3452591",
            "openstreetmap":"https://www.openstreetmap.org/relation/52411"
        },
        "name":"Belgium",
        "nativeName":"Belgi\u00eb",
        "numericCode":"056",
        "population":11319511,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Western Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".be"
        ],
        "translations":{
            "br":"B\u00e9lgica",
            "de":"Belgien",
            "es":"B\u00e9lgica",
            "fa":"\u0628\u0644\u0698\u06cc\u06a9",
            "fr":"Belgique",
            "hr":"Belgija",
            "it":"Belgio",
            "ja":"\u30d9\u30eb\u30ae\u30fc",
            "nl":"Belgi\u00eb",
            "pt":"B\u00e9lgica",
            "hu":"Belgium"
        },
        "cioc":"BEL"
    },
    {
        "alpha2Code":"BZ",
        "alpha3Code":"BLZ",
        "altSpellings":[
            "BZ"
        ],
        "area":22966,
        "borders":[
            "GTM",
            "MEX"
        ],
        "callingCodes":[
            "501"
        ],
        "capital":"Belmopan",
        "currencies":[
            {
                "code":"BZD",
                "name":"Belize dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Belizean",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/blz.svg",
            "https://restcountries.com/data/png/blz.png"
        ],
        "gini":53.1,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"es",
                "iso639_2":"spa",
                "name":"Spanish",
                "nativeName":"Espa\u00f1ol"
            }
        ],
        "latlng":[
            17.25,
            -88.75
        ],
        "maps":{
            "gmaps":"https://www.google.com/maps/place/Belice/@17.1900065,-88.8805672",
            "openstreetmap":"https://www.openstreetmap.org/relation/287827"
        },
        "name":"Belize",
        "nativeName":"Belize",
        "numericCode":"084",
        "population":370300,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"CARICOM",
                "name":"Caribbean Community",
                "otherNames":[
                    "Comunidad del Caribe",
                    "Communaut\u00e9 Carib\u00e9enne",
                    "Caribische Gemeenschap"
                ]
            },
            {
                "acronym":"CAIS",
                "name":"Central American Integration System",
                "otherAcronyms":[
                    "SICA"
                ],
                "otherNames":[
                    "Sistema de la Integraci\u00f3n Centroamericana,"
                ]
            }
        ],
        "region":"Central America",
        "timezones":[
            "-06:00"
        ],
        "topLevelDomain":[
            ".bz"
        ],
        "translations":{
            "br":"Belize",
            "de":"Belize",
            "es":"Belice",
            "fa":"\u0628\u0644\u06cc\u0632",
            "fr":"Belize",
            "hr":"Belize",
            "it":"Belize",
            "ja":"\u30d9\u30ea\u30fc\u30ba",
            "nl":"Belize",
            "pt":"Belize",
            "hu":"Belize"
        },
        "cioc":"BIZ"
    },
    {
        "alpha2Code":"BJ",
        "alpha3Code":"BEN",
        "altSpellings":[
            "BJ",
            "Republic of Benin",
            "R\u00e9publique du B\u00e9nin"
        ],
        "area":112622,
        "borders":[
            "BFA",
            "NER",
            "NGA",
            "TGO"
        ],
        "callingCodes":[
            "229"
        ],
        "capital":"Porto-Novo",
        "currencies":[
            {
                "code":"XOF",
                "name":"West African CFA franc",
                "symbol":"Fr"
            }
        ],
        "demonym":"Beninese",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/ben.svg",
            "https://restcountries.com/data/png/ben.png"
        ],
        "gini":38.6,
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            9.5,
            2.25
        ],
        "maps":{
            "gmaps":"https://www.google.com/maps/place/Benin/@9.3003453,0.0657511",
            "openstreetmap":"https://www.openstreetmap.org/relation/192784"
        },
        "name":"Benin",
        "nativeName":"B\u00e9nin",
        "numericCode":"204",
        "population":10653654,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Western Africa",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".bj"
        ],
        "translations":{
            "br":"Benin",
            "de":"Benin",
            "es":"Ben\u00edn",
            "fa":"\u0628\u0646\u06cc\u0646",
            "fr":"B\u00e9nin",
            "hr":"Benin",
            "it":"Benin",
            "ja":"\u30d9\u30ca\u30f3",
            "nl":"Benin",
            "pt":"Benim"
        },
        "cioc":"BEN"
    },
    {
        "alpha2Code":"BM",
        "alpha3Code":"BMU",
        "altSpellings":[
            "BM",
            "The Islands of Bermuda",
            "The Bermudas",
            "Somers Isles"
        ],
        "area":54,
        "borders":[
            
        ],
        "callingCodes":[
            "1"
        ],
        "capital":"Hamilton",
        "currencies":[
            {
                "code":"BMD",
                "name":"Bermudian dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Bermudian",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/bmu.svg",
            "https://restcountries.com/data/png/bmu.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            32.33333333,
            -64.75
        ],
        "maps":{
            "gmaps":"https://www.google.com/maps/place/Bermuda/@32.3020866,-64.8507504",
            "openstreetmap":"https://www.openstreetmap.org/relation/1993208"
        },
        "name":"Bermuda",
        "nativeName":"Bermuda",
        "numericCode":"060",
        "population":61954,
        "continent":"Americas",
        "regionalBlocs":[
            
        ],
        "region":"Northern America",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".bm"
        ],
        "translations":{
            "br":"Bermudas",
            "de":"Bermuda",
            "es":"Bermudas",
            "fa":"\u0628\u0631\u0645\u0648\u062f\u0627",
            "fr":"Bermudes",
            "hr":"Bermudi",
            "it":"Bermuda",
            "ja":"\u30d0\u30df\u30e5\u30fc\u30c0",
            "nl":"Bermuda",
            "pt":"Bermudas",
            "hu":"Bermuda"
        },
        "cioc":"BER"
    },
    {
        "alpha2Code":"BT",
        "alpha3Code":"BTN",
        "altSpellings":[
            "BT",
            "Kingdom of Bhutan"
        ],
        "area":38394,
        "borders":[
            "CHN",
            "IND"
        ],
        "callingCodes":[
            "975"
        ],
        "capital":"Thimphu",
        "currencies":[
            {
                "code":"BTN",
                "name":"Bhutanese ngultrum",
                "symbol":"Nu."
            },
            {
                "code":"INR",
                "name":"Indian rupee",
                "symbol":"\u20b9"
            }
        ],
        "demonym":"Bhutanese",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/btn.svg",
            "https://restcountries.com/data/png/btn.png"
        ],
        "gini":38.1,
        "languages":[
            {
                "iso639_1":"dz",
                "iso639_2":"dzo",
                "name":"Dzongkha",
                "nativeName":"\u0f62\u0fab\u0f7c\u0f44\u0f0b\u0f41"
            }
        ],
        "maps":{
            "gmaps":"https://www.google.com/maps/place/Bhutan/@27.4700123,89.314798",
            "openstreetmap":"https://www.openstreetmap.org/relation/184629"
        },
        "latlng":[
            27.5,
            90.5
        ],
        "name":"Bhutan",
        "nativeName":"\u02bcbrug-yul",
        "numericCode":"064",
        "population":775620,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"SAARC",
                "name":"South Asian Association for Regional Cooperation"
            }
        ],
        "region":"Southern Asia",
        "timezones":[
            "+06:00"
        ],
        "topLevelDomain":[
            ".bt"
        ],
        "translations":{
            "br":"But\u00e3o",
            "de":"Bhutan",
            "es":"But\u00e1n",
            "fa":"\u0628\u0648\u062a\u0627\u0646",
            "fr":"Bhoutan",
            "hr":"Butan",
            "it":"Bhutan",
            "ja":"\u30d6\u30fc\u30bf\u30f3",
            "nl":"Bhutan",
            "pt":"But\u00e3o",
            "hu":"Bhut\u00e1n"
        },
        "cioc":"BHU"
    },
    {
        "alpha2Code":"BO",
        "alpha3Code":"BOL",
        "altSpellings":[
            "BO",
            "Buliwya",
            "Wuliwya",
            "Plurinational State of Bolivia",
            "Estado Plurinacional de Bolivia",
            "Buliwya Mamallaqta",
            "Wuliwya Suyu",
            "Tet\u00e3 Vol\u00edvia"
        ],
        "area":1098581,
        "borders":[
            "ARG",
            "BRA",
            "CHL",
            "PRY",
            "PER"
        ],
        "callingCodes":[
            "591"
        ],
        "capital":"Sucre",
        "currencies":[
            {
                "code":"BOB",
                "name":"Bolivian boliviano",
                "symbol":"Bs."
            }
        ],
        "demonym":"Bolivian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/bol.svg",
            "https://restcountries.com/data/png/bol.png"
        ],
        "gini":56.3,
        "languages":[
            {
                "iso639_1":"es",
                "iso639_2":"spa",
                "name":"Spanish",
                "nativeName":"Espa\u00f1ol"
            },
            {
                "iso639_1":"ay",
                "iso639_2":"aym",
                "name":"Aymara",
                "nativeName":"aymar aru"
            },
            {
                "iso639_1":"qu",
                "iso639_2":"que",
                "name":"Quechua",
                "nativeName":"Runa Simi"
            }
        ],
        "latlng":[
            -17,
            -65
        ],
        "maps":{
            "gmaps":"https://www.google.com/maps/place/Bolivia/@-16.2362987,-68.0427014",
            "openstreetmap":"https://www.openstreetmap.org/relation/252645"
        },
        "name":"Bolivia (Plurinational State of)",
        "nativeName":"Bolivia",
        "numericCode":"068",
        "population":10985059,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"USAN",
                "name":"Union of South American Nations",
                "otherAcronyms":[
                    "UNASUR",
                    "UNASUL",
                    "UZAN"
                ],
                "otherNames":[
                    "Uni\u00f3n de Naciones Suramericanas",
                    "Uni\u00e3o de Na\u00e7\u00f5es Sul-Americanas",
                    "Unie van Zuid-Amerikaanse Naties",
                    "South American Union"
                ]
            }
        ],
        "region":"South America",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".bo"
        ],
        "translations":{
            "br":"Bol\u00edvia",
            "de":"Bolivien",
            "es":"Bolivia",
            "fa":"\u0628\u0648\u0644\u06cc\u0648\u06cc",
            "fr":"Bolivie",
            "hr":"Bolivija",
            "it":"Bolivia",
            "ja":"\u30dc\u30ea\u30d3\u30a2\u591a\u6c11\u65cf\u56fd",
            "nl":"Bolivia",
            "pt":"Bol\u00edvia",
            "hu":"Bol\u00edvia"
        },
        "cioc":"BOL"
    },
    {
        "alpha2Code":"BQ",
        "alpha3Code":"BES",
        "altSpellings":[
            "BQ",
            "Boneiru"
        ],
        "area":294,
        "borders":[
            
        ],
        "callingCodes":[
            "599"
        ],
        "capital":"Kralendijk",
        "currencies":[
            {
                "code":"USD",
                "name":"United States dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Dh",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/bes.svg",
            "https://restcountries.com/data/png/bes.png"
        ],
        "languages":[
            {
                "iso639_1":"nl",
                "iso639_2":"nld",
                "name":"Dh",
                "nativeName":"Nederlands"
            }
        ],
        "latlng":[
            12.15,
            -68.266667
        ],
        "name":"Bonaire, Sint Eustatius and Saba",
        "nativeName":"Bonaire",
        "numericCode":"535",
        "population":17408,
        "continent":"Americas",
        "regionalBlocs":[
            
        ],
        "region":"Caribbean",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".an",
            ".nl"
        ],
        "translations":{
            "br":"Bonaire",
            "de":"Bonaire, Sint Eustatius und Saba",
            "fa":"\u0628\u0648\u0646\u06cc\u0631",
            "fr":"Bonaire, Saint-Eustache et Saba",
            "it":"Bonaire, Saint-Eustache e Saba",
            "pt":"Bonaire",
            "hu":"Bonaire",
            "se":"Karibiska Nederländerna"
        }
    },
    {
        "alpha2Code":"BA",
        "alpha3Code":"BIH",
        "altSpellings":[
            "BA",
            "Bosnia-Herzegovina",
            "\u0411\u043e\u0441\u043d\u0430 \u0438 \u0425\u0435\u0440\u0446\u0435\u0433\u043e\u0432\u0438\u043d\u0430"
        ],
        "area":51209,
        "borders":[
            "HRV",
            "MNE",
            "SRB"
        ],
        "callingCodes":[
            "387"
        ],
        "capital":"Sarajevo",
        "currencies":[
            {
                "code":"BAM",
                "name":"Bosnia and Herzegovina convertible mark",
                "symbol":"KM"
            }
        ],
        "demonym":"Bosnian, Herzegovinian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/bih.svg",
            "https://restcountries.com/data/png/bih.png"
        ],
        "gini":36.2,
        "languages":[
            {
                "iso639_1":"bs",
                "iso639_2":"bos",
                "name":"Bosnian",
                "nativeName":"bosanski jezik"
            },
            {
                "iso639_1":"hr",
                "iso639_2":"hrv",
                "name":"Croatian",
                "nativeName":"hrvatski jezik"
            },
            {
                "iso639_1":"sr",
                "iso639_2":"srp",
                "name":"Serbian",
                "nativeName":"\u0441\u0440\u043f\u0441\u043a\u0438 \u0458\u0435\u0437\u0438\u043a"
            }
        ],
        "latlng":[
            44,
            18
        ],
        "name":"Bosnia and Herzegovina",
        "nativeName":"Bosna i Hercegovina",
        "numericCode":"070",
        "population":3531159,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"CEFTA",
                "name":"Central European Free Trade Agreement"
            }
        ],
        "region":"Southern Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".ba"
        ],
        "translations":{
            "br":"B\u00f3snia e Herzegovina",
            "de":"Bosnien und Herzegowina",
            "es":"Bosnia y Herzegovina",
            "fa":"\u0628\u0648\u0633\u0646\u06cc \u0648 \u0647\u0631\u0632\u06af\u0648\u06cc\u0646",
            "fr":"Bosnie-Herz\u00e9govine",
            "hr":"Bosna i Hercegovina",
            "it":"Bosnia ed Erzegovina",
            "ja":"\u30dc\u30b9\u30cb\u30a2\u30fb\u30d8\u30eb\u30c4\u30a7\u30b4\u30d3\u30ca",
            "nl":"Bosni\u00eb en Herzegovina",
            "pt":"B\u00f3snia e Herzegovina",
            "hu":"Bosznia-Hercegovina"
        },
        "cioc":"BIH"
    },
    {
        "alpha2Code":"BW",
        "alpha3Code":"BWA",
        "altSpellings":[
            "BW",
            "Republic of Botswana",
            "Lefatshe la Botswana"
        ],
        "area":582000,
        "borders":[
            "NAM",
            "ZAF",
            "ZMB",
            "ZWE"
        ],
        "callingCodes":[
            "267"
        ],
        "capital":"Gaborone",
        "currencies":[
            {
                "code":"BWP",
                "name":"Botswana pula",
                "symbol":"P"
            }
        ],
        "demonym":"Motswana",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/bwa.svg",
            "https://restcountries.com/data/png/bwa.png"
        ],
        "gini":61,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"tn",
                "iso639_2":"tsn",
                "name":"Tswana",
                "nativeName":"Setswana"
            }
        ],
        "latlng":[
            -22,
            24
        ],
        "name":"Botswana",
        "nativeName":"Botswana",
        "numericCode":"072",
        "population":2141206,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Southern Africa",
        "timezones":[
            "+02:00"
        ],
        "topLevelDomain":[
            ".bw"
        ],
        "translations":{
            "br":"Botsuana",
            "de":"Botswana",
            "es":"Botswana",
            "fa":"\u0628\u0648\u062a\u0633\u0648\u0627\u0646\u0627",
            "fr":"Botswana",
            "hr":"Bocvana",
            "it":"Botswana",
            "ja":"\u30dc\u30c4\u30ef\u30ca",
            "nl":"Botswana",
            "pt":"Botsuana",
            "hu":"Botswana"
        },
        "cioc":"BOT"
    },
    {
        "alpha2Code":"BV",
        "alpha3Code":"BVT",
        "altSpellings":[
            "BV",
            "Bouvet\u00f8ya",
            "Bouvet-\u00f8ya"
        ],
        "area":49,
        "borders":[
            
        ],
        "callingCodes":[
            "47"
        ],
        "capital":"",
        "currencies":[
            {
                "code":"NOK",
                "name":"Norwegian krone",
                "symbol":"kr"
            }
        ],
        "demonym":"",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/bvt.svg",
            "https://restcountries.com/data/png/bvt.png"
        ],
        "languages":[
            {
                "iso639_1":"no",
                "iso639_2":"nor",
                "name":"Norwegian",
                "nativeName":"Norsk"
            },
            {
                "iso639_1":"nb",
                "iso639_2":"nob",
                "name":"Norwegian Bokm\u00e5l",
                "nativeName":"Norsk bokm\u00e5l"
            },
            {
                "iso639_1":"nn",
                "iso639_2":"nno",
                "name":"Norwegian Nynorsk",
                "nativeName":"Norsk nynorsk"
            }
        ],
        "latlng":[
            -54.43333333,
            3.4
        ],
        "name":"Bouvet Island",
        "nativeName":"Bouvet\u00f8ya",
        "numericCode":"074",
        "population":0,
        "continent":"Antarctic Ocean",
        "regionalBlocs":[
            
        ],
        "region":"South Antarctic Ocean",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".bv"
        ],
        "translations":{
            "br":"Ilha Bouvet",
            "de":"Bouvetinsel",
            "es":"Isla Bouvet",
            "fa":"\u062c\u0632\u06cc\u0631\u0647 \u0628\u0648\u0648\u0647",
            "fr":"\u00cele Bouvet",
            "hr":"Otok Bouvet",
            "it":"Isola Bouvet",
            "ja":"\u30d6\u30fc\u30d9\u5cf6",
            "nl":"Bouveteiland",
            "pt":"Ilha Bouvet",
            "hu":"Bouvet-sziget"
        },
        "cioc":""
    },
    {
        "alpha2Code":"BR",
        "alpha3Code":"BRA",
        "altSpellings":[
            "BR",
            "Brasil",
            "Federative Republic of Brazil",
            "Rep\u00fablica Federativa do Brasil"
        ],
        "area":8515767,
        "borders":[
            "ARG",
            "BOL",
            "COL",
            "FRA",
            "GUF",
            "GUY",
            "PRY",
            "PER",
            "SUR",
            "URY",
            "VEN"
        ],
        "callingCodes":[
            "55"
        ],
        "capital":"Bras\u00edlia",
        "currencies":[
            {
                "code":"BRL",
                "name":"Brazilian real",
                "symbol":"R\$"
            }
        ],
        "demonym":"Brazilian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/bra.svg",
            "https://restcountries.com/data/png/bra.png"
        ],
        "gini":54.7,
        "languages":[
            {
                "iso639_1":"pt",
                "iso639_2":"por",
                "name":"Portuguese",
                "nativeName":"Portugu\u00eas"
            }
        ],
        "latlng":[
            -10,
            -55
        ],
        "name":"Brazil",
        "nativeName":"Brasil",
        "numericCode":"076",
        "population":206135893,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"USAN",
                "name":"Union of South American Nations",
                "otherAcronyms":[
                    "UNASUR",
                    "UNASUL",
                    "UZAN"
                ],
                "otherNames":[
                    "Uni\u00f3n de Naciones Suramericanas",
                    "Uni\u00e3o de Na\u00e7\u00f5es Sul-Americanas",
                    "Unie van Zuid-Amerikaanse Naties",
                    "South American Union"
                ]
            }
        ],
        "region":"South America",
        "timezones":[
            "-05:00",
            "-04:00",
            "-03:00",
            "-02:00"
        ],
        "topLevelDomain":[
            ".br"
        ],
        "translations":{
            "br":"Brasil",
            "de":"Brasilien",
            "es":"Brasil",
            "fa":"\u0628\u0631\u0632\u06cc\u0644",
            "fr":"Br\u00e9sil",
            "hr":"Brazil",
            "it":"Brasile",
            "ja":"\u30d6\u30e9\u30b8\u30eb",
            "nl":"Brazili\u00eb",
            "pt":"Brasil",
            "hu":"Braz\u00edlia"
        },
        "cioc":"BRA"
    },
    {
        "alpha2Code":"IO",
        "alpha3Code":"IOT",
        "altSpellings":[
            "IO"
        ],
        "area":60,
        "borders":[
            
        ],
        "callingCodes":[
            "246"
        ],
        "capital":"Diego Garcia",
        "currencies":[
            {
                "code":"USD",
                "name":"United States dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Indian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/iot.svg",
            "https://restcountries.com/data/png/iot.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            -6,
            71.5
        ],
        "name":"British Indian Ocean Territory",
        "nativeName":"British Indian Ocean Territory",
        "numericCode":"086",
        "population":3000,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Eastern Africa",
        "timezones":[
            "+06:00"
        ],
        "topLevelDomain":[
            ".io"
        ],
        "translations":{
            "br":"Territ\u00f3rio Brit\u00e2nico do Oceano \u00ed\u00cddico",
            "de":"Britisches Territorium im Indischen Ozean",
            "es":"Territorio Brit\u00e1nico del Oc\u00e9ano \u00cdndico",
            "fa":"\u0642\u0644\u0645\u0631\u0648 \u0628\u0631\u06cc\u062a\u0627\u0646\u06cc\u0627 \u062f\u0631 \u0627\u0642\u06cc\u0627\u0646\u0648\u0633 \u0647\u0646\u062f",
            "fr":"Territoire britannique de l'oc\u00e9an Indien",
            "hr":"Britanski Indijskooceanski teritorij",
            "it":"Territorio britannico dell'oceano indiano",
            "ja":"\u30a4\u30ae\u30ea\u30b9\u9818\u30a4\u30f3\u30c9\u6d0b\u5730\u57df",
            "nl":"Britse Gebieden in de Indische Oceaan",
            "pt":"Territ\u00f3rio Brit\u00e2nico do Oceano \u00cdndico",
            "hu":"Brit Indiai-\u00f3ce\u00e1ni Ter\u00fclet"
        },
        "cioc":""
    },
    {
        "alpha2Code":"UM",
        "alpha3Code":"UMI",
        "altSpellings":[
            "UM"
        ],
        "borders":[
            
        ],
        "callingCodes":[
            "1"
        ],
        "capital":"",
        "currencies":[
            {
                "code":"USD",
                "name":"United States Dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"American",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/umi.svg",
            "https://restcountries.com/data/png/umi.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            
        ],
        "name":"United States Minor Outlying Islands",
        "nativeName":"United States Minor Outlying Islands",
        "numericCode":"581",
        "population":300,
        "continent":"Americas",
        "regionalBlocs":[
            
        ],
        "region":"Northern America",
        "timezones":[
            "-11:00",
            "-10:00",
            "+12:00"
        ],
        "topLevelDomain":[
            ".us"
        ],
        "translations":{
            "br":"Ilhas Menores Distantes dos Estados Unidos",
            "de":"Kleinere Inselbesitzungen der Vereinigten Staaten",
            "es":"Islas Ultramarinas Menores de Estados Unidos",
            "fa":"\u062c\u0632\u0627\u06cc\u0631 \u06a9\u0648\u0686\u06a9 \u062d\u0627\u0634\u06cc\u0647\u200c\u0627\u06cc \u0627\u06cc\u0627\u0644\u0627\u062a \u0645\u062a\u062d\u062f\u0647 \u0622\u0645\u0631\u06cc\u06a9\u0627",
            "fr":"\u00celes mineures \u00e9loign\u00e9es des \u00c9tats-Unis",
            "hr":"Mali udaljeni otoci SAD-a",
            "it":"Isole minori esterne degli Stati Uniti d'America",
            "ja":"\u5408\u8846\u56fd\u9818\u6709\u5c0f\u96e2\u5cf6",
            "nl":"Kleine afgelegen eilanden van de Verenigde Staten",
            "pt":"Ilhas Menores Distantes dos Estados Unidos",
            "hu":"Amerikai Egyes\u00fclt \u00c1llamok lakatlan k\u00fclbirtokai"
        },
        "cioc":""
    },
    {
        "alpha2Code":"VG",
        "alpha3Code":"VGB",
        "altSpellings":[
            "VG"
        ],
        "area":151,
        "borders":[
            
        ],
        "callingCodes":[
            "1"
        ],
        "capital":"Road Town",
        "currencies":[
            {
                "code":"USD",
                "name":"United States dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Virgin Islander",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/vgb.svg",
            "https://restcountries.com/data/png/vgb.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            18.431383,
            -64.62305
        ],
        "name":"Virgin Islands (British)",
        "nativeName":"British Virgin Islands",
        "numericCode":"092",
        "population":28514,
        "continent":"Americas",
        "regionalBlocs":[
            
        ],
        "region":"Caribbean",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".vg"
        ],
        "translations":{
            "br":"Ilhas Virgens Brit\u00e2nicas",
            "de":"Britische Jungferninseln",
            "es":"Islas V\u00edrgenes del Reino Unido",
            "fa":"\u062c\u0632\u0627\u06cc\u0631 \u0648\u06cc\u0631\u062c\u06cc\u0646 \u0628\u0631\u06cc\u062a\u0627\u0646\u06cc\u0627",
            "fr":"\u00celes Vierges britanniques",
            "hr":"Britanski Djevi\u010danski Otoci",
            "it":"Isole Vergini Britanniche",
            "ja":"\u30a4\u30ae\u30ea\u30b9\u9818\u30f4\u30a1\u30fc\u30b8\u30f3\u8af8\u5cf6",
            "nl":"Britse Maagdeneilanden",
            "pt":"Ilhas Virgens Brit\u00e2nicas",
            "hu":"Brit Virgin-szigetek"
        },
        "cioc":"IVB"
    },
    {
        "alpha2Code":"VI",
        "alpha3Code":"VIR",
        "altSpellings":[
            "VI",
            "USVI",
            "American Virgin Islands",
            "U.S. Virgin Islands"
        ],
        "area":346.36,
        "borders":[
            
        ],
        "callingCodes":[
            "1 340"
        ],
        "capital":"Charlotte Amalie",
        "currencies":[
            {
                "code":"USD",
                "name":"United States dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Virgin Islander",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/vir.svg",
            "https://restcountries.com/data/png/vir.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            18.34,
            -64.93
        ],
        "name":"Virgin Islands (U.S.)",
        "nativeName":"Virgin Islands of the United States",
        "numericCode":"850",
        "population":114743,
        "continent":"Americas",
        "regionalBlocs":[
            
        ],
        "region":"Caribbean",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".vi"
        ],
        "translations":{
            "br":"Ilhas Virgens Americanas",
            "de":"Amerikanische Jungferninseln",
            "es":"Islas V\u00edrgenes de los Estados Unidos",
            "fa":"\u062c\u0632\u0627\u06cc\u0631 \u0648\u06cc\u0631\u062c\u06cc\u0646 \u0622\u0645\u0631\u06cc\u06a9\u0627",
            "fr":"\u00celes Vierges des \u00c9tats-Unis",
            "it":"Isole Vergini americane",
            "ja":"\u30a2\u30e1\u30ea\u30ab\u9818\u30f4\u30a1\u30fc\u30b8\u30f3\u8af8\u5cf6",
            "nl":"Verenigde Staten Maagdeneilanden",
            "pt":"Ilhas Virgens Americanas",
            "hu":"Amerikai Virgin-szigetek"
        },
        "cioc":"ISV"
    },
    {
        "alpha2Code":"BN",
        "alpha3Code":"BRN",
        "altSpellings":[
            "BN",
            "Nation of Brunei",
            " the Abode of Peace"
        ],
        "area":5765,
        "borders":[
            "MYS"
        ],
        "callingCodes":[
            "673"
        ],
        "capital":"Bandar Seri Begawan",
        "currencies":[
            {
                "code":"BND",
                "name":"Brunei dollar",
                "symbol":"\$"
            },
            {
                "code":"SGD",
                "name":"Singapore dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Bruneian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/brn.svg",
            "https://restcountries.com/data/png/brn.png"
        ],
        "languages":[
            {
                "iso639_1":"ms",
                "iso639_2":"msa",
                "name":"Malay",
                "nativeName":"bahasa Melayu"
            }
        ],
        "latlng":[
            4.5,
            114.66666666
        ],
        "name":"Brunei Darussalam",
        "nativeName":"Negara Brunei Darussalam",
        "numericCode":"096",
        "population":411900,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"ASEAN",
                "name":"Association of Southeast Asian Nations"
            }
        ],
        "region":"South-Eastern Asia",
        "timezones":[
            "+08:00"
        ],
        "topLevelDomain":[
            ".bn"
        ],
        "translations":{
            "br":"Brunei",
            "de":"Brunei",
            "es":"Brunei",
            "fa":"\u0628\u0631\u0648\u0646\u0626\u06cc",
            "fr":"Brunei",
            "hr":"Brunej",
            "it":"Brunei",
            "ja":"\u30d6\u30eb\u30cd\u30a4\u30fb\u30c0\u30eb\u30b5\u30e9\u30fc\u30e0",
            "nl":"Brunei",
            "pt":"Brunei",
            "hu":"Brunei"
        },
        "cioc":"BRU"
    },
    {
        "alpha2Code":"BG",
        "alpha3Code":"BGR",
        "altSpellings":[
            "BG",
            "Republic of Bulgaria",
            "\u0420\u0435\u043f\u0443\u0431\u043b\u0438\u043a\u0430 \u0411\u044a\u043b\u0433\u0430\u0440\u0438\u044f"
        ],
        "area":110879,
        "borders":[
            "GRC",
            "MKD",
            "ROU",
            "SRB",
            "TUR"
        ],
        "callingCodes":[
            "359"
        ],
        "capital":"Sofia",
        "currencies":[
            {
                "code":"BGN",
                "name":"Bulgarian lev",
                "symbol":"\u043b\u0432"
            }
        ],
        "demonym":"Bulgarian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/bgr.svg",
            "https://restcountries.com/data/png/bgr.png"
        ],
        "gini":28.2,
        "languages":[
            {
                "iso639_1":"bg",
                "iso639_2":"bul",
                "name":"Bulgarian",
                "nativeName":"\u0431\u044a\u043b\u0433\u0430\u0440\u0441\u043a\u0438 \u0435\u0437\u0438\u043a"
            }
        ],
        "latlng":[
            43,
            25
        ],
        "name":"Bulgaria",
        "nativeName":"\u0411\u044a\u043b\u0433\u0430\u0440\u0438\u044f",
        "numericCode":"100",
        "population":7153784,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Eastern Europe",
        "timezones":[
            "+02:00"
        ],
        "topLevelDomain":[
            ".bg"
        ],
        "translations":{
            "br":"Bulg\u00e1ria",
            "de":"Bulgarien",
            "es":"Bulgaria",
            "fa":"\u0628\u0644\u063a\u0627\u0631\u0633\u062a\u0627\u0646",
            "fr":"Bulgarie",
            "hr":"Bugarska",
            "it":"Bulgaria",
            "ja":"\u30d6\u30eb\u30ac\u30ea\u30a2",
            "nl":"Bulgarije",
            "pt":"Bulg\u00e1ria",
            "hu":"Bulg\u00e1ria"
        },
        "cioc":"BUL"
    },
    {
        "alpha2Code":"BF",
        "alpha3Code":"BFA",
        "altSpellings":[
            "BF"
        ],
        "area":272967,
        "borders":[
            "BEN",
            "CIV",
            "GHA",
            "MLI",
            "NER",
            "TGO"
        ],
        "callingCodes":[
            "226"
        ],
        "capital":"Ouagadougou",
        "currencies":[
            {
                "code":"XOF",
                "name":"West African CFA franc",
                "symbol":"Fr"
            }
        ],
        "demonym":"Burkinabe",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/bfa.svg",
            "https://restcountries.com/data/png/bfa.png"
        ],
        "gini":39.8,
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            },
            {
                "iso639_1":"ff",
                "iso639_2":"ful",
                "name":"Fula",
                "nativeName":"Fulfulde"
            }
        ],
        "latlng":[
            13,
            -2
        ],
        "name":"Burkina Faso",
        "nativeName":"Burkina Faso",
        "numericCode":"854",
        "population":19034397,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Western Africa",
        "timezones":[
            ""
        ],
        "topLevelDomain":[
            ".bf"
        ],
        "translations":{
            "br":"Burkina Faso",
            "de":"Burkina Faso",
            "es":"Burkina Faso",
            "fa":"\u0628\u0648\u0631\u06a9\u06cc\u0646\u0627\u0641\u0627\u0633\u0648",
            "fr":"Burkina Faso",
            "hr":"Burkina Faso",
            "it":"Burkina Faso",
            "ja":"\u30d6\u30eb\u30ad\u30ca\u30d5\u30a1\u30bd",
            "nl":"Burkina Faso",
            "pt":"Burquina Faso",
            "hu":"Burkina Faso"
        },
        "cioc":"BUR"
    },
    {
        "alpha2Code":"BI",
        "alpha3Code":"BDI",
        "altSpellings":[
            "BI",
            "Republic of Burundi",
            "Republika y'Uburundi",
            "R\u00e9publique du Burundi"
        ],
        "area":27834,
        "borders":[
            "COD",
            "RWA",
            "TZA"
        ],
        "callingCodes":[
            "257"
        ],
        "capital":"Bujumbura",
        "currencies":[
            {
                "code":"BIF",
                "name":"Burundian franc",
                "symbol":"Fr"
            }
        ],
        "demonym":"Burundian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/bdi.svg",
            "https://restcountries.com/data/png/bdi.png"
        ],
        "gini":33.3,
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            },
            {
                "iso639_1":"rn",
                "iso639_2":"run",
                "name":"Kirundi",
                "nativeName":"Ikirundi"
            }
        ],
        "latlng":[
            -3.5,
            30
        ],
        "name":"Burundi",
        "nativeName":"Burundi",
        "numericCode":"108",
        "population":10114505,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Eastern Africa",
        "timezones":[
            "+02:00"
        ],
        "topLevelDomain":[
            ".bi"
        ],
        "translations":{
            "br":"Burundi",
            "de":"Burundi",
            "es":"Burundi",
            "fa":"\u0628\u0648\u0631\u0648\u0646\u062f\u06cc",
            "fr":"Burundi",
            "hr":"Burundi",
            "it":"Burundi",
            "ja":"\u30d6\u30eb\u30f3\u30b8",
            "nl":"Burundi",
            "pt":"Bur\u00fandi",
            "hu":"Burundi"
        },
        "cioc":"BDI"
    },
    {
        "alpha2Code":"KH",
        "alpha3Code":"KHM",
        "altSpellings":[
            "KH",
            "Kingdom of Cambodia"
        ],
        "area":181035,
        "borders":[
            "LAO",
            "THA",
            "VNM"
        ],
        "callingCodes":[
            "855"
        ],
        "capital":"Phnom Penh",
        "currencies":[
            {
                "code":"KHR",
                "name":"Cambodian riel",
                "symbol":"\u17db"
            },
            {
                "code":"USD",
                "name":"United States dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Cambodian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/khm.svg",
            "https://restcountries.com/data/png/khm.png"
        ],
        "gini":37.9,
        "languages":[
            {
                "iso639_1":"km",
                "iso639_2":"khm",
                "name":"Khmer",
                "nativeName":"\u1781\u17d2\u1798\u17c2\u179a"
            }
        ],
        "latlng":[
            13,
            105
        ],
        "name":"Cambodia",
        "nativeName":"K\u00e2mp\u016dch\u00e9a",
        "numericCode":"116",
        "population":15626444,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"ASEAN",
                "name":"Association of Southeast Asian Nations"
            }
        ],
        "region":"South-Eastern Asia",
        "timezones":[
            "+07:00"
        ],
        "topLevelDomain":[
            ".kh"
        ],
        "translations":{
            "br":"Camboja",
            "de":"Kambodscha",
            "es":"Camboya",
            "fa":"\u06a9\u0627\u0645\u0628\u0648\u062c",
            "fr":"Cambodge",
            "hr":"Kambod\u017ea",
            "it":"Cambogia",
            "ja":"\u30ab\u30f3\u30dc\u30b8\u30a2",
            "nl":"Cambodja",
            "pt":"Camboja",
            "hu":"Kambodzsa"
        },
        "cioc":"CAM"
    },
    {
        "alpha2Code":"CM",
        "alpha3Code":"CMR",
        "altSpellings":[
            "CM",
            "Republic of Cameroon",
            "R\u00e9publique du Cameroun"
        ],
        "area":475442,
        "borders":[
            "CAF",
            "TCD",
            "COG",
            "GNQ",
            "GAB",
            "NGA"
        ],
        "callingCodes":[
            "237"
        ],
        "capital":"Yaound\u00e9",
        "currencies":[
            {
                "code":"XAF",
                "name":"Central African CFA franc",
                "symbol":"Fr"
            }
        ],
        "demonym":"Cameroonian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/cmr.svg",
            "https://restcountries.com/data/png/cmr.png"
        ],
        "gini":38.9,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            6,
            12
        ],
        "name":"Cameroon",
        "nativeName":"Cameroon",
        "numericCode":"120",
        "population":22709892,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Middle Africa",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".cm"
        ],
        "translations":{
            "br":"Camar\u00f5es",
            "de":"Kamerun",
            "es":"Camer\u00fan",
            "fa":"\u06a9\u0627\u0645\u0631\u0648\u0646",
            "fr":"Cameroun",
            "hr":"Kamerun",
            "it":"Camerun",
            "ja":"\u30ab\u30e1\u30eb\u30fc\u30f3",
            "nl":"Kameroen",
            "pt":"Camar\u00f5es",
            "hu":"Kamerun"
        },
        "cioc":"CMR"
    },
    {
        "alpha2Code":"CA",
        "alpha3Code":"CAN",
        "altSpellings":[
            "CA"
        ],
        "area":9984670,
        "borders":[
            "USA"
        ],
        "callingCodes":[
            "1"
        ],
        "capital":"Ottawa",
        "currencies":[
            {
                "code":"CAD",
                "name":"Canadian dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Canadian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/can.svg",
            "https://restcountries.com/data/png/can.png"
        ],
        "gini":32.6,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            60,
            -95
        ],
        "name":"Canada",
        "nativeName":"Canada",
        "numericCode":"124",
        "population":36155487,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"NAFTA",
                "name":"North American Free Trade Agreement",
                "otherNames":[
                    "Tratado de Libre Comercio de Am\u00e9rica del Norte",
                    "Accord de Libre-\u00e9change Nord-Am\u00e9ricain"
                ]
            }
        ],
        "region":"Northern America",
        "timezones":[
            "-08:00",
            "-07:00",
            "-06:00",
            "-05:00",
            "-04:00",
            "-03:30"
        ],
        "topLevelDomain":[
            ".ca"
        ],
        "translations":{
            "br":"Canad\u00e1",
            "de":"Kanada",
            "es":"Canad\u00e1",
            "fa":"\u06a9\u0627\u0646\u0627\u062f\u0627",
            "fr":"Canada",
            "hr":"Kanada",
            "it":"Canada",
            "ja":"\u30ab\u30ca\u30c0",
            "nl":"Canada",
            "pt":"Canad\u00e1",
            "hu":"Kanada"
        },
        "cioc":"CAN"
    },
    {
        "alpha2Code":"CV",
        "alpha3Code":"CPV",
        "altSpellings":[
            "CV",
            "Republic of Cabo Verde",
            "Rep\u00fablica de Cabo Verde"
        ],
        "area":4033,
        "borders":[
            
        ],
        "callingCodes":[
            "238"
        ],
        "capital":"Praia",
        "currencies":[
            {
                "code":"CVE",
                "name":"Cape Verdean escudo",
                "symbol":"Esc"
            }
        ],
        "demonym":"Cape Verdian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/cpv.svg",
            "https://restcountries.com/data/png/cpv.png"
        ],
        "gini":50.5,
        "languages":[
            {
                "iso639_1":"pt",
                "iso639_2":"por",
                "name":"Portuguese",
                "nativeName":"Portugu\u00eas"
            }
        ],
        "latlng":[
            16,
            -24
        ],
        "name":"Cabo Verde",
        "nativeName":"Cabo Verde",
        "numericCode":"132",
        "population":531239,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Western Africa",
        "timezones":[
            "-01:00"
        ],
        "topLevelDomain":[
            ".cv"
        ],
        "translations":{
            "br":"Cabo Verde",
            "de":"Kap Verde",
            "es":"Cabo Verde",
            "fa":"\u06a9\u06cc\u067e \u0648\u0631\u062f",
            "fr":"Cap Vert",
            "hr":"Zelenortska Republika",
            "it":"Capo Verde",
            "ja":"\u30ab\u30fc\u30dc\u30d9\u30eb\u30c7",
            "nl":"Kaapverdi\u00eb",
            "pt":"Cabo Verde",
            "hu":"Z\u00f6ld-foki K\u00f6zt\u00e1rsas\u00e1g"
        },
        "cioc":"CPV"
    },
    {
        "alpha2Code":"KY",
        "alpha3Code":"CYM",
        "altSpellings":[
            "KY"
        ],
        "area":264,
        "borders":[
            
        ],
        "callingCodes":[
            "1"
        ],
        "capital":"George Town",
        "currencies":[
            {
                "code":"KYD",
                "name":"Cayman Islands dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Caymanian",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/cym.svg",
            "https://restcountries.com/data/png/cym.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            19.5,
            -80.5
        ],
        "name":"Cayman Islands",
        "nativeName":"Cayman Islands",
        "numericCode":"136",
        "population":58238,
        "continent":"Americas",
        "regionalBlocs":[
            
        ],
        "region":"Caribbean",
        "timezones":[
            "-05:00"
        ],
        "topLevelDomain":[
            ".ky"
        ],
        "translations":{
            "br":"Ilhas Cayman",
            "de":"Kaimaninseln",
            "es":"Islas Caim\u00e1n",
            "fa":"\u062c\u0632\u0627\u06cc\u0631 \u06a9\u06cc\u0645\u0646",
            "fr":"\u00celes Ca\u00efmans",
            "hr":"Kajmanski otoci",
            "it":"Isole Cayman",
            "ja":"\u30b1\u30a4\u30de\u30f3\u8af8\u5cf6",
            "nl":"Caymaneilanden",
            "pt":"Ilhas Caim\u00e3o",
            "se":"Caymanöarna",
            "hu":"Kajm\u00e1n-szigetek"
        },
        "cioc":"CAY"
    },
    {
        "alpha2Code":"CF",
        "alpha3Code":"CAF",
        "altSpellings":[
            "CF",
            "Central African Republic",
            "R\u00e9publique centrafricaine"
        ],
        "area":622984,
        "borders":[
            "CMR",
            "TCD",
            "COD",
            "COG",
            "SSD",
            "SDN"
        ],
        "callingCodes":[
            "236"
        ],
        "capital":"Bangui",
        "currencies":[
            {
                "code":"XAF",
                "name":"Central African CFA franc",
                "symbol":"Fr"
            }
        ],
        "demonym":"Central African",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/caf.svg",
            "https://restcountries.com/data/png/caf.png"
        ],
        "gini":56.3,
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            },
            {
                "iso639_1":"sg",
                "iso639_2":"sag",
                "name":"Sango",
                "nativeName":"y\u00e2ng\u00e2 t\u00ee s\u00e4ng\u00f6"
            }
        ],
        "latlng":[
            7,
            21
        ],
        "name":"Central African Republic",
        "nativeName":"K\u00f6d\u00f6r\u00f6s\u00ease t\u00ee B\u00eaafr\u00eeka",
        "numericCode":"140",
        "population":4998000,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Middle Africa",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".cf"
        ],
        "translations":{
            "br":"Rep\u00fablica Centro-Africana",
            "de":"Zentralafrikanische Republik",
            "es":"Rep\u00fablica Centroafricana",
            "fa":"\u062c\u0645\u0647\u0648\u0631\u06cc \u0622\u0641\u0631\u06cc\u0642\u0627\u06cc \u0645\u0631\u06a9\u0632\u06cc",
            "fr":"R\u00e9publique centrafricaine",
            "hr":"Srednjoafri\u010dka Republika",
            "it":"Repubblica Centrafricana",
            "ja":"\u4e2d\u592e\u30a2\u30d5\u30ea\u30ab\u5171\u548c\u56fd",
            "nl":"Centraal-Afrikaanse Republiek",
            "pt":"Rep\u00fablica Centro-Africana",
            "hu":"K\u00f6z\u00e9p-afrikai K\u00f6zt\u00e1rsas\u00e1g"
        },
        "cioc":"CAF"
    },
    {
        "alpha2Code":"TD",
        "alpha3Code":"TCD",
        "altSpellings":[
            "TD",
            "Tchad",
            "Republic of Chad",
            "R\u00e9publique du Tchad"
        ],
        "area":1284000,
        "borders":[
            "CMR",
            "CAF",
            "LBY",
            "NER",
            "NGA",
            "SSD"
        ],
        "callingCodes":[
            "235"
        ],
        "capital":"N'Djamena",
        "currencies":[
            {
                "code":"XAF",
                "name":"Central African CFA franc",
                "symbol":"Fr"
            }
        ],
        "demonym":"Chadian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/tcd.svg",
            "https://restcountries.com/data/png/tcd.png"
        ],
        "gini":39.8,
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            },
            {
                "iso639_1":"ar",
                "iso639_2":"ara",
                "name":"Arabic",
                "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
            }
        ],
        "latlng":[
            15,
            19
        ],
        "name":"Chad",
        "nativeName":"Tchad",
        "numericCode":"148",
        "population":14497000,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Middle Africa",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".td"
        ],
        "translations":{
            "br":"Chade",
            "de":"Tschad",
            "es":"Chad",
            "fa":"\u0686\u0627\u062f",
            "fr":"Tchad",
            "hr":"\u010cad",
            "it":"Ciad",
            "ja":"\u30c1\u30e3\u30c9",
            "nl":"Tsjaad",
            "pt":"Chade",
            "hu":"Cs\u00e1d"
        },
        "cioc":"CHA"
    },
    {
        "alpha2Code":"CL",
        "alpha3Code":"CHL",
        "altSpellings":[
            "CL",
            "Republic of Chile",
            "Rep\u00fablica de Chile"
        ],
        "area":756102,
        "borders":[
            "ARG",
            "BOL",
            "PER"
        ],
        "callingCodes":[
            "56"
        ],
        "capital":"Santiago",
        "currencies":[
            {
                "code":"CLP",
                "name":"Chilean peso",
                "symbol":"\$"
            }
        ],
        "demonym":"Chilean",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/chl.svg",
            "https://restcountries.com/data/png/chl.png"
        ],
        "gini":52.1,
        "languages":[
            {
                "iso639_1":"es",
                "iso639_2":"spa",
                "name":"Spanish",
                "nativeName":"Espa\u00f1ol"
            }
        ],
        "latlng":[
            -30,
            -71
        ],
        "name":"Chile",
        "nativeName":"Chile",
        "numericCode":"152",
        "population":18191900,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"PA",
                "name":"Pacific Alliance",
                "otherNames":[
                    "Alianza del Pac\u00edfico"
                ]
            },
            {
                "acronym":"USAN",
                "name":"Union of South American Nations",
                "otherAcronyms":[
                    "UNASUR",
                    "UNASUL",
                    "UZAN"
                ],
                "otherNames":[
                    "Uni\u00f3n de Naciones Suramericanas",
                    "Uni\u00e3o de Na\u00e7\u00f5es Sul-Americanas",
                    "Unie van Zuid-Amerikaanse Naties",
                    "South American Union"
                ]
            }
        ],
        "region":"South America",
        "timezones":[
            "-06:00",
            "-04:00"
        ],
        "topLevelDomain":[
            ".cl"
        ],
        "translations":{
            "br":"Chile",
            "de":"Chile",
            "es":"Chile",
            "fa":"\u0634\u06cc\u0644\u06cc",
            "fr":"Chili",
            "hr":"\u010cile",
            "it":"Cile",
            "ja":"\u30c1\u30ea",
            "nl":"Chili",
            "pt":"Chile",
            "hu":"Chile"
        },
        "cioc":"CHI"
    },
    {
        "alpha2Code":"CN",
        "alpha3Code":"CHN",
        "altSpellings":[
            "CN",
            "Zh\u014dnggu\u00f3",
            "Zhongguo",
            "Zhonghua",
            "People's Republic of China",
            "\u4e2d\u534e\u4eba\u6c11\u5171\u548c\u56fd",
            "Zh\u014dnghu\u00e1 R\u00e9nm\u00edn G\u00f2ngh\u00e9gu\u00f3"
        ],
        "area":9640011,
        "borders":[
            "AFG",
            "BTN",
            "MMR",
            "HKG",
            "IND",
            "KAZ",
            "PRK",
            "KGZ",
            "LAO",
            "MAC",
            "MNG",
            "PAK",
            "RUS",
            "TJK",
            "VNM"
        ],
        "callingCodes":[
            "86"
        ],
        "capital":"Beijing",
        "currencies":[
            {
                "code":"CNY",
                "name":"Chinese yuan",
                "symbol":"\u00a5"
            }
        ],
        "demonym":"Chinese",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/chn.svg",
            "https://restcountries.com/data/png/chn.png"
        ],
        "gini":47,
        "languages":[
            {
                "iso639_1":"zh",
                "iso639_2":"zho",
                "name":"Chinese",
                "nativeName":"\u4e2d\u6587 (Zh\u014dngw\u00e9n)"
            }
        ],
        "latlng":[
            35,
            105
        ],
        "name":"China",
        "nativeName":"\u4e2d\u56fd",
        "numericCode":"156",
        "population":1377422166,
        "continent":"Asia",
        "regionalBlocs":[
            
        ],
        "region":"Eastern Asia",
        "timezones":[
            "+08:00"
        ],
        "topLevelDomain":[
            ".cn"
        ],
        "translations":{
            "br":"China",
            "de":"China",
            "es":"China",
            "fa":"\u0686\u06cc\u0646",
            "fr":"Chine",
            "hr":"Kina",
            "it":"Cina",
            "ja":"\u4e2d\u56fd",
            "nl":"China",
            "pt":"China",
            "hu":"Kína"
        },
        "cioc":"CHN"
    },
    {
        "alpha2Code":"CX",
        "alpha3Code":"CXR",
        "altSpellings":[
            "CX",
            "Territory of Christmas Island"
        ],
        "area":135,
        "borders":[
            
        ],
        "callingCodes":[
            "61"
        ],
        "capital":"Flying Fish Cove",
        "currencies":[
            {
                "code":"AUD",
                "name":"Australian dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Christmas Island",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/cxr.svg",
            "https://restcountries.com/data/png/cxr.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            -10.5,
            105.66666666
        ],
        "name":"Christmas Island",
        "nativeName":"Christmas Island",
        "numericCode":"162",
        "population":2072,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Australia and New Zealand",
        "timezones":[
            "+07:00"
        ],
        "topLevelDomain":[
            ".cx"
        ],
        "translations":{
            "br":"Ilha Christmas",
            "de":"Weihnachtsinsel",
            "es":"Isla de Navidad",
            "fa":"\u062c\u0632\u06cc\u0631\u0647 \u06a9\u0631\u06cc\u0633\u0645\u0633",
            "fr":"\u00cele Christmas",
            "hr":"Bo\u017ei\u0107ni otok",
            "it":"Isola di Natale",
            "ja":"\u30af\u30ea\u30b9\u30de\u30b9\u5cf6",
            "nl":"Christmaseiland",
            "pt":"Ilha do Natal",
            "hu":"Kar\u00e1csony-sziget"
        },
        "cioc":""
    },
    {
        "alpha2Code":"CC",
        "alpha3Code":"CCK",
        "altSpellings":[
            "CC",
            "Territory of the Cocos (Keeling) Islands",
            "Keeling Islands"
        ],
        "area":14,
        "borders":[
            
        ],
        "callingCodes":[
            "61"
        ],
        "capital":"West Island",
        "currencies":[
            {
                "code":"AUD",
                "name":"Australian dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Cocos Islander",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/cck.svg",
            "https://restcountries.com/data/png/cck.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            -12.5,
            96.83333333
        ],
        "name":"Cocos (Keeling) Islands",
        "nativeName":"Cocos (Keeling) Islands",
        "numericCode":"166",
        "population":550,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Australia and New Zealand",
        "timezones":[
            "+06:30"
        ],
        "topLevelDomain":[
            ".cc"
        ],
        "translations":{
            "br":"Ilhas Cocos",
            "de":"Kokosinseln",
            "es":"Islas Cocos o Islas Keeling",
            "fa":"\u062c\u0632\u0627\u06cc\u0631 \u06a9\u0648\u06a9\u0648\u0633",
            "fr":"\u00celes Cocos",
            "hr":"Kokosovi Otoci",
            "it":"Isole Cocos e Keeling",
            "ja":"\u30b3\u30b3\u30b9\uff08\u30ad\u30fc\u30ea\u30f3\u30b0\uff09\u8af8\u5cf6",
            "nl":"Cocoseilanden",
            "pt":"Ilhas dos Cocos",
            "hu":"K\u00f3kusz-szigetek"
        },
        "cioc":""
    },
    {
        "alpha2Code":"CO",
        "alpha3Code":"COL",
        "altSpellings":[
            "CO",
            "Republic of Colombia",
            "Rep\u00fablica de Colombia"
        ],
        "area":1141748,
        "borders":[
            "BRA",
            "ECU",
            "PAN",
            "PER",
            "VEN"
        ],
        "callingCodes":[
            "57"
        ],
        "capital":"Bogot\u00e1",
        "currencies":[
            {
                "code":"COP",
                "name":"Colombian peso",
                "symbol":"\$"
            }
        ],
        "demonym":"Colombian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/col.svg",
            "https://restcountries.com/data/png/col.png"
        ],
        "gini":55.9,
        "languages":[
            {
                "iso639_1":"es",
                "iso639_2":"spa",
                "name":"Spanish",
                "nativeName":"Espa\u00f1ol"
            }
        ],
        "latlng":[
            4,
            -72
        ],
        "name":"Colombia",
        "nativeName":"Colombia",
        "numericCode":"170",
        "population":48759958,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"PA",
                "name":"Pacific Alliance",
                "otherNames":[
                    "Alianza del Pac\u00edfico"
                ]
            },
            {
                "acronym":"USAN",
                "name":"Union of South American Nations",
                "otherAcronyms":[
                    "UNASUR",
                    "UNASUL",
                    "UZAN"
                ],
                "otherNames":[
                    "Uni\u00f3n de Naciones Suramericanas",
                    "Uni\u00e3o de Na\u00e7\u00f5es Sul-Americanas",
                    "Unie van Zuid-Amerikaanse Naties",
                    "South American Union"
                ]
            }
        ],
        "region":"South America",
        "timezones":[
            "-05:00"
        ],
        "topLevelDomain":[
            ".co"
        ],
        "translations":{
            "br":"Col\u00f4mbia",
            "de":"Kolumbien",
            "es":"Colombia",
            "fa":"\u06a9\u0644\u0645\u0628\u06cc\u0627",
            "fr":"Colombie",
            "hr":"Kolumbija",
            "it":"Colombia",
            "ja":"\u30b3\u30ed\u30f3\u30d3\u30a2",
            "nl":"Colombia",
            "pt":"Col\u00f4mbia",
            "hu":"Kolumbia"
        },
        "cioc":"COL"
    },
    {
        "alpha2Code":"KM",
        "alpha3Code":"COM",
        "altSpellings":[
            "KM",
            "Union of the Comoros",
            "Union des Comores",
            "Udzima wa Komori",
            "al-Itti\u1e25\u0101d al-Qumur\u012b"
        ],
        "area":1862,
        "borders":[
            
        ],
        "callingCodes":[
            "269"
        ],
        "capital":"Moroni",
        "currencies":[
            {
                "code":"KMF",
                "name":"Comorian franc",
                "symbol":"Fr"
            }
        ],
        "demonym":"Comoran",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/com.svg",
            "https://restcountries.com/data/png/com.png"
        ],
        "gini":64.3,
        "languages":[
            {
                "iso639_1":"ar",
                "iso639_2":"ara",
                "name":"Arabic",
                "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
            },
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            -12.16666666,
            44.25
        ],
        "name":"Comoros",
        "nativeName":"Komori",
        "numericCode":"174",
        "population":806153,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            },
            {
                "acronym":"AL",
                "name":"Arab League",
                "otherNames":[
                    "\u062c\u0627\u0645\u0639\u0629 \u0627\u0644\u062f\u0648\u0644 \u0627\u0644\u0639\u0631\u0628\u064a\u0629",
                    "J\u0101mi\u02bbat ad-Duwal al-\u02bbArab\u012byah",
                    "League of Arab States"
                ]
            }
        ],
        "region":"Eastern Africa",
        "timezones":[
            "+03:00"
        ],
        "topLevelDomain":[
            ".km"
        ],
        "translations":{
            "br":"Comores",
            "de":"Union der Komoren",
            "es":"Comoras",
            "fa":"\u06a9\u0648\u0645\u0648\u0631",
            "fr":"Comores",
            "hr":"Komori",
            "it":"Comore",
            "ja":"\u30b3\u30e2\u30ed",
            "nl":"Comoren",
            "pt":"Comores",
            "hu":"Comore-szigetek"
        },
        "cioc":"COM"
    },
    {
        "alpha2Code":"CG",
        "alpha3Code":"COG",
        "altSpellings":[
            "CG",
            "Congo-Brazzaville"
        ],
        "area":342000,
        "borders":[
            "AGO",
            "CMR",
            "CAF",
            "COD",
            "GAB"
        ],
        "callingCodes":[
            "242"
        ],
        "capital":"Brazzaville",
        "currencies":[
            {
                "code":"XAF",
                "name":"Central African CFA franc",
                "symbol":"Fr"
            }
        ],
        "demonym":"Congolese",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/cog.svg",
            "https://restcountries.com/data/png/cog.png"
        ],
        "gini":47.3,
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            },
            {
                "iso639_1":"ln",
                "iso639_2":"lin",
                "name":"Lingala",
                "nativeName":"Ling\u00e1la"
            }
        ],
        "latlng":[
            -1,
            15
        ],
        "name":"Congo",
        "nativeName":"R\u00e9publique du Congo",
        "numericCode":"178",
        "population":4741000,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Middle Africa",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".cg"
        ],
        "translations":{
            "br":"Congo",
            "de":"Kongo",
            "es":"Congo",
            "fa":"\u06a9\u0646\u06af\u0648",
            "fr":"Congo",
            "hr":"Kongo",
            "it":"Congo",
            "ja":"\u30b3\u30f3\u30b4\u5171\u548c\u56fd",
            "nl":"Congo [Republiek]",
            "pt":"Congo",
            "hu":"Kong\u00f3i K\u00f3zt\u00e1rsas\u00e1g"
        },
        "cioc":"CGO"
    },
    {
        "alpha2Code":"CD",
        "alpha3Code":"COD",
        "altSpellings":[
            "CD",
            "DR Congo",
            "Congo-Kinshasa",
            "DRC"
        ],
        "area":2344858,
        "borders":[
            "AGO",
            "BDI",
            "CAF",
            "COG",
            "RWA",
            "SSD",
            "TZA",
            "UGA",
            "ZMB"
        ],
        "callingCodes":[
            "243"
        ],
        "capital":"Kinshasa",
        "currencies":[
            {
                "code":"CDF",
                "name":"Congolese franc",
                "symbol":"Fr"
            }
        ],
        "demonym":"Congolese",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/cod.svg",
            "https://restcountries.com/data/png/cod.png"
        ],
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            },
            {
                "iso639_1":"ln",
                "iso639_2":"lin",
                "name":"Lingala",
                "nativeName":"Ling\u00e1la"
            },
            {
                "iso639_1":"kg",
                "iso639_2":"kon",
                "name":"Kongo",
                "nativeName":"Kikongo"
            },
            {
                "iso639_1":"sw",
                "iso639_2":"swa",
                "name":"Swahili",
                "nativeName":"Kiswahili"
            },
            {
                "iso639_1":"lu",
                "iso639_2":"lub",
                "name":"Luba-Katanga",
                "nativeName":"Tshiluba"
            }
        ],
        "latlng":[
            0,
            25
        ],
        "name":"Congo (Democratic Republic of the)",
        "nativeName":"R\u00e9publique d\u00e9mocratique du Congo",
        "numericCode":"180",
        "population":85026000,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Middle Africa",
        "timezones":[
            "+01:00",
            "+02:00"
        ],
        "topLevelDomain":[
            ".cd"
        ],
        "translations":{
            "br":"RD Congo",
            "de":"Kongo (Dem. Rep.)",
            "es":"Congo (Rep. Dem.)",
            "fa":"\u062c\u0645\u0647\u0648\u0631\u06cc \u06a9\u0646\u06af\u0648",
            "fr":"Congo (R\u00e9p. d\u00e9m.)",
            "hr":"Kongo, Demokratska Republika",
            "it":"Congo (Rep. Dem.)",
            "ja":"\u30b3\u30f3\u30b4\u6c11\u4e3b\u5171\u548c\u56fd",
            "nl":"Congo [DRC]",
            "pt":"RD Congo",
            "hu":"Kong\u00f3i Demokratikus K\u00f6ztársaság"
        },
        "cioc":"COD"
    },
    {
        "alpha2Code":"CK",
        "alpha3Code":"COK",
        "altSpellings":[
            "CK",
            "K\u016bki '\u0100irani"
        ],
        "area":236,
        "borders":[
            
        ],
        "callingCodes":[
            "682"
        ],
        "capital":"Avarua",
        "currencies":[
            {
                "code":"NZD",
                "name":"New Zealand dollar",
                "symbol":"\$"
            },
            {
                "code":"CKD",
                "name":"Cook Islands dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Cook Islander",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/cok.svg",
            "https://restcountries.com/data/png/cok.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639-1":"",
                "iso639_2":"rar",
                "name":"Cook Islands M\u0101ori",
                "nativeName":"M\u0101ori"
            }
        ],
        "latlng":[
            -21.23333333,
            -159.76666666
        ],
        "name":"Cook Islands",
        "nativeName":"Cook Islands",
        "numericCode":"184",
        "population":18100,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Polynesia",
        "timezones":[
            "-10:00"
        ],
        "topLevelDomain":[
            ".ck"
        ],
        "translations":{
            "br":"Ilhas Cook",
            "de":"Cookinseln",
            "es":"Islas Cook",
            "fa":"\u062c\u0632\u0627\u06cc\u0631 \u06a9\u0648\u06a9",
            "fr":"\u00celes Cook",
            "hr":"Cookovo Oto\u010dje",
            "it":"Isole Cook",
            "ja":"\u30af\u30c3\u30af\u8af8\u5cf6",
            "nl":"Cookeilanden",
            "pt":"Ilhas Cook",
            "hu":"Cook-szigetek"
        },
        "cioc":"COK"
    },
    {
        "alpha2Code":"CR",
        "alpha3Code":"CRI",
        "altSpellings":[
            "CR",
            "Republic of Costa Rica",
            "Rep\u00fablica de Costa Rica"
        ],
        "area":51100,
        "borders":[
            "NIC",
            "PAN"
        ],
        "callingCodes":[
            "506"
        ],
        "capital":"San Jos\u00e9",
        "currencies":[
            {
                "code":"CRC",
                "name":"Costa Rican col\u00f3n",
                "symbol":"\u20a1"
            }
        ],
        "demonym":"Costa Rican",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/cri.svg",
            "https://restcountries.com/data/png/cri.png"
        ],
        "gini":50.7,
        "languages":[
            {
                "iso639_1":"es",
                "iso639_2":"spa",
                "name":"Spanish",
                "nativeName":"Espa\u00f1ol"
            }
        ],
        "latlng":[
            10,
            -84
        ],
        "name":"Costa Rica",
        "nativeName":"Costa Rica",
        "numericCode":"188",
        "population":4890379,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"CAIS",
                "name":"Central American Integration System",
                "otherAcronyms":[
                    "SICA"
                ],
                "otherNames":[
                    "Sistema de la Integraci\u00f3n Centroamericana,"
                ]
            }
        ],
        "region":"Central America",
        "timezones":[
            "-06:00"
        ],
        "topLevelDomain":[
            ".cr"
        ],
        "translations":{
            "br":"Costa Rica",
            "de":"Costa Rica",
            "es":"Costa Rica",
            "fa":"\u06a9\u0627\u0633\u062a\u0627\u0631\u06cc\u06a9\u0627",
            "fr":"Costa Rica",
            "hr":"Kostarika",
            "it":"Costa Rica",
            "ja":"\u30b3\u30b9\u30bf\u30ea\u30ab",
            "nl":"Costa Rica",
            "pt":"Costa Rica",
            "hu":"Costa Rica"
        },
        "cioc":"CRC"
    },
    {
        "alpha2Code":"HR",
        "alpha3Code":"HRV",
        "altSpellings":[
            "HR",
            "Hrvatska",
            "Republic of Croatia",
            "Republika Hrvatska"
        ],
        "area":56594,
        "borders":[
            "BIH",
            "HUN",
            "MNE",
            "SRB",
            "SVN"
        ],
        "callingCodes":[
            "385"
        ],
        "capital":"Zagreb",
        "currencies":[
            {
                "code":"HRK",
                "name":"Croatian kuna",
                "symbol":"kn"
            }
        ],
        "demonym":"Croatian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/hrv.svg",
            "https://restcountries.com/data/png/hrv.png"
        ],
        "gini":33.7,
        "languages":[
            {
                "iso639_1":"hr",
                "iso639_2":"hrv",
                "name":"Croatian",
                "nativeName":"hrvatski jezik"
            }
        ],
        "latlng":[
            45.16666666,
            15.5
        ],
        "name":"Croatia",
        "nativeName":"Hrvatska",
        "numericCode":"191",
        "population":4190669,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Southern Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".hr"
        ],
        "translations":{
            "br":"Cro\u00e1cia",
            "de":"Kroatien",
            "es":"Croacia",
            "fa":"\u06a9\u0631\u0648\u0627\u0633\u06cc",
            "fr":"Croatie",
            "hr":"Hrvatska",
            "it":"Croazia",
            "ja":"\u30af\u30ed\u30a2\u30c1\u30a2",
            "nl":"Kroati\u00eb",
            "pt":"Cro\u00e1cia",
            "hu":"Horv\u00e1torsz\u00e1g"
        },
        "cioc":"CRO"
    },
    {
        "alpha2Code":"CU",
        "alpha3Code":"CUB",
        "altSpellings":[
            "CU",
            "Republic of Cuba",
            "Rep\u00fablica de Cuba"
        ],
        "area":109884,
        "borders":[
            
        ],
        "callingCodes":[
            "53"
        ],
        "capital":"Havana",
        "currencies":[
            {
                "code":"CUC",
                "name":"Cuban convertible peso",
                "symbol":"\$"
            },
            {
                "code":"CUP",
                "name":"Cuban peso",
                "symbol":"\$"
            }
        ],
        "demonym":"Cuban",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/cub.svg",
            "https://restcountries.com/data/png/cub.png"
        ],
        "gini":38,
        "languages":[
            {
                "iso639_1":"es",
                "iso639_2":"spa",
                "name":"Spanish",
                "nativeName":"Espa\u00f1ol"
            }
        ],
        "latlng":[
            21.5,
            -80
        ],
        "name":"Cuba",
        "nativeName":"Cuba",
        "numericCode":"192",
        "population":11239004,
        "continent":"Americas",
        "regionalBlocs":[
            
        ],
        "region":"Caribbean",
        "timezones":[
            "-05:00"
        ],
        "topLevelDomain":[
            ".cu"
        ],
        "translations":{
            "br":"Cuba",
            "de":"Kuba",
            "es":"Cuba",
            "fa":"\u06a9\u0648\u0628\u0627",
            "fr":"Cuba",
            "hr":"Kuba",
            "it":"Cuba",
            "ja":"\u30ad\u30e5\u30fc\u30d0",
            "nl":"Cuba",
            "pt":"Cuba",
            "hu":"Kuba"
        },
        "cioc":"CUB"
    },
    {
        "alpha2Code":"CW",
        "alpha3Code":"CUW",
        "altSpellings":[
            "CW",
            "Curacao",
            "K\u00f2rsou",
            "Country of Cura\u00e7ao",
            "Land Cura\u00e7ao",
            "Pais K\u00f2rsou"
        ],
        "area":444,
        "borders":[
            
        ],
        "callingCodes":[
            "599"
        ],
        "capital":"Willemstad",
        "currencies":[
            {
                "code":"ANG",
                "name":"Netherlands Antillean guilder",
                "symbol":"\u0192"
            }
        ],
        "demonym":"Dh",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/cuw.svg",
            "https://restcountries.com/data/png/cuw.png"
        ],
        "languages":[
            {
                "iso639_1":"nl",
                "iso639_2":"nld",
                "name":"Dh",
                "nativeName":"Nederlands"
            },
            {
                "iso639_1":"pa",
                "iso639_2":"pan",
                "name":"(Eastern) Punjabi",
                "nativeName":"\u0a2a\u0a70\u0a1c\u0a3e\u0a2c\u0a40"
            },
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            12.116667,
            -68.933333
        ],
        "name":"Cura\u00e7ao",
        "nativeName":"Cura\u00e7ao",
        "numericCode":"531",
        "population":154843,
        "continent":"Americas",
        "regionalBlocs":[
            
        ],
        "region":"Caribbean",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".cw"
        ],
        "translations":{
            "br":"Cura\u00e7ao",
            "de":"Cura\u00e7ao",
            "fa":"\u06a9\u0648\u0631\u0627\u0633\u0627\u0626\u0648",
            "fr":"Cura\u00e7ao",
            "it":"Cura\u00e7ao",
            "nl":"Cura\u00e7ao",
            "pt":"Cura\u00e7ao",
            "se":"Cura\u00e7ao",
            "hu":"Cura\u007eao"
        },
        "cioc":""
    },
    {
        "alpha2Code":"CY",
        "alpha3Code":"CYP",
        "altSpellings":[
            "CY",
            "K\u00fdpros",
            "K\u0131br\u0131s",
            "Republic of Cyprus",
            "\u039a\u03c5\u03c0\u03c1\u03b9\u03b1\u03ba\u03ae \u0394\u03b7\u03bc\u03bf\u03ba\u03c1\u03b1\u03c4\u03af\u03b1",
            "K\u0131br\u0131s Cumhuriyeti"
        ],
        "area":9251,
        "borders":[
            "GBR"
        ],
        "callingCodes":[
            "357"
        ],
        "capital":"Nicosia",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Cypriot",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/cyp.svg",
            "https://restcountries.com/data/png/cyp.png"
        ],
        "gini":29.1,
        "languages":[
            {
                "iso639_1":"el",
                "iso639_2":"ell",
                "name":"Greek (modern)",
                "nativeName":"\u03b5\u03bb\u03bb\u03b7\u03bd\u03b9\u03ba\u03ac"
            },
            {
                "iso639_1":"tr",
                "iso639_2":"tur",
                "name":"Turkish",
                "nativeName":"T\u00fcrk\u00e7e"
            },
            {
                "iso639_1":"hy",
                "iso639_2":"hye",
                "name":"Armenian",
                "nativeName":"\u0540\u0561\u0575\u0565\u0580\u0565\u0576"
            }
        ],
        "latlng":[
            35,
            33
        ],
        "name":"Cyprus",
        "nativeName":"\u039a\u03cd\u03c0\u03c1\u03bf\u03c2",
        "numericCode":"196",
        "population":847000,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Southern Europe",
        "timezones":[
            "+02:00"
        ],
        "topLevelDomain":[
            ".cy"
        ],
        "translations":{
            "br":"Chipre",
            "de":"Zypern",
            "es":"Chipre",
            "fa":"\u0642\u0628\u0631\u0633",
            "fr":"Chypre",
            "hr":"Cipar",
            "it":"Cipro",
            "ja":"\u30ad\u30d7\u30ed\u30b9",
            "nl":"Cyprus",
            "pt":"Chipre",
            "hu":"Ciprus"
        },
        "cioc":"CYP"
    },
    {
        "alpha2Code":"CZ",
        "alpha3Code":"CZE",
        "altSpellings":[
            "CZ",
            "\u010cesk\u00e1 republika",
            "\u010cesko"
        ],
        "area":78865,
        "borders":[
            
        ],
        "callingCodes":[
            "420"
        ],
        "capital":"Prague",
        "currencies":[
            {
                "code":"CZK",
                "name":"Czech koruna",
                "symbol":"K\u010d"
            }
        ],
        "demonym":"Czech",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/cze.svg",
            "https://restcountries.com/data/png/cze.png"
        ],
        "gini":26,
        "languages":[
            {
                "iso639_1":"cs",
                "iso639_2":"ces",
                "name":"Czech",
                "nativeName":"\u010de\u0161tina"
            },
            {
                "iso639_1":"sk",
                "iso639_2":"slk",
                "name":"Slovak",
                "nativeName":"sloven\u010dina"
            }
        ],
        "latlng":[
            49.75,
            15.5
        ],
        "name":"Czech Republic",
        "nativeName":"\u010cesk\u00e1 republika",
        "numericCode":"203",
        "population":10558524,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Central Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".cz"
        ],
        "translations":{
            "br":"Rep\u00fablica Tcheca",
            "de":"Tschechische Republik",
            "es":"Rep\u00fablica Checa",
            "fa":"\u062c\u0645\u0647\u0648\u0631\u06cc \u0686\u06a9",
            "fr":"R\u00e9publique tch\u00e8que",
            "hr":"\u010ce\u0161ka",
            "it":"Repubblica Ceca",
            "ja":"\u30c1\u30a7\u30b3",
            "nl":"Tsjechi\u00eb",
            "pt":"Rep\u00fablica Checa",
            "hu":"Csehorsz\u00e1g"
        },
        "cioc":"CZE"
    },
    {
        "alpha2Code":"DK",
        "alpha3Code":"DNK",
        "altSpellings":[
            "DK",
            "Danmark",
            "Kingdom of Denmark",
            "Kongeriget Danmark"
        ],
        "area":43094,
        "borders":[
            "DEU"
        ],
        "callingCodes":[
            "45"
        ],
        "capital":"Copenhagen",
        "currencies":[
            {
                "code":"DKK",
                "name":"Danish krone",
                "symbol":"kr"
            }
        ],
        "demonym":"Danish",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/dnk.svg",
            "https://restcountries.com/data/png/dnk.png"
        ],
        "gini":24,
        "languages":[
            {
                "iso639_1":"da",
                "iso639_2":"dan",
                "name":"Danish",
                "nativeName":"dansk"
            }
        ],
        "latlng":[
            56,
            10
        ],
        "name":"Denmark",
        "nativeName":"Danmark",
        "numericCode":"208",
        "population":5717014,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Northern Europe",
        "timezones":[
            "-04:00",
            "-03:00",
            "-01:00",
            "",
            "+01:00"
        ],
        "topLevelDomain":[
            ".dk"
        ],
        "translations":{
            "br":"Dinamarca",
            "de":"D\u00e4nemark",
            "es":"Dinamarca",
            "fa":"\u062f\u0627\u0646\u0645\u0627\u0631\u06a9",
            "fr":"Danemark",
            "hr":"Danska",
            "it":"Danimarca",
            "ja":"\u30c7\u30f3\u30de\u30fc\u30af",
            "nl":"Denemarken",
            "pt":"Dinamarca",
            "hu":"D\u00e1nia"
        },
        "cioc":"DEN"
    },
    {
        "alpha2Code":"DJ",
        "alpha3Code":"DJI",
        "altSpellings":[
            "DJ",
            "Jabuuti",
            "Gabuuti",
            "Republic of Djibouti",
            "R\u00e9publique de Djibouti",
            "Gabuutih Ummuuno",
            "Jamhuuriyadda Jabuuti"
        ],
        "area":23200,
        "borders":[
            "ERI",
            "ETH",
            "SOM"
        ],
        "callingCodes":[
            "253"
        ],
        "capital":"Djibouti",
        "currencies":[
            {
                "code":"DJF",
                "name":"Djiboutian franc",
                "symbol":"Fr"
            }
        ],
        "demonym":"Djibouti",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/dji.svg",
            "https://restcountries.com/data/png/dji.png"
        ],
        "gini":40,
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            },
            {
                "iso639_1":"ar",
                "iso639_2":"ara",
                "name":"Arabic",
                "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
            }
        ],
        "latlng":[
            11.5,
            43
        ],
        "name":"Djibouti",
        "nativeName":"Djibouti",
        "numericCode":"262",
        "population":900000,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            },
            {
                "acronym":"AL",
                "name":"Arab League",
                "otherNames":[
                    "\u062c\u0627\u0645\u0639\u0629 \u0627\u0644\u062f\u0648\u0644 \u0627\u0644\u0639\u0631\u0628\u064a\u0629",
                    "J\u0101mi\u02bbat ad-Duwal al-\u02bbArab\u012byah",
                    "League of Arab States"
                ]
            }
        ],
        "region":"Eastern Africa",
        "timezones":[
            "+03:00"
        ],
        "topLevelDomain":[
            ".dj"
        ],
        "translations":{
            "br":"Djibuti",
            "de":"Dschibuti",
            "es":"Yibuti",
            "fa":"\u062c\u06cc\u0628\u0648\u062a\u06cc",
            "fr":"Djibouti",
            "hr":"D\u017eibuti",
            "it":"Gibuti",
            "ja":"\u30b8\u30d6\u30c1",
            "nl":"Djibouti",
            "pt":"Djibuti",
            "hu":"Dzsibuti"
        },
        "cioc":"DJI"
    },
    {
        "alpha2Code":"DM",
        "alpha3Code":"DMA",
        "altSpellings":[
            "DM",
            "Dominique",
            "Wai\u2018tu kubuli",
            "Commonwealth of Dominica"
        ],
        "area":751,
        "borders":[
            
        ],
        "callingCodes":[
            "1"
        ],
        "capital":"Roseau",
        "currencies":[
            {
                "code":"XCD",
                "name":"East Caribbean dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Dominican",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/dma.svg",
            "https://restcountries.com/data/png/dma.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            15.41666666,
            -61.33333333
        ],
        "name":"Dominica",
        "nativeName":"Dominica",
        "numericCode":"212",
        "population":71293,
        "continent":"Americas",
        "regionalBlocs":[
            
        ],
        "region":"Caribbean",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".dm"
        ],
        "translations":{
            "br":"Dominica",
            "de":"Dominica",
            "es":"Dominica",
            "fa":"\u062f\u0648\u0645\u06cc\u0646\u06cc\u06a9\u0627",
            "fr":"Dominique",
            "hr":"Dominika",
            "it":"Dominica",
            "ja":"\u30c9\u30df\u30cb\u30ab\u56fd",
            "nl":"Dominica",
            "pt":"Dominica",
            "hu":"Dominikai K\u00f6z\u00f6ss\u00e9g"
        },
        "cioc":"DMA"
    },
    {
        "alpha2Code":"DO",
        "alpha3Code":"DOM",
        "altSpellings":[
            "DO"
        ],
        "area":48671,
        "borders":[
            "HTI"
        ],
        "callingCodes":[
            "1"
        ],
        "capital":"Santo Domingo",
        "currencies":[
            {
                "code":"DOP",
                "name":"Dominican peso",
                "symbol":"\$"
            }
        ],
        "demonym":"Dominican",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/dom.svg",
            "https://restcountries.com/data/png/dom.png"
        ],
        "gini":47.2,
        "languages":[
            {
                "iso639_1":"es",
                "iso639_2":"spa",
                "name":"Spanish",
                "nativeName":"Espa\u00f1ol"
            }
        ],
        "latlng":[
            19,
            -70.66666666
        ],
        "name":"Dominican Republic",
        "nativeName":"Rep\u00fablica Dominicana",
        "numericCode":"214",
        "population":10075045,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"CARICOM",
                "name":"Caribbean Community",
                "otherNames":[
                    "Comunidad del Caribe",
                    "Communaut\u00e9 Carib\u00e9enne",
                    "Caribische Gemeenschap"
                ]
            },
            {
                "acronym":"CAIS",
                "name":"Central American Integration System",
                "otherAcronyms":[
                    "SICA"
                ],
                "otherNames":[
                    "Sistema de la Integraci\u00f3n Centroamericana,"
                ]
            }
        ],
        "region":"Caribbean",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".do"
        ],
        "translations":{
            "br":"Rep\u00fablica Dominicana",
            "de":"Dominikanische Republik",
            "es":"Rep\u00fablica Dominicana",
            "fa":"\u062c\u0645\u0647\u0648\u0631\u06cc \u062f\u0648\u0645\u06cc\u0646\u06cc\u06a9\u0646",
            "fr":"R\u00e9publique dominicaine",
            "hr":"Dominikanska Republika",
            "it":"Repubblica Dominicana",
            "ja":"\u30c9\u30df\u30cb\u30ab\u5171\u548c\u56fd",
            "nl":"Dominicaanse Republiek",
            "pt":"Rep\u00fablica Dominicana",
            "hu":"Dominikai K\u00f6zt\u00e1rsas\u00e1g"
        },
        "cioc":"DOM"
    },
    {
        "alpha2Code":"EC",
        "alpha3Code":"ECU",
        "altSpellings":[
            "EC",
            "Republic of Ecuador",
            "Rep\u00fablica del Ecuador"
        ],
        "area":276841,
        "borders":[
            "COL",
            "PER"
        ],
        "callingCodes":[
            "593"
        ],
        "capital":"Quito",
        "currencies":[
            {
                "code":"USD",
                "name":"United States dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Ecuadorean",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/ecu.svg",
            "https://restcountries.com/data/png/ecu.png"
        ],
        "gini":49.3,
        "languages":[
            {
                "iso639_1":"es",
                "iso639_2":"spa",
                "name":"Spanish",
                "nativeName":"Espa\u00f1ol"
            }
        ],
        "latlng":[
            -2,
            -77.5
        ],
        "name":"Ecuador",
        "nativeName":"Ecuador",
        "numericCode":"218",
        "population":16545799,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"USAN",
                "name":"Union of South American Nations",
                "otherAcronyms":[
                    "UNASUR",
                    "UNASUL",
                    "UZAN"
                ],
                "otherNames":[
                    "Uni\u00f3n de Naciones Suramericanas",
                    "Uni\u00e3o de Na\u00e7\u00f5es Sul-Americanas",
                    "Unie van Zuid-Amerikaanse Naties",
                    "South American Union"
                ]
            }
        ],
        "region":"South America",
        "timezones":[
            "-06:00",
            "-05:00"
        ],
        "topLevelDomain":[
            ".ec"
        ],
        "translations":{
            "br":"Equador",
            "de":"Ecuador",
            "es":"Ecuador",
            "fa":"\u0627\u06a9\u0648\u0627\u062f\u0648\u0631",
            "fr":"\u00c9quateur",
            "hr":"Ekvador",
            "it":"Ecuador",
            "ja":"\u30a8\u30af\u30a2\u30c9\u30eb",
            "nl":"Ecuador",
            "pt":"Equador",
            "hu":"Ecuador"
        },
        "cioc":"ECU"
    },
    {
        "alpha2Code":"EG",
        "alpha3Code":"EGY",
        "altSpellings":[
            "EG",
            "Arab Republic of Egypt"
        ],
        "area":1002450,
        "borders":[
            "ISR",
            "LBY",
            "SDN"
        ],
        "callingCodes":[
            "20"
        ],
        "capital":"Cairo",
        "currencies":[
            {
                "code":"EGP",
                "name":"Egyptian pound",
                "symbol":"\u00a3"
            }
        ],
        "demonym":"Egyptian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/egy.svg",
            "https://restcountries.com/data/png/egy.png"
        ],
        "gini":30.8,
        "languages":[
            {
                "iso639_1":"ar",
                "iso639_2":"ara",
                "name":"Arabic",
                "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
            }
        ],
        "latlng":[
            27,
            30
        ],
        "name":"Egypt",
        "nativeName":"\u0645\u0635\u0631\u200e",
        "numericCode":"818",
        "population":91290000,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            },
            {
                "acronym":"AL",
                "name":"Arab League",
                "otherNames":[
                    "\u062c\u0627\u0645\u0639\u0629 \u0627\u0644\u062f\u0648\u0644 \u0627\u0644\u0639\u0631\u0628\u064a\u0629",
                    "J\u0101mi\u02bbat ad-Duwal al-\u02bbArab\u012byah",
                    "League of Arab States"
                ]
            }
        ],
        "region":"Northern Africa",
        "timezones":[
            "+02:00"
        ],
        "topLevelDomain":[
            ".eg"
        ],
        "translations":{
            "br":"Egito",
            "de":"\u00c4gypten",
            "es":"Egipto",
            "fa":"\u0645\u0635\u0631",
            "fr":"\u00c9gypte",
            "hr":"Egipat",
            "it":"Egitto",
            "ja":"\u30a8\u30b8\u30d7\u30c8",
            "nl":"Egypte",
            "pt":"Egipto",
            "hu":"Egyiptom"
        },
        "cioc":"EGY"
    },
    {
        "alpha2Code":"SV",
        "alpha3Code":"SLV",
        "altSpellings":[
            "SV",
            "Republic of El Salvador",
            "Rep\u00fablica de El Salvador"
        ],
        "area":21041,
        "borders":[
            "GTM",
            "HND"
        ],
        "callingCodes":[
            "503"
        ],
        "capital":"San Salvador",
        "currencies":[
            {
                "code":"USD",
                "name":"United States dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Salvadoran",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/slv.svg",
            "https://restcountries.com/data/png/slv.png"
        ],
        "gini":48.3,
        "languages":[
            {
                "iso639_1":"es",
                "iso639_2":"spa",
                "name":"Spanish",
                "nativeName":"Espa\u00f1ol"
            }
        ],
        "latlng":[
            13.83333333,
            -88.91666666
        ],
        "name":"El Salvador",
        "nativeName":"El Salvador",
        "numericCode":"222",
        "population":6520675,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"CAIS",
                "name":"Central American Integration System",
                "otherAcronyms":[
                    "SICA"
                ],
                "otherNames":[
                    "Sistema de la Integraci\u00f3n Centroamericana,"
                ]
            }
        ],
        "region":"Central America",
        "timezones":[
            "-06:00"
        ],
        "topLevelDomain":[
            ".sv"
        ],
        "translations":{
            "br":"El Salvador",
            "de":"El Salvador",
            "es":"El Salvador",
            "fa":"\u0627\u0644\u0633\u0627\u0644\u0648\u0627\u062f\u0648\u0631",
            "fr":"Salvador",
            "hr":"Salvador",
            "it":"El Salvador",
            "ja":"\u30a8\u30eb\u30b5\u30eb\u30d0\u30c9\u30eb",
            "nl":"El Salvador",
            "pt":"El Salvador",
            "hu":"Salvador"
        },
        "cioc":"ESA"
    },
    {
        "alpha2Code":"GQ",
        "alpha3Code":"GNQ",
        "altSpellings":[
            "GQ",
            "Republic of Equatorial Guinea",
            "Rep\u00fablica de Guinea Ecuatorial",
            "R\u00e9publique de Guin\u00e9e \u00e9quatoriale",
            "Rep\u00fablica da Guin\u00e9 Equatorial"
        ],
        "area":28051,
        "borders":[
            "CMR",
            "GAB"
        ],
        "callingCodes":[
            "240"
        ],
        "capital":"Malabo",
        "currencies":[
            {
                "code":"XAF",
                "name":"Central African CFA franc",
                "symbol":"Fr"
            }
        ],
        "demonym":"Equatorial Guinean",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/gnq.svg",
            "https://restcountries.com/data/png/gnq.png"
        ],
        "gini":39.4,
        "languages":[
            {
                "iso639_1":"es",
                "iso639_2":"spa",
                "name":"Spanish",
                "nativeName":"Espa\u00f1ol"
            },
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            },
            {
                "iso639_1":"pt",
                "iso639_2":"por",
                "name":"Portuguese",
                "nativeName":"Portugu\u00eas"
            },
            {
                "iso639_1":"",
                "iso639_2":"fan",
                "name":"Fang",
                "nativeName":"Fang"
            }
        ],
        "latlng":[
            2,
            10
        ],
        "name":"Equatorial Guinea",
        "nativeName":"Guinea Ecuatorial",
        "numericCode":"226",
        "population":1222442,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Middle Africa",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".gq"
        ],
        "translations":{
            "br":"Guin\u00e9 Equatorial",
            "de":"\u00c4quatorial-Guinea",
            "es":"Guinea Ecuatorial",
            "fa":"\u06af\u06cc\u0646\u0647 \u0627\u0633\u062a\u0648\u0627\u06cc\u06cc",
            "fr":"Guin\u00e9e-\u00c9quatoriale",
            "hr":"Ekvatorijalna Gvineja",
            "it":"Guinea Equatoriale",
            "ja":"\u8d64\u9053\u30ae\u30cb\u30a2",
            "nl":"Equatoriaal-Guinea",
            "pt":"Guin\u00e9 Equatorial",
            "hu":"Egyenl\u00edt\u0151i-Guinea"
        },
        "cioc":"GEQ"
    },
    {
        "alpha2Code":"ER",
        "alpha3Code":"ERI",
        "altSpellings":[
            "ER",
            "State of Eritrea",
            "\u1203\u1308\u1228 \u12a4\u122d\u1275\u122b",
            "Dawlat Iritriy\u00e1",
            "\u02beErtr\u0101",
            "Iritriy\u0101",
            ""
        ],
        "area":117600,
        "borders":[
            "DJI",
            "ETH",
            "SDN"
        ],
        "callingCodes":[
            "291"
        ],
        "capital":"Asmara",
        "currencies":[
            {
                "code":"ERN",
                "name":"Eritrean nakfa",
                "symbol":"Nfk"
            }
        ],
        "demonym":"Eritrean",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/eri.svg",
            "https://restcountries.com/data/png/eri.png"
        ],
        "languages":[
            {
                "iso639_1":"ti",
                "iso639_2":"tir",
                "name":"Tigrinya",
                "nativeName":"\u1275\u130d\u122d\u129b"
            },
            {
                "iso639_1":"ar",
                "iso639_2":"ara",
                "name":"Arabic",
                "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
            },
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"",
                "iso639_2":"tig",
                "name":"Tigre",
                "nativeName":"\u1275\u130d\u1228"
            },
            {
                "iso639_1":"",
                "iso639_2":"kun",
                "name":"Kunama",
                "nativeName":"Kunama"
            },
            {
                "iso639_1":"",
                "iso639_2":"ssy",
                "name":"Saho",
                "nativeName":"Saho"
            },
            {
                "iso639_1":"",
                "iso639_2":"byn",
                "name":"Bilen",
                "nativeName":"\u1265\u120a\u1293"
            },
            {
                "iso639_1":"",
                "iso639_2":"nrb",
                "name":"Nara",
                "nativeName":"Nara"
            },
            {
                "iso639_1":"aa",
                "iso639_2":"aar",
                "name":"Afar",
                "nativeName":"Afar"
            }
        ],
        "latlng":[
            15,
            39
        ],
        "name":"Eritrea",
        "nativeName":"\u12a4\u122d\u1275\u122b",
        "numericCode":"232",
        "population":5352000,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Eastern Africa",
        "timezones":[
            "+03:00"
        ],
        "topLevelDomain":[
            ".er"
        ],
        "translations":{
            "br":"Eritreia",
            "de":"Eritrea",
            "es":"Eritrea",
            "fa":"\u0627\u0631\u06cc\u062a\u0631\u0647",
            "fr":"\u00c9rythr\u00e9e",
            "hr":"Eritreja",
            "it":"Eritrea",
            "ja":"\u30a8\u30ea\u30c8\u30ea\u30a2",
            "nl":"Eritrea",
            "pt":"Eritreia",
            "hu":"Eritrea"
        },
        "cioc":"ERI"
    },
    {
        "alpha2Code":"EE",
        "alpha3Code":"EST",
        "altSpellings":[
            "EE",
            "Eesti",
            "Republic of Estonia",
            "Eesti Vabariik"
        ],
        "area":45227,
        "borders":[
            "LVA",
            "RUS"
        ],
        "callingCodes":[
            "372"
        ],
        "capital":"Tallinn",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Estonian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/est.svg",
            "https://restcountries.com/data/png/est.png"
        ],
        "gini":36,
        "languages":[
            {
                "iso639_1":"et",
                "iso639_2":"est",
                "name":"Estonian",
                "nativeName":"eesti"
            }
        ],
        "latlng":[
            59,
            26
        ],
        "name":"Estonia",
        "nativeName":"Eesti",
        "numericCode":"233",
        "population":1315944,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Northern Europe",
        "timezones":[
            "+02:00"
        ],
        "topLevelDomain":[
            ".ee"
        ],
        "translations":{
            "br":"Est\u00f4nia",
            "de":"Estland",
            "es":"Estonia",
            "fa":"\u0627\u0633\u062a\u0648\u0646\u06cc",
            "fr":"Estonie",
            "hr":"Estonija",
            "it":"Estonia",
            "ja":"\u30a8\u30b9\u30c8\u30cb\u30a2",
            "nl":"Estland",
            "pt":"Est\u00f3nia",
            "hu":"\u00c9sztorsz\u00e1g"
        },
        "cioc":"EST"
    },
    {
        "alpha2Code":"ET",
        "alpha3Code":"ETH",
        "altSpellings":[
            "ET",
            "\u02be\u012aty\u014d\u1e57\u1e57y\u0101",
            "Federal Democratic Republic of Ethiopia",
            "\u12e8\u12a2\u1275\u12ee\u1335\u12eb \u134c\u12f4\u122b\u120b\u12ca \u12f2\u121e\u12ad\u122b\u1232\u12eb\u12ca \u122a\u1350\u1265\u120a\u12ad"
        ],
        "area":1104300,
        "borders":[
            "DJI",
            "ERI",
            "KEN",
            "SOM",
            "SSD",
            "SDN"
        ],
        "callingCodes":[
            "251"
        ],
        "capital":"Addis Ababa",
        "currencies":[
            {
                "code":"ETB",
                "name":"Ethiopian birr",
                "symbol":"Br"
            }
        ],
        "demonym":"Ethiopian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/eth.svg",
            "https://restcountries.com/data/png/eth.png"
        ],
        "gini":29.8,
        "languages":[
            {
                "iso639_1":"am",
                "iso639_2":"amh",
                "name":"Amharic",
                "nativeName":"\u12a0\u121b\u122d\u129b"
            }
        ],
        "latlng":[
            8,
            38
        ],
        "name":"Ethiopia",
        "nativeName":"\u12a2\u1275\u12ee\u1335\u12eb",
        "numericCode":"231",
        "population":92206005,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Eastern Africa",
        "timezones":[
            "+03:00"
        ],
        "topLevelDomain":[
            ".et"
        ],
        "translations":{
            "br":"Eti\u00f3pia",
            "de":"\u00c4thiopien",
            "es":"Etiop\u00eda",
            "fa":"\u0627\u062a\u06cc\u0648\u067e\u06cc",
            "fr":"\u00c9thiopie",
            "hr":"Etiopija",
            "it":"Etiopia",
            "ja":"\u30a8\u30c1\u30aa\u30d4\u30a2",
            "nl":"Ethiopi\u00eb",
            "pt":"Eti\u00f3pia",
            "hu":"Eti\u00f3pia"
        },
        "cioc":"ETH"
    },
    {
        "alpha2Code":"FK",
        "alpha3Code":"FLK",
        "altSpellings":[
            "FK",
            "Islas Malvinas"
        ],
        "area":12173,
        "borders":[
            
        ],
        "callingCodes":[
            "500"
        ],
        "capital":"Stanley",
        "currencies":[
            {
                "code":"FKP",
                "name":"Falkland Islands pound",
                "symbol":"\u00a3"
            }
        ],
        "demonym":"Falkland Islander",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/flk.svg",
            "https://restcountries.com/data/png/flk.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            -51.75,
            -59
        ],
        "name":"Falkland Islands (Malvinas)",
        "nativeName":"Falkland Islands",
        "numericCode":"238",
        "population":2563,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"USAN",
                "name":"Union of South American Nations",
                "otherAcronyms":[
                    "UNASUR",
                    "UNASUL",
                    "UZAN"
                ],
                "otherNames":[
                    "Uni\u00f3n de Naciones Suramericanas",
                    "Uni\u00e3o de Na\u00e7\u00f5es Sul-Americanas",
                    "Unie van Zuid-Amerikaanse Naties",
                    "South American Union"
                ]
            }
        ],
        "region":"South America",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".fk"
        ],
        "translations":{
            "br":"Ilhas Malvinas",
            "de":"Falklandinseln",
            "es":"Islas Malvinas",
            "fa":"\u062c\u0632\u0627\u06cc\u0631 \u0641\u0627\u0644\u06a9\u0644\u0646\u062f",
            "fr":"\u00celes Malouines",
            "hr":"Falklandski Otoci",
            "it":"Isole Falkland o Isole Malvine",
            "ja":"\u30d5\u30a9\u30fc\u30af\u30e9\u30f3\u30c9\uff08\u30de\u30eb\u30d3\u30ca\u30b9\uff09\u8af8\u5cf6",
            "nl":"Falklandeilanden [Islas Malvinas]",
            "pt":"Ilhas Falkland",
            "hu":"Falkland-szigetek"
        },
        "cioc":""
    },
    {
        "alpha2Code":"FO",
        "alpha3Code":"FRO",
        "altSpellings":[
            "FO",
            "F\u00f8royar",
            "F\u00e6r\u00f8erne"
        ],
        "area":1393,
        "borders":[
            
        ],
        "callingCodes":[
            "298"
        ],
        "capital":"T\u00f3rshavn",
        "currencies":[
            {
                "code":"DKK",
                "name":"Danish krone",
                "symbol":"kr"
            },
            {
                "code":"(none)",
                "name":"Faroese kr\u00f3na",
                "symbol":"kr"
            }
        ],
        "demonym":"Faroese",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/fro.svg",
            "https://restcountries.com/data/png/fro.png"
        ],
        "languages":[
            {
                "iso639_1":"fo",
                "iso639_2":"fao",
                "name":"Faroese",
                "nativeName":"f\u00f8royskt"
            }
        ],
        "latlng":[
            62,
            -7
        ],
        "name":"Faroe Islands",
        "nativeName":"F\u00f8royar",
        "numericCode":"234",
        "population":49376,
        "continent":"Europe",
        "regionalBlocs":[
            
        ],
        "region":"Northern Europe",
        "timezones":[
            "+00:00"
        ],
        "topLevelDomain":[
            ".fo"
        ],
        "translations":{
            "br":"Ilhas Faro\u00e9",
            "de":"F\u00e4r\u00f6er-Inseln",
            "es":"Islas Faroe",
            "fa":"\u062c\u0632\u0627\u06cc\u0631 \u0641\u0627\u0631\u0648",
            "fr":"\u00celes F\u00e9ro\u00e9",
            "hr":"Farski Otoci",
            "it":"Isole Far Oer",
            "ja":"\u30d5\u30a7\u30ed\u30fc\u8af8\u5cf6",
            "nl":"Faer\u00f6er",
            "pt":"Ilhas Faro\u00e9",
            "hu":"Fer\u00f6er"
        },
        "cioc":""
    },
    {
        "alpha2Code":"FJ",
        "alpha3Code":"FJI",
        "altSpellings":[
            "FJ",
            "Viti",
            "Republic of Fiji",
            "Matanitu ko Viti",
            "Fij\u012b Ga\u1e47ar\u0101jya"
        ],
        "area":18272,
        "borders":[
            
        ],
        "callingCodes":[
            "679"
        ],
        "capital":"Suva",
        "currencies":[
            {
                "code":"FJD",
                "name":"Fijian dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Fijian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/fji.svg",
            "https://restcountries.com/data/png/fji.png"
        ],
        "gini":42.8,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"fj",
                "iso639_2":"fij",
                "name":"Fijian",
                "nativeName":"vosa Vakaviti"
            },
            {
                "iso639_1":"",
                "iso639_2":"hif",
                "name":"Fiji Hindi",
                "nativeName":"\u092b\u093c\u093f\u091c\u0940 \u092c\u093e\u0924"
            },
            {
                "iso639_1":"",
                "iso639_2":"rtm",
                "name":"Rotuman",
                "nativeName":"F\u00e4eag Rotuma"
            }
        ],
        "latlng":[
            -18,
            175
        ],
        "name":"Fiji",
        "nativeName":"Fiji",
        "numericCode":"242",
        "population":867000,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Melanesia",
        "timezones":[
            "+12:00"
        ],
        "topLevelDomain":[
            ".fj"
        ],
        "translations":{
            "br":"Fiji",
            "de":"Fidschi",
            "es":"Fiyi",
            "fa":"\u0641\u06cc\u062c\u06cc",
            "fr":"Fidji",
            "hr":"Fi\u0111i",
            "it":"Figi",
            "ja":"\u30d5\u30a3\u30b8\u30fc",
            "nl":"Fiji",
            "pt":"Fiji",
            "hu":"Fidzsi-szigetek"
        },
        "cioc":"FIJ"
    },
    {
        "alpha2Code":"FI",
        "alpha3Code":"FIN",
        "altSpellings":[
            "FI",
            "Suomi",
            "Republic of Finland",
            "Suomen tasavalta",
            "Republiken Finland"
        ],
        "area":338424,
        "borders":[
            "NOR",
            "SWE",
            "RUS"
        ],
        "callingCodes":[
            "358"
        ],
        "capital":"Helsinki",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Finnish",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/fin.svg",
            "https://restcountries.com/data/png/fin.png"
        ],
        "gini":26.9,
        "languages":[
            {
                "iso639_1":"fi",
                "iso639_2":"fin",
                "name":"Finnish",
                "nativeName":"suomi"
            },
            {
                "iso639_1":"sv",
                "iso639_2":"swe",
                "name":"Swedish",
                "nativeName":"svenska"
            }
        ],
        "latlng":[
            64,
            26
        ],
        "name":"Finland",
        "nativeName":"Suomi",
        "numericCode":"246",
        "population":5491817,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Northern Europe",
        "timezones":[
            "+02:00"
        ],
        "topLevelDomain":[
            ".fi"
        ],
        "translations":{
            "br":"Finl\u00e2ndia",
            "de":"Finnland",
            "es":"Finlandia",
            "fa":"\u0641\u0646\u0644\u0627\u0646\u062f",
            "fr":"Finlande",
            "hr":"Finska",
            "it":"Finlandia",
            "ja":"\u30d5\u30a3\u30f3\u30e9\u30f3\u30c9",
            "nl":"Finland",
            "pt":"Finl\u00e2ndia",
            "hu":"Finnorsz\u00e1g"
        },
        "cioc":"FIN"
    },
    {
        "alpha2Code":"FR",
        "alpha3Code":"FRA",
        "altSpellings":[
            "FR",
            "French Republic",
            "R\u00e9publique fran\u00e7aise"
        ],
        "area":640679,
        "borders":[
            "AND",
            "BEL",
            "DEU",
            "ITA",
            "LUX",
            "MCO",
            "ESP",
            "CHE"
        ],
        "callingCodes":[
            "33"
        ],
        "capital":"Paris",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"French",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/fra.svg",
            "https://restcountries.com/data/png/fra.png"
        ],
        "gini":32.7,
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            46,
            2
        ],
        "name":"France",
        "nativeName":"France",
        "numericCode":"250",
        "population":66710000,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Western Europe",
        "timezones":[
            "-10:00",
            "-09:30",
            "-09:00",
            "-08:00",
            "-04:00",
            "-03:00",
            "+01:00",
            "+02:00",
            "+03:00",
            "+04:00",
            "+05:00",
            "+10:00",
            "+11:00",
            "+12:00"
        ],
        "topLevelDomain":[
            ".fr"
        ],
        "translations":{
            "br":"Fran\u00e7a",
            "de":"Frankreich",
            "es":"Francia",
            "fa":"\u0641\u0631\u0627\u0646\u0633\u0647",
            "fr":"France",
            "hr":"Francuska",
            "it":"Francia",
            "ja":"\u30d5\u30e9\u30f3\u30b9",
            "nl":"Frankrijk",
            "pt":"Fran\u00e7a",
            "hu":"Franciaorsz\u00e1g"
        },
        "cioc":"FRA"
    },
    {
        "alpha2Code":"GF",
        "alpha3Code":"GUF",
        "altSpellings":[
            "GF",
            "Guiana",
            "Guyane"
        ],
        "borders":[
            "BRA",
            "SUR"
        ],
        "callingCodes":[
            "594"
        ],
        "capital":"Cayenne",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/guf.svg",
            "https://restcountries.com/data/png/guf.png"
        ],
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            4,
            -53
        ],
        "name":"French Guiana",
        "nativeName":"Guyane fran\u00e7aise",
        "numericCode":"254",
        "population":254541,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"USAN",
                "name":"Union of South American Nations",
                "otherAcronyms":[
                    "UNASUR",
                    "UNASUL",
                    "UZAN"
                ],
                "otherNames":[
                    "Uni\u00f3n de Naciones Suramericanas",
                    "Uni\u00e3o de Na\u00e7\u00f5es Sul-Americanas",
                    "Unie van Zuid-Amerikaanse Naties",
                    "South American Union"
                ]
            },
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"South America",
        "timezones":[
            "-03:00"
        ],
        "topLevelDomain":[
            ".gf"
        ],
        "translations":{
            "br":"Guiana Francesa",
            "de":"Franz\u00f6sisch Guyana",
            "es":"Guayana Francesa",
            "fa":"\u06af\u0648\u06cc\u0627\u0646 \u0641\u0631\u0627\u0646\u0633\u0647",
            "fr":"Guayane",
            "hr":"Francuska Gvajana",
            "it":"Guyana francese",
            "ja":"\u30d5\u30e9\u30f3\u30b9\u9818\u30ae\u30a2\u30ca",
            "nl":"Frans-Guyana",
            "pt":"Guiana Francesa",
            "hu":"Francia Guyana"
        },
        "cioc":""
    },
    {
        "alpha2Code":"PF",
        "alpha3Code":"PYF",
        "altSpellings":[
            "PF",
            "Polyn\u00e9sie fran\u00e7aise",
            "French Polynesia",
            "P\u014dr\u012bnetia Far\u0101ni"
        ],
        "area":4167,
        "borders":[
            
        ],
        "callingCodes":[
            "689"
        ],
        "capital":"Papeet\u0113",
        "currencies":[
            {
                "code":"XPF",
                "name":"CFP franc",
                "symbol":"Fr"
            }
        ],
        "demonym":"French Polynesian",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/pyf.svg",
            "https://restcountries.com/data/png/pyf.png"
        ],
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            -15,
            -140
        ],
        "name":"French Polynesia",
        "nativeName":"Polyn\u00e9sie fran\u00e7aise",
        "numericCode":"258",
        "population":271800,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Polynesia",
        "timezones":[
            "-10:00",
            "-09:30",
            "-09:00"
        ],
        "topLevelDomain":[
            ".pf"
        ],
        "translations":{
            "br":"Polin\u00e9sia Francesa",
            "de":"Franz\u00f6sisch-Polynesien",
            "es":"Polinesia Francesa",
            "fa":"\u067e\u0644\u06cc\u200c\u0646\u0632\u06cc \u0641\u0631\u0627\u0646\u0633\u0647",
            "fr":"Polyn\u00e9sie fran\u00e7aise",
            "hr":"Francuska Polinezija",
            "it":"Polinesia Francese",
            "ja":"\u30d5\u30e9\u30f3\u30b9\u9818\u30dd\u30ea\u30cd\u30b7\u30a2",
            "nl":"Frans-Polynesi\u00eb",
            "pt":"Polin\u00e9sia Francesa",
            "hu":"Francia Polin\u00e9zia"
        },
        "cioc":""
    },
    {
        "alpha2Code":"TF",
        "alpha3Code":"ATF",
        "altSpellings":[
            "TF"
        ],
        "area":7747,
        "borders":[
            
        ],
        "callingCodes":[
            "262"
        ],
        "capital":"Port-aux-Fran\u00e7ais",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"French",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/atf.svg",
            "https://restcountries.com/data/png/atf.png"
        ],
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            -49.25,
            69.167
        ],
        "name":"French Southern Territories",
        "nativeName":"Territoire des Terres australes et antarctiques fran\u00e7aises",
        "numericCode":"260",
        "population":140,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Southern Africa",
        "timezones":[
            "+05:00"
        ],
        "topLevelDomain":[
            ".tf"
        ],
        "translations":{
            "br":"Terras Austrais e Ant\u00e1rticas Francesas",
            "de":"Franz\u00f6sische S\u00fcd- und Antarktisgebiete",
            "es":"Tierras Australes y Ant\u00e1rticas Francesas",
            "fa":"\u0633\u0631\u0632\u0645\u06cc\u0646\u200c\u0647\u0627\u06cc \u062c\u0646\u0648\u0628\u06cc \u0648 \u062c\u0646\u0648\u0628\u06af\u0627\u0646\u06cc \u0641\u0631\u0627\u0646\u0633\u0647",
            "fr":"Terres australes et antarctiques fran\u00e7aises",
            "hr":"Francuski ju\u017eni i antarkti\u010dki teritoriji",
            "it":"Territori Francesi del Sud",
            "ja":"\u30d5\u30e9\u30f3\u30b9\u9818\u5357\u65b9\u30fb\u5357\u6975\u5730\u57df",
            "nl":"Franse Gebieden in de zuidelijke Indische Oceaan",
            "pt":"Terras Austrais e Ant\u00e1rticas Francesas",
            "hu":"Francia d\u00e9li \u00e9s antarktiszi ter\u00fcletek"
        },
        "cioc":""
    },
    {
        "alpha2Code":"GA",
        "alpha3Code":"GAB",
        "altSpellings":[
            "GA",
            "Gabonese Republic",
            "R\u00e9publique Gabonaise"
        ],
        "area":267668,
        "borders":[
            "CMR",
            "COG",
            "GNQ"
        ],
        "callingCodes":[
            "241"
        ],
        "capital":"Libreville",
        "currencies":[
            {
                "code":"XAF",
                "name":"Central African CFA franc",
                "symbol":"Fr"
            }
        ],
        "demonym":"Gabonese",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/gab.svg",
            "https://restcountries.com/data/png/gab.png"
        ],
        "gini":41.5,
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            -1,
            11.75
        ],
        "name":"Gabon",
        "nativeName":"Gabon",
        "numericCode":"266",
        "population":1802278,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Middle Africa",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".ga"
        ],
        "translations":{
            "br":"Gab\u00e3o",
            "de":"Gabun",
            "es":"Gab\u00f3n",
            "fa":"\u06af\u0627\u0628\u0646",
            "fr":"Gabon",
            "hr":"Gabon",
            "it":"Gabon",
            "ja":"\u30ac\u30dc\u30f3",
            "nl":"Gabon",
            "pt":"Gab\u00e3o",
            "hu":"Gabon"
        },
        "cioc":"GAB"
    },
    {
        "alpha2Code":"GM",
        "alpha3Code":"GMB",
        "altSpellings":[
            "GM",
            "Republic of the Gambia"
        ],
        "area":11295,
        "borders":[
            "SEN"
        ],
        "callingCodes":[
            "220"
        ],
        "capital":"Banjul",
        "currencies":[
            {
                "code":"GMD",
                "name":"Gambian dalasi",
                "symbol":"D"
            }
        ],
        "demonym":"Gambian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/gmb.svg",
            "https://restcountries.com/data/png/gmb.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            13.46666666,
            -16.56666666
        ],
        "name":"Gambia",
        "nativeName":"Gambia",
        "numericCode":"270",
        "population":1882450,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Western Africa",
        "timezones":[
            "+00:00"
        ],
        "topLevelDomain":[
            ".gm"
        ],
        "translations":{
            "br":"G\u00e2mbia",
            "de":"Gambia",
            "es":"Gambia",
            "fa":"\u06af\u0627\u0645\u0628\u06cc\u0627",
            "fr":"Gambie",
            "hr":"Gambija",
            "it":"Gambia",
            "ja":"\u30ac\u30f3\u30d3\u30a2",
            "nl":"Gambia",
            "pt":"G\u00e2mbia",
            "hu":"Gambia"
        },
        "cioc":"GAM"
    },
    {
        "alpha2Code":"GE",
        "alpha3Code":"GEO",
        "altSpellings":[
            "GE",
            "Sakartvelo"
        ],
        "area":69700,
        "borders":[
            "ARM",
            "AZE",
            "RUS",
            "TUR"
        ],
        "callingCodes":[
            "995"
        ],
        "capital":"Tbilisi",
        "currencies":[
            {
                "code":"GEL",
                "name":"Georgian Lari",
                "symbol":"\u10da"
            }
        ],
        "demonym":"Georgian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/geo.svg",
            "https://restcountries.com/data/png/geo.png"
        ],
        "gini":41.3,
        "languages":[
            {
                "iso639_1":"ka",
                "iso639_2":"kat",
                "name":"Georgian",
                "nativeName":"\u10e5\u10d0\u10e0\u10d7\u10e3\u10da\u10d8"
            }
        ],
        "latlng":[
            42,
            43.5
        ],
        "name":"Georgia",
        "nativeName":"\u10e1\u10d0\u10e5\u10d0\u10e0\u10d7\u10d5\u10d4\u10da\u10dd",
        "numericCode":"268",
        "population":3720400,
        "continent":"Asia",
        "regionalBlocs":[
            
        ],
        "region":"Western Asia",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".ge"
        ],
        "translations":{
            "br":"Ge\u00f3rgia",
            "de":"Georgien",
            "es":"Georgia",
            "fa":"\u06af\u0631\u062c\u0633\u062a\u0627\u0646",
            "fr":"G\u00e9orgie",
            "hr":"Gruzija",
            "it":"Georgia",
            "ja":"\u30b0\u30eb\u30b8\u30a2",
            "nl":"Georgi\u00eb",
            "pt":"Ge\u00f3rgia",
            "hu":"Gr\u00fazia"
        },
        "cioc":"GEO"
    },
    {
        "alpha2Code":"DE",
        "alpha3Code":"DEU",
        "altSpellings":[
            "DE",
            "Federal Republic of Germany",
            "Bundesrepublik Deutschland"
        ],
        "area":357114,
        "borders":[
            "AUT",
            "BEL",
            "CZE",
            "DNK",
            "FRA",
            "LUX",
            "NLD",
            "POL",
            "CHE"
        ],
        "callingCodes":[
            "49"
        ],
        "capital":"Berlin",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"German",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/deu.svg",
            "https://restcountries.com/data/png/deu.png"
        ],
        "gini":28.3,
        "languages":[
            {
                "iso639_1":"de",
                "iso639_2":"deu",
                "name":"German",
                "nativeName":"Deutsch"
            }
        ],
        "latlng":[
            51,
            9
        ],
        "name":"Germany",
        "nativeName":"Deutschland",
        "numericCode":"276",
        "population":81770900,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Central Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".de"
        ],
        "translations":{
            "br":"Alemanha",
            "de":"Deutschland",
            "es":"Alemania",
            "fa":"\u0622\u0644\u0645\u0627\u0646",
            "fr":"Allemagne",
            "hr":"Njema\u010dka",
            "it":"Germania",
            "ja":"\u30c9\u30a4\u30c4",
            "nl":"Duitsland",
            "pt":"Alemanha",
            "hu":"Gr\u00fazia"
        },
        "cioc":"GER"
    },
    {
        "alpha2Code":"GH",
        "alpha3Code":"GHA",
        "altSpellings":[
            "GH"
        ],
        "area":238533,
        "borders":[
            "BFA",
            "CIV",
            "TGO"
        ],
        "callingCodes":[
            "233"
        ],
        "capital":"Accra",
        "currencies":[
            {
                "code":"GHS",
                "name":"Ghanaian cedi",
                "symbol":"\u20b5"
            }
        ],
        "demonym":"Ghanaian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/gha.svg",
            "https://restcountries.com/data/png/gha.png"
        ],
        "gini":42.8,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            8,
            -2
        ],
        "name":"Ghana",
        "nativeName":"Ghana",
        "numericCode":"288",
        "population":27670174,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Western Africa",
        "timezones":[
            ""
        ],
        "topLevelDomain":[
            ".gh"
        ],
        "translations":{
            "br":"Gana",
            "de":"Ghana",
            "es":"Ghana",
            "fa":"\u063a\u0646\u0627",
            "fr":"Ghana",
            "hr":"Gana",
            "it":"Ghana",
            "ja":"\u30ac\u30fc\u30ca",
            "nl":"Ghana",
            "pt":"Gana",
            "hu":"Gh\u00e1na"
        },
        "cioc":"GHA"
    },
    {
        "alpha2Code":"GI",
        "alpha3Code":"GIB",
        "altSpellings":[
            "GI"
        ],
        "area":6,
        "borders":[
            "ESP"
        ],
        "callingCodes":[
            "350"
        ],
        "capital":"Gibraltar",
        "currencies":[
            {
                "code":"GIP",
                "name":"Gibraltar pound",
                "symbol":"\u00a3"
            }
        ],
        "demonym":"Gibraltar",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/gib.svg",
            "https://restcountries.com/data/png/gib.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            36.13333333,
            -5.35
        ],
        "name":"Gibraltar",
        "nativeName":"Gibraltar",
        "numericCode":"292",
        "population":33140,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Southern Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".gi"
        ],
        "translations":{
            "br":"Gibraltar",
            "de":"Gibraltar",
            "es":"Gibraltar",
            "fa":"\u062c\u0628\u0644\u200c\u0637\u0627\u0631\u0642",
            "fr":"Gibraltar",
            "hr":"Gibraltar",
            "it":"Gibilterra",
            "ja":"\u30b8\u30d6\u30e9\u30eb\u30bf\u30eb",
            "nl":"Gibraltar",
            "pt":"Gibraltar",
            "hu":"Gibralt\u00e1r"
        },
        "cioc":""
    },
    {
        "alpha2Code":"GR",
        "alpha3Code":"GRC",
        "altSpellings":[
            "GR",
            "Ell\u00e1da",
            "Hellenic Republic",
            "\u0395\u03bb\u03bb\u03b7\u03bd\u03b9\u03ba\u03ae \u0394\u03b7\u03bc\u03bf\u03ba\u03c1\u03b1\u03c4\u03af\u03b1"
        ],
        "area":131990,
        "borders":[
            "ALB",
            "BGR",
            "TUR",
            "MKD"
        ],
        "callingCodes":[
            "30"
        ],
        "capital":"Athens",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Greek",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/grc.svg",
            "https://restcountries.com/data/png/grc.png"
        ],
        "gini":34.3,
        "languages":[
            {
                "iso639_1":"el",
                "iso639_2":"ell",
                "name":"Greek (modern)",
                "nativeName":"\u03b5\u03bb\u03bb\u03b7\u03bd\u03b9\u03ba\u03ac"
            }
        ],
        "latlng":[
            39,
            22
        ],
        "name":"Greece",
        "nativeName":"\u0395\u03bb\u03bb\u03ac\u03b4\u03b1",
        "numericCode":"300",
        "population":10858018,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Southern Europe",
        "timezones":[
            "+02:00"
        ],
        "topLevelDomain":[
            ".gr"
        ],
        "translations":{
            "br":"Gr\u00e9cia",
            "de":"Griechenland",
            "es":"Grecia",
            "fa":"\u06cc\u0648\u0646\u0627\u0646",
            "fr":"Gr\u00e8ce",
            "hr":"Gr\u010dka",
            "it":"Grecia",
            "ja":"\u30ae\u30ea\u30b7\u30e3",
            "nl":"Griekenland",
            "pt":"Gr\u00e9cia",
            "hu":"G\u00f6r\u00f6gorsz\u00e1g"
        },
        "cioc":"GRE"
    },
    {
        "alpha2Code":"GL",
        "alpha3Code":"GRL",
        "altSpellings":[
            "GL",
            "Gr\u00f8nland"
        ],
        "area":2166086,
        "borders":[
            
        ],
        "callingCodes":[
            "299"
        ],
        "capital":"Nuuk",
        "currencies":[
            {
                "code":"DKK",
                "name":"Danish krone",
                "symbol":"kr"
            }
        ],
        "demonym":"Greenlandic",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/grl.svg",
            "https://restcountries.com/data/png/grl.png"
        ],
        "languages":[
            {
                "iso639_1":"kl",
                "iso639_2":"kal",
                "name":"Kalaallisut",
                "nativeName":"kalaallisut"
            }
        ],
        "latlng":[
            72,
            -40
        ],
        "name":"Greenland",
        "nativeName":"Kalaallit Nunaat",
        "numericCode":"304",
        "population":55847,
        "continent":"Americas",
        "regionalBlocs":[
            
        ],
        "region":"Northern America",
        "timezones":[
            "-04:00",
            "-03:00",
            "-01:00",
            "+00:00"
        ],
        "topLevelDomain":[
            ".gl"
        ],
        "translations":{
            "br":"Groel\u00e2ndia",
            "de":"Gr\u00f6nland",
            "es":"Groenlandia",
            "fa":"\u06af\u0631\u06cc\u0646\u0644\u0646\u062f",
            "fr":"Groenland",
            "hr":"Grenland",
            "it":"Groenlandia",
            "ja":"\u30b0\u30ea\u30fc\u30f3\u30e9\u30f3\u30c9",
            "nl":"Groenland",
            "pt":"Gronel\u00e2ndia",
            "hu":"Gr\u00f6nland"
        },
        "cioc":""
    },
    {
        "alpha2Code":"GD",
        "alpha3Code":"GRD",
        "altSpellings":[
            "GD"
        ],
        "area":344,
        "borders":[
            
        ],
        "callingCodes":[
            "1"
        ],
        "capital":"St. George's",
        "currencies":[
            {
                "code":"XCD",
                "name":"East Caribbean dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Grenadian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/grd.svg",
            "https://restcountries.com/data/png/grd.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            12.11666666,
            -61.66666666
        ],
        "name":"Grenada",
        "nativeName":"Grenada",
        "numericCode":"308",
        "population":103328,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"CARICOM",
                "name":"Caribbean Community",
                "otherNames":[
                    "Comunidad del Caribe",
                    "Communaut\u00e9 Carib\u00e9enne",
                    "Caribische Gemeenschap"
                ]
            }
        ],
        "region":"Caribbean",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".gd"
        ],
        "translations":{
            "br":"Granada",
            "de":"Grenada",
            "es":"Grenada",
            "fa":"\u06af\u0631\u0646\u0627\u062f\u0627",
            "fr":"Grenade",
            "hr":"Grenada",
            "it":"Grenada",
            "ja":"\u30b0\u30ec\u30ca\u30c0",
            "nl":"Grenada",
            "pt":"Granada",
            "hu":"Grenada"
        },
        "cioc":"GRN"
    },
    {
        "alpha2Code":"GP",
        "alpha3Code":"GLP",
        "altSpellings":[
            "GP",
            "Gwadloup"
        ],
        "borders":[
            
        ],
        "callingCodes":[
            "590"
        ],
        "capital":"Basse-Terre",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Guadeloupian",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/glp.svg",
            "https://restcountries.com/data/png/glp.png"
        ],
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            16.25,
            -61.583333
        ],
        "name":"Guadeloupe",
        "nativeName":"Guadeloupe",
        "numericCode":"312",
        "population":400132,
        "continent":"Americas",
        "regionalBlocs":[
            
        ],
        "region":"Caribbean",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".gp"
        ],
        "translations":{
            "br":"Guadalupe",
            "de":"Guadeloupe",
            "es":"Guadalupe",
            "fa":"\u062c\u0632\u06cc\u0631\u0647 \u06af\u0648\u0627\u062f\u0644\u0648\u067e",
            "fr":"Guadeloupe",
            "hr":"Gvadalupa",
            "it":"Guadeloupa",
            "ja":"\u30b0\u30a2\u30c9\u30eb\u30fc\u30d7",
            "nl":"Guadeloupe",
            "pt":"Guadalupe",
            "hu":"Guadeloupe"
        },
        "cioc":""
    },
    {
        "alpha2Code":"GU",
        "alpha3Code":"GUM",
        "altSpellings":[
            "GU",
            "Gu\u00e5h\u00e5n"
        ],
        "area":549,
        "borders":[
            
        ],
        "callingCodes":[
            "1"
        ],
        "capital":"Hag\u00e5t\u00f1a",
        "currencies":[
            {
                "code":"USD",
                "name":"United States dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Guamanian",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/gum.svg",
            "https://restcountries.com/data/png/gum.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"ch",
                "iso639_2":"cha",
                "name":"Chamorro",
                "nativeName":"Chamoru"
            },
            {
                "iso639_1":"es",
                "iso639_2":"spa",
                "name":"Spanish",
                "nativeName":"Espa\u00f1ol"
            }
        ],
        "latlng":[
            13.46666666,
            144.78333333
        ],
        "name":"Guam",
        "nativeName":"Guam",
        "numericCode":"316",
        "population":184200,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Micronesia",
        "timezones":[
            "+10:00"
        ],
        "topLevelDomain":[
            ".gu"
        ],
        "translations":{
            "br":"Guam",
            "de":"Guam",
            "es":"Guam",
            "fa":"\u06af\u0648\u0627\u0645",
            "fr":"Guam",
            "hr":"Guam",
            "it":"Guam",
            "ja":"\u30b0\u30a2\u30e0",
            "nl":"Guam",
            "pt":"Guame",
            "hu":"Guam"
        },
        "cioc":"GUM"
    },
    {
        "alpha2Code":"GT",
        "alpha3Code":"GTM",
        "altSpellings":[
            "GT"
        ],
        "area":108889,
        "borders":[
            "BLZ",
            "SLV",
            "HND",
            "MEX"
        ],
        "callingCodes":[
            "502"
        ],
        "capital":"Guatemala City",
        "currencies":[
            {
                "code":"GTQ",
                "name":"Guatemalan quetzal",
                "symbol":"Q"
            }
        ],
        "demonym":"Guatemalan",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/gtm.svg",
            "https://restcountries.com/data/png/gtm.png"
        ],
        "gini":55.9,
        "languages":[
            {
                "iso639_1":"es",
                "iso639_2":"spa",
                "name":"Spanish",
                "nativeName":"Espa\u00f1ol"
            }
        ],
        "latlng":[
            15.5,
            -90.25
        ],
        "name":"Guatemala",
        "nativeName":"Guatemala",
        "numericCode":"320",
        "population":16176133,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"CAIS",
                "name":"Central American Integration System",
                "otherAcronyms":[
                    "SICA"
                ],
                "otherNames":[
                    "Sistema de la Integraci\u00f3n Centroamericana,"
                ]
            }
        ],
        "region":"Central America",
        "timezones":[
            "-06:00"
        ],
        "topLevelDomain":[
            ".gt"
        ],
        "translations":{
            "br":"Guatemala",
            "de":"Guatemala",
            "es":"Guatemala",
            "fa":"\u06af\u0648\u0627\u062a\u0645\u0627\u0644\u0627",
            "fr":"Guatemala",
            "hr":"Gvatemala",
            "it":"Guatemala",
            "ja":"\u30b0\u30a2\u30c6\u30de\u30e9",
            "nl":"Guatemala",
            "pt":"Guatemala",
            "hu":"Guatemala"
        },
        "cioc":"GUA"
    },
    {
        "alpha2Code":"GG",
        "alpha3Code":"GGY",
        "altSpellings":[
            "GG",
            "Bailiwick of Guernsey",
            "Bailliage de Guernesey"
        ],
        "area":78,
        "borders":[
            
        ],
        "callingCodes":[
            "44"
        ],
        "capital":"St. Peter Port",
        "currencies":[
            {
                "code":"GBP",
                "name":"British pound",
                "symbol":"\u00a3"
            },
            {
                "code":"(none)",
                "name":"Guernsey pound",
                "symbol":"\u00a3"
            }
        ],
        "demonym":"Channel Islander",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/ggy.svg",
            "https://restcountries.com/data/png/ggy.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            49.46666666,
            -2.58333333
        ],
        "name":"Guernsey",
        "nativeName":"Guernsey",
        "numericCode":"831",
        "population":62999,
        "continent":"Europe",
        "regionalBlocs":[
            
        ],
        "region":"Northern Europe",
        "timezones":[
            "+00:00"
        ],
        "topLevelDomain":[
            ".gg"
        ],
        "translations":{
            "br":"Guernsey",
            "de":"Guernsey",
            "es":"Guernsey",
            "fa":"\u06af\u0631\u0646\u0632\u06cc",
            "fr":"Guernesey",
            "hr":"Guernsey",
            "it":"Guernsey",
            "ja":"\u30ac\u30fc\u30f3\u30b8\u30fc",
            "nl":"Guernsey",
            "pt":"Guernsey",
            "hu":"Guernsey"
        },
        "cioc":""
    },
    {
        "alpha2Code":"GN",
        "alpha3Code":"GIN",
        "altSpellings":[
            "GN",
            "Republic of Guinea",
            "R\u00e9publique de Guin\u00e9e"
        ],
        "area":245857,
        "borders":[
            "CIV",
            "GNB",
            "LBR",
            "MLI",
            "SEN",
            "SLE"
        ],
        "callingCodes":[
            "224"
        ],
        "capital":"Conakry",
        "currencies":[
            {
                "code":"GNF",
                "name":"Guinean franc",
                "symbol":"Fr"
            }
        ],
        "demonym":"Guinean",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/gin.svg",
            "https://restcountries.com/data/png/gin.png"
        ],
        "gini":39.4,
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            },
            {
                "iso639_1":"ff",
                "iso639_2":"ful",
                "name":"Fula",
                "nativeName":"Fulfulde"
            }
        ],
        "latlng":[
            11,
            -10
        ],
        "name":"Guinea",
        "nativeName":"Guin\u00e9e",
        "numericCode":"324",
        "population":12947000,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Western Africa",
        "timezones":[
            ""
        ],
        "topLevelDomain":[
            ".gn"
        ],
        "translations":{
            "br":"Guin\u00e9",
            "de":"Guinea",
            "es":"Guinea",
            "fa":"\u06af\u06cc\u0646\u0647",
            "fr":"Guin\u00e9e",
            "hr":"Gvineja",
            "it":"Guinea",
            "ja":"\u30ae\u30cb\u30a2",
            "nl":"Guinee",
            "pt":"Guin\u00e9",
            "hu":"Guinea"
        },
        "cioc":"GUI"
    },
    {
        "alpha2Code":"GW",
        "alpha3Code":"GNB",
        "altSpellings":[
            "GW",
            "Republic of Guinea-Bissau",
            "Rep\u00fablica da Guin\u00e9-Bissau"
        ],
        "area":36125,
        "borders":[
            "GIN",
            "SEN"
        ],
        "callingCodes":[
            "245"
        ],
        "capital":"Bissau",
        "currencies":[
            {
                "code":"XOF",
                "name":"West African CFA franc",
                "symbol":"Fr"
            }
        ],
        "demonym":"Guinea-Bissauan",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/gnb.svg",
            "https://restcountries.com/data/png/gnb.png"
        ],
        "gini":35.5,
        "languages":[
            {
                "iso639_1":"pt",
                "iso639_2":"por",
                "name":"Portuguese",
                "nativeName":"Portugu\u00eas"
            }
        ],
        "latlng":[
            12,
            -15
        ],
        "name":"Guinea-Bissau",
        "nativeName":"Guin\u00e9-Bissau",
        "numericCode":"624",
        "population":1547777,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Western Africa",
        "timezones":[
            ""
        ],
        "topLevelDomain":[
            ".gw"
        ],
        "translations":{
            "br":"Guin\u00e9-Bissau",
            "de":"Guinea-Bissau",
            "es":"Guinea-Bis\u00e1u",
            "fa":"\u06af\u06cc\u0646\u0647 \u0628\u06cc\u0633\u0627\u0626\u0648",
            "fr":"Guin\u00e9e-Bissau",
            "hr":"Gvineja Bisau",
            "it":"Guinea-Bissau",
            "ja":"\u30ae\u30cb\u30a2\u30d3\u30b5\u30a6",
            "nl":"Guinee-Bissau",
            "pt":"Guin\u00e9-Bissau",
            "hu":"Bissau-Guinea"
        },
        "cioc":"GBS"
    },
    {
        "alpha2Code":"GY",
        "alpha3Code":"GUY",
        "altSpellings":[
            "GY",
            "Co-operative Republic of Guyana"
        ],
        "area":214969,
        "borders":[
            "BRA",
            "SUR",
            "VEN"
        ],
        "callingCodes":[
            "592"
        ],
        "capital":"Georgetown",
        "currencies":[
            {
                "code":"GYD",
                "name":"Guyanese dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Guyanese",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/guy.svg",
            "https://restcountries.com/data/png/guy.png"
        ],
        "gini":44.5,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            5,
            -59
        ],
        "name":"Guyana",
        "nativeName":"Guyana",
        "numericCode":"328",
        "population":746900,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"CARICOM",
                "name":"Caribbean Community",
                "otherNames":[
                    "Comunidad del Caribe",
                    "Communaut\u00e9 Carib\u00e9enne",
                    "Caribische Gemeenschap"
                ]
            },
            {
                "acronym":"USAN",
                "name":"Union of South American Nations",
                "otherAcronyms":[
                    "UNASUR",
                    "UNASUL",
                    "UZAN"
                ],
                "otherNames":[
                    "Uni\u00f3n de Naciones Suramericanas",
                    "Uni\u00e3o de Na\u00e7\u00f5es Sul-Americanas",
                    "Unie van Zuid-Amerikaanse Naties",
                    "South American Union"
                ]
            }
        ],
        "region":"South America",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".gy"
        ],
        "translations":{
            "br":"Guiana",
            "de":"Guyana",
            "es":"Guyana",
            "fa":"\u06af\u0648\u06cc\u0627\u0646",
            "fr":"Guyane",
            "hr":"Gvajana",
            "it":"Guyana",
            "ja":"\u30ac\u30a4\u30a2\u30ca",
            "nl":"Guyana",
            "pt":"Guiana",
            "hu":"Guyana"
        },
        "cioc":"GUY"
    },
    {
        "alpha2Code":"HT",
        "alpha3Code":"HTI",
        "altSpellings":[
            "HT",
            "Republic of Haiti",
            "R\u00e9publique d'Ha\u00efti",
            "Repiblik Ayiti"
        ],
        "area":27750,
        "borders":[
            "DOM"
        ],
        "callingCodes":[
            "509"
        ],
        "capital":"Port-au-Prince",
        "currencies":[
            {
                "code":"HTG",
                "name":"Haitian gourde",
                "symbol":"G"
            }
        ],
        "demonym":"Haitian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/hti.svg",
            "https://restcountries.com/data/png/hti.png"
        ],
        "gini":59.2,
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            },
            {
                "iso639_1":"ht",
                "iso639_2":"hat",
                "name":"Haitian",
                "nativeName":"Krey\u00f2l ayisyen"
            }
        ],
        "latlng":[
            19,
            -72.41666666
        ],
        "name":"Haiti",
        "nativeName":"Ha\u00efti",
        "numericCode":"332",
        "population":11078033,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"CARICOM",
                "name":"Caribbean Community",
                "otherNames":[
                    "Comunidad del Caribe",
                    "Communaut\u00e9 Carib\u00e9enne",
                    "Caribische Gemeenschap"
                ]
            }
        ],
        "region":"Caribbean",
        "timezones":[
            "-05:00"
        ],
        "topLevelDomain":[
            ".ht"
        ],
        "translations":{
            "br":"Haiti",
            "de":"Haiti",
            "es":"Haiti",
            "fa":"\u0647\u0627\u0626\u06cc\u062a\u06cc",
            "fr":"Ha\u00efti",
            "hr":"Haiti",
            "it":"Haiti",
            "ja":"\u30cf\u30a4\u30c1",
            "nl":"Ha\u00efti",
            "pt":"Haiti",
            "hu":"Haiti"
        },
        "cioc":"HAI"
    },
    {
        "alpha2Code":"HM",
        "alpha3Code":"HMD",
        "altSpellings":[
            "HM"
        ],
        "area":412,
        "borders":[
            
        ],
        "callingCodes":[
            "672"
        ],
        "capital":"",
        "currencies":[
            {
                "code":"AUD",
                "name":"Australian dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Heard and McDonald Islander",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/hmd.svg",
            "https://restcountries.com/data/png/hmd.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            -53.1,
            72.51666666
        ],
        "name":"Heard Island and McDonald Islands",
        "nativeName":"Heard Island and McDonald Islands",
        "numericCode":"334",
        "population":0,
        "continent":"",
        "regionalBlocs":[
            
        ],
        "region":"",
        "timezones":[
            "+05:00"
        ],
        "topLevelDomain":[
            ".hm",
            ".aq"
        ],
        "translations":{
            "br":"Ilha Heard e Ilhas McDonald",
            "de":"Heard und die McDonaldinseln",
            "es":"Islas Heard y McDonald",
            "fa":"\u062c\u0632\u06cc\u0631\u0647 \u0647\u0631\u062f \u0648 \u062c\u0632\u0627\u06cc\u0631 \u0645\u06a9\u200c\u062f\u0648\u0646\u0627\u0644\u062f",
            "fr":"\u00celes Heard-et-MacDonald",
            "hr":"Otok Heard i oto\u010dje McDonald",
            "it":"Isole Heard e McDonald",
            "ja":"\u30cf\u30fc\u30c9\u5cf6\u3068\u30de\u30af\u30c9\u30ca\u30eb\u30c9\u8af8\u5cf6",
            "nl":"Heard- en McDonaldeilanden",
            "pt":"Ilha Heard e Ilhas McDonald",
            "hu":"Heard-sziget \u00e9s McDonald-szigetek"
        },
        "cioc":""
    },
    {
        "alpha2Code":"VA",
        "alpha3Code":"VAT",
        "altSpellings":[
            "Vatican",
            "The Vatican"
        ],
        "area":0.44,
        "borders":[
            "ITA"
        ],
        "callingCodes":[
            "379"
        ],
        "capital":"Rome",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Vatican",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/vat.svg",
            "https://restcountries.com/data/png/vat.png"
        ],
        "gini":null,
        "languages":[
            {
                "iso639_1":"la",
                "iso639_2":"lat",
                "name":"Latin",
                "nativeName":"latine"
            },
            {
                "iso639_1":"it",
                "iso639_2":"ita",
                "name":"Italian",
                "nativeName":"Italiano"
            },
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"Fran\u00e7ais"
            },
            {
                "iso639_1":"de",
                "iso639_2":"deu",
                "name":"German",
                "nativeName":"Deutsch"
            }
        ],
        "latlng":[
            41.9,
            12.45
        ],
        "name":"Vatican City",
        "nativeName":"Status Civitatis Vaticanae",
        "numericCode":"336",
        "population":451,
        "continent":"Europe",
        "regionalBlocs":[
            
        ],
        "region":"Southern Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".va"
        ],
        "translations":{
            "br":"Vaticano",
            "de":"Heiliger Stuhl",
            "es":"Santa Sede",
            "fa":"\u0633\u0631\u06cc\u0631 \u0645\u0642\u062f\u0633",
            "fr":"voir Saint",
            "hr":"Sveta Stolica",
            "it":"Santa Sede",
            "ja":"\u8056\u5ea7",
            "nl":"Heilige Stoel",
            "pt":"Vaticano",
            "hu":"Vatik\u00e1n"
        },
        "cioc":""
    },
    {
        "alpha2Code":"HN",
        "alpha3Code":"HND",
        "altSpellings":[
            "HN",
            "Republic of Honduras",
            "Rep\u00fablica de Honduras"
        ],
        "area":112492,
        "borders":[
            "GTM",
            "SLV",
            "NIC"
        ],
        "callingCodes":[
            "504"
        ],
        "capital":"Tegucigalpa",
        "currencies":[
            {
                "code":"HNL",
                "name":"Honduran lempira",
                "symbol":"L"
            }
        ],
        "demonym":"Honduran",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/hnd.svg",
            "https://restcountries.com/data/png/hnd.png"
        ],
        "gini":57,
        "languages":[
            {
                "iso639_1":"es",
                "iso639_2":"spa",
                "name":"Spanish",
                "nativeName":"Espa\u00f1ol"
            }
        ],
        "latlng":[
            15,
            -86.5
        ],
        "name":"Honduras",
        "nativeName":"Honduras",
        "numericCode":"340",
        "population":8576532,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"CAIS",
                "name":"Central American Integration System",
                "otherAcronyms":[
                    "SICA"
                ],
                "otherNames":[
                    "Sistema de la Integraci\u00f3n Centroamericana,"
                ]
            }
        ],
        "region":"Central America",
        "timezones":[
            "-06:00"
        ],
        "topLevelDomain":[
            ".hn"
        ],
        "translations":{
            "br":"Honduras",
            "de":"Honduras",
            "es":"Honduras",
            "fa":"\u0647\u0646\u062f\u0648\u0631\u0627\u0633",
            "fr":"Honduras",
            "hr":"Honduras",
            "it":"Honduras",
            "ja":"\u30db\u30f3\u30b8\u30e5\u30e9\u30b9",
            "nl":"Honduras",
            "pt":"Honduras",
            "hu":"Honduras"
        },
        "cioc":"HON"
    },
    {
        "alpha2Code":"HU",
        "alpha3Code":"HUN",
        "altSpellings":[
            "HU"
        ],
        "area":93028,
        "borders":[
            "AUT",
            "HRV",
            "ROU",
            "SRB",
            "SVK",
            "SVN",
            "UKR"
        ],
        "callingCodes":[
            "36"
        ],
        "capital":"Budapest",
        "currencies":[
            {
                "code":"HUF",
                "name":"Hungarian forint",
                "symbol":"Ft"
            }
        ],
        "demonym":"Hungarian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/hun.svg",
            "https://restcountries.com/data/png/hun.png"
        ],
        "gini":31.2,
        "languages":[
            {
                "iso639_1":"hu",
                "iso639_2":"hun",
                "name":"Hungarian",
                "nativeName":"magyar"
            }
        ],
        "latlng":[
            47,
            20
        ],
        "name":"Hungary",
        "nativeName":"Magyarorsz\u00e1g",
        "numericCode":"348",
        "population":9823000,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Central Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".hu"
        ],
        "translations":{
            "br":"Hungria",
            "de":"Ungarn",
            "es":"Hungr\u00eda",
            "fa":"\u0645\u062c\u0627\u0631\u0633\u062a\u0627\u0646",
            "fr":"Hongrie",
            "hr":"Ma\u0111arska",
            "it":"Ungheria",
            "ja":"\u30cf\u30f3\u30ac\u30ea\u30fc",
            "nl":"Hongarije",
            "pt":"Hungria",
            "hu":"Magyarorsz\u00e1g"
        },
        "cioc":"HUN"
    },
    {
        "alpha2Code":"IS",
        "alpha3Code":"ISL",
        "altSpellings":[
            "IS",
            "Island",
            "Republic of Iceland",
            "L\u00fd\u00f0veldi\u00f0 \u00cdsland"
        ],
        "area":103000,
        "borders":[
            
        ],
        "callingCodes":[
            "354"
        ],
        "capital":"Reykjav\u00edk",
        "currencies":[
            {
                "code":"ISK",
                "name":"Icelandic kr\u00f3na",
                "symbol":"kr"
            }
        ],
        "demonym":"Icelander",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/isl.svg",
            "https://restcountries.com/data/png/isl.png"
        ],
        "gini":28,
        "languages":[
            {
                "iso639_1":"is",
                "iso639_2":"isl",
                "name":"Icelandic",
                "nativeName":"\u00cdslenska"
            }
        ],
        "latlng":[
            65,
            -18
        ],
        "name":"Iceland",
        "nativeName":"\u00cdsland",
        "numericCode":"352",
        "population":334300,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EFTA",
                "name":"European Free Trade Association"
            }
        ],
        "region":"Northern Europe",
        "timezones":[
            ""
        ],
        "topLevelDomain":[
            ".is"
        ],
        "translations":{
            "br":"Isl\u00e2ndia",
            "de":"Island",
            "es":"Islandia",
            "fa":"\u0627\u06cc\u0633\u0644\u0646\u062f",
            "fr":"Islande",
            "hr":"Island",
            "it":"Islanda",
            "ja":"\u30a2\u30a4\u30b9\u30e9\u30f3\u30c9",
            "nl":"IJsland",
            "pt":"Isl\u00e2ndia",
            "hu":"Izland"
        },
        "cioc":"ISL"
    },
    {
        "alpha2Code":"IN",
        "alpha3Code":"IND",
        "altSpellings":[
            "IN",
            "Bh\u0101rat",
            "Republic of India",
            "Bharat Ganrajya"
        ],
        "area":3287590,
        "borders":[
            "AFG",
            "BGD",
            "BTN",
            "MMR",
            "CHN",
            "NPL",
            "PAK",
            "LKA"
        ],
        "callingCodes":[
            "91"
        ],
        "capital":"New Delhi",
        "currencies":[
            {
                "code":"INR",
                "name":"Indian rupee",
                "symbol":"\u20b9"
            }
        ],
        "demonym":"Indian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/ind.svg",
            "https://restcountries.com/data/png/ind.png"
        ],
        "gini":33.4,
        "languages":[
            {
                "iso639_1":"hi",
                "iso639_2":"hin",
                "name":"Hindi",
                "nativeName":"\u0939\u093f\u0928\u094d\u0926\u0940"
            },
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            20,
            77
        ],
        "name":"India",
        "nativeName":"\u092d\u093e\u0930\u0924",
        "numericCode":"356",
        "population":1378712489,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"SAARC",
                "name":"South Asian Association for Regional Cooperation"
            }
        ],
        "region":"Southern Asia",
        "timezones":[
            "+05:30"
        ],
        "topLevelDomain":[
            ".in"
        ],
        "translations":{
            "br":"\u00cdndia",
            "de":"Indien",
            "es":"India",
            "fa":"\u0647\u0646\u062f",
            "fr":"Inde",
            "hr":"Indija",
            "it":"India",
            "ja":"\u30a4\u30f3\u30c9",
            "nl":"India",
            "pt":"\u00cdndia",
            "hu":"India"
        },
        "cioc":"IND"
    },
    {
        "alpha2Code":"ID",
        "alpha3Code":"IDN",
        "altSpellings":[
            "ID",
            "Republic of Indonesia",
            "Republik Indonesia"
        ],
        "area":1904569,
        "borders":[
            "TLS",
            "MYS",
            "PNG"
        ],
        "callingCodes":[
            "62"
        ],
        "capital":"Jakarta",
        "currencies":[
            {
                "code":"IDR",
                "name":"Indonesian rupiah",
                "symbol":"Rp"
            }
        ],
        "demonym":"Indonesian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/idn.svg",
            "https://restcountries.com/data/png/idn.png"
        ],
        "gini":34,
        "languages":[
            {
                "iso639_1":"id",
                "iso639_2":"ind",
                "name":"Indonesian",
                "nativeName":"Bahasa Indonesia"
            }
        ],
        "latlng":[
            -5,
            120
        ],
        "name":"Indonesia",
        "nativeName":"Indonesia",
        "numericCode":"360",
        "population":258705000,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"ASEAN",
                "name":"Association of Southeast Asian Nations"
            }
        ],
        "region":"South-Eastern Asia",
        "timezones":[
            "+07:00",
            "+08:00",
            "+09:00"
        ],
        "topLevelDomain":[
            ".id"
        ],
        "translations":{
            "br":"Indon\u00e9sia",
            "de":"Indonesien",
            "es":"Indonesia",
            "fa":"\u0627\u0646\u062f\u0648\u0646\u0632\u06cc",
            "fr":"Indon\u00e9sie",
            "hr":"Indonezija",
            "it":"Indonesia",
            "ja":"\u30a4\u30f3\u30c9\u30cd\u30b7\u30a2",
            "nl":"Indonesi\u00eb",
            "pt":"Indon\u00e9sia",
            "hu":"Indon\u00e9zia"
        },
        "cioc":"INA"
    },
    {
        "alpha2Code":"CI",
        "alpha3Code":"CIV",
        "altSpellings":[
            "CI",
            "Ivory Coast",
            "Republic of C\u00f4te d'Ivoire",
            "R\u00e9publique de C\u00f4te d'Ivoire"
        ],
        "area":322463,
        "borders":[
            "BFA",
            "GHA",
            "GIN",
            "LBR",
            "MLI"
        ],
        "callingCodes":[
            "225"
        ],
        "capital":"Yamoussoukro",
        "currencies":[
            {
                "code":"XOF",
                "name":"West African CFA franc",
                "symbol":"Fr"
            }
        ],
        "demonym":"Ivorian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/civ.svg",
            "https://restcountries.com/data/png/civ.png"
        ],
        "gini":41.5,
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            8,
            -5
        ],
        "name":"Ivory Coast",
        "nativeName":"C\u00f4te d'Ivoire",
        "numericCode":"384",
        "population":22671331,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Western Africa",
        "timezones":[
            ""
        ],
        "topLevelDomain":[
            ".ci"
        ],
        "translations":{
            "br":"Costa do Marfim",
            "de":"Elfenbeink\u00fcste",
            "es":"Costa de Marfil",
            "fa":"\u0633\u0627\u062d\u0644 \u0639\u0627\u062c",
            "fr":"C\u00f4te d'Ivoire",
            "hr":"Obala Bjelokosti",
            "it":"Costa D'Avorio",
            "ja":"\u30b3\u30fc\u30c8\u30b8\u30dc\u30ef\u30fc\u30eb",
            "nl":"Ivoorkust",
            "pt":"Costa do Marfim",
            "hu":"Elef\u00e1ntcsontpart"
        },
        "cioc":"CIV"
    },
    {
        "alpha2Code":"IR",
        "alpha3Code":"IRN",
        "altSpellings":[
            "IR",
            "Islamic Republic of Iran",
            "Jomhuri-ye Esl\u0101mi-ye Ir\u0101n"
        ],
        "area":1648195,
        "borders":[
            "AFG",
            "ARM",
            "AZE",
            "IRQ",
            "PAK",
            "TUR",
            "TKM"
        ],
        "callingCodes":[
            "98"
        ],
        "capital":"Tehran",
        "currencies":[
            {
                "code":"IRR",
                "name":"Iranian rial",
                "symbol":"\ufdfc"
            }
        ],
        "demonym":"Iranian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/irn.svg",
            "https://restcountries.com/data/png/irn.png"
        ],
        "gini":38.3,
        "languages":[
            {
                "iso639_1":"fa",
                "iso639_2":"fas",
                "name":"Persian (Farsi)",
                "nativeName":"\u0641\u0627\u0631\u0633\u06cc"
            }
        ],
        "latlng":[
            32,
            53
        ],
        "name":"Iran (Islamic Republic of)",
        "nativeName":"\u0627\u06cc\u0631\u0627\u0646",
        "numericCode":"364",
        "population":79369900,
        "continent":"Asia",
        "regionalBlocs":[
            
        ],
        "region":"Southern Asia",
        "timezones":[
            "+03:30"
        ],
        "topLevelDomain":[
            ".ir"
        ],
        "translations":{
            "br":"Ir\u00e3",
            "de":"Iran",
            "es":"Iran",
            "fa":"\u0627\u06cc\u0631\u0627\u0646",
            "fr":"Iran",
            "hr":"Iran",
            "ja":"\u30a4\u30e9\u30f3\u30fb\u30a4\u30b9\u30e9\u30e0\u5171\u548c\u56fd",
            "nl":"Iran",
            "pt":"Ir\u00e3o",
            "hu":"Ir\u00e1n"
        },
        "cioc":"IRI"
    },
    {
        "alpha2Code":"IQ",
        "alpha3Code":"IRQ",
        "altSpellings":[
            "IQ",
            "Republic of Iraq",
            "Jumh\u016briyyat al-\u2018Ir\u0101q"
        ],
        "area":438317,
        "borders":[
            "IRN",
            "JOR",
            "KWT",
            "SAU",
            "SYR",
            "TUR"
        ],
        "callingCodes":[
            "964"
        ],
        "capital":"Baghdad",
        "currencies":[
            {
                "code":"IQD",
                "name":"Iraqi dinar",
                "symbol":"\u0639.\u062f"
            }
        ],
        "demonym":"Iraqi",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/irq.svg",
            "https://restcountries.com/data/png/irq.png"
        ],
        "gini":30.9,
        "languages":[
            {
                "iso639_1":"ar",
                "iso639_2":"ara",
                "name":"Arabic",
                "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
            },
            {
                "iso639_1":"ku",
                "iso639_2":"kur",
                "name":"Kurdish",
                "nativeName":"Kurd\u00ee"
            }
        ],
        "latlng":[
            33,
            44
        ],
        "name":"Iraq",
        "nativeName":"\u0627\u0644\u0639\u0631\u0627\u0642",
        "numericCode":"368",
        "population":37883543,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"AL",
                "name":"Arab League",
                "otherNames":[
                    "\u062c\u0627\u0645\u0639\u0629 \u0627\u0644\u062f\u0648\u0644 \u0627\u0644\u0639\u0631\u0628\u064a\u0629",
                    "J\u0101mi\u02bbat ad-Duwal al-\u02bbArab\u012byah",
                    "League of Arab States"
                ]
            }
        ],
        "region":"Western Asia",
        "timezones":[
            "+03:00"
        ],
        "topLevelDomain":[
            ".iq"
        ],
        "translations":{
            "br":"Iraque",
            "de":"Irak",
            "es":"Irak",
            "fa":"\u0639\u0631\u0627\u0642",
            "fr":"Irak",
            "hr":"Irak",
            "it":"Iraq",
            "ja":"\u30a4\u30e9\u30af",
            "nl":"Irak",
            "pt":"Iraque",
            "hu":"Irak"
        },
        "cioc":"IRQ"
    },
    {
        "alpha2Code":"IE",
        "alpha3Code":"IRL",
        "altSpellings":[
            "IE",
            "\u00c9ire",
            "Republic of Ireland",
            "Poblacht na h\u00c9ireann"
        ],
        "area":70273,
        "borders":[
            "GBR"
        ],
        "callingCodes":[
            "353"
        ],
        "capital":"Dublin",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Irish",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/irl.svg",
            "https://restcountries.com/data/png/irl.png"
        ],
        "gini":34.3,
        "languages":[
            {
                "iso639_1":"ga",
                "iso639_2":"gle",
                "name":"Irish",
                "nativeName":"Gaeilge"
            },
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            53,
            -8
        ],
        "name":"Ireland",
        "nativeName":"\u00c9ire",
        "numericCode":"372",
        "population":6378000,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Northern Europe",
        "timezones":[
            ""
        ],
        "topLevelDomain":[
            ".ie"
        ],
        "translations":{
            "br":"Irlanda",
            "de":"Irland",
            "es":"Irlanda",
            "fa":"\u0627\u06cc\u0631\u0644\u0646\u062f",
            "fr":"Irlande",
            "hr":"Irska",
            "it":"Irlanda",
            "ja":"\u30a2\u30a4\u30eb\u30e9\u30f3\u30c9",
            "nl":"Ierland",
            "pt":"Irlanda",
            "hu":"\u00cdrorsz\u00e1g"
        },
        "cioc":"IRL"
    },
    {
        "alpha2Code":"IM",
        "alpha3Code":"IMN",
        "altSpellings":[
            "IM",
            "Ellan Vannin",
            "Mann",
            "Mannin"
        ],
        "area":572,
        "borders":[
            
        ],
        "callingCodes":[
            "44"
        ],
        "capital":"Douglas",
        "currencies":[
            {
                "code":"GBP",
                "name":"British pound",
                "symbol":"\u00a3"
            },
            {
                "code":"IMP[G]",
                "name":"Manx pound",
                "symbol":"\u00a3"
            }
        ],
        "demonym":"Manx",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/imn.svg",
            "https://restcountries.com/data/png/imn.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"gv",
                "iso639_2":"glv",
                "name":"Manx",
                "nativeName":"Gaelg"
            }
        ],
        "latlng":[
            54.25,
            -4.5
        ],
        "name":"Isle of Man",
        "nativeName":"Isle of Man",
        "numericCode":"833",
        "population":84497,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Northern Europe",
        "timezones":[
            "+00:00"
        ],
        "topLevelDomain":[
            ".im"
        ],
        "translations":{
            "br":"Ilha de Man",
            "de":"Insel Man",
            "es":"Isla de Man",
            "fa":"\u062c\u0632\u06cc\u0631\u0647 \u0645\u0646",
            "fr":"\u00cele de Man",
            "hr":"Otok Man",
            "it":"Isola di Man",
            "ja":"\u30de\u30f3\u5cf6",
            "nl":"Isle of Man",
            "pt":"Ilha de Man",
            "hu":"Man"
        },
        "cioc":""
    },
    {
        "alpha2Code":"IL",
        "alpha3Code":"ISR",
        "altSpellings":[
            "IL",
            "State of Israel",
            "Med\u012bnat Yisr\u0101'el"
        ],
        "area":20770,
        "borders":[
            "EGY",
            "JOR",
            "LBN",
            "SYR"
        ],
        "callingCodes":[
            "972"
        ],
        "capital":"Jerusalem",
        "currencies":[
            {
                "code":"ILS",
                "name":"Israeli new shekel",
                "symbol":"\u20aa"
            }
        ],
        "demonym":"Israeli",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/isr.svg",
            "https://restcountries.com/data/png/isr.png"
        ],
        "gini":39.2,
        "languages":[
            {
                "iso639_1":"he",
                "iso639_2":"heb",
                "name":"Hebrew (modern)",
                "nativeName":"\u05e2\u05d1\u05e8\u05d9\u05ea"
            },
            {
                "iso639_1":"ar",
                "iso639_2":"ara",
                "name":"Arabic",
                "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
            }
        ],
        "latlng":[
            31.5,
            34.75
        ],
        "name":"Israel",
        "nativeName":"\u05d9\u05b4\u05e9\u05b0\u05c2\u05e8\u05b8\u05d0\u05b5\u05dc",
        "numericCode":"376",
        "population":8527400,
        "continent":"Asia",
        "regionalBlocs":[
            
        ],
        "region":"Western Asia",
        "timezones":[
            "+02:00"
        ],
        "topLevelDomain":[
            ".il"
        ],
        "translations":{
            "br":"Israel",
            "de":"Israel",
            "es":"Israel",
            "fa":"\u0627\u0633\u0631\u0627\u0626\u06cc\u0644",
            "fr":"Isra\u00ebl",
            "hr":"Izrael",
            "it":"Israele",
            "ja":"\u30a4\u30b9\u30e9\u30a8\u30eb",
            "nl":"Isra\u00ebl",
            "pt":"Israel",
            "hu":"Izrael"
        },
        "cioc":"ISR"
    },
    {
        "alpha2Code":"IT",
        "alpha3Code":"ITA",
        "altSpellings":[
            "IT",
            "Italian Republic",
            "Repubblica italiana"
        ],
        "area":301336,
        "borders":[
            "AUT",
            "FRA",
            "SMR",
            "SVN",
            "CHE",
            "VAT"
        ],
        "callingCodes":[
            "39"
        ],
        "capital":"Rome",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Italian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/ita.svg",
            "https://restcountries.com/data/png/ita.png"
        ],
        "gini":36,
        "languages":[
            {
                "iso639_1":"it",
                "iso639_2":"ita",
                "name":"Italian",
                "nativeName":"Italiano"
            }
        ],
        "latlng":[
            42.83333333,
            12.83333333
        ],
        "name":"Italy",
        "nativeName":"Italia",
        "numericCode":"380",
        "population":60665551,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Southern Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".it"
        ],
        "translations":{
            "br":"It\u00e1lia",
            "de":"Italien",
            "es":"Italia",
            "fa":"\u0627\u06cc\u062a\u0627\u0644\u06cc\u0627",
            "fr":"Italie",
            "hr":"Italija",
            "it":"Italia",
            "ja":"\u30a4\u30bf\u30ea\u30a2",
            "nl":"Itali\u00eb",
            "pt":"It\u00e1lia",
            "hu":"Olaszorsz\u00e1g"
        },
        "cioc":"ITA"
    },
    {
        "alpha2Code":"JM",
        "alpha3Code":"JAM",
        "altSpellings":[
            "JM"
        ],
        "area":10991,
        "borders":[
            
        ],
        "callingCodes":[
            "1"
        ],
        "capital":"Kingston",
        "currencies":[
            {
                "code":"JMD",
                "name":"Jamaican dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Jamaican",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/jam.svg",
            "https://restcountries.com/data/png/jam.png"
        ],
        "gini":45.5,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            18.25,
            -77.5
        ],
        "name":"Jamaica",
        "nativeName":"Jamaica",
        "numericCode":"388",
        "population":2723246,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"CARICOM",
                "name":"Caribbean Community",
                "otherNames":[
                    "Comunidad del Caribe",
                    "Communaut\u00e9 Carib\u00e9enne",
                    "Caribische Gemeenschap"
                ]
            }
        ],
        "region":"Caribbean",
        "timezones":[
            "-05:00"
        ],
        "topLevelDomain":[
            ".jm"
        ],
        "translations":{
            "br":"Jamaica",
            "de":"Jamaika",
            "es":"Jamaica",
            "fa":"\u062c\u0627\u0645\u0627\u0626\u06cc\u06a9\u0627",
            "fr":"Jama\u00efque",
            "hr":"Jamajka",
            "it":"Giamaica",
            "ja":"\u30b8\u30e3\u30de\u30a4\u30ab",
            "nl":"Jamaica",
            "pt":"Jamaica",
            "hu":"Jamaica"
        },
        "cioc":"JAM"
    },
    {
        "alpha2Code":"JP",
        "alpha3Code":"JPN",
        "altSpellings":[
            "JP",
            "Nippon",
            "Nihon"
        ],
        "area":377930,
        "borders":[
            
        ],
        "callingCodes":[
            "81"
        ],
        "capital":"Tokyo",
        "currencies":[
            {
                "code":"JPY",
                "name":"Japanese yen",
                "symbol":"\u00a5"
            }
        ],
        "demonym":"Japanese",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/jpn.svg",
            "https://restcountries.com/data/png/jpn.png"
        ],
        "gini":38.1,
        "languages":[
            {
                "iso639_1":"ja",
                "iso639_2":"jpn",
                "name":"Japanese",
                "nativeName":"\u65e5\u672c\u8a9e (\u306b\u307b\u3093\u3054)"
            }
        ],
        "latlng":[
            36,
            138
        ],
        "name":"Japan",
        "nativeName":"\u65e5\u672c",
        "numericCode":"392",
        "population":126960000,
        "continent":"Asia",
        "regionalBlocs":[
            
        ],
        "region":"Eastern Asia",
        "timezones":[
            "+09:00"
        ],
        "topLevelDomain":[
            ".jp"
        ],
        "translations":{
            "br":"Jap\u00e3o",
            "de":"Japan",
            "es":"Jap\u00f3n",
            "fa":"\u0698\u0627\u067e\u0646",
            "fr":"Japon",
            "hr":"Japan",
            "it":"Giappone",
            "ja":"\u65e5\u672c",
            "nl":"Japan",
            "pt":"Jap\u00e3o",
            "hu":"Jap\u00e1n"
        },
        "cioc":"JPN"
    },
    {
        "alpha2Code":"JE",
        "alpha3Code":"JEY",
        "altSpellings":[
            "JE",
            "Bailiwick of Jersey",
            "Bailliage de Jersey",
            "Bailliage d\u00e9 J\u00e8rri"
        ],
        "area":116,
        "borders":[
            
        ],
        "callingCodes":[
            "44"
        ],
        "capital":"Saint Helier",
        "currencies":[
            {
                "code":"GBP",
                "name":"British pound",
                "symbol":"\u00a3"
            },
            {
                "code":"JEP[G]",
                "name":"Jersey pound",
                "symbol":"\u00a3"
            }
        ],
        "demonym":"Channel Islander",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/jey.svg",
            "https://restcountries.com/data/png/jey.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            49.25,
            -2.16666666
        ],
        "name":"Jersey",
        "nativeName":"Jersey",
        "numericCode":"832",
        "population":100800,
        "continent":"Europe",
        "regionalBlocs":[
            
        ],
        "region":"Northern Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".je"
        ],
        "translations":{
            "br":"Jersey",
            "de":"Jersey",
            "es":"Jersey",
            "fa":"\u062c\u0631\u0632\u06cc",
            "fr":"Jersey",
            "hr":"Jersey",
            "it":"Isola di Jersey",
            "ja":"\u30b8\u30e3\u30fc\u30b8\u30fc",
            "nl":"Jersey",
            "pt":"Jersey",
            "hu":"Jersey"
        },
        "cioc":""
    },
    {
        "alpha2Code":"JO",
        "alpha3Code":"JOR",
        "altSpellings":[
            "JO",
            "Hashemite Kingdom of Jordan",
            "al-Mamlakah al-Urdun\u012byah al-H\u0101shim\u012byah"
        ],
        "area":89342,
        "borders":[
            "IRQ",
            "ISR",
            "SAU",
            "SYR"
        ],
        "callingCodes":[
            "962"
        ],
        "capital":"Amman",
        "currencies":[
            {
                "code":"JOD",
                "name":"Jordanian dinar",
                "symbol":"\u062f.\u0627"
            }
        ],
        "demonym":"Jordanian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/jor.svg",
            "https://restcountries.com/data/png/jor.png"
        ],
        "gini":35.4,
        "languages":[
            {
                "iso639_1":"ar",
                "iso639_2":"ara",
                "name":"Arabic",
                "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
            }
        ],
        "latlng":[
            31,
            36
        ],
        "name":"Jordan",
        "nativeName":"\u0627\u0644\u0623\u0631\u062f\u0646",
        "numericCode":"400",
        "population":9531712,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"AL",
                "name":"Arab League",
                "otherNames":[
                    "\u062c\u0627\u0645\u0639\u0629 \u0627\u0644\u062f\u0648\u0644 \u0627\u0644\u0639\u0631\u0628\u064a\u0629",
                    "J\u0101mi\u02bbat ad-Duwal al-\u02bbArab\u012byah",
                    "League of Arab States"
                ]
            }
        ],
        "region":"Western Asia",
        "timezones":[
            "+03:00"
        ],
        "topLevelDomain":[
            ".jo"
        ],
        "translations":{
            "br":"Jord\u00e2nia",
            "de":"Jordanien",
            "es":"Jordania",
            "fa":"\u0627\u0631\u062f\u0646",
            "fr":"Jordanie",
            "hr":"Jordan",
            "it":"Giordania",
            "ja":"\u30e8\u30eb\u30c0\u30f3",
            "nl":"Jordani\u00eb",
            "pt":"Jord\u00e2nia",
            "hu":"Jord\u00e1nia"
        },
        "cioc":"JOR"
    },
    {
        "alpha2Code":"KZ",
        "alpha3Code":"KAZ",
        "altSpellings":[
            "KZ",
            "Qazaqstan",
            "\u041a\u0430\u0437\u0430\u0445\u0441\u0442\u0430\u043d",
            "Republic of Kazakhstan",
            "\u049a\u0430\u0437\u0430\u049b\u0441\u0442\u0430\u043d \u0420\u0435\u0441\u043f\u0443\u0431\u043b\u0438\u043a\u0430\u0441\u044b",
            "Qazaqstan Respubl\u00efkas\u0131",
            "\u0420\u0435\u0441\u043f\u0443\u0431\u043b\u0438\u043a\u0430 \u041a\u0430\u0437\u0430\u0445\u0441\u0442\u0430\u043d",
            "Respublika Kazakhstan"
        ],
        "area":2724900,
        "borders":[
            "CHN",
            "KGZ",
            "RUS",
            "TKM",
            "UZB"
        ],
        "callingCodes":[
            "76",
            "77"
        ],
        "capital":"Nursultan",
        "currencies":[
            {
                "code":"KZT",
                "name":"Kazakhstani tenge",
                "symbol":"\u20b8"
            }
        ],
        ",demonym":"Kazakhstani",
        "flags":[
            "https://restcountries.com/data/kaz.svg",
            "https://restcountries.com/data/png/kaz.png"
        ],
        "gini":29,
        "languages":[
            {
                "iso639_1":"kk",
                "iso639_2":"kaz",
                "name":"Kazakh",
                "nativeName":"\u049b\u0430\u0437\u0430\u049b \u0442\u0456\u043b\u0456"
            },
            {
                "iso639_1":"ru",
                "iso639_2":"rus",
                "name":"Russian",
                "nativeName":"\u0420\u0443\u0441\u0441\u043a\u0438\u0439"
            }
        ],
        "latlng":[
            48,
            68
        ],
        "name":"Kazakhstan",
        "nativeName":"\u049a\u0430\u0437\u0430\u049b\u0441\u0442\u0430\u043d",
        "numericCode":"398",
        "population":17753200,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"EEU",
                "name":"Eurasian Economic Union",
                "otherAcronyms":[
                    "EAEU"
                ]
            }
        ],
        "region":"Central Asia",
        "timezones":[
            "+05:00",
            "+06:00"
        ],
        "topLevelDomain":[
            ".kz",
            ".\u049b\u0430\u0437"
        ],
        "translations":{
            "br":"Cazaquist\u00e3o",
            "de":"Kasachstan",
            "es":"Kazajist\u00e1n",
            "fa":"\u0642\u0632\u0627\u0642\u0633\u062a\u0627\u0646",
            "fr":"Kazakhstan",
            "hr":"Kazahstan",
            "it":"Kazakistan",
            "ja":"\u30ab\u30b6\u30d5\u30b9\u30bf\u30f3",
            "nl":"Kazachstan",
            "pt":"Cazaquist\u00e3o",
            "hu":"Kazahszt\u00e1n"
        },
        "cioc":"KAZ"
    },
    {
        "alpha2Code":"KE",
        "alpha3Code":"KEN",
        "altSpellings":[
            "KE",
            "Republic of Kenya",
            "Jamhuri ya Kenya"
        ],
        "area":580367,
        "borders":[
            "ETH",
            "SOM",
            "SSD",
            "TZA",
            "UGA"
        ],
        "callingCodes":[
            "254"
        ],
        "capital":"Nairobi",
        "currencies":[
            {
                "code":"KES",
                "name":"Kenyan shilling",
                "symbol":"Sh"
            }
        ],
        "demonym":"Kenyan",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/ken.svg",
            "https://restcountries.com/data/png/ken.png"
        ],
        "gini":47.7,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"sw",
                "iso639_2":"swa",
                "name":"Swahili",
                "nativeName":"Kiswahili"
            }
        ],
        "latlng":[
            1,
            38
        ],
        "name":"Kenya",
        "nativeName":"Kenya",
        "numericCode":"404",
        "population":47251000,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Eastern Africa",
        "timezones":[
            "+03:00"
        ],
        "topLevelDomain":[
            ".ke"
        ],
        "translations":{
            "br":"Qu\u00eania",
            "de":"Kenia",
            "es":"Kenia",
            "fa":"\u06a9\u0646\u06cc\u0627",
            "fr":"Kenya",
            "hr":"Kenija",
            "it":"Kenya",
            "ja":"\u30b1\u30cb\u30a2",
            "nl":"Kenia",
            "pt":"Qu\u00e9nia",
            "hu":"Kenya"
        },
        "cioc":"KEN"
    },
    {
        "alpha2Code":"KI",
        "alpha3Code":"KIR",
        "altSpellings":[
            "KI",
            "Republic of Kiribati",
            "Ribaberiki Kiribati"
        ],
        "area":811,
        "borders":[
            
        ],
        "callingCodes":[
            "686"
        ],
        "capital":"South Tarawa",
        "currencies":[
            {
                "code":"AUD",
                "name":"Australian dollar",
                "symbol":"\$"
            },
            {
                "code":"(none)",
                "name":"Kiribati dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"I-Kiribati",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/kir.svg",
            "https://restcountries.com/data/png/kir.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            1.41666666,
            173
        ],
        "name":"Kiribati",
        "nativeName":"Kiribati",
        "numericCode":"296",
        "population":113400,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Micronesia",
        "timezones":[
            "+12:00",
            "+13:00",
            "+14:00"
        ],
        "topLevelDomain":[
            ".ki"
        ],
        "translations":{
            "br":"Kiribati",
            "de":"Kiribati",
            "es":"Kiribati",
            "fa":"\u06a9\u06cc\u0631\u06cc\u0628\u0627\u062a\u06cc",
            "fr":"Kiribati",
            "hr":"Kiribati",
            "it":"Kiribati",
            "ja":"\u30ad\u30ea\u30d0\u30b9",
            "nl":"Kiribati",
            "pt":"Quirib\u00e1ti",
            "hu":"Kiribati"
        },
        "cioc":"KIR"
    },
    {
        "alpha2Code":"KW",
        "alpha3Code":"KWT",
        "altSpellings":[
            "KW",
            "State of Kuwait",
            "Dawlat al-Kuwait"
        ],
        "area":17818,
        "borders":[
            "IRN",
            "SAU"
        ],
        "callingCodes":[
            "965"
        ],
        "capital":"Kuwait City",
        "currencies":[
            {
                "code":"KWD",
                "name":"Kuwaiti dinar",
                "symbol":"\u062f.\u0643"
            }
        ],
        "demonym":"Kuwaiti",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/kwt.svg",
            "https://restcountries.com/data/png/kwt.png"
        ],
        "gini":null,
        "languages":[
            {
                "iso639_1":"ar",
                "iso639_2":"ara",
                "name":"Arabic",
                "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
            }
        ],
        "latlng":[
            29.5,
            45.75
        ],
        "name":"Kuwait",
        "nativeName":"\u0627\u0644\u0643\u0648\u064a\u062a",
        "numericCode":"414",
        "population":4183658,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"AL",
                "name":"Arab League",
                "otherNames":[
                    "\u062c\u0627\u0645\u0639\u0629 \u0627\u0644\u062f\u0648\u0644 \u0627\u0644\u0639\u0631\u0628\u064a\u0629",
                    "J\u0101mi\u02bbat ad-Duwal al-\u02bbArab\u012byah",
                    "League of Arab States"
                ]
            }
        ],
        "region":"Western Asia",
        "timezones":[
            "+03:00"
        ],
        "topLevelDomain":[
            ".kw"
        ],
        "translations":{
            "br":"Kuwait",
            "de":"Kuwait",
            "es":"Kuwait",
            "fa":"\u06a9\u0648\u06cc\u062a",
            "fr":"Kowe\u00eft",
            "hr":"Kuvajt",
            "it":"Kuwait",
            "ja":"\u30af\u30a6\u30a7\u30fc\u30c8",
            "nl":"Koeweit",
            "pt":"Kuwait",
            "hu":"Kuvait"
        },
        "cioc":"KUW"
    },
    {
        "alpha2Code":"KG",
        "alpha3Code":"KGZ",
        "altSpellings":[
            "KG",
            "\u041a\u0438\u0440\u0433\u0438\u0437\u0438\u044f",
            "Kyrgyz Republic",
            "\u041a\u044b\u0440\u0433\u044b\u0437 \u0420\u0435\u0441\u043f\u0443\u0431\u043b\u0438\u043a\u0430\u0441\u044b",
            "Kyrgyz Respublikasy"
        ],
        "area":199951,
        "borders":[
            "CHN",
            "KAZ",
            "TJK",
            "UZB"
        ],
        "callingCodes":[
            "996"
        ],
        "capital":"Bishkek",
        "currencies":[
            {
                "code":"KGS",
                "name":"Kyrgyzstani som",
                "symbol":"\u0441"
            }
        ],
        "demonym":"Kirghiz",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/kgz.svg",
            "https://restcountries.com/data/png/kgz.png"
        ],
        "gini":36.2,
        "languages":[
            {
                "iso639_1":"ky",
                "iso639_2":"kir",
                "name":"Kyrgyz",
                "nativeName":"\u041a\u044b\u0440\u0433\u044b\u0437\u0447\u0430"
            },
            {
                "iso639_1":"ru",
                "iso639_2":"rus",
                "name":"Russian",
                "nativeName":"\u0420\u0443\u0441\u0441\u043a\u0438\u0439"
            }
        ],
        "latlng":[
            41,
            75
        ],
        "name":"Kyrgyzstan",
        "nativeName":"\u041a\u044b\u0440\u0433\u044b\u0437\u0441\u0442\u0430\u043d",
        "numericCode":"417",
        "population":6047800,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"EEU",
                "name":"Eurasian Economic Union",
                "otherAcronyms":[
                    "EAEU"
                ]
            }
        ],
        "region":"Central Asia",
        "timezones":[
            "+06:00"
        ],
        "topLevelDomain":[
            ".kg"
        ],
        "translations":{
            "br":"Quirguist\u00e3o",
            "de":"Kirgisistan",
            "es":"Kirguizist\u00e1n",
            "fa":"\u0642\u0631\u0642\u06cc\u0632\u0633\u062a\u0627\u0646",
            "fr":"Kirghizistan",
            "hr":"Kirgistan",
            "it":"Kirghizistan",
            "ja":"\u30ad\u30eb\u30ae\u30b9",
            "nl":"Kirgizi\u00eb",
            "pt":"Quirguizist\u00e3o",
            "hu":"Kirgiziszt\u00e1n"
        },
        "cioc":"KGZ"
    },
    {
        "alpha2Code":"LA",
        "alpha3Code":"LAO",
        "altSpellings":[
            "LA",
            "Lao",
            "Laos",
            "Lao People's Democratic Republic",
            "Sathalanalat Paxathipatai Paxaxon Lao"
        ],
        "area":236800,
        "borders":[
            "MMR",
            "KHM",
            "CHN",
            "THA",
            "VNM"
        ],
        "callingCodes":[
            "856"
        ],
        "capital":"Vientiane",
        "currencies":[
            {
                "code":"LAK",
                "name":"Lao kip",
                "symbol":"\u20ad"
            }
        ],
        "demonym":"Laotian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/lao.svg",
            "https://restcountries.com/data/png/lao.png"
        ],
        "gini":36.7,
        "languages":[
            {
                "iso639_1":"lo",
                "iso639_2":"lao",
                "name":"Lao",
                "nativeName":"\u0e9e\u0eb2\u0eaa\u0eb2\u0ea5\u0eb2\u0ea7"
            }
        ],
        "latlng":[
            18,
            105
        ],
        "name":"Lao People's Democratic Republic",
        "nativeName":"\u0eaa\u0eb2\u0e97\u0eb2\u0ea5\u0eb0\u0e99\u0eb0\u0ea5\u0eb1\u0e94 \u0e9b\u0eb0\u0e8a\u0eb2\u0e97\u0eb4\u0e9b\u0eb0\u0ec4\u0e95 \u0e9b\u0eb0\u0e8a\u0eb2\u0e8a\u0ebb\u0e99\u0ea5\u0eb2\u0ea7",
        "numericCode":"418",
        "population":6492400,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"ASEAN",
                "name":"Association of Southeast Asian Nations"
            }
        ],
        "region":"South-Eastern Asia",
        "timezones":[
            "+07:00"
        ],
        "topLevelDomain":[
            ".la"
        ],
        "translations":{
            "br":"Laos",
            "de":"Laos",
            "es":"Laos",
            "fa":"\u0644\u0627\u0626\u0648\u0633",
            "fr":"Laos",
            "hr":"Laos",
            "it":"Laos",
            "ja":"\u30e9\u30aa\u30b9\u4eba\u6c11\u6c11\u4e3b\u5171\u548c\u56fd",
            "nl":"Laos",
            "pt":"Laos",
            "hu":"Laosz"
        },
        "cioc":"LAO"
    },
    {
        "alpha2Code":"LV",
        "alpha3Code":"LVA",
        "altSpellings":[
            "LV",
            "Republic of Latvia",
            "Latvijas Republika"
        ],
        "area":64559,
        "borders":[
            "BLR",
            "EST",
            "LTU",
            "RUS"
        ],
        "callingCodes":[
            "371"
        ],
        "capital":"Riga",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Latvian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/lva.svg",
            "https://restcountries.com/data/png/lva.png"
        ],
        "gini":36.6,
        "languages":[
            {
                "iso639_1":"lv",
                "iso639_2":"lav",
                "name":"Latvian",
                "nativeName":"latvie\u0161u valoda"
            }
        ],
        "latlng":[
            57,
            25
        ],
        "name":"Latvia",
        "nativeName":"Latvija",
        "numericCode":"428",
        "population":1961600,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Northern Europe",
        "timezones":[
            "+02:00"
        ],
        "topLevelDomain":[
            ".lv"
        ],
        "translations":{
            "br":"Let\u00f4nia",
            "de":"Lettland",
            "es":"Letonia",
            "fa":"\u0644\u062a\u0648\u0646\u06cc",
            "fr":"Lettonie",
            "hr":"Latvija",
            "it":"Lettonia",
            "ja":"\u30e9\u30c8\u30d3\u30a2",
            "nl":"Letland",
            "pt":"Let\u00f3nia",
            "hu":"Lettorsz\u00e1g"
        },
        "cioc":"LAT"
    },
    {
        "alpha2Code":"LB",
        "alpha3Code":"LBN",
        "altSpellings":[
            "LB",
            "Lebanese Republic",
            "Al-Jumh\u016br\u012byah Al-Libn\u0101n\u012byah"
        ],
        "area":10452,
        "borders":[
            "ISR",
            "SYR"
        ],
        "callingCodes":[
            "961"
        ],
        "capital":"Beirut",
        "currencies":[
            {
                "code":"LBP",
                "name":"Lebanese pound",
                "symbol":"\u0644.\u0644"
            }
        ],
        "demonym":"Lebanese",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/lbn.svg",
            "https://restcountries.com/data/png/lbn.png"
        ],
        "gini":null,
        "languages":[
            {
                "iso639_1":"ar",
                "iso639_2":"ara",
                "name":"Arabic",
                "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
            },
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            33.83333333,
            35.83333333
        ],
        "name":"Lebanon",
        "nativeName":"\u0644\u0628\u0646\u0627\u0646",
        "numericCode":"422",
        "population":5988000,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"AL",
                "name":"Arab League",
                "otherNames":[
                    "\u062c\u0627\u0645\u0639\u0629 \u0627\u0644\u062f\u0648\u0644 \u0627\u0644\u0639\u0631\u0628\u064a\u0629",
                    "J\u0101mi\u02bbat ad-Duwal al-\u02bbArab\u012byah",
                    "League of Arab States"
                ]
            }
        ],
        "region":"Western Asia",
        "timezones":[
            "+02:00"
        ],
        "topLevelDomain":[
            ".lb"
        ],
        "translations":{
            "br":"L\u00edbano",
            "de":"Libanon",
            "es":"L\u00edbano",
            "fa":"\u0644\u0628\u0646\u0627\u0646",
            "fr":"Liban",
            "hr":"Libanon",
            "it":"Libano",
            "ja":"\u30ec\u30d0\u30ce\u30f3",
            "nl":"Libanon",
            "pt":"L\u00edbano",
            "hu":"Libanon"
        },
        "cioc":"LIB"
    },
    {
        "alpha2Code":"LS",
        "alpha3Code":"LSO",
        "altSpellings":[
            "LS",
            "Kingdom of Lesotho",
            "Muso oa Lesotho"
        ],
        "area":30355,
        "borders":[
            "ZAF"
        ],
        "callingCodes":[
            "266"
        ],
        "capital":"Maseru",
        "currencies":[
            {
                "code":"LSL",
                "name":"Lesotho loti",
                "symbol":"L"
            },
            {
                "code":"ZAR",
                "name":"South African rand",
                "symbol":"R"
            }
        ],
        "demonym":"Mosotho",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/lso.svg",
            "https://restcountries.com/data/png/lso.png"
        ],
        "gini":52.5,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"st",
                "iso639_2":"sot",
                "name":"Southern Sotho",
                "nativeName":"Sesotho"
            }
        ],
        "latlng":[
            -29.5,
            28.5
        ],
        "name":"Lesotho",
        "nativeName":"Lesotho",
        "numericCode":"426",
        "population":1894194,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Southern Africa",
        "timezones":[
            "+02:00"
        ],
        "topLevelDomain":[
            ".ls"
        ],
        "translations":{
            "br":"Lesoto",
            "de":"Lesotho",
            "es":"Lesotho",
            "fa":"\u0644\u0633\u0648\u062a\u0648",
            "fr":"Lesotho",
            "hr":"Lesoto",
            "it":"Lesotho",
            "ja":"\u30ec\u30bd\u30c8",
            "nl":"Lesotho",
            "pt":"Lesoto",
            "hu":"Lesotho"
        },
        "cioc":"LES"
    },
    {
        "alpha2Code":"LR",
        "alpha3Code":"LBR",
        "altSpellings":[
            "LR",
            "Republic of Liberia"
        ],
        "area":111369,
        "borders":[
            "GIN",
            "CIV",
            "SLE"
        ],
        "callingCodes":[
            "231"
        ],
        "capital":"Monrovia",
        "currencies":[
            {
                "code":"LRD",
                "name":"Liberian dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Liberian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/lbr.svg",
            "https://restcountries.com/data/png/lbr.png"
        ],
        "gini":38.2,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            6.5,
            -9.5
        ],
        "name":"Liberia",
        "nativeName":"Liberia",
        "numericCode":"430",
        "population":4615000,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Western Africa",
        "timezones":[
            ""
        ],
        "topLevelDomain":[
            ".lr"
        ],
        "translations":{
            "br":"Lib\u00e9ria",
            "de":"Liberia",
            "es":"Liberia",
            "fa":"\u0644\u06cc\u0628\u0631\u06cc\u0627",
            "fr":"Liberia",
            "hr":"Liberija",
            "it":"Liberia",
            "ja":"\u30ea\u30d9\u30ea\u30a2",
            "nl":"Liberia",
            "pt":"Lib\u00e9ria",
            "hu":"Lib\u00e9ria"
        },
        "cioc":"LBR"
    },
    {
        "alpha2Code":"LY",
        "alpha3Code":"LBY",
        "altSpellings":[
            "LY",
            "State of Libya",
            "Dawlat Libya"
        ],
        "area":1759540,
        "borders":[
            "DZA",
            "TCD",
            "EGY",
            "NER",
            "SDN",
            "TUN"
        ],
        "callingCodes":[
            "218"
        ],
        "capital":"Tripoli",
        "currencies":[
            {
                "code":"LYD",
                "name":"Libyan dinar",
                "symbol":"\u0644.\u062f"
            }
        ],
        "demonym":"Libyan",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/lby.svg",
            "https://restcountries.com/data/png/lby.png"
        ],
        "gini":null,
        "languages":[
            {
                "iso639_1":"ar",
                "iso639_2":"ara",
                "name":"Arabic",
                "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
            }
        ],
        "latlng":[
            25,
            17
        ],
        "name":"Libya",
        "nativeName":"\u200f\u0644\u064a\u0628\u064a\u0627",
        "numericCode":"434",
        "population":6385000,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            },
            {
                "acronym":"AL",
                "name":"Arab League",
                "otherNames":[
                    "\u062c\u0627\u0645\u0639\u0629 \u0627\u0644\u062f\u0648\u0644 \u0627\u0644\u0639\u0631\u0628\u064a\u0629",
                    "J\u0101mi\u02bbat ad-Duwal al-\u02bbArab\u012byah",
                    "League of Arab States"
                ]
            }
        ],
        "region":"Northern Africa",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".ly"
        ],
        "translations":{
            "br":"L\u00edbia",
            "de":"Libyen",
            "es":"Libia",
            "fa":"\u0644\u06cc\u0628\u06cc",
            "fr":"Libye",
            "hr":"Libija",
            "it":"Libia",
            "ja":"\u30ea\u30d3\u30a2",
            "nl":"Libi\u00eb",
            "pt":"L\u00edbia",
            "hu":"L\u00edbia"
        },
        "cioc":"LBA"
    },
    {
        "alpha2Code":"LI",
        "alpha3Code":"LIE",
        "altSpellings":[
            "LI",
            "Principality of Liechtenstein",
            "F\u00fcrstentum Liechtenstein"
        ],
        "area":160,
        "borders":[
            "AUT",
            "CHE"
        ],
        "callingCodes":[
            "423"
        ],
        "capital":"Vaduz",
        "currencies":[
            {
                "code":"CHF",
                "name":"Swiss franc",
                "symbol":"Fr"
            }
        ],
        "demonym":"Liechtensteiner",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/lie.svg",
            "https://restcountries.com/data/png/lie.png"
        ],
        "languages":[
            {
                "iso639_1":"de",
                "iso639_2":"deu",
                "name":"German",
                "nativeName":"Deutsch"
            }
        ],
        "latlng":[
            47.26666666,
            9.53333333
        ],
        "name":"Liechtenstein",
        "nativeName":"Liechtenstein",
        "numericCode":"438",
        "population":37623,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EFTA",
                "name":"European Free Trade Association"
            }
        ],
        "region":"Central Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".li"
        ],
        "translations":{
            "br":"Liechtenstein",
            "de":"Liechtenstein",
            "es":"Liechtenstein",
            "fa":"\u0644\u06cc\u062e\u062a\u0646\u200c\u0627\u0634\u062a\u0627\u06cc\u0646",
            "fr":"Liechtenstein",
            "hr":"Lihten\u0161tajn",
            "it":"Liechtenstein",
            "ja":"\u30ea\u30d2\u30c6\u30f3\u30b7\u30e5\u30bf\u30a4\u30f3",
            "nl":"Liechtenstein",
            "pt":"Listenstaine",
            "hu":"Liechtenstein"
        },
        "cioc":"LIE"
    },
    {
        "alpha2Code":"LT",
        "alpha3Code":"LTU",
        "altSpellings":[
            "LT",
            "Republic of Lithuania",
            "Lietuvos Respublika"
        ],
        "area":65300,
        "borders":[
            "BLR",
            "LVA",
            "POL",
            "RUS"
        ],
        "callingCodes":[
            "370"
        ],
        "capital":"Vilnius",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Lithuanian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/ltu.svg",
            "https://restcountries.com/data/png/ltu.png"
        ],
        "gini":37.6,
        "languages":[
            {
                "iso639_1":"lt",
                "iso639_2":"lit",
                "name":"Lithuanian",
                "nativeName":"lietuvi\u0173 kalba"
            }
        ],
        "latlng":[
            56,
            24
        ],
        "name":"Lithuania",
        "nativeName":"Lietuva",
        "numericCode":"440",
        "population":2872294,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Northern Europe",
        "timezones":[
            "+02:00"
        ],
        "topLevelDomain":[
            ".lt"
        ],
        "translations":{
            "br":"Litu\u00e2nia",
            "de":"Litauen",
            "es":"Lituania",
            "fa":"\u0644\u06cc\u062a\u0648\u0627\u0646\u06cc",
            "fr":"Lituanie",
            "hr":"Litva",
            "it":"Lituania",
            "ja":"\u30ea\u30c8\u30a2\u30cb\u30a2",
            "nl":"Litouwen",
            "pt":"Litu\u00e2nia",
            "hu":"Litv\u00e1nia"
        },
        "cioc":"LTU"
    },
    {
        "alpha2Code":"LU",
        "alpha3Code":"LUX",
        "altSpellings":[
            "LU",
            "Grand Duchy of Luxembourg",
            "Grand-Duch\u00e9 de Luxembourg",
            "Gro\u00dfherzogtum Luxemburg",
            "Groussherzogtum L\u00ebtzebuerg"
        ],
        "area":2586,
        "borders":[
            "BEL",
            "FRA",
            "DEU"
        ],
        "callingCodes":[
            "352"
        ],
        "capital":"Luxembourg",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Luxembourger",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/lux.svg",
            "https://restcountries.com/data/png/lux.png"
        ],
        "gini":30.8,
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            },
            {
                "iso639_1":"de",
                "iso639_2":"deu",
                "name":"German",
                "nativeName":"Deutsch"
            },
            {
                "iso639_1":"lb",
                "iso639_2":"ltz",
                "name":"Luxembourgish",
                "nativeName":"L\u00ebtzebuergesch"
            }
        ],
        "latlng":[
            49.75,
            6.16666666
        ],
        "name":"Luxembourg",
        "nativeName":"Luxembourg",
        "numericCode":"442",
        "population":576200,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Western Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".lu"
        ],
        "translations":{
            "br":"Luxemburgo",
            "de":"Luxemburg",
            "es":"Luxemburgo",
            "fa":"\u0644\u0648\u06a9\u0632\u0627\u0645\u0628\u0648\u0631\u06af",
            "fr":"Luxembourg",
            "hr":"Luksemburg",
            "it":"Lussemburgo",
            "ja":"\u30eb\u30af\u30bb\u30f3\u30d6\u30eb\u30af",
            "nl":"Luxemburg",
            "pt":"Luxemburgo",
            "hu":"Luxemburg"
        },
        "cioc":"LUX"
    },
    {
        "alpha2Code":"MO",
        "alpha3Code":"MAC",
        "altSpellings":[
            "MO",
            "\u6fb3\u95e8",
            "Macao Special Administrative Region of the People's Republic of China",
            "\u4e2d\u83ef\u4eba\u6c11\u5171\u548c\u570b\u6fb3\u9580\u7279\u5225\u884c\u653f\u5340",
            "Regi\u00e3o Administrativa Especial de Macau da Rep\u00fablica Popular da China"
        ],
        "area":30,
        "borders":[
            "CHN"
        ],
        "callingCodes":[
            "853"
        ],
        "capital":"",
        "currencies":[
            {
                "code":"MOP",
                "name":"Macanese pataca",
                "symbol":"P"
            }
        ],
        "demonym":"Chinese",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/mac.svg",
            "https://restcountries.com/data/png/mac.png"
        ],
        "languages":[
            {
                "iso639_1":"zh",
                "iso639_2":"zho",
                "name":"Chinese",
                "nativeName":"\u4e2d\u6587 (Zh\u014dngw\u00e9n)"
            },
            {
                "iso639_1":"pt",
                "iso639_2":"por",
                "name":"Portuguese",
                "nativeName":"Portugu\u00eas"
            }
        ],
        "latlng":[
            22.16666666,
            113.55
        ],
        "name":"Macao",
        "nativeName":"\u6fb3\u9580",
        "numericCode":"446",
        "population":649100,
        "continent":"Asia",
        "regionalBlocs":[
            
        ],
        "region":"Eastern Asia",
        "timezones":[
            "+08:00"
        ],
        "topLevelDomain":[
            ".mo"
        ],
        "translations":{
            "br":"Macau",
            "de":"Macao",
            "es":"Macao",
            "fa":"\u0645\u06a9\u0627\u0626\u0648",
            "fr":"Macao",
            "hr":"Makao",
            "it":"Macao",
            "ja":"\u30de\u30ab\u30aa",
            "nl":"Macao",
            "pt":"Macau",
            "hu":"Maka\u00f3"
        },
        "cioc":""
    },
    {
        "alpha2Code":"MK",
        "alpha3Code":"MKD",
        "altSpellings":[
            "MK",
            "Republic of Macedonia",
            "\u0420\u0435\u043f\u0443\u0431\u043b\u0438\u043a\u0430 \u041c\u0430\u043a\u0435\u0434\u043e\u043d\u0438\u0458\u0430"
        ],
        "area":25713,
        "borders":[
            "ALB",
            "BGR",
            "GRC",
            "KOS",
            "SRB"
        ],
        "callingCodes":[
            "389"
        ],
        "capital":"Skopje",
        "currencies":[
            {
                "code":"MKD",
                "name":"Macedonian denar",
                "symbol":"\u0434\u0435\u043d"
            }
        ],
        "demonym":"Macedonian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/mkd.svg",
            "https://restcountries.com/data/png/mkd.png"
        ],
        "gini":43.2,
        "languages":[
            {
                "iso639_1":"mk",
                "iso639_2":"mkd",
                "name":"Macedonian",
                "nativeName":"\u043c\u0430\u043a\u0435\u0434\u043e\u043d\u0441\u043a\u0438 \u0458\u0430\u0437\u0438\u043a"
            }
        ],
        "latlng":[
            41.83333333,
            22
        ],
        "name":"Macedonia (the former Yugoslav Republic of)",
        "nativeName":"\u041c\u0430\u043a\u0435\u0434\u043e\u043d\u0438\u0458\u0430",
        "numericCode":"807",
        "population":2058539,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"CEFTA",
                "name":"Central European Free Trade Agreement"
            }
        ],
        "region":"Southern Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".mk"
        ],
        "translations":{
            "br":"Maced\u00f4nia",
            "de":"Mazedonien",
            "es":"Macedonia",
            "fa":"",
            "fr":"Mac\u00e9doine",
            "hr":"Makedonija",
            "it":"Macedonia",
            "ja":"\u30de\u30b1\u30c9\u30cb\u30a2\u65e7\u30e6\u30fc\u30b4\u30b9\u30e9\u30d3\u30a2\u5171\u548c\u56fd",
            "nl":"Macedoni\u00eb",
            "pt":"Maced\u00f3nia",
            "hu":"Maced\u00f3nia"
        },
        "cioc":"MKD"
    },
    {
        "alpha2Code":"MG",
        "alpha3Code":"MDG",
        "altSpellings":[
            "MG",
            "Republic of Madagascar",
            "Repoblikan'i Madagasikara",
            "R\u00e9publique de Madagascar"
        ],
        "area":587041,
        "borders":[
            
        ],
        "callingCodes":[
            "261"
        ],
        "capital":"Antananarivo",
        "currencies":[
            {
                "code":"MGA",
                "name":"Malagasy ariary",
                "symbol":"Ar"
            }
        ],
        "demonym":"Malagasy",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/mdg.svg",
            "https://restcountries.com/data/png/mdg.png"
        ],
        "gini":44.1,
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            },
            {
                "iso639_1":"mg",
                "iso639_2":"mlg",
                "name":"Malagasy",
                "nativeName":"fiteny malagasy"
            }
        ],
        "latlng":[
            -20,
            47
        ],
        "name":"Madagascar",
        "nativeName":"Madagasikara",
        "numericCode":"450",
        "population":22434363,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Eastern Africa",
        "timezones":[
            "+03:00"
        ],
        "topLevelDomain":[
            ".mg"
        ],
        "translations":{
            "br":"Madagascar",
            "de":"Madagaskar",
            "es":"Madagascar",
            "fa":"\u0645\u0627\u062f\u0627\u06af\u0627\u0633\u06a9\u0627\u0631",
            "fr":"Madagascar",
            "hr":"Madagaskar",
            "it":"Madagascar",
            "ja":"\u30de\u30c0\u30ac\u30b9\u30ab\u30eb",
            "nl":"Madagaskar",
            "pt":"Madag\u00e1scar",
            "hu":"Madagaszk\u00e1r"
        },
        "cioc":"MAD"
    },
    {
        "alpha2Code":"MW",
        "alpha3Code":"MWI",
        "altSpellings":[
            "MW",
            "Republic of Malawi"
        ],
        "area":118484,
        "borders":[
            "MOZ",
            "TZA",
            "ZMB"
        ],
        "callingCodes":[
            "265"
        ],
        "capital":"Lilongwe",
        "currencies":[
            {
                "code":"MWK",
                "name":"Malawian kwacha",
                "symbol":"MK"
            }
        ],
        "demonym":"Malawian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/mwi.svg",
            "https://restcountries.com/data/png/mwi.png"
        ],
        "gini":39,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"ny",
                "iso639_2":"nya",
                "name":"Chichewa",
                "nativeName":"chiChe\u0175a"
            }
        ],
        "latlng":[
            -13.5,
            34
        ],
        "name":"Malawi",
        "nativeName":"Malawi",
        "numericCode":"454",
        "population":16832910,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Eastern Africa",
        "timezones":[
            "+02:00"
        ],
        "topLevelDomain":[
            ".mw"
        ],
        "translations":{
            "br":"Malawi",
            "de":"Malawi",
            "es":"Malawi",
            "fa":"\u0645\u0627\u0644\u0627\u0648\u06cc",
            "fr":"Malawi",
            "hr":"Malavi",
            "it":"Malawi",
            "ja":"\u30de\u30e9\u30a6\u30a4",
            "nl":"Malawi",
            "pt":"Mal\u00e1vi",
            "hu":"Malawi"
        },
        "cioc":"MAW"
    },
    {
        "alpha2Code":"MY",
        "alpha3Code":"MYS",
        "altSpellings":[
            "MY"
        ],
        "area":330803,
        "borders":[
            "BRN",
            "IDN",
            "THA"
        ],
        "callingCodes":[
            "60"
        ],
        "capital":"Kuala Lumpur",
        "currencies":[
            {
                "code":"MYR",
                "name":"Malaysian ringgit",
                "symbol":"RM"
            }
        ],
        "demonym":"Malaysian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/mys.svg",
            "https://restcountries.com/data/png/mys.png"
        ],
        "gini":46.2,
        "languages":[
            {
                "iso639_1":"ms",
                "iso639_2":"zsm",
                "name":"Malaysian",
                "nativeName":"\u0628\u0647\u0627\u0633 \u0645\u0644\u064a\u0633\u064a\u0627"
            }
        ],
        "latlng":[
            2.5,
            112.5
        ],
        "name":"Malaysia",
        "nativeName":"Malaysia",
        "numericCode":"458",
        "population":31405416,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"ASEAN",
                "name":"Association of Southeast Asian Nations"
            }
        ],
        "region":"South-Eastern Asia",
        "timezones":[
            "+08:00"
        ],
        "topLevelDomain":[
            ".my"
        ],
        "translations":{
            "br":"Mal\u00e1sia",
            "de":"Malaysia",
            "es":"Malasia",
            "fa":"\u0645\u0627\u0644\u0632\u06cc",
            "fr":"Malaisie",
            "hr":"Malezija",
            "it":"Malesia",
            "ja":"\u30de\u30ec\u30fc\u30b7\u30a2",
            "nl":"Maleisi\u00eb",
            "pt":"Mal\u00e1sia",
            "hu":"Malajzia"
        },
        "cioc":"MAS"
    },
    {
        "alpha2Code":"MV",
        "alpha3Code":"MDV",
        "altSpellings":[
            "MV",
            "Maldive Islands",
            "Republic of the Maldives",
            "Dhivehi Raajjeyge Jumhooriyya"
        ],
        "area":300,
        "borders":[
            
        ],
        "callingCodes":[
            "960"
        ],
        "capital":"Mal\u00e9",
        "currencies":[
            {
                "code":"MVR",
                "name":"Maldivian rufiyaa",
                "symbol":".\u0783"
            }
        ],
        "demonym":"Maldivan",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/mdv.svg",
            "https://restcountries.com/data/png/mdv.png"
        ],
        "gini":37.4,
        "languages":[
            {
                "iso639_1":"dv",
                "iso639_2":"div",
                "name":"Divehi",
                "nativeName":"\u078b\u07a8\u0788\u07ac\u0780\u07a8"
            }
        ],
        "latlng":[
            3.25,
            73
        ],
        "name":"Maldives",
        "nativeName":"Maldives",
        "numericCode":"462",
        "population":344023,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"SAARC",
                "name":"South Asian Association for Regional Cooperation"
            }
        ],
        "region":"Southern Asia",
        "timezones":[
            "+05:00"
        ],
        "topLevelDomain":[
            ".mv"
        ],
        "translations":{
            "br":"Maldivas",
            "de":"Malediven",
            "es":"Maldivas",
            "fa":"\u0645\u0627\u0644\u062f\u06cc\u0648",
            "fr":"Maldives",
            "hr":"Maldivi",
            "it":"Maldive",
            "ja":"\u30e2\u30eb\u30c7\u30a3\u30d6",
            "nl":"Maldiven",
            "pt":"Maldivas",
            "hu":"Mald\u00edv-szigetek"
        },
        "cioc":"MDV"
    },
    {
        "alpha2Code":"ML",
        "alpha3Code":"MLI",
        "altSpellings":[
            "ML",
            "Republic of Mali",
            "R\u00e9publique du Mali"
        ],
        "area":1240192,
        "borders":[
            "DZA",
            "BFA",
            "GIN",
            "CIV",
            "MRT",
            "NER",
            "SEN"
        ],
        "callingCodes":[
            "223"
        ],
        "capital":"Bamako",
        "currencies":[
            {
                "code":"XOF",
                "name":"West African CFA franc",
                "symbol":"Fr"
            }
        ],
        "demonym":"Malian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/mli.svg",
            "https://restcountries.com/data/png/mli.png"
        ],
        "gini":33,
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            17,
            -4
        ],
        "name":"Mali",
        "nativeName":"Mali",
        "numericCode":"466",
        "population":18135000,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Western Africa",
        "timezones":[
            ""
        ],
        "topLevelDomain":[
            ".ml"
        ],
        "translations":{
            "br":"Mali",
            "de":"Mali",
            "es":"Mali",
            "fa":"\u0645\u0627\u0644\u06cc",
            "fr":"Mali",
            "hr":"Mali",
            "it":"Mali",
            "ja":"\u30de\u30ea",
            "nl":"Mali",
            "pt":"Mali",
            "hu":"Mali"
        },
        "cioc":"MLI"
    },
    {
        "alpha2Code":"MT",
        "alpha3Code":"MLT",
        "altSpellings":[
            "MT",
            "Republic of Malta",
            "Repubblika ta' Malta"
        ],
        "area":316,
        "borders":[
            
        ],
        "callingCodes":[
            "356"
        ],
        "capital":"Valletta",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Maltese",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/mlt.svg",
            "https://restcountries.com/data/png/mlt.png"
        ],
        "gini":null,
        "languages":[
            {
                "iso639_1":"mt",
                "iso639_2":"mlt",
                "name":"Maltese",
                "nativeName":"Malti"
            },
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            35.83333333,
            14.58333333
        ],
        "name":"Malta",
        "nativeName":"Malta",
        "numericCode":"470",
        "population":425384,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Southern Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".mt"
        ],
        "translations":{
            "br":"Malta",
            "de":"Malta",
            "es":"Malta",
            "fa":"\u0645\u0627\u0644\u062a",
            "fr":"Malte",
            "hr":"Malta",
            "it":"Malta",
            "ja":"\u30de\u30eb\u30bf",
            "nl":"Malta",
            "pt":"Malta",
            "hu":"M\u00e1lta"
        },
        "cioc":"MLT"
    },
    {
        "alpha2Code":"MH",
        "alpha3Code":"MHL",
        "altSpellings":[
            "MH",
            "Republic of the Marshall Islands",
            "Aolep\u0101n Aor\u014dkin M\u0327aje\u013c"
        ],
        "area":181,
        "borders":[
            
        ],
        "callingCodes":[
            "692"
        ],
        "capital":"Majuro",
        "currencies":[
            {
                "code":"USD",
                "name":"United States dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Marshallese",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/mhl.svg",
            "https://restcountries.com/data/png/mhl.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"mh",
                "iso639_2":"mah",
                "name":"Marshallese",
                "nativeName":"Kajin M\u0327aje\u013c"
            }
        ],
        "latlng":[
            9,
            168
        ],
        "name":"Marshall Islands",
        "nativeName":"M\u0327aje\u013c",
        "numericCode":"584",
        "population":54880,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Micronesia",
        "timezones":[
            "+12:00"
        ],
        "topLevelDomain":[
            ".mh"
        ],
        "translations":{
            "br":"Ilhas Marshall",
            "de":"Marshallinseln",
            "es":"Islas Marshall",
            "fa":"\u062c\u0632\u0627\u06cc\u0631 \u0645\u0627\u0631\u0634\u0627\u0644",
            "fr":"\u00celes Marshall",
            "hr":"Mar\u0161alovi Otoci",
            "it":"Isole Marshall",
            "ja":"\u30de\u30fc\u30b7\u30e3\u30eb\u8af8\u5cf6",
            "nl":"Marshalleilanden",
            "pt":"Ilhas Marshall",
            "hu":"Marshall-szigetek"
        },
        "cioc":"MHL"
    },
    {
        "alpha2Code":"MQ",
        "alpha3Code":"MTQ",
        "altSpellings":[
            "MQ"
        ],
        "borders":[
            
        ],
        "callingCodes":[
            "596"
        ],
        "capital":"Fort-de-France",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"French",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/mtq.svg",
            "https://restcountries.com/data/png/mtq.png"
        ],
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            14.666667,
            -61
        ],
        "name":"Martinique",
        "nativeName":"Martinique",
        "numericCode":"474",
        "population":378243,
        "continent":"Americas",
        "regionalBlocs":[
            
        ],
        "region":"Caribbean",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".mq"
        ],
        "translations":{
            "br":"Martinica",
            "de":"Martinique",
            "es":"Martinica",
            "fa":"\u0645\u0648\u0646\u062a\u0633\u0631\u0627\u062a",
            "fr":"Martinique",
            "hr":"Martinique",
            "it":"Martinica",
            "ja":"\u30de\u30eb\u30c6\u30a3\u30cb\u30fc\u30af",
            "nl":"Martinique",
            "pt":"Martinica",
            "hu":"Martinique"
        },
        "cioc":""
    },
    {
        "alpha2Code":"MR",
        "alpha3Code":"MRT",
        "altSpellings":[
            "MR",
            "Islamic Republic of Mauritania",
            "al-Jumh\u016briyyah al-\u02beIsl\u0101miyyah al-M\u016br\u012bt\u0101niyyah"
        ],
        "area":1030700,
        "borders":[
            "DZA",
            "MLI",
            "SEN",
            "ESH"
        ],
        "callingCodes":[
            "222"
        ],
        "capital":"Nouakchott",
        "currencies":[
            {
                "code":"MRO",
                "name":"Mauritanian ouguiya",
                "symbol":"UM"
            }
        ],
        "demonym":"Mauritanian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/mrt.svg",
            "https://restcountries.com/data/png/mrt.png"
        ],
        "gini":40.5,
        "languages":[
            {
                "iso639_1":"ar",
                "iso639_2":"ara",
                "name":"Arabic",
                "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
            }
        ],
        "latlng":[
            20,
            -12
        ],
        "name":"Mauritania",
        "nativeName":"\u0645\u0648\u0631\u064a\u062a\u0627\u0646\u064a\u0627",
        "numericCode":"478",
        "population":3718678,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            },
            {
                "acronym":"AL",
                "name":"Arab League",
                "otherNames":[
                    "\u062c\u0627\u0645\u0639\u0629 \u0627\u0644\u062f\u0648\u0644 \u0627\u0644\u0639\u0631\u0628\u064a\u0629",
                    "J\u0101mi\u02bbat ad-Duwal al-\u02bbArab\u012byah",
                    "League of Arab States"
                ]
            }
        ],
        "region":"Western Africa",
        "timezones":[
            ""
        ],
        "topLevelDomain":[
            ".mr"
        ],
        "translations":{
            "br":"Maurit\u00e2nia",
            "de":"Mauretanien",
            "es":"Mauritania",
            "fa":"\u0645\u0648\u0631\u06cc\u062a\u0627\u0646\u06cc",
            "fr":"Mauritanie",
            "hr":"Mauritanija",
            "it":"Mauritania",
            "ja":"\u30e2\u30fc\u30ea\u30bf\u30cb\u30a2",
            "nl":"Mauritani\u00eb",
            "pt":"Maurit\u00e2nia",
            "hu":"Maurit\u00e1nia"
        },
        "cioc":"MTN"
    },
    {
        "alpha2Code":"MU",
        "alpha3Code":"MUS",
        "altSpellings":[
            "MU",
            "Republic of Mauritius",
            "R\u00e9publique de Maurice"
        ],
        "area":2040,
        "borders":[
            
        ],
        "callingCodes":[
            "230"
        ],
        "capital":"Port Louis",
        "currencies":[
            {
                "code":"MUR",
                "name":"Mauritian rupee",
                "symbol":"\u20a8"
            }
        ],
        "demonym":"Mauritian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/mus.svg",
            "https://restcountries.com/data/png/mus.png"
        ],
        "gini":35.8,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            -20.28333333,
            57.55
        ],
        "name":"Mauritius",
        "nativeName":"Maurice",
        "numericCode":"480",
        "population":1262879,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Eastern Africa",
        "timezones":[
            "+04:00"
        ],
        "topLevelDomain":[
            ".mu"
        ],
        "translations":{
            "br":"Maur\u00edcio",
            "de":"Mauritius",
            "es":"Mauricio",
            "fa":"\u0645\u0648\u0631\u06cc\u0633",
            "fr":"\u00cele Maurice",
            "hr":"Mauricijus",
            "it":"Mauritius",
            "ja":"\u30e2\u30fc\u30ea\u30b7\u30e3\u30b9",
            "nl":"Mauritius",
            "pt":"Maur\u00edcia",
            "hu":"Mauritius"
        },
        "cioc":"MRI"
    },
    {
        "alpha2Code":"YT",
        "alpha3Code":"MYT",
        "altSpellings":[
            "YT",
            "Department of Mayotte",
            "D\u00e9partement de Mayotte"
        ],
        "borders":[
            
        ],
        "callingCodes":[
            "262"
        ],
        "capital":"Mamoudzou",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"French",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/myt.svg",
            "https://restcountries.com/data/png/myt.png"
        ],
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            -12.83333333,
            45.16666666
        ],
        "name":"Mayotte",
        "nativeName":"Mayotte",
        "numericCode":"175",
        "population":226915,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Eastern Africa",
        "timezones":[
            "+03:00"
        ],
        "topLevelDomain":[
            ".yt"
        ],
        "translations":{
            "br":"Mayotte",
            "de":"Mayotte",
            "es":"Mayotte",
            "fa":"\u0645\u0627\u06cc\u0648\u062a",
            "fr":"Mayotte",
            "hr":"Mayotte",
            "it":"Mayotte",
            "ja":"\u30de\u30e8\u30c3\u30c8",
            "nl":"Mayotte",
            "pt":"Mayotte",
            "hu":"Mayotte"
        },
        "cioc":""
    },
    {
        "alpha2Code":"MX",
        "alpha3Code":"MEX",
        "altSpellings":[
            "MX",
            "Mexicanos",
            "United Mexican States",
            "Estados Unidos Mexicanos"
        ],
        "area":1964375,
        "borders":[
            "BLZ",
            "GTM",
            "USA"
        ],
        "callingCodes":[
            "52"
        ],
        "capital":"Mexico City",
        "currencies":[
            {
                "code":"MXN",
                "name":"Mexican peso",
                "symbol":"\$"
            }
        ],
        "demonym":"Mexican",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/mex.svg",
            "https://restcountries.com/data/png/mex.png"
        ],
        "gini":47,
        "languages":[
            {
                "iso639_1":"es",
                "iso639_2":"spa",
                "name":"Spanish",
                "nativeName":"Espa\u00f1ol"
            }
        ],
        "latlng":[
            23,
            -102
        ],
        "name":"Mexico",
        "nativeName":"M\u00e9xico",
        "numericCode":"484",
        "population":122273473,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"PA",
                "name":"Pacific Alliance",
                "otherNames":[
                    "Alianza del Pac\u00edfico"
                ]
            },
            {
                "acronym":"NAFTA",
                "name":"North American Free Trade Agreement",
                "otherNames":[
                    "Tratado de Libre Comercio de Am\u00e9rica del Norte",
                    "Accord de Libre-\u00e9change Nord-Am\u00e9ricain"
                ]
            }
        ],
        "region":"North America",
        "timezones":[
            "-08:00",
            "-07:00",
            "-06:00"
        ],
        "topLevelDomain":[
            ".mx"
        ],
        "translations":{
            "br":"M\u00e9xico",
            "de":"Mexiko",
            "es":"M\u00e9xico",
            "fa":"\u0645\u06a9\u0632\u06cc\u06a9",
            "fr":"Mexique",
            "hr":"Meksiko",
            "it":"Messico",
            "ja":"\u30e1\u30ad\u30b7\u30b3",
            "nl":"Mexico",
            "pt":"M\u00e9xico",
            "hu":"Mexik\u00f3"
        },
        "cioc":"MEX"
    },
    {
        "alpha2Code":"FM",
        "alpha3Code":"FSM",
        "altSpellings":[
            "FM",
            "Federated States of Micronesia"
        ],
        "area":702,
        "borders":[
            
        ],
        "callingCodes":[
            "691"
        ],
        "capital":"Palikir",
        "currencies":[
            {
                "code":"USD",
                "name":"United States dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Micronesian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/fsm.svg",
            "https://restcountries.com/data/png/fsm.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            6.91666666,
            158.25
        ],
        "name":"Micronesia (Federated States of)",
        "nativeName":"Micronesia",
        "numericCode":"583",
        "population":102800,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Micronesia",
        "timezones":[
            "+10:00",
            "+11"
        ],
        "topLevelDomain":[
            ".fm"
        ],
        "translations":{
            "br":"Micron\u00e9sia",
            "de":"Mikronesien",
            "es":"Micronesia",
            "fa":"\u0627\u06cc\u0627\u0644\u0627\u062a \u0641\u062f\u0631\u0627\u0644 \u0645\u06cc\u06a9\u0631\u0648\u0646\u0632\u06cc",
            "fr":"Micron\u00e9sie",
            "hr":"Mikronezija",
            "it":"Micronesia",
            "ja":"\u30df\u30af\u30ed\u30cd\u30b7\u30a2\u9023\u90a6",
            "nl":"Micronesi\u00eb",
            "pt":"Micron\u00e9sia",
            "hu":"Mikron\u00e9zia"
        },
        "cioc":"FSM"
    },
    {
        "alpha2Code":"MD",
        "alpha3Code":"MDA",
        "altSpellings":[
            "MD",
            "Republic of Moldova",
            "Republica Moldova"
        ],
        "area":33846,
        "borders":[
            "ROU",
            "UKR"
        ],
        "callingCodes":[
            "373"
        ],
        "capital":"Chi\u0219in\u0103u",
        "currencies":[
            {
                "code":"MDL",
                "name":"Moldovan leu",
                "symbol":"L"
            }
        ],
        "demonym":"Moldovan",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/mda.svg",
            "https://restcountries.com/data/png/mda.png"
        ],
        "gini":33,
        "languages":[
            {
                "iso639_1":"ro",
                "iso639_2":"ron",
                "name":"Romanian",
                "nativeName":"Rom\u00e2n\u0103"
            }
        ],
        "latlng":[
            47,
            29
        ],
        "name":"Moldova (Republic of)",
        "nativeName":"Moldova",
        "numericCode":"498",
        "population":3553100,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"CEFTA",
                "name":"Central European Free Trade Agreement"
            }
        ],
        "region":"Eastern Europe",
        "timezones":[
            "+02:00"
        ],
        "topLevelDomain":[
            ".md"
        ],
        "translations":{
            "br":"Mold\u00e1via",
            "de":"Moldawie",
            "es":"Moldavia",
            "fa":"\u0645\u0648\u0644\u062f\u0627\u0648\u06cc",
            "fr":"Moldavie",
            "hr":"Moldova",
            "it":"Moldavia",
            "ja":"\u30e2\u30eb\u30c9\u30d0\u5171\u548c\u56fd",
            "nl":"Moldavi\u00eb",
            "pt":"Mold\u00e1via",
            "hu":"Moldova"
        },
        "cioc":"MDA"
    },
    {
        "alpha2Code":"MC",
        "alpha3Code":"MCO",
        "altSpellings":[
            "MC",
            "Principality of Monaco",
            "Principaut\u00e9 de Monaco"
        ],
        "area":2.02,
        "borders":[
            "FRA"
        ],
        "callingCodes":[
            "377"
        ],
        "capital":"Monaco",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Monegasque",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/mco.svg",
            "https://restcountries.com/data/png/mco.png"
        ],
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            43.73333333,
            7.4
        ],
        "name":"Monaco",
        "nativeName":"Monaco",
        "numericCode":"492",
        "population":38400,
        "continent":"Europe",
        "regionalBlocs":[
            
        ],
        "region":"Western Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".mc"
        ],
        "translations":{
            "br":"M\u00f4naco",
            "de":"Monaco",
            "es":"M\u00f3naco",
            "fa":"\u0645\u0648\u0646\u0627\u06a9\u0648",
            "fr":"Monaco",
            "hr":"Monako",
            "it":"Principato di Monaco",
            "ja":"\u30e2\u30ca\u30b3",
            "nl":"Monaco",
            "pt":"M\u00f3naco",
            "hu":"Monaco"
        },
        "cioc":"MON"
    },
    {
        "alpha2Code":"MN",
        "alpha3Code":"MNG",
        "altSpellings":[
            "MN"
        ],
        "area":1564110,
        "borders":[
            "CHN",
            "RUS"
        ],
        "callingCodes":[
            "976"
        ],
        "capital":"Ulan Bator",
        "currencies":[
            {
                "code":"MNT",
                "name":"Mongolian t\u00f6gr\u00f6g",
                "symbol":"\u20ae"
            }
        ],
        "demonym":"Mongolian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/mng.svg",
            "https://restcountries.com/data/png/mng.png"
        ],
        "gini":36.5,
        "languages":[
            {
                "iso639_1":"mn",
                "iso639_2":"mon",
                "name":"Mongolian",
                "nativeName":"\u041c\u043e\u043d\u0433\u043e\u043b \u0445\u044d\u043b"
            }
        ],
        "latlng":[
            46,
            105
        ],
        "name":"Mongolia",
        "nativeName":"\u041c\u043e\u043d\u0433\u043e\u043b \u0443\u043b\u0441",
        "numericCode":"496",
        "population":3093100,
        "continent":"Asia",
        "regionalBlocs":[
            
        ],
        "region":"Eastern Asia",
        "timezones":[
            "+07:00",
            "+08:00"
        ],
        "topLevelDomain":[
            ".mn"
        ],
        "translations":{
            "br":"Mong\u00f3lia",
            "de":"Mongolei",
            "es":"Mongolia",
            "fa":"\u0645\u063a\u0648\u0644\u0633\u062a\u0627\u0646",
            "fr":"Mongolie",
            "hr":"Mongolija",
            "it":"Mongolia",
            "ja":"\u30e2\u30f3\u30b4\u30eb",
            "nl":"Mongoli\u00eb",
            "pt":"Mong\u00f3lia",
            "hu":"Mong\u00f3lia"
        },
        "cioc":"MGL"
    },
    {
        "alpha2Code":"ME",
        "alpha3Code":"MNE",
        "altSpellings":[
            "ME",
            "Crna Gora"
        ],
        "area":13812,
        "borders":[
            "ALB",
            "BIH",
            "HRV",
            "KOS",
            "SRB"
        ],
        "callingCodes":[
            "382"
        ],
        "capital":"Podgorica",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Montenegrin",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/mne.svg",
            "https://restcountries.com/data/png/mne.png"
        ],
        "gini":30,
        "languages":[
            {
                "iso639_1":"sr",
                "iso639_2":"srp",
                "name":"Serbian",
                "nativeName":"\u0441\u0440\u043f\u0441\u043a\u0438 \u0458\u0435\u0437\u0438\u043a"
            },
            {
                "iso639_1":"bs",
                "iso639_2":"bos",
                "name":"Bosnian",
                "nativeName":"bosanski jezik"
            },
            {
                "iso639_1":"sq",
                "iso639_2":"sqi",
                "name":"Albanian",
                "nativeName":"Shqip"
            },
            {
                "iso639_1":"hr",
                "iso639_2":"hrv",
                "name":"Croatian",
                "nativeName":"hrvatski jezik"
            }
        ],
        "latlng":[
            42.5,
            19.3
        ],
        "name":"Montenegro",
        "nativeName":"\u0426\u0440\u043d\u0430 \u0413\u043e\u0440\u0430",
        "numericCode":"499",
        "population":621810,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"CEFTA",
                "name":"Central European Free Trade Agreement"
            }
        ],
        "region":"Southern Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".me"
        ],
        "translations":{
            "br":"Montenegro",
            "de":"Montenegro",
            "es":"Montenegro",
            "fa":"\u0645\u0648\u0646\u062a\u0647\u200c\u0646\u06af\u0631\u0648",
            "fr":"Mont\u00e9n\u00e9gro",
            "hr":"Crna Gora",
            "it":"Montenegro",
            "ja":"\u30e2\u30f3\u30c6\u30cd\u30b0\u30ed",
            "nl":"Montenegro",
            "pt":"Montenegro",
            "hu":"Montenegr\u00f3"
        },
        "cioc":"MNE"
    },
    {
        "alpha2Code":"MS",
        "alpha3Code":"MSR",
        "altSpellings":[
            "MS"
        ],
        "area":102,
        "borders":[
            
        ],
        "callingCodes":[
            "1"
        ],
        "capital":"Plymouth",
        "currencies":[
            {
                "code":"XCD",
                "name":"East Caribbean dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Montserratian",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/msr.svg",
            "https://restcountries.com/data/png/msr.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            16.75,
            -62.2
        ],
        "name":"Montserrat",
        "nativeName":"Montserrat",
        "numericCode":"500",
        "population":4922,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"CARICOM",
                "name":"Caribbean Community",
                "otherNames":[
                    "Comunidad del Caribe",
                    "Communaut\u00e9 Carib\u00e9enne",
                    "Caribische Gemeenschap"
                ]
            }
        ],
        "region":"Caribbean",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".ms"
        ],
        "translations":{
            "br":"Montserrat",
            "de":"Montserrat",
            "es":"Montserrat",
            "fa":"\u0645\u0627\u06cc\u0648\u062a",
            "fr":"Montserrat",
            "hr":"Montserrat",
            "it":"Montserrat",
            "ja":"\u30e2\u30f3\u30c8\u30bb\u30e9\u30c8",
            "nl":"Montserrat",
            "pt":"Monserrate",
            "hu":"Montserrat"
        },
        "cioc":""
    },
    {
        "alpha2Code":"MA",
        "alpha3Code":"MAR",
        "altSpellings":[
            "MA",
            "Kingdom of Morocco",
            "Al-Mamlakah al-Ma\u0121ribiyah"
        ],
        "area":446550,
        "borders":[
            "DZA",
            "ESH",
            "ESP"
        ],
        "callingCodes":[
            "212"
        ],
        "capital":"Rabat",
        "currencies":[
            {
                "code":"MAD",
                "name":"Moroccan dirham",
                "symbol":"\u062f.\u0645."
            }
        ],
        "demonym":"Moroccan",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/mar.svg",
            "https://restcountries.com/data/png/mar.png"
        ],
        "gini":40.9,
        "languages":[
            {
                "iso639_1":"ar",
                "iso639_2":"ara",
                "name":"Arabic",
                "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
            }
        ],
        "latlng":[
            32,
            -5
        ],
        "name":"Morocco",
        "nativeName":"\u0627\u0644\u0645\u063a\u0631\u0628",
        "numericCode":"504",
        "population":33337529,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            },
            {
                "acronym":"AL",
                "name":"Arab League",
                "otherNames":[
                    "\u062c\u0627\u0645\u0639\u0629 \u0627\u0644\u062f\u0648\u0644 \u0627\u0644\u0639\u0631\u0628\u064a\u0629",
                    "J\u0101mi\u02bbat ad-Duwal al-\u02bbArab\u012byah",
                    "League of Arab States"
                ]
            }
        ],
        "region":"Northern Africa",
        "timezones":[
            ""
        ],
        "topLevelDomain":[
            ".ma"
        ],
        "translations":{
            "br":"Marrocos",
            "de":"Marokko",
            "es":"Marruecos",
            "fa":"\u0627\u0644\u0645\u063a\u0631\u0628",
            "fr":"Maroc",
            "hr":"Maroko",
            "it":"Marocco",
            "ja":"\u30e2\u30ed\u30c3\u30b3",
            "nl":"Marokko",
            "pt":"Marrocos",
            "hu":"Marokk\u00f3"
        },
        "cioc":"MAR"
    },
    {
        "alpha2Code":"MZ",
        "alpha3Code":"MOZ",
        "altSpellings":[
            "MZ",
            "Republic of Mozambique",
            "Rep\u00fablica de Mo\u00e7ambique"
        ],
        "area":801590,
        "borders":[
            "MWI",
            "ZAF",
            "SWZ",
            "TZA",
            "ZMB",
            "ZWE"
        ],
        "callingCodes":[
            "258"
        ],
        "capital":"Maputo",
        "currencies":[
            {
                "code":"MZN",
                "name":"Mozambican metical",
                "symbol":"MT"
            }
        ],
        "demonym":"Mozambican",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/moz.svg",
            "https://restcountries.com/data/png/moz.png"
        ],
        "gini":45.7,
        "languages":[
            {
                "iso639_1":"pt",
                "iso639_2":"por",
                "name":"Portuguese",
                "nativeName":"Portugu\u00eas"
            }
        ],
        "latlng":[
            -18.25,
            35
        ],
        "name":"Mozambique",
        "nativeName":"Mo\u00e7ambique",
        "numericCode":"508",
        "population":26423700,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Eastern Africa",
        "timezones":[
            "+02:00"
        ],
        "topLevelDomain":[
            ".mz"
        ],
        "translations":{
            "br":"Mo\u00e7ambique",
            "de":"Mosambik",
            "es":"Mozambique",
            "fa":"\u0645\u0648\u0632\u0627\u0645\u0628\u06cc\u06a9",
            "fr":"Mozambique",
            "hr":"Mozambik",
            "it":"Mozambico",
            "ja":"\u30e2\u30b6\u30f3\u30d3\u30fc\u30af",
            "nl":"Mozambique",
            "pt":"Mo\u00e7ambique",
            "hu":"Mozambik"
        },
        "cioc":"MOZ"
    },
    {
        "alpha2Code":"MM",
        "alpha3Code":"MMR",
        "altSpellings":[
            "MM",
            "Burma",
            "Republic of the Union of Myanmar",
            "Pyidaunzu Thanm\u0103da My\u0103ma Nainngandaw"
        ],
        "area":676578,
        "borders":[
            "BGD",
            "CHN",
            "IND",
            "LAO",
            "THA"
        ],
        "callingCodes":[
            "95"
        ],
        "capital":"Naypyidaw",
        "currencies":[
            {
                "code":"MMK",
                "name":"Burmese kyat",
                "symbol":"Ks"
            }
        ],
        "demonym":"Burmese",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/mmr.svg",
            "https://restcountries.com/data/png/mmr.png"
        ],
        "gini":38.1,
        "languages":[
            {
                "iso639_1":"my",
                "iso639_2":"mya",
                "name":"Burmese",
                "nativeName":"\u1017\u1019\u102c\u1005\u102c"
            }
        ],
        "latlng":[
            22,
            98
        ],
        "name":"Myanmar",
        "nativeName":"Myanma",
        "numericCode":"104",
        "population":51419420,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"ASEAN",
                "name":"Association of Southeast Asian Nations"
            }
        ],
        "region":"South-Eastern Asia",
        "timezones":[
            "+06:30"
        ],
        "topLevelDomain":[
            ".mm"
        ],
        "translations":{
            "br":"Myanmar",
            "de":"Myanmar",
            "es":"Myanmar",
            "fa":"\u0645\u06cc\u0627\u0646\u0645\u0627\u0631",
            "fr":"Myanmar",
            "hr":"Mijanmar",
            "it":"Birmania",
            "ja":"\u30df\u30e3\u30f3\u30de\u30fc",
            "nl":"Myanmar",
            "pt":"Myanmar",
            "hu":"Mianmar"
        },
        "cioc":"MYA"
    },
    {
        "alpha2Code":"NA",
        "alpha3Code":"NAM",
        "altSpellings":[
            "NA",
            "Namibi\u00eb",
            "Republic of Namibia"
        ],
        "area":825615,
        "borders":[
            "AGO",
            "BWA",
            "ZAF",
            "ZMB"
        ],
        "callingCodes":[
            "264"
        ],
        "capital":"Windhoek",
        "currencies":[
            {
                "code":"NAD",
                "name":"Namibian dollar",
                "symbol":"\$"
            },
            {
                "code":"ZAR",
                "name":"South African rand",
                "symbol":"R"
            }
        ],
        "demonym":"Namibian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/nam.svg",
            "https://restcountries.com/data/png/nam.png"
        ],
        "gini":63.9,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"af",
                "iso639_2":"afr",
                "name":"Afrikaans",
                "nativeName":"Afrikaans"
            }
        ],
        "latlng":[
            -22,
            17
        ],
        "name":"Namibia",
        "nativeName":"Namibia",
        "numericCode":"516",
        "population":2324388,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Southern Africa",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".na"
        ],
        "translations":{
            "br":"Nam\u00edbia",
            "de":"Namibia",
            "es":"Namibia",
            "fa":"\u0646\u0627\u0645\u06cc\u0628\u06cc\u0627",
            "fr":"Namibie",
            "hr":"Namibija",
            "it":"Namibia",
            "ja":"\u30ca\u30df\u30d3\u30a2",
            "nl":"Namibi\u00eb",
            "pt":"Nam\u00edbia",
            "hu":"Nam\u00edbia"
        },
        "cioc":"NAM"
    },
    {
        "alpha2Code":"NR",
        "alpha3Code":"NRU",
        "altSpellings":[
            "NR",
            "Naoero",
            "Pleasant Island",
            "Republic of Nauru",
            "Ripublik Naoero"
        ],
        "area":21,
        "borders":[
            
        ],
        "callingCodes":[
            "674"
        ],
        "capital":"Yaren",
        "currencies":[
            {
                "code":"AUD",
                "name":"Australian dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Nauruan",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/nru.svg",
            "https://restcountries.com/data/png/nru.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"na",
                "iso639_2":"nau",
                "name":"Nauruan",
                "nativeName":"Dorerin Naoero"
            }
        ],
        "latlng":[
            -0.53333333,
            166.91666666
        ],
        "name":"Nauru",
        "nativeName":"Nauru",
        "numericCode":"520",
        "population":10084,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Micronesia",
        "timezones":[
            "+12:00"
        ],
        "topLevelDomain":[
            ".nr"
        ],
        "translations":{
            "br":"Nauru",
            "de":"Nauru",
            "es":"Nauru",
            "fa":"\u0646\u0627\u0626\u0648\u0631\u0648",
            "fr":"Nauru",
            "hr":"Nauru",
            "it":"Nauru",
            "ja":"\u30ca\u30a6\u30eb",
            "nl":"Nauru",
            "pt":"Nauru",
            "hu":"Nauru"
        },
        "cioc":"NRU"
    },
    {
        "alpha2Code":"NP",
        "alpha3Code":"NPL",
        "altSpellings":[
            "NP",
            "Federal Democratic Republic of Nepal",
            "Lokt\u0101ntrik Ganatantra Nep\u0101l"
        ],
        "area":147181,
        "borders":[
            "CHN",
            "IND"
        ],
        "callingCodes":[
            "977"
        ],
        "capital":"Kathmandu",
        "currencies":[
            {
                "code":"NPR",
                "name":"Nepalese rupee",
                "symbol":"\u20a8"
            }
        ],
        "demonym":"Nepalese",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/npl.svg",
            "https://restcountries.com/data/png/npl.png"
        ],
        "gini":32.8,
        "languages":[
            {
                "iso639_1":"ne",
                "iso639_2":"nep",
                "name":"Nepali",
                "nativeName":"\u0928\u0947\u092a\u093e\u0932\u0940"
            }
        ],
        "latlng":[
            28,
            84
        ],
        "name":"Nepal",
        "nativeName":"\u0928\u0947\u092a\u093e\u0932",
        "numericCode":"524",
        "population":28431500,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"SAARC",
                "name":"South Asian Association for Regional Cooperation"
            }
        ],
        "region":"Southern Asia",
        "timezones":[
            "+05:45"
        ],
        "topLevelDomain":[
            ".np"
        ],
        "translations":{
            "br":"Nepal",
            "de":"N\u00e9pal",
            "es":"Nepal",
            "fa":"\u0646\u067e\u0627\u0644",
            "fr":"N\u00e9pal",
            "hr":"Nepal",
            "it":"Nepal",
            "ja":"\u30cd\u30d1\u30fc\u30eb",
            "nl":"Nepal",
            "pt":"Nepal",
            "hu":"Nep\u00e1l"
        },
        "cioc":"NEP"
    },
    {
        "alpha2Code":"NL",
        "alpha3Code":"NLD",
        "altSpellings":[
            "NL",
            "Holland",
            "Nederland"
        ],
        "area":41850,
        "borders":[
            "BEL",
            "DEU"
        ],
        "callingCodes":[
            "31"
        ],
        "capital":"Amsterdam",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Dh",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/nld.svg",
            "https://restcountries.com/data/png/nld.png"
        ],
        "gini":30.9,
        "languages":[
            {
                "iso639_1":"nl",
                "iso639_2":"nld",
                "name":"Dh",
                "nativeName":"Nederlands"
            }
        ],
        "latlng":[
            52.5,
            5.75
        ],
        "name":"Netherlands",
        "nativeName":"Nederland",
        "numericCode":"528",
        "population":17019800,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Western Europe",
        "timezones":[
            "-04:00",
            "+01:00"
        ],
        "topLevelDomain":[
            ".nl"
        ],
        "translations":{
            "br":"Holanda",
            "de":"Niederlande",
            "es":"Pa\u00edses Bajos",
            "fa":"\u067e\u0627\u062f\u0634\u0627\u0647\u06cc \u0647\u0644\u0646\u062f",
            "fr":"Pays-Bas",
            "hr":"Nizozemska",
            "it":"Paesi Bassi",
            "ja":"\u30aa\u30e9\u30f3\u30c0",
            "nl":"Nederland",
            "pt":"Pa\u00edses Baixos",
            "hu":"Hollandia"
        },
        "cioc":"NED"
    },
    {
        "alpha2Code":"NC",
        "alpha3Code":"NCL",
        "altSpellings":[
            "NC"
        ],
        "area":18575,
        "borders":[
            
        ],
        "callingCodes":[
            "687"
        ],
        "capital":"Noum\u00e9a",
        "currencies":[
            {
                "code":"XPF",
                "name":"CFP franc",
                "symbol":"Fr"
            }
        ],
        "demonym":"New Caledonian",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/ncl.svg",
            "https://restcountries.com/data/png/ncl.png"
        ],
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            -21.5,
            165.5
        ],
        "name":"New Caledonia",
        "nativeName":"Nouvelle-Cal\u00e9donie",
        "numericCode":"540",
        "population":268767,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Melanesia",
        "timezones":[
            "+11:00"
        ],
        "topLevelDomain":[
            ".nc"
        ],
        "translations":{
            "br":"Nova Caled\u00f4nia",
            "de":"Neukaledonien",
            "es":"Nueva Caledonia",
            "fa":"\u06a9\u0627\u0644\u062f\u0648\u0646\u06cc\u0627\u06cc \u062c\u062f\u06cc\u062f",
            "fr":"Nouvelle-Cal\u00e9donie",
            "hr":"Nova Kaledonija",
            "it":"Nuova Caledonia",
            "ja":"\u30cb\u30e5\u30fc\u30ab\u30ec\u30c9\u30cb\u30a2",
            "nl":"Nieuw-Caledoni\u00eb",
            "pt":"Nova Caled\u00f3nia",
            "hu":"\u00daj-Kaled\u00f3nia"
        },
        "cioc":""
    },
    {
        "alpha2Code":"NZ",
        "alpha3Code":"NZL",
        "altSpellings":[
            "NZ",
            "Aotearoa"
        ],
        "area":270467,
        "borders":[
            
        ],
        "callingCodes":[
            "64"
        ],
        "capital":"Wellington",
        "currencies":[
            {
                "code":"NZD",
                "name":"New Zealand dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"New Zealander",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/nzl.svg",
            "https://restcountries.com/data/png/nzl.png"
        ],
        "gini":36.2,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"mi",
                "iso639_2":"mri",
                "name":"M\u0101ori",
                "nativeName":"te reo M\u0101ori"
            }
        ],
        "latlng":[
            -41,
            174
        ],
        "name":"New Zealand",
        "nativeName":"New Zealand",
        "numericCode":"554",
        "population":4697854,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Australia and New Zealand",
        "timezones":[
            "-11:00",
            "-10:00",
            "+12:00",
            "+12:45",
            "+13:00"
        ],
        "topLevelDomain":[
            ".nz"
        ],
        "translations":{
            "br":"Nova Zel\u00e2ndia",
            "de":"Neuseeland",
            "es":"Nueva Zelanda",
            "fa":"\u0646\u06cc\u0648\u0632\u06cc\u0644\u0646\u062f",
            "fr":"Nouvelle-Z\u00e9lande",
            "hr":"Novi Zeland",
            "it":"Nuova Zelanda",
            "ja":"\u30cb\u30e5\u30fc\u30b8\u30fc\u30e9\u30f3\u30c9",
            "nl":"Nieuw-Zeeland",
            "pt":"Nova Zel\u00e2ndia",
            "hu":"\u00daj-Z\u00e9land"
        },
        "cioc":"NZL"
    },
    {
        "alpha2Code":"NI",
        "alpha3Code":"NIC",
        "altSpellings":[
            "NI",
            "Republic of Nicaragua",
            "Rep\u00fablica de Nicaragua"
        ],
        "area":130373,
        "borders":[
            "CRI",
            "HND"
        ],
        "callingCodes":[
            "505"
        ],
        "capital":"Managua",
        "currencies":[
            {
                "code":"NIO",
                "name":"Nicaraguan c\u00f3rdoba",
                "symbol":"C\$"
            }
        ],
        "demonym":"Nicaraguan",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/nic.svg",
            "https://restcountries.com/data/png/nic.png"
        ],
        "gini":40.5,
        "languages":[
            {
                "iso639_1":"es",
                "iso639_2":"spa",
                "name":"Spanish",
                "nativeName":"Espa\u00f1ol"
            }
        ],
        "latlng":[
            13,
            -85
        ],
        "name":"Nicaragua",
        "nativeName":"Nicaragua",
        "numericCode":"558",
        "population":6262703,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"CAIS",
                "name":"Central American Integration System",
                "otherAcronyms":[
                    "SICA"
                ],
                "otherNames":[
                    "Sistema de la Integraci\u00f3n Centroamericana,"
                ]
            }
        ],
        "region":"Central America",
        "timezones":[
            "-06:00"
        ],
        "topLevelDomain":[
            ".ni"
        ],
        "translations":{
            "br":"Nicar\u00e1gua",
            "de":"Nicaragua",
            "es":"Nicaragua",
            "fa":"\u0646\u06cc\u06a9\u0627\u0631\u0627\u06af\u0648\u0626\u0647",
            "fr":"Nicaragua",
            "hr":"Nikaragva",
            "it":"Nicaragua",
            "ja":"\u30cb\u30ab\u30e9\u30b0\u30a2",
            "nl":"Nicaragua",
            "pt":"Nicar\u00e1gua",
            "hu":"Nicaragua"
        },
        "cioc":"NCA"
    },
    {
        "alpha2Code":"NE",
        "alpha3Code":"NER",
        "altSpellings":[
            "NE",
            "Nijar",
            "Republic of Niger",
            "R\u00e9publique du Niger"
        ],
        "area":1267000,
        "borders":[
            "DZA",
            "BEN",
            "BFA",
            "TCD",
            "LBY",
            "MLI",
            "NGA"
        ],
        "callingCodes":[
            "227"
        ],
        "capital":"Niamey",
        "currencies":[
            {
                "code":"XOF",
                "name":"West African CFA franc",
                "symbol":"Fr"
            }
        ],
        "demonym":"Nigerien",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/ner.svg",
            "https://restcountries.com/data/png/ner.png"
        ],
        "gini":34.6,
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            16,
            8
        ],
        "name":"Niger",
        "nativeName":"Niger",
        "numericCode":"562",
        "population":20715000,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Western Africa",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".ne"
        ],
        "translations":{
            "br":"N\u00edger",
            "de":"Niger",
            "es":"N\u00edger",
            "fa":"\u0646\u06cc\u062c\u0631",
            "fr":"Niger",
            "hr":"Niger",
            "it":"Niger",
            "ja":"\u30cb\u30b8\u30a7\u30fc\u30eb",
            "nl":"Niger",
            "pt":"N\u00edger",
            "hu":"Niger"
        },
        "cioc":"NIG"
    },
    {
        "alpha2Code":"NG",
        "alpha3Code":"NGA",
        "altSpellings":[
            "NG",
            "Nijeriya",
            "Na\u00edj\u00edr\u00ed\u00e0",
            "Federal Republic of Nigeria"
        ],
        "area":923768,
        "borders":[
            "BEN",
            "CMR",
            "TCD",
            "NER"
        ],
        "callingCodes":[
            "234"
        ],
        "capital":"Abuja",
        "currencies":[
            {
                "code":"NGN",
                "name":"Nigerian naira",
                "symbol":"\u20a6"
            }
        ],
        "demonym":"Nigerian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/nga.svg",
            "https://restcountries.com/data/png/nga.png"
        ],
        "gini":48.8,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            10,
            8
        ],
        "name":"Nigeria",
        "nativeName":"Nigeria",
        "numericCode":"566",
        "population":186988000,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Western Africa",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".ng"
        ],
        "translations":{
            "br":"Nig\u00e9ria",
            "de":"Nigeria",
            "es":"Nigeria",
            "fa":"\u0646\u06cc\u062c\u0631\u06cc\u0647",
            "fr":"Nig\u00e9ria",
            "hr":"Nigerija",
            "it":"Nigeria",
            "ja":"\u30ca\u30a4\u30b8\u30a7\u30ea\u30a2",
            "nl":"Nigeria",
            "pt":"Nig\u00e9ria",
            "hu":"Nig\u00e9ria"
        },
        "cioc":"NGR"
    },
    {
        "alpha2Code":"NU",
        "alpha3Code":"NIU",
        "altSpellings":[
            "NU"
        ],
        "area":260,
        "borders":[
            
        ],
        "callingCodes":[
            "683"
        ],
        "capital":"Alofi",
        "currencies":[
            {
                "code":"NZD",
                "name":"New Zealand dollar",
                "symbol":"\$"
            },
            {
                "code":"(none)",
                "name":"Niue dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Niuean",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/niu.svg",
            "https://restcountries.com/data/png/niu.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            -19.03333333,
            -169.86666666
        ],
        "name":"Niue",
        "nativeName":"Niu\u0113",
        "numericCode":"570",
        "population":1470,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Polynesia",
        "timezones":[
            "-11:00"
        ],
        "topLevelDomain":[
            ".nu"
        ],
        "translations":{
            "br":"Niue",
            "de":"Niue",
            "es":"Niue",
            "fa":"\u0646\u06cc\u0648\u0648\u06cc",
            "fr":"Niue",
            "hr":"Niue",
            "it":"Niue",
            "ja":"\u30cb\u30a6\u30a8",
            "nl":"Niue",
            "pt":"Niue",
            "hu":"Niue"
        },
        "cioc":""
    },
    {
        "alpha2Code":"NF",
        "alpha3Code":"NFK",
        "altSpellings":[
            "NF",
            "Territory of Norfolk Island",
            "Teratri of Norf'k Ailen"
        ],
        "area":36,
        "borders":[
            
        ],
        "callingCodes":[
            "672"
        ],
        "capital":"Kingston",
        "currencies":[
            {
                "code":"AUD",
                "name":"Australian dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Norfolk Islander",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/nfk.svg",
            "https://restcountries.com/data/png/nfk.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            -29.03333333,
            167.95
        ],
        "name":"Norfolk Island",
        "nativeName":"Norfolk Island",
        "numericCode":"574",
        "population":2302,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Australia and New Zealand",
        "timezones":[
            "+11:30"
        ],
        "topLevelDomain":[
            ".nf"
        ],
        "translations":{
            "br":"Ilha Norfolk",
            "de":"Norfolkinsel",
            "es":"Isla de Norfolk",
            "fa":"\u062c\u0632\u06cc\u0631\u0647 \u0646\u0648\u0631\u0641\u06a9",
            "fr":"\u00cele de Norfolk",
            "hr":"Otok Norfolk",
            "it":"Isola Norfolk",
            "ja":"\u30ce\u30fc\u30d5\u30a9\u30fc\u30af\u5cf6",
            "nl":"Norfolkeiland",
            "pt":"Ilha Norfolk",
            "hu":"Norfolk-sziget"
        },
        "cioc":""
    },
    {
        "alpha2Code":"KP",
        "alpha3Code":"PRK",
        "altSpellings":[
            "KP",
            "Democratic People's Republic of Korea",
            "\uc870\uc120\ubbfc\uc8fc\uc8fc\uc758\uc778\ubbfc\uacf5\ud654\uad6d",
            "Chos\u014fn Minjuju\u016di Inmin Konghwaguk"
        ],
        "area":120538,
        "borders":[
            "CHN",
            "KOR",
            "RUS"
        ],
        "callingCodes":[
            "850"
        ],
        "capital":"Pyongyang",
        "currencies":[
            {
                "code":"KPW",
                "name":"North Korean won",
                "symbol":"\u20a9"
            }
        ],
        "demonym":"North Korean",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/prk.svg",
            "https://restcountries.com/data/png/prk.png"
        ],
        "gini":null,
        "languages":[
            {
                "iso639_1":"ko",
                "iso639_2":"kor",
                "name":"Korean",
                "nativeName":"\ud55c\uad6d\uc5b4"
            }
        ],
        "latlng":[
            40,
            127
        ],
        "name":"Korea (Democratic People's Republic of)",
        "nativeName":"\ubd81\ud55c",
        "numericCode":"408",
        "population":25281000,
        "continent":"Asia",
        "regionalBlocs":[
            
        ],
        "region":"Eastern Asia",
        "timezones":[
            "+09:00"
        ],
        "topLevelDomain":[
            ".kp"
        ],
        "translations":{
            "br":"Coreia do Norte",
            "de":"Nordkorea",
            "es":"Corea del Norte",
            "fa":"\u06a9\u0631\u0647 \u062c\u0646\u0648\u0628\u06cc",
            "fr":"Cor\u00e9e du Nord",
            "hr":"Sjeverna Koreja",
            "it":"Corea del Nord",
            "ja":"\u671d\u9bae\u6c11\u4e3b\u4e3b\u7fa9\u4eba\u6c11\u5171\u548c\u56fd",
            "nl":"Noord-Korea",
            "pt":"Coreia do Norte",
            "hu":"\u00c9szak-Korea"
        },
        "cioc":"PRK"
    },
    {
        "alpha2Code":"MP",
        "alpha3Code":"MNP",
        "altSpellings":[
            "MP",
            "Commonwealth of the Northern Mariana Islands",
            "Sankattan Siha Na Islas Mari\u00e5nas"
        ],
        "area":464,
        "borders":[
            
        ],
        "callingCodes":[
            "1"
        ],
        "capital":"Saipan",
        "currencies":[
            {
                "code":"USD",
                "name":"United States dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"American",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/mnp.svg",
            "https://restcountries.com/data/png/mnp.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"ch",
                "iso639_2":"cha",
                "name":"Chamorro",
                "nativeName":"Chamoru"
            }
        ],
        "latlng":[
            15.2,
            145.75
        ],
        "name":"Northern Mariana Islands",
        "nativeName":"Northern Mariana Islands",
        "numericCode":"580",
        "population":56940,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Micronesia",
        "timezones":[
            "+10:00"
        ],
        "topLevelDomain":[
            ".mp"
        ],
        "translations":{
            "br":"Ilhas Marianas",
            "de":"N\u00f6rdliche Marianen",
            "es":"Islas Marianas del Norte",
            "fa":"\u062c\u0632\u0627\u06cc\u0631 \u0645\u0627\u0631\u06cc\u0627\u0646\u0627\u06cc \u0634\u0645\u0627\u0644\u06cc",
            "fr":"\u00celes Mariannes du Nord",
            "hr":"Sjevernomarijanski otoci",
            "it":"Isole Marianne Settentrionali",
            "ja":"\u5317\u30de\u30ea\u30a2\u30ca\u8af8\u5cf6",
            "nl":"Noordelijke Marianeneilanden",
            "pt":"Ilhas Marianas",
            "hu":"\u00c9szaki-Mariana-szigetek"
        },
        "cioc":""
    },
    {
        "alpha2Code":"NO",
        "alpha3Code":"NOR",
        "altSpellings":[
            "NO",
            "Norge",
            "Noreg",
            "Kingdom of Norway",
            "Kongeriket Norge",
            "Kongeriket Noreg"
        ],
        "area":323802,
        "borders":[
            "FIN",
            "SWE",
            "RUS"
        ],
        "callingCodes":[
            "47"
        ],
        "capital":"Oslo",
        "currencies":[
            {
                "code":"NOK",
                "name":"Norwegian krone",
                "symbol":"kr"
            }
        ],
        "demonym":"Norwegian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/nor.svg",
            "https://restcountries.com/data/png/nor.png"
        ],
        "gini":25.8,
        "languages":[
            {
                "iso639_1":"no",
                "iso639_2":"nor",
                "name":"Norwegian",
                "nativeName":"Norsk"
            },
            {
                "iso639_1":"nb",
                "iso639_2":"nob",
                "name":"Norwegian Bokm\u00e5l",
                "nativeName":"Norsk bokm\u00e5l"
            },
            {
                "iso639_1":"nn",
                "iso639_2":"nno",
                "name":"Norwegian Nynorsk",
                "nativeName":"Norsk nynorsk"
            }
        ],
        "latlng":[
            62,
            10
        ],
        "name":"Norway",
        "nativeName":"Norge",
        "numericCode":"578",
        "population":5223256,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EFTA",
                "name":"European Free Trade Association"
            }
        ],
        "region":"Northern Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".no"
        ],
        "translations":{
            "br":"Noruega",
            "de":"Norwegen",
            "es":"Noruega",
            "fa":"\u0646\u0631\u0648\u0698",
            "fr":"Norv\u00e8ge",
            "hr":"Norve\u0161ka",
            "it":"Norvegia",
            "ja":"\u30ce\u30eb\u30a6\u30a7\u30fc",
            "nl":"Noorwegen",
            "pt":"Noruega",
            "hu":"Norv\u00e9gia"
        },
        "cioc":"NOR"
    },
    {
        "alpha2Code":"OM",
        "alpha3Code":"OMN",
        "altSpellings":[
            "OM",
            "Sultanate of Oman",
            "Sal\u1e6danat \u02bbUm\u0101n"
        ],
        "area":309500,
        "borders":[
            "SAU",
            "ARE",
            "YEM"
        ],
        "callingCodes":[
            "968"
        ],
        "capital":"Muscat",
        "currencies":[
            {
                "code":"OMR",
                "name":"Omani rial",
                "symbol":"\u0631.\u0639."
            }
        ],
        "demonym":"Omani",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/omn.svg",
            "https://restcountries.com/data/png/omn.png"
        ],
        "gini":null,
        "languages":[
            {
                "iso639_1":"ar",
                "iso639_2":"ara",
                "name":"Arabic",
                "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
            }
        ],
        "latlng":[
            21,
            57
        ],
        "name":"Oman",
        "nativeName":"\u0639\u0645\u0627\u0646",
        "numericCode":"512",
        "population":4420133,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"AL",
                "name":"Arab League",
                "otherNames":[
                    "\u062c\u0627\u0645\u0639\u0629 \u0627\u0644\u062f\u0648\u0644 \u0627\u0644\u0639\u0631\u0628\u064a\u0629",
                    "J\u0101mi\u02bbat ad-Duwal al-\u02bbArab\u012byah",
                    "League of Arab States"
                ]
            }
        ],
        "region":"Western Asia",
        "timezones":[
            "+04:00"
        ],
        "topLevelDomain":[
            ".om"
        ],
        "translations":{
            "br":"Om\u00e3",
            "de":"Oman",
            "es":"Om\u00e1n",
            "fa":"\u0639\u0645\u0627\u0646",
            "fr":"Oman",
            "hr":"Oman",
            "it":"oman",
            "ja":"\u30aa\u30de\u30fc\u30f3",
            "nl":"Oman",
            "pt":"Om\u00e3",
            "hu":"Om\u00e1n"
        },
        "cioc":"OMA"
    },
    {
        "alpha2Code":"PK",
        "alpha3Code":"PAK",
        "altSpellings":[
            "PK",
            "P\u0101kist\u0101n",
            "Islamic Republic of Pakistan",
            "Isl\u0101m\u012b Jumh\u016briya'eh P\u0101kist\u0101n"
        ],
        "area":881912,
        "borders":[
            "AFG",
            "CHN",
            "IND",
            "IRN"
        ],
        "callingCodes":[
            "92"
        ],
        "capital":"Islamabad",
        "currencies":[
            {
                "code":"PKR",
                "name":"Pakistani rupee",
                "symbol":"\u20a8"
            }
        ],
        "demonym":"Pakistani",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/pak.svg",
            "https://restcountries.com/data/png/pak.png"
        ],
        "gini":30,
        "languages":[
            {
                "iso639_1":"ur",
                "iso639_2":"urd",
                "name":"Urdu",
                "nativeName":"\u0627\u0631\u062f\u0648"
            },
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            30,
            70
        ],
        "name":"Pakistan",
        "nativeName":"Pakistan",
        "numericCode":"586",
        "population":194125062,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"SAARC",
                "name":"South Asian Association for Regional Cooperation"
            }
        ],
        "region":"Southern Asia",
        "timezones":[
            "+05:00"
        ],
        "topLevelDomain":[
            ".pk"
        ],
        "translations":{
            "br":"Paquist\u00e3o",
            "de":"Pakistan",
            "es":"Pakist\u00e1n",
            "fa":"\u067e\u0627\u06a9\u0633\u062a\u0627\u0646",
            "fr":"Pakistan",
            "hr":"Pakistan",
            "it":"Pakistan",
            "ja":"\u30d1\u30ad\u30b9\u30bf\u30f3",
            "nl":"Pakistan",
            "pt":"Paquist\u00e3o",
            "hu":"Pakiszt\u00e1n"
        },
        "cioc":"PAK"
    },
    {
        "alpha2Code":"PW",
        "alpha3Code":"PLW",
        "altSpellings":[
            "PW",
            "Republic of Palau",
            "Beluu er a Belau"
        ],
        "area":459,
        "borders":[
            
        ],
        "callingCodes":[
            "680"
        ],
        "capital":"Ngerulmud",
        "currencies":[
            {
                "code":"USD",
                "name":"United States dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Palauan",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/plw.svg",
            "https://restcountries.com/data/png/plw.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            7.5,
            134.5
        ],
        "name":"Palau",
        "nativeName":"Palau",
        "numericCode":"585",
        "population":17950,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Micronesia",
        "timezones":[
            "+09:00"
        ],
        "topLevelDomain":[
            ".pw"
        ],
        "translations":{
            "br":"Palau",
            "de":"Palau",
            "es":"Palau",
            "fa":"\u067e\u0627\u0644\u0627\u0626\u0648",
            "fr":"Palaos",
            "hr":"Palau",
            "it":"Palau",
            "ja":"\u30d1\u30e9\u30aa",
            "nl":"Palau",
            "pt":"Palau",
            "hu":"Palau"
        },
        "cioc":"PLW"
    },
    {
        "alpha2Code":"PS",
        "alpha3Code":"PSE",
        "altSpellings":[
            "PS",
            "State of Palestine",
            "Dawlat Filas\u1e6din"
        ],
        "borders":[
            "ISR",
            "EGY",
            "JOR"
        ],
        "callingCodes":[
            "970"
        ],
        "capital":"Ramallah",
        "currencies":[
            {
                "code":"ILS",
                "name":"Israeli new sheqel",
                "symbol":"\u20aa"
            }
        ],
        "demonym":"Palestinian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/pse.svg",
            "https://restcountries.com/data/png/pse.png"
        ],
        "gini":35.5,
        "languages":[
            {
                "iso639_1":"ar",
                "iso639_2":"ara",
                "name":"Arabic",
                "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
            }
        ],
        "latlng":[
            31.9,
            35.2
        ],
        "name":"Palestine, State of",
        "nativeName":"\u0641\u0644\u0633\u0637\u064a\u0646",
        "numericCode":"275",
        "population":4682467,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"AL",
                "name":"Arab League",
                "otherNames":[
                    "\u062c\u0627\u0645\u0639\u0629 \u0627\u0644\u062f\u0648\u0644 \u0627\u0644\u0639\u0631\u0628\u064a\u0629",
                    "J\u0101mi\u02bbat ad-Duwal al-\u02bbArab\u012byah",
                    "League of Arab States"
                ]
            }
        ],
        "region":"Western Asia",
        "timezones":[
            "+02:00"
        ],
        "topLevelDomain":[
            ".ps"
        ],
        "translations":{
            "br":"Palestina",
            "de":"Pal\u00e4stina",
            "es":"Palestina",
            "fa":"\u0641\u0644\u0633\u0637\u06cc\u0646",
            "fr":"Palestine",
            "hr":"Palestina",
            "it":"Palestina",
            "ja":"\u30d1\u30ec\u30b9\u30c1\u30ca",
            "nl":"Palestijnse gebieden",
            "pt":"Palestina",
            "hu":"Palesztina"
        },
        "cioc":"PLE"
    },
    {
        "alpha2Code":"PA",
        "alpha3Code":"PAN",
        "altSpellings":[
            "PA",
            "Republic of Panama",
            "Rep\u00fablica de Panam\u00e1"
        ],
        "area":75417,
        "borders":[
            "COL",
            "CRI"
        ],
        "callingCodes":[
            "507"
        ],
        "capital":"Panama City",
        "currencies":[
            {
                "code":"PAB",
                "name":"Panamanian balboa",
                "symbol":"B/."
            },
            {
                "code":"USD",
                "name":"United States dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Panamanian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/pan.svg",
            "https://restcountries.com/data/png/pan.png"
        ],
        "gini":51.9,
        "languages":[
            {
                "iso639_1":"es",
                "iso639_2":"spa",
                "name":"Spanish",
                "nativeName":"Espa\u00f1ol"
            }
        ],
        "latlng":[
            9,
            -80
        ],
        "name":"Panama",
        "nativeName":"Panam\u00e1",
        "numericCode":"591",
        "population":3814672,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"CAIS",
                "name":"Central American Integration System",
                "otherAcronyms":[
                    "SICA"
                ],
                "otherNames":[
                    "Sistema de la Integraci\u00f3n Centroamericana,"
                ]
            }
        ],
        "region":"Central America",
        "timezones":[
            "-05:00"
        ],
        "topLevelDomain":[
            ".pa"
        ],
        "translations":{
            "br":"Panam\u00e1",
            "de":"Panama",
            "es":"Panam\u00e1",
            "fa":"\u067e\u0627\u0646\u0627\u0645\u0627",
            "fr":"Panama",
            "hr":"Panama",
            "it":"Panama",
            "ja":"\u30d1\u30ca\u30de",
            "nl":"Panama",
            "pt":"Panam\u00e1",
            "hu":"Panama"
        },
        "cioc":"PAN"
    },
    {
        "alpha2Code":"PG",
        "alpha3Code":"PNG",
        "altSpellings":[
            "PG",
            "Independent State of Papua New Guinea",
            "Independen Stet bilong Papua Niugini"
        ],
        "area":462840,
        "borders":[
            "IDN"
        ],
        "callingCodes":[
            "675"
        ],
        "capital":"Port Moresby",
        "currencies":[
            {
                "code":"PGK",
                "name":"Papua New Guinean kina",
                "symbol":"K"
            }
        ],
        "demonym":"Papua New Guinean",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/png.svg",
            "https://restcountries.com/data/png/png.png"
        ],
        "gini":50.9,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            -6,
            147
        ],
        "name":"Papua New Guinea",
        "nativeName":"Papua Niugini",
        "numericCode":"598",
        "population":8083700,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Melanesia",
        "timezones":[
            "+10:00"
        ],
        "topLevelDomain":[
            ".pg"
        ],
        "translations":{
            "br":"Papua Nova Guin\u00e9",
            "de":"Papua-Neuguinea",
            "es":"Pap\u00faa Nueva Guinea",
            "fa":"\u067e\u0627\u067e\u0648\u0622 \u06af\u06cc\u0646\u0647 \u0646\u0648",
            "fr":"Papouasie-Nouvelle-Guin\u00e9e",
            "hr":"Papua Nova Gvineja",
            "it":"Papua Nuova Guinea",
            "ja":"\u30d1\u30d7\u30a2\u30cb\u30e5\u30fc\u30ae\u30cb\u30a2",
            "nl":"Papoea-Nieuw-Guinea",
            "pt":"Papua Nova Guin\u00e9",
            "hu":"P\u00e1pua \u00daj-Guinea"
        },
        "cioc":"PNG"
    },
    {
        "alpha2Code":"PY",
        "alpha3Code":"PRY",
        "altSpellings":[
            "PY",
            "Republic of Paraguay",
            "Rep\u00fablica del Paraguay",
            "Tet\u00e3 Paragu\u00e1i"
        ],
        "area":406752,
        "borders":[
            "ARG",
            "BOL",
            "BRA"
        ],
        "callingCodes":[
            "595"
        ],
        "capital":"Asunci\u00f3n",
        "currencies":[
            {
                "code":"PYG",
                "name":"Paraguayan guaran\u00ed",
                "symbol":"\u20b2"
            }
        ],
        "demonym":"Paraguayan",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/pry.svg",
            "https://restcountries.com/data/png/pry.png"
        ],
        "gini":52.4,
        "languages":[
            {
                "iso639_1":"es",
                "iso639_2":"spa",
                "name":"Spanish",
                "nativeName":"Espa\u00f1ol"
            },
            {
                "iso639_1":"gn",
                "iso639_2":"grn",
                "name":"Guaran\u00ed",
                "nativeName":"Ava\u00f1e'\u1ebd"
            }
        ],
        "latlng":[
            -23,
            -58
        ],
        "name":"Paraguay",
        "nativeName":"Paraguay",
        "numericCode":"600",
        "population":6854536,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"USAN",
                "name":"Union of South American Nations",
                "otherAcronyms":[
                    "UNASUR",
                    "UNASUL",
                    "UZAN"
                ],
                "otherNames":[
                    "Uni\u00f3n de Naciones Suramericanas",
                    "Uni\u00e3o de Na\u00e7\u00f5es Sul-Americanas",
                    "Unie van Zuid-Amerikaanse Naties",
                    "South American Union"
                ]
            }
        ],
        "region":"South America",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".py"
        ],
        "translations":{
            "br":"Paraguai",
            "de":"Paraguay",
            "es":"Paraguay",
            "fa":"\u067e\u0627\u0631\u0627\u06af\u0648\u0626\u0647",
            "fr":"Paraguay",
            "hr":"Paragvaj",
            "it":"Paraguay",
            "ja":"\u30d1\u30e9\u30b0\u30a2\u30a4",
            "nl":"Paraguay",
            "pt":"Paraguai",
            "hu":"Paraguay"
        },
        "cioc":"PAR"
    },
    {
        "alpha2Code":"PE",
        "alpha3Code":"PER",
        "altSpellings":[
            "PE",
            "Republic of Peru",
            " Rep\u00fablica del Per\u00fa"
        ],
        "area":1285216,
        "borders":[
            "BOL",
            "BRA",
            "CHL",
            "COL",
            "ECU"
        ],
        "callingCodes":[
            "51"
        ],
        "capital":"Lima",
        "currencies":[
            {
                "code":"PEN",
                "name":"Peruvian sol",
                "symbol":"S/."
            }
        ],
        "demonym":"Peruvian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/per.svg",
            "https://restcountries.com/data/png/per.png"
        ],
        "gini":48.1,
        "languages":[
            {
                "iso639_1":"es",
                "iso639_2":"spa",
                "name":"Spanish",
                "nativeName":"Espa\u00f1ol"
            }
        ],
        "latlng":[
            -10,
            -76
        ],
        "name":"Peru",
        "nativeName":"Per\u00fa",
        "numericCode":"604",
        "population":31488700,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"PA",
                "name":"Pacific Alliance",
                "otherNames":[
                    "Alianza del Pac\u00edfico"
                ]
            },
            {
                "acronym":"USAN",
                "name":"Union of South American Nations",
                "otherAcronyms":[
                    "UNASUR",
                    "UNASUL",
                    "UZAN"
                ],
                "otherNames":[
                    "Uni\u00f3n de Naciones Suramericanas",
                    "Uni\u00e3o de Na\u00e7\u00f5es Sul-Americanas",
                    "Unie van Zuid-Amerikaanse Naties",
                    "South American Union"
                ]
            }
        ],
        "region":"South America",
        "timezones":[
            "-05:00"
        ],
        "topLevelDomain":[
            ".pe"
        ],
        "translations":{
            "br":"Peru",
            "de":"Peru",
            "es":"Per\u00fa",
            "fa":"\u067e\u0631\u0648",
            "fr":"P\u00e9rou",
            "hr":"Peru",
            "it":"Per\u00f9",
            "ja":"\u30da\u30eb\u30fc",
            "nl":"Peru",
            "pt":"Peru",
            "hu":"Peru"
        },
        "cioc":"PER"
    },
    {
        "alpha2Code":"PH",
        "alpha3Code":"PHL",
        "altSpellings":[
            "PH",
            "Republic of the Philippines",
            "Rep\u00fablika ng Pilipinas"
        ],
        "area":342353,
        "borders":[
            
        ],
        "callingCodes":[
            "63"
        ],
        "capital":"Manila",
        "currencies":[
            {
                "code":"PHP",
                "name":"Philippine peso",
                "symbol":"\u20b1"
            }
        ],
        "demonym":"Filipino",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/phl.svg",
            "https://restcountries.com/data/png/phl.png"
        ],
        "gini":43,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            13,
            122
        ],
        "name":"Philippines",
        "nativeName":"Pilipinas",
        "numericCode":"608",
        "population":103279800,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"ASEAN",
                "name":"Association of Southeast Asian Nations"
            }
        ],
        "region":"South-Eastern Asia",
        "timezones":[
            "+08:00"
        ],
        "topLevelDomain":[
            ".ph"
        ],
        "translations":{
            "br":"Filipinas",
            "de":"Philippinen",
            "es":"Filipinas",
            "fa":"\u062c\u0632\u0627\u06cc\u0631 \u0627\u0644\u0646\u062f\u0641\u06cc\u0644\u06cc\u067e\u06cc\u0646",
            "fr":"Philippines",
            "hr":"Filipini",
            "it":"Filippine",
            "ja":"\u30d5\u30a3\u30ea\u30d4\u30f3",
            "nl":"Filipijnen",
            "pt":"Filipinas",
            "hu":"F\u00fcl\u00f6p-szigetek"
        },
        "cioc":"PHI"
    },
    {
        "alpha2Code":"PN",
        "alpha3Code":"PCN",
        "altSpellings":[
            "PN",
            "Pitcairn Henderson Ducie and Oeno Islands"
        ],
        "area":47,
        "borders":[
            
        ],
        "callingCodes":[
            "64"
        ],
        "capital":"Adamstown",
        "currencies":[
            {
                "code":"NZD",
                "name":"New Zealand dollar",
                "symbol":"\$"
            },
            {
                "code":"PND",
                "name":"Pitcairn Islands dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Pitcairn Islander",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/pcn.svg",
            "https://restcountries.com/data/png/pcn.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            -25.06666666,
            -130.1
        ],
        "name":"Pitcairn",
        "nativeName":"Pitcairn Islands",
        "numericCode":"612",
        "population":56,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Polynesia",
        "timezones":[
            "-08:00"
        ],
        "topLevelDomain":[
            ".pn"
        ],
        "translations":{
            "br":"Ilhas Pitcairn",
            "de":"Pitcairn",
            "es":"Islas Pitcairn",
            "fa":"\u067e\u06cc\u062a\u06a9\u0631\u0646",
            "fr":"\u00celes Pitcairn",
            "hr":"Pitcairnovo oto\u010dje",
            "it":"Isole Pitcairn",
            "ja":"\u30d4\u30c8\u30b1\u30a2\u30f3",
            "nl":"Pitcairneilanden",
            "pt":"Ilhas Pic\u00e1rnia",
            "hu":"Pitcairn-szigetek"
        },
        "cioc":""
    },
    {
        "alpha2Code":"PL",
        "alpha3Code":"POL",
        "altSpellings":[
            "PL",
            "Republic of Poland",
            "Rzeczpospolita Polska"
        ],
        "area":312679,
        "borders":[
            "BLR",
            "CZE",
            "DEU",
            "LTU",
            "RUS",
            "SVK",
            "UKR"
        ],
        "callingCodes":[
            "48"
        ],
        "capital":"Warsaw",
        "currencies":[
            {
                "code":"PLN",
                "name":"Polish z\u0142oty",
                "symbol":"z\u0142"
            }
        ],
        "demonym":"Polish",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/pol.svg",
            "https://restcountries.com/data/png/pol.png"
        ],
        "gini":34.1,
        "languages":[
            {
                "iso639_1":"pl",
                "iso639_2":"pol",
                "name":"Polish",
                "nativeName":"j\u0119zyk polski"
            }
        ],
        "latlng":[
            52,
            20
        ],
        "name":"Poland",
        "nativeName":"Polska",
        "numericCode":"616",
        "population":38437239,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Central Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".pl"
        ],
        "translations":{
            "br":"Pol\u00f4nia",
            "de":"Polen",
            "es":"Polonia",
            "fa":"\u0644\u0647\u0633\u062a\u0627\u0646",
            "fr":"Pologne",
            "hr":"Poljska",
            "it":"Polonia",
            "ja":"\u30dd\u30fc\u30e9\u30f3\u30c9",
            "nl":"Polen",
            "pt":"Pol\u00f3nia",
            "hu":"Lengyelorsz\u00e1g"
        },
        "cioc":"POL"
    },
    {
        "alpha2Code":"PT",
        "alpha3Code":"PRT",
        "altSpellings":[
            "PT",
            "Portuguesa",
            "Portuguese Republic",
            "Rep\u00fablica Portuguesa"
        ],
        "area":92090,
        "borders":[
            "ESP"
        ],
        "callingCodes":[
            "351"
        ],
        "capital":"Lisbon",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Portuguese",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/prt.svg",
            "https://restcountries.com/data/png/prt.png"
        ],
        "gini":38.5,
        "languages":[
            {
                "iso639_1":"pt",
                "iso639_2":"por",
                "name":"Portuguese",
                "nativeName":"Portugu\u00eas"
            }
        ],
        "latlng":[
            39.5,
            -8
        ],
        "name":"Portugal",
        "nativeName":"Portugal",
        "numericCode":"620",
        "population":10374822,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Southern Europe",
        "timezones":[
            "-01:00",
            ""
        ],
        "topLevelDomain":[
            ".pt"
        ],
        "translations":{
            "br":"Portugal",
            "de":"Portugal",
            "es":"Portugal",
            "fa":"\u067e\u0631\u062a\u063a\u0627\u0644",
            "fr":"Portugal",
            "hr":"Portugal",
            "it":"Portogallo",
            "ja":"\u30dd\u30eb\u30c8\u30ac\u30eb",
            "nl":"Portugal",
            "pt":"Portugal",
            "hu":"Portug\u00e1lia"
        },
        "cioc":"POR"
    },
    {
        "alpha2Code":"PR",
        "alpha3Code":"PRI",
        "altSpellings":[
            "PR",
            "Commonwealth of Puerto Rico",
            "Estado Libre Asociado de Puerto Rico"
        ],
        "area":8870,
        "borders":[
            
        ],
        "callingCodes":[
            "1"
        ],
        "capital":"San Juan",
        "currencies":[
            {
                "code":"USD",
                "name":"United States dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Puerto Rican",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/pri.svg",
            "https://restcountries.com/data/png/pri.png"
        ],
        "languages":[
            {
                "iso639_1":"es",
                "iso639_2":"spa",
                "name":"Spanish",
                "nativeName":"Espa\u00f1ol"
            },
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            18.25,
            -66.5
        ],
        "name":"Puerto Rico",
        "nativeName":"Puerto Rico",
        "numericCode":"630",
        "population":3474182,
        "continent":"Americas",
        "regionalBlocs":[
            
        ],
        "region":"Caribbean",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".pr"
        ],
        "translations":{
            "br":"Porto Rico",
            "de":"Puerto Rico",
            "es":"Puerto Rico",
            "fa":"\u067e\u0648\u0631\u062a\u0648 \u0631\u06cc\u06a9\u0648",
            "fr":"Porto Rico",
            "hr":"Portoriko",
            "it":"Porto Rico",
            "ja":"\u30d7\u30a8\u30eb\u30c8\u30ea\u30b3",
            "nl":"Puerto Rico",
            "pt":"Porto Rico",
            "hu":"Puerto Rico"
        },
        "cioc":"PUR"
    },
    {
        "alpha2Code":"QA",
        "alpha3Code":"QAT",
        "altSpellings":[
            "QA",
            "State of Qatar",
            "Dawlat Qa\u1e6dar"
        ],
        "area":11586,
        "borders":[
            "SAU"
        ],
        "callingCodes":[
            "974"
        ],
        "capital":"Doha",
        "currencies":[
            {
                "code":"QAR",
                "name":"Qatari riyal",
                "symbol":"\u0631.\u0642"
            }
        ],
        "demonym":"Qatari",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/qat.svg",
            "https://restcountries.com/data/png/qat.png"
        ],
        "gini":41.1,
        "languages":[
            {
                "iso639_1":"ar",
                "iso639_2":"ara",
                "name":"Arabic",
                "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
            }
        ],
        "latlng":[
            25.5,
            51.25
        ],
        "name":"Qatar",
        "nativeName":"\u0642\u0637\u0631",
        "numericCode":"634",
        "population":2587564,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"AL",
                "name":"Arab League",
                "otherNames":[
                    "\u062c\u0627\u0645\u0639\u0629 \u0627\u0644\u062f\u0648\u0644 \u0627\u0644\u0639\u0631\u0628\u064a\u0629",
                    "J\u0101mi\u02bbat ad-Duwal al-\u02bbArab\u012byah",
                    "League of Arab States"
                ]
            }
        ],
        "region":"Western Asia",
        "timezones":[
            "+03:00"
        ],
        "topLevelDomain":[
            ".qa"
        ],
        "translations":{
            "br":"Catar",
            "de":"Katar",
            "es":"Catar",
            "fa":"\u0642\u0637\u0631",
            "fr":"Qatar",
            "hr":"Katar",
            "it":"Qatar",
            "ja":"\u30ab\u30bf\u30fc\u30eb",
            "nl":"Qatar",
            "pt":"Catar",
            "hu":"Katar"
        },
        "cioc":"QAT"
    },
    {
        "alpha2Code":"XK",
        "alpha3Code":"KOS",
        "altSpellings":[
            "XK",
            "\u0420\u0435\u043f\u0443\u0431\u043b\u0438\u043a\u0430 \u041a\u043e\u0441\u043e\u0432\u043e"
        ],
        "area":10908,
        "borders":[
            "ALB",
            "MKD",
            "MNE",
            "SRB"
        ],
        "callingCodes":[
            "383"
        ],
        "capital":"Pristina",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Kosovar",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/kos.svg",
            "https://restcountries.com/data/png/kos.png"
        ],
        "languages":[
            {
                "iso639_1":"sq",
                "iso639_2":"sqi",
                "name":"Albanian",
                "nativeName":"Shqip"
            },
            {
                "iso639_1":"sr",
                "iso639_2":"srp",
                "name":"Serbian",
                "nativeName":"\u0441\u0440\u043f\u0441\u043a\u0438 \u0458\u0435\u0437\u0438\u043a"
            }
        ],
        "latlng":[
            42.666667,
            21.166667
        ],
        "name":"Republic of Kosovo",
        "nativeName":"Republika e Kosov\u00ebs",
        "population":1733842,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"CEFTA",
                "name":"Central European Free Trade Agreement"
            }
        ],
        "region":"Eastern Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ""
        ],
        "translations":{
            "br":"Kosovo",
            "es":"Kosovo",
            "fa":"\u06a9\u0648\u0632\u0648\u0648",
            "hr":"Kosovo",
            "pt":"Kosovo",
            "hu":"Koszov\u00f3"
        }
    },
    {
        "alpha2Code":"RE",
        "alpha3Code":"REU",
        "altSpellings":[
            "RE",
            "Reunion"
        ],
        "borders":[
            
        ],
        "callingCodes":[
            "262"
        ],
        "capital":"Saint-Denis",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"French",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/reu.svg",
            "https://restcountries.com/data/png/reu.png"
        ],
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            -21.15,
            55.5
        ],
        "name":"R\u00e9union",
        "nativeName":"La R\u00e9union",
        "numericCode":"638",
        "population":840974,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Eastern Africa",
        "timezones":[
            "+04:00"
        ],
        "topLevelDomain":[
            ".re"
        ],
        "translations":{
            "br":"Reuni\u00e3o",
            "de":"R\u00e9union",
            "es":"Reuni\u00f3n",
            "fa":"\u0631\u0626\u0648\u0646\u06cc\u0648\u0646",
            "fr":"R\u00e9union",
            "hr":"R\u00e9union",
            "it":"Riunione",
            "ja":"\u30ec\u30e6\u30cb\u30aa\u30f3",
            "nl":"R\u00e9union",
            "pt":"Reuni\u00e3o",
            "hu":"R\u00e9union"
        },
        "cioc":""
    },
    {
        "alpha2Code":"RO",
        "alpha3Code":"ROU",
        "altSpellings":[
            "RO",
            "Rumania",
            "Roumania",
            "Rom\u00e2nia"
        ],
        "area":238391,
        "borders":[
            "BGR",
            "HUN",
            "MDA",
            "SRB",
            "UKR"
        ],
        "callingCodes":[
            "40"
        ],
        "capital":"Bucharest",
        "currencies":[
            {
                "code":"RON",
                "name":"Romanian leu",
                "symbol":"lei"
            }
        ],
        "demonym":"Romanian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/rou.svg",
            "https://restcountries.com/data/png/rou.png"
        ],
        "gini":30,
        "languages":[
            {
                "iso639_1":"ro",
                "iso639_2":"ron",
                "name":"Romanian",
                "nativeName":"Rom\u00e2n\u0103"
            }
        ],
        "latlng":[
            46,
            25
        ],
        "name":"Romania",
        "nativeName":"Rom\u00e2nia",
        "numericCode":"642",
        "population":19861408,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Eastern Europe",
        "timezones":[
            "+02:00"
        ],
        "topLevelDomain":[
            ".ro"
        ],
        "translations":{
            "br":"Rom\u00eania",
            "de":"Rum\u00e4nien",
            "es":"Rumania",
            "fa":"\u0631\u0648\u0645\u0627\u0646\u06cc",
            "fr":"Roumanie",
            "hr":"Rumunjska",
            "it":"Romania",
            "ja":"\u30eb\u30fc\u30de\u30cb\u30a2",
            "nl":"Roemeni\u00eb",
            "pt":"Rom\u00e9nia",
            "hu":"Rom\u00e1nia"
        },
        "cioc":"ROU"
    },
    {
        "alpha2Code":"RU",
        "alpha3Code":"RUS",
        "altSpellings":[
            "RU",
            "Rossiya",
            "Russian Federation",
            "\u0420\u043e\u0441\u0441\u0438\u0439\u0441\u043a\u0430\u044f \u0424\u0435\u0434\u0435\u0440\u0430\u0446\u0438\u044f",
            "Rossiyskaya Federatsiya"
        ],
        "area":17124442,
        "borders":[
            "AZE",
            "BLR",
            "CHN",
            "EST",
            "FIN",
            "GEO",
            "KAZ",
            "PRK",
            "LVA",
            "LTU",
            "MNG",
            "NOR",
            "POL",
            "UKR"
        ],
        "callingCodes":[
            "7"
        ],
        "capital":"Moscow",
        "currencies":[
            {
                "code":"RUB",
                "name":"Russian ruble",
                "symbol":"\u20bd"
            }
        ],
        "demonym":"Russian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/rus.svg",
            "https://restcountries.com/data/png/rus.png"
        ],
        "gini":40.1,
        "languages":[
            {
                "iso639_1":"ru",
                "iso639_2":"rus",
                "name":"Russian",
                "nativeName":"\u0420\u0443\u0441\u0441\u043a\u0438\u0439"
            }
        ],
        "latlng":[
            60,
            100
        ],
        "name":"Russian Federation",
        "nativeName":"\u0420\u043e\u0441\u0441\u0438\u044f",
        "numericCode":"643",
        "population":146599183,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EEU",
                "name":"Eurasian Economic Union",
                "otherAcronyms":[
                    "EAEU"
                ]
            }
        ],
        "region":"Eastern Europe",
        "timezones":[
            "+03:00",
            "+04:00",
            "+06:00",
            "+07:00",
            "+08:00",
            "+09:00",
            "+10:00",
            "+11:00",
            "+12:00"
        ],
        "topLevelDomain":[
            ".ru"
        ],
        "translations":{
            "br":"R\u00fassia",
            "de":"Russland",
            "es":"Rusia",
            "fa":"\u0631\u0648\u0633\u06cc\u0647",
            "fr":"Russie",
            "hr":"Rusija",
            "it":"Russia",
            "ja":"\u30ed\u30b7\u30a2\u9023\u90a6",
            "nl":"Rusland",
            "pt":"R\u00fassia",
            "hu":"Oroszorsz\u00e1g"
        },
        "cioc":"RUS"
    },
    {
        "alpha2Code":"RW",
        "alpha3Code":"RWA",
        "altSpellings":[
            "RW",
            "Republic of Rwanda",
            "Repubulika y'u Rwanda",
            "R\u00e9publique du Rwanda"
        ],
        "area":26338,
        "borders":[
            "BDI",
            "COD",
            "TZA",
            "UGA"
        ],
        "callingCodes":[
            "250"
        ],
        "capital":"Kigali",
        "currencies":[
            {
                "code":"RWF",
                "name":"Rwandan franc",
                "symbol":"Fr"
            }
        ],
        "demonym":"Rwandan",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/rwa.svg",
            "https://restcountries.com/data/png/rwa.png"
        ],
        "gini":50.8,
        "languages":[
            {
                "iso639_1":"rw",
                "iso639_2":"kin",
                "name":"Kinyarwanda",
                "nativeName":"Ikinyarwanda"
            },
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            -2,
            30
        ],
        "name":"Rwanda",
        "nativeName":"Rwanda",
        "numericCode":"646",
        "population":11553188,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Eastern Africa",
        "timezones":[
            "+02:00"
        ],
        "topLevelDomain":[
            ".rw"
        ],
        "translations":{
            "br":"Ruanda",
            "de":"Ruanda",
            "es":"Ruanda",
            "fa":"\u0631\u0648\u0627\u0646\u062f\u0627",
            "fr":"Rwanda",
            "hr":"Ruanda",
            "it":"Ruanda",
            "ja":"\u30eb\u30ef\u30f3\u30c0",
            "nl":"Rwanda",
            "pt":"Ruanda",
            "hu":"Ruanda"
        },
        "cioc":"RWA"
    },
    {
        "alpha2Code":"BL",
        "alpha3Code":"BLM",
        "altSpellings":[
            "BL",
            "St. Barthelemy",
            "Collectivity of Saint Barth\u00e9lemy",
            "Collectivit\u00e9 de Saint-Barth\u00e9lemy"
        ],
        "area":21,
        "borders":[
            
        ],
        "callingCodes":[
            "590"
        ],
        "capital":"Gustavia",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Saint Barth\u00e9lemy Islander",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/blm.svg",
            "https://restcountries.com/data/png/blm.png"
        ],
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            18.5,
            -63.41666666
        ],
        "name":"Saint Barth\u00e9lemy",
        "nativeName":"Saint-Barth\u00e9lemy",
        "numericCode":"652",
        "population":9417,
        "continent":"Americas",
        "regionalBlocs":[
            
        ],
        "region":"Caribbean",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".bl"
        ],
        "translations":{
            "br":"S\u00e3o Bartolomeu",
            "de":"Saint-Barth\u00e9lemy",
            "es":"San Bartolom\u00e9",
            "fa":"\u0633\u0646-\u0628\u0627\u0631\u062a\u0644\u0645\u06cc",
            "fr":"Saint-Barth\u00e9lemy",
            "hr":"Saint Barth\u00e9lemy",
            "it":"Antille Francesi",
            "ja":"\u30b5\u30f3\u30fb\u30d0\u30eb\u30c6\u30eb\u30df\u30fc",
            "nl":"Saint Barth\u00e9lemy",
            "pt":"S\u00e3o Bartolomeu",
            "hu":"Saint-Barth\u00e9lemy"
        },
        "cioc":""
    },
    {
        "alpha2Code":"SH",
        "alpha3Code":"SHN",
        "altSpellings":[
            "SH"
        ],
        "borders":[
            
        ],
        "callingCodes":[
            "290"
        ],
        "capital":"Jamestown",
        "currencies":[
            {
                "code":"SHP",
                "name":"Saint Helena pound",
                "symbol":"\u00a3"
            }
        ],
        "demonym":"Saint Helenian",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/shn.svg",
            "https://restcountries.com/data/png/shn.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            -15.95,
            -5.7
        ],
        "name":"Saint Helena, Ascension and Tristan da Cunha",
        "nativeName":"Saint Helena",
        "numericCode":"654",
        "population":4255,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Western Africa",
        "timezones":[
            "+00:00"
        ],
        "topLevelDomain":[
            ".sh"
        ],
        "translations":{
            "br":"Santa Helena",
            "de":"Sankt Helena",
            "es":"Santa Helena",
            "fa":"\u0633\u0646\u062a \u0647\u0644\u0646\u0627\u060c \u0627\u0633\u0646\u0634\u0646 \u0648 \u062a\u0631\u06cc\u0633\u062a\u0627\u0646 \u062f\u0627 \u06a9\u0648\u0646\u0627",
            "fr":"Sainte-H\u00e9l\u00e8ne",
            "hr":"Sveta Helena",
            "it":"Sant'Elena",
            "ja":"\u30bb\u30f3\u30c8\u30d8\u30ec\u30ca\u30fb\u30a2\u30bb\u30f3\u30b7\u30e7\u30f3\u304a\u3088\u3073\u30c8\u30ea\u30b9\u30bf\u30f3\u30c0\u30af\u30fc\u30cb\u30e3",
            "nl":"Sint-Helena",
            "pt":"Santa Helena",
            "hu":"Szent Ilona"
        }
    },
    {
        "alpha2Code":"KN",
        "alpha3Code":"KNA",
        "altSpellings":[
            "KN",
            "Federation of Saint Christopher and Nevis"
        ],
        "area":261,
        "borders":[
            
        ],
        "callingCodes":[
            "1"
        ],
        "capital":"Basseterre",
        "currencies":[
            {
                "code":"XCD",
                "name":"East Caribbean dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Kittian and Nevisian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/kna.svg",
            "https://restcountries.com/data/png/kna.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            17.33333333,
            -62.75
        ],
        "name":"Saint Kitts and Nevis",
        "nativeName":"Saint Kitts and Nevis",
        "numericCode":"659",
        "population":46204,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"CARICOM",
                "name":"Caribbean Community",
                "otherNames":[
                    "Comunidad del Caribe",
                    "Communaut\u00e9 Carib\u00e9enne",
                    "Caribische Gemeenschap"
                ]
            }
        ],
        "region":"Caribbean",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".kn"
        ],
        "translations":{
            "br":"S\u00e3o Crist\u00f3v\u00e3o e Neves",
            "de":"St. Kitts und Nevis",
            "es":"San Crist\u00f3bal y Nieves",
            "fa":"\u0633\u0646\u062a \u06a9\u06cc\u062a\u0633 \u0648 \u0646\u0648\u06cc\u0633",
            "fr":"Saint-Christophe-et-Ni\u00e9v\u00e8s",
            "hr":"Sveti Kristof i Nevis",
            "it":"Saint Kitts e Nevis",
            "ja":"\u30bb\u30f3\u30c8\u30af\u30ea\u30b9\u30c8\u30d5\u30a1\u30fc\u30fb\u30cd\u30a4\u30d3\u30b9",
            "nl":"Saint Kitts en Nevis",
            "pt":"S\u00e3o Crist\u00f3v\u00e3o e Neves",
            "hu":"Saint Kitts \u00e9s Nevis"
        },
        "cioc":"SKN"
    },
    {
        "alpha2Code":"LC",
        "alpha3Code":"LCA",
        "altSpellings":[
            "LC"
        ],
        "area":616,
        "borders":[
            
        ],
        "callingCodes":[
            "1"
        ],
        "capital":"Castries",
        "currencies":[
            {
                "code":"XCD",
                "name":"East Caribbean dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Saint Lucian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/lca.svg",
            "https://restcountries.com/data/png/lca.png"
        ],
        "gini":42.6,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            13.88333333,
            -60.96666666
        ],
        "name":"Saint Lucia",
        "nativeName":"Saint Lucia",
        "numericCode":"662",
        "population":186000,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"CARICOM",
                "name":"Caribbean Community",
                "otherNames":[
                    "Comunidad del Caribe",
                    "Communaut\u00e9 Carib\u00e9enne",
                    "Caribische Gemeenschap"
                ]
            }
        ],
        "region":"Caribbean",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".lc"
        ],
        "translations":{
            "br":"Santa L\u00facia",
            "de":"Saint Lucia",
            "es":"Santa Luc\u00eda",
            "fa":"\u0633\u0646\u062a \u0644\u0648\u0633\u06cc\u0627",
            "fr":"Saint-Lucie",
            "hr":"Sveta Lucija",
            "it":"Santa Lucia",
            "ja":"\u30bb\u30f3\u30c8\u30eb\u30b7\u30a2",
            "nl":"Saint Lucia",
            "pt":"Santa L\u00facia",
            "hu":"Saint Lucia"
        },
        "cioc":"LCA"
    },
    {
        "alpha2Code":"MF",
        "alpha3Code":"MAF",
        "altSpellings":[
            "MF",
            "Collectivity of Saint Martin",
            "Collectivit\u00e9 de Saint-Martin"
        ],
        "area":53,
        "borders":[
            "SXM",
            "NLD"
        ],
        "callingCodes":[
            "590"
        ],
        "capital":"Marigot",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Saint Martin Islander",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/maf.svg",
            "https://restcountries.com/data/png/maf.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            },
            {
                "iso639_1":"nl",
                "iso639_2":"nld",
                "name":"Dh",
                "nativeName":"Nederlands"
            }
        ],
        "latlng":[
            18.08333333,
            -63.95
        ],
        "name":"Saint Martin (French part)",
        "nativeName":"Saint-Martin",
        "numericCode":"663",
        "population":36979,
        "continent":"Americas",
        "regionalBlocs":[
            
        ],
        "region":"Caribbean",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".mf",
            ".fr",
            ".gp"
        ],
        "translations":{
            "br":"Saint Martin",
            "de":"Saint Martin",
            "es":"Saint Martin",
            "fa":"\u0633\u06cc\u0646\u062a \u0645\u0627\u0631\u062a\u0646",
            "fr":"Saint-Martin",
            "hr":"Sveti Martin",
            "it":"Saint Martin",
            "ja":"\u30b5\u30f3\u30fb\u30de\u30eb\u30bf\u30f3\uff08\u30d5\u30e9\u30f3\u30b9\u9818\uff09",
            "nl":"Saint-Martin",
            "pt":"Ilha S\u00e3o Martinho",
            "hu":"Saint-Martin",
            "se":"Saint Martin"
        },
        "cioc":""
    },
    {
        "alpha2Code":"PM",
        "alpha3Code":"SPM",
        "altSpellings":[
            "PM",
            "Collectivit\u00e9 territoriale de Saint-Pierre-et-Miquelon"
        ],
        "area":242,
        "borders":[
            
        ],
        "callingCodes":[
            "508"
        ],
        "capital":"Saint-Pierre",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"French",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/spm.svg",
            "https://restcountries.com/data/png/spm.png"
        ],
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            46.83333333,
            -56.33333333
        ],
        "name":"Saint Pierre and Miquelon",
        "nativeName":"Saint-Pierre-et-Miquelon",
        "numericCode":"666",
        "population":6069,
        "continent":"Americas",
        "regionalBlocs":[
            
        ],
        "region":"Northern America",
        "timezones":[
            "-03:00"
        ],
        "topLevelDomain":[
            ".pm"
        ],
        "translations":{
            "br":"Saint-Pierre e Miquelon",
            "de":"Saint-Pierre und Miquelon",
            "es":"San Pedro y Miquel\u00f3n",
            "fa":"\u0633\u0646 \u067e\u06cc\u0631 \u0648 \u0645\u06cc\u06a9\u0644\u0646",
            "fr":"Saint-Pierre-et-Miquelon",
            "hr":"Sveti Petar i Mikelon",
            "it":"Saint-Pierre e Miquelon",
            "ja":"\u30b5\u30f3\u30d4\u30a8\u30fc\u30eb\u5cf6\u30fb\u30df\u30af\u30ed\u30f3\u5cf6",
            "nl":"Saint Pierre en Miquelon",
            "pt":"S\u00e3o Pedro e Miquelon",
            "hu":"Saint-Pierre \u00e9s Miquelon"
        },
        "cioc":""
    },
    {
        "alpha2Code":"VC",
        "alpha3Code":"VCT",
        "altSpellings":[
            "VC"
        ],
        "area":389,
        "borders":[
            
        ],
        "callingCodes":[
            "1"
        ],
        "capital":"Kingstown",
        "currencies":[
            {
                "code":"XCD",
                "name":"East Caribbean dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Saint Vincentian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/vct.svg",
            "https://restcountries.com/data/png/vct.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            13.25,
            -61.2
        ],
        "name":"Saint Vincent and the Grenadines",
        "nativeName":"Saint Vincent and the Grenadines",
        "numericCode":"670",
        "population":109991,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"CARICOM",
                "name":"Caribbean Community",
                "otherNames":[
                    "Comunidad del Caribe",
                    "Communaut\u00e9 Carib\u00e9enne",
                    "Caribische Gemeenschap"
                ]
            }
        ],
        "region":"Caribbean",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".vc"
        ],
        "translations":{
            "br":"S\u00e3o Vicente e Granadinas",
            "de":"Saint Vincent und die Grenadinen",
            "es":"San Vicente y Granadinas",
            "fa":"\u0633\u0646\u062a \u0648\u06cc\u0646\u0633\u0646\u062a \u0648 \u06af\u0631\u0646\u0627\u062f\u06cc\u0646\u200c\u0647\u0627",
            "fr":"Saint-Vincent-et-les-Grenadines",
            "hr":"Sveti Vincent i Grenadini",
            "it":"Saint Vincent e Grenadine",
            "ja":"\u30bb\u30f3\u30c8\u30d3\u30f3\u30bb\u30f3\u30c8\u304a\u3088\u3073\u30b0\u30ec\u30ca\u30c7\u30a3\u30fc\u30f3\u8af8\u5cf6",
            "nl":"Saint Vincent en de Grenadines",
            "pt":"S\u00e3o Vicente e Granadinas",
            "hu":"Saint Vincent \u00e9s a Grenadine-szigetek"
        },
        "cioc":"VIN"
    },
    {
        "alpha2Code":"WS",
        "alpha3Code":"WSM",
        "altSpellings":[
            "WS",
            "Independent State of Samoa",
            "Malo Sa\u02bboloto Tuto\u02bbatasi o S\u0101moa"
        ],
        "area":2842,
        "borders":[
            
        ],
        "callingCodes":[
            "685"
        ],
        "capital":"Apia",
        "currencies":[
            {
                "code":"WST",
                "name":"Samoan t\u0101l\u0101",
                "symbol":"T"
            }
        ],
        "demonym":"Samoan",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/wsm.svg",
            "https://restcountries.com/data/png/wsm.png"
        ],
        "languages":[
            {
                "iso639_1":"sm",
                "iso639_2":"smo",
                "name":"Samoan",
                "nativeName":"gagana fa'a Samoa"
            },
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            -13.58333333,
            -172.33333333
        ],
        "name":"Samoa",
        "nativeName":"Samoa",
        "numericCode":"882",
        "population":194899,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Polynesia",
        "timezones":[
            "+13:00"
        ],
        "topLevelDomain":[
            ".ws"
        ],
        "translations":{
            "br":"Samoa",
            "de":"Samoa",
            "es":"Samoa",
            "fa":"\u0633\u0627\u0645\u0648\u0622",
            "fr":"Samoa",
            "hr":"Samoa",
            "it":"Samoa",
            "ja":"\u30b5\u30e2\u30a2",
            "nl":"Samoa",
            "pt":"Samoa",
            "hu":"Szamoa"
        },
        "cioc":"SAM"
    },
    {
        "alpha2Code":"SM",
        "alpha3Code":"SMR",
        "altSpellings":[
            "SM",
            "Republic of San Marino",
            "Repubblica di San Marino"
        ],
        "area":61,
        "borders":[
            "ITA"
        ],
        "callingCodes":[
            "378"
        ],
        "capital":"City of San Marino",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Sammarinese",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/smr.svg",
            "https://restcountries.com/data/png/smr.png"
        ],
        "languages":[
            {
                "iso639_1":"it",
                "iso639_2":"ita",
                "name":"Italian",
                "nativeName":"Italiano"
            }
        ],
        "latlng":[
            43.76666666,
            12.41666666
        ],
        "name":"San Marino",
        "nativeName":"San Marino",
        "numericCode":"674",
        "population":33005,
        "continent":"Europe",
        "regionalBlocs":[
            
        ],
        "region":"Southern Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".sm"
        ],
        "translations":{
            "br":"San Marino",
            "de":"San Marino",
            "es":"San Marino",
            "fa":"\u0633\u0627\u0646 \u0645\u0627\u0631\u06cc\u0646\u0648",
            "fr":"Saint-Marin",
            "hr":"San Marino",
            "it":"San Marino",
            "ja":"\u30b5\u30f3\u30de\u30ea\u30ce",
            "nl":"San Marino",
            "pt":"S\u00e3o Marinho",
            "hu":"San Marino"
        },
        "cioc":"SMR"
    },
    {
        "alpha2Code":"ST",
        "alpha3Code":"STP",
        "altSpellings":[
            "ST",
            "Democratic Republic of S\u00e3o Tom\u00e9 and Pr\u00edncipe",
            "Rep\u00fablica Democr\u00e1tica de S\u00e3o Tom\u00e9 e Pr\u00edncipe"
        ],
        "area":964,
        "borders":[
            
        ],
        "callingCodes":[
            "239"
        ],
        "capital":"S\u00e3o Tom\u00e9",
        "currencies":[
            {
                "code":"STD",
                "name":"S\u00e3o Tom\u00e9 and Pr\u00edncipe dobra",
                "symbol":"Db"
            }
        ],
        "demonym":"Sao Tomean",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/stp.svg",
            "https://restcountries.com/data/png/stp.png"
        ],
        "gini":50.8,
        "languages":[
            {
                "iso639_1":"pt",
                "iso639_2":"por",
                "name":"Portuguese",
                "nativeName":"Portugu\u00eas"
            }
        ],
        "latlng":[
            1,
            7
        ],
        "name":"Sao Tome and Principe",
        "nativeName":"S\u00e3o Tom\u00e9 e Pr\u00edncipe",
        "numericCode":"678",
        "population":187356,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Middle Africa",
        "timezones":[
            ""
        ],
        "topLevelDomain":[
            ".st"
        ],
        "translations":{
            "br":"S\u00e3o Tom\u00e9 e Pr\u00edncipe",
            "de":"S\u00e3o Tom\u00e9 und Pr\u00edncipe",
            "es":"Santo Tom\u00e9 y Pr\u00edncipe",
            "fa":"\u06a9\u0648\u0627\u062a\u0631\u0648 \u062f\u0648 \u0641\u0631\u0648\u06cc\u0631\u0648",
            "fr":"Sao Tom\u00e9-et-Principe",
            "hr":"Sveti Toma i Princip",
            "it":"S\u00e3o Tom\u00e9 e Pr\u00edncipe",
            "ja":"\u30b5\u30f3\u30c8\u30e1\u30fb\u30d7\u30ea\u30f3\u30b7\u30da",
            "nl":"Sao Tom\u00e9 en Principe",
            "pt":"S\u00e3o Tom\u00e9 e Pr\u00edncipe",
            "hu":"S\u00e3o Tom\u00e9 \u00e9s Pr\u00edncipe"
        },
        "cioc":"STP"
    },
    {
        "alpha2Code":"SA",
        "alpha3Code":"SAU",
        "altSpellings":[
            "SA",
            "Kingdom of Saudi Arabia",
            "Al-Mamlakah al-\u2018Arabiyyah as-Su\u2018\u016bdiyyah"
        ],
        "area":2149690,
        "borders":[
            "IRQ",
            "JOR",
            "KWT",
            "OMN",
            "QAT",
            "ARE",
            "YEM"
        ],
        "callingCodes":[
            "966"
        ],
        "capital":"Riyadh",
        "currencies":[
            {
                "code":"SAR",
                "name":"Saudi riyal",
                "symbol":"\u0631.\u0633"
            }
        ],
        "demonym":"Saudi Arabian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/sau.svg",
            "https://restcountries.com/data/png/sau.png"
        ],
        "gini":45.9,
        "languages":[
            {
                "iso639_1":"ar",
                "iso639_2":"ara",
                "name":"Arabic",
                "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
            }
        ],
        "latlng":[
            25,
            45
        ],
        "name":"Saudi Arabia",
        "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629 \u0627\u0644\u0633\u0639\u0648\u062f\u064a\u0629",
        "numericCode":"682",
        "population":32248200,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"AL",
                "name":"Arab League",
                "otherNames":[
                    "\u062c\u0627\u0645\u0639\u0629 \u0627\u0644\u062f\u0648\u0644 \u0627\u0644\u0639\u0631\u0628\u064a\u0629",
                    "J\u0101mi\u02bbat ad-Duwal al-\u02bbArab\u012byah",
                    "League of Arab States"
                ]
            }
        ],
        "region":"Western Asia",
        "timezones":[
            "+03:00"
        ],
        "topLevelDomain":[
            ".sa"
        ],
        "translations":{
            "br":"Ar\u00e1bia Saudita",
            "de":"Saudi-Arabien",
            "es":"Arabia Saud\u00ed",
            "fa":"\u0639\u0631\u0628\u0633\u062a\u0627\u0646 \u0633\u0639\u0648\u062f\u06cc",
            "fr":"Arabie Saoudite",
            "hr":"Saudijska Arabija",
            "it":"Arabia Saudita",
            "ja":"\u30b5\u30a6\u30b8\u30a2\u30e9\u30d3\u30a2",
            "nl":"Saoedi-Arabi\u00eb",
            "pt":"Ar\u00e1bia Saudita",
            "hu":"Sza\u00fad-Ar\u00e1bia"
        },
        "cioc":"KSA"
    },
    {
        "alpha2Code":"SN",
        "alpha3Code":"SEN",
        "altSpellings":[
            "SN",
            "Republic of Senegal",
            "R\u00e9publique du S\u00e9n\u00e9gal"
        ],
        "area":196722,
        "borders":[
            "GMB",
            "GIN",
            "GNB",
            "MLI",
            "MRT"
        ],
        "callingCodes":[
            "221"
        ],
        "capital":"Dakar",
        "currencies":[
            {
                "code":"XOF",
                "name":"West African CFA franc",
                "symbol":"Fr"
            }
        ],
        "demonym":"Senegalese",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/sen.svg",
            "https://restcountries.com/data/png/sen.png"
        ],
        "gini":39.2,
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            14,
            -14
        ],
        "name":"Senegal",
        "nativeName":"S\u00e9n\u00e9gal",
        "numericCode":"686",
        "population":14799859,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Western Africa",
        "timezones":[
            ""
        ],
        "topLevelDomain":[
            ".sn"
        ],
        "translations":{
            "br":"Senegal",
            "de":"Senegal",
            "es":"Senegal",
            "fa":"\u0633\u0646\u06af\u0627\u0644",
            "fr":"S\u00e9n\u00e9gal",
            "hr":"Senegal",
            "it":"Senegal",
            "ja":"\u30bb\u30cd\u30ac\u30eb",
            "nl":"Senegal",
            "pt":"Senegal",
            "hu":"Szeneg\u00e1l"
        },
        "cioc":"SEN"
    },
    {
        "alpha2Code":"RS",
        "alpha3Code":"SRB",
        "altSpellings":[
            "RS",
            "Srbija",
            "Republic of Serbia",
            "\u0420\u0435\u043f\u0443\u0431\u043b\u0438\u043a\u0430 \u0421\u0440\u0431\u0438\u0458\u0430",
            "Republika Srbija"
        ],
        "area":88361,
        "borders":[
            "BIH",
            "BGR",
            "HRV",
            "HUN",
            "KOS",
            "MKD",
            "MNE",
            "ROU"
        ],
        "callingCodes":[
            "381"
        ],
        "capital":"Belgrade",
        "currencies":[
            {
                "code":"RSD",
                "name":"Serbian dinar",
                "symbol":"\u0434\u0438\u043d."
            }
        ],
        "demonym":"Serbian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/srb.svg",
            "https://restcountries.com/data/png/srb.png"
        ],
        "gini":27.8,
        "languages":[
            {
                "iso639_1":"sr",
                "iso639_2":"srp",
                "name":"Serbian",
                "nativeName":"\u0441\u0440\u043f\u0441\u043a\u0438 \u0458\u0435\u0437\u0438\u043a"
            }
        ],
        "latlng":[
            44,
            21
        ],
        "name":"Serbia",
        "nativeName":"\u0421\u0440\u0431\u0438\u0458\u0430",
        "numericCode":"688",
        "population":7076372,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"CEFTA",
                "name":"Central European Free Trade Agreement"
            }
        ],
        "region":"Southern Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".rs"
        ],
        "translations":{
            "br":"S\u00e9rvia",
            "de":"Serbien",
            "es":"Serbia",
            "fa":"\u0635\u0631\u0628\u0633\u062a\u0627\u0646",
            "fr":"Serbie",
            "hr":"Srbija",
            "it":"Serbia",
            "ja":"\u30bb\u30eb\u30d3\u30a2",
            "nl":"Servi\u00eb",
            "pt":"S\u00e9rvia",
            "hu":"Szerbia"
        },
        "cioc":"SRB"
    },
    {
        "alpha2Code":"SC",
        "alpha3Code":"SYC",
        "altSpellings":[
            "SC",
            "Republic of Seychelles",
            "Repiblik Sesel",
            "R\u00e9publique des Seychelles"
        ],
        "area":452,
        "borders":[
            
        ],
        "callingCodes":[
            "248"
        ],
        "capital":"Victoria",
        "currencies":[
            {
                "code":"SCR",
                "name":"Seychellois rupee",
                "symbol":"\u20a8"
            }
        ],
        "demonym":"Seychellois",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/syc.svg",
            "https://restcountries.com/data/png/syc.png"
        ],
        "gini":65.8,
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            },
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            -4.58333333,
            55.66666666
        ],
        "name":"Seychelles",
        "nativeName":"Seychelles",
        "numericCode":"690",
        "population":91400,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Eastern Africa",
        "timezones":[
            "+04:00"
        ],
        "topLevelDomain":[
            ".sc"
        ],
        "translations":{
            "br":"Seicheles",
            "de":"Seychellen",
            "es":"Seychelles",
            "fa":"\u0633\u06cc\u0634\u0644",
            "fr":"Seychelles",
            "hr":"Sej\u0161eli",
            "it":"Seychelles",
            "ja":"\u30bb\u30fc\u30b7\u30a7\u30eb",
            "nl":"Seychellen",
            "pt":"Seicheles",
            "hu":"Seychelle-szigetek"
        },
        "cioc":"SEY"
    },
    {
        "alpha2Code":"SL",
        "alpha3Code":"SLE",
        "altSpellings":[
            "SL",
            "Republic of Sierra Leone"
        ],
        "area":71740,
        "borders":[
            "GIN",
            "LBR"
        ],
        "callingCodes":[
            "232"
        ],
        "capital":"Freetown",
        "currencies":[
            {
                "code":"SLL",
                "name":"Sierra Leonean leone",
                "symbol":"Le"
            }
        ],
        "demonym":"Sierra Leonean",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/sle.svg",
            "https://restcountries.com/data/png/sle.png"
        ],
        "gini":42.5,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            8.5,
            -11.5
        ],
        "name":"Sierra Leone",
        "nativeName":"Sierra Leone",
        "numericCode":"694",
        "population":7075641,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Western Africa",
        "timezones":[
            ""
        ],
        "topLevelDomain":[
            ".sl"
        ],
        "translations":{
            "br":"Serra Leoa",
            "de":"Sierra Leone",
            "es":"Sierra Leone",
            "fa":"\u0633\u06cc\u0631\u0627\u0644\u0626\u0648\u0646",
            "fr":"Sierra Leone",
            "hr":"Sijera Leone",
            "it":"Sierra Leone",
            "ja":"\u30b7\u30a8\u30e9\u30ec\u30aa\u30cd",
            "nl":"Sierra Leone",
            "pt":"Serra Leoa",
            "hu":"Sierra Leone"
        },
        "cioc":"SLE"
    },
    {
        "alpha2Code":"SG",
        "alpha3Code":"SGP",
        "altSpellings":[
            "SG",
            "Singapura",
            "Republik Singapura",
            "\u65b0\u52a0\u5761\u5171\u548c\u56fd"
        ],
        "area":710,
        "borders":[
            
        ],
        "callingCodes":[
            "65"
        ],
        "capital":"Singapore",
        "currencies":[
            {
                "code":"BND",
                "name":"Brunei dollar",
                "symbol":"\$"
            },
            {
                "code":"SGD",
                "name":"Singapore dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Singaporean",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/sgp.svg",
            "https://restcountries.com/data/png/sgp.png"
        ],
        "gini":48.1,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"ms",
                "iso639_2":"msa",
                "name":"Malay",
                "nativeName":"bahasa Melayu"
            },
            {
                "iso639_1":"ta",
                "iso639_2":"tam",
                "name":"Tamil",
                "nativeName":"\u0ba4\u0bae\u0bbf\u0bb4\u0bcd"
            },
            {
                "iso639_1":"zh",
                "iso639_2":"zho",
                "name":"Chinese",
                "nativeName":"\u4e2d\u6587 (Zh\u014dngw\u00e9n)"
            }
        ],
        "latlng":[
            1.36666666,
            103.8
        ],
        "name":"Singapore",
        "nativeName":"Singapore",
        "numericCode":"702",
        "population":5535000,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"ASEAN",
                "name":"Association of Southeast Asian Nations"
            }
        ],
        "region":"South-Eastern Asia",
        "timezones":[
            "+08:00"
        ],
        "topLevelDomain":[
            ".sg"
        ],
        "translations":{
            "br":"Singapura",
            "de":"Singapur",
            "es":"Singapur",
            "fa":"\u0633\u0646\u06af\u0627\u067e\u0648\u0631",
            "fr":"Singapour",
            "hr":"Singapur",
            "it":"Singapore",
            "ja":"\u30b7\u30f3\u30ac\u30dd\u30fc\u30eb",
            "nl":"Singapore",
            "pt":"Singapura",
            "hu":"Szingap\u00far"
        },
        "cioc":"SIN"
    },
    {
        "alpha2Code":"SX",
        "alpha3Code":"SXM",
        "altSpellings":[
            "SX"
        ],
        "area":34,
        "borders":[
            "MAF"
        ],
        "callingCodes":[
            "1"
        ],
        "capital":"Philipsburg",
        "currencies":[
            {
                "code":"ANG",
                "name":"Netherlands Antillean guilder",
                "symbol":"\u0192"
            }
        ],
        "demonym":"Dh",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/sxm.svg",
            "https://restcountries.com/data/png/sxm.png"
        ],
        "languages":[
            {
                "iso639_1":"nl",
                "iso639_2":"nld",
                "name":"Dh",
                "nativeName":"Nederlands"
            },
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            18.033333,
            -63.05
        ],
        "name":"Sint Maarten (Dh part)",
        "nativeName":"Sint Maarten",
        "numericCode":"534",
        "population":38247,
        "continent":"Americas",
        "regionalBlocs":[
            
        ],
        "region":"Caribbean",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".sx"
        ],
        "translations":{
            "br":"Sint Maarten",
            "de":"Sint Maarten (niederl. Teil)",
            "fa":"\u0633\u06cc\u0646\u062a \u0645\u0627\u0631\u062a\u0646",
            "fr":"Saint Martin (partie n\u00e9erlandaise)",
            "it":"Saint Martin (parte olandese)",
            "nl":"Sint Maarten",
            "pt":"S\u00e3o Martinho",
            "se":"Saint Martin",
            "hu":"Sint Maarten"
        },
        "cioc":""
    },
    {
        "alpha2Code":"SK",
        "alpha3Code":"SVK",
        "altSpellings":[
            "SK",
            "Slovak Republic",
            "Slovensk\u00e1 republika"
        ],
        "area":49037,
        "borders":[
            "AUT",
            "CZE",
            "HUN",
            "POL",
            "UKR"
        ],
        "callingCodes":[
            "421"
        ],
        "capital":"Bratislava",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Slovak",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/svk.svg",
            "https://restcountries.com/data/png/svk.png"
        ],
        "gini":26,
        "languages":[
            {
                "iso639_1":"sk",
                "iso639_2":"slk",
                "name":"Slovak",
                "nativeName":"sloven\u010dina"
            }
        ],
        "latlng":[
            48.66666666,
            19.5
        ],
        "name":"Slovakia",
        "nativeName":"Slovensko",
        "numericCode":"703",
        "population":5426252,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Central Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".sk"
        ],
        "translations":{
            "br":"Eslov\u00e1quia",
            "de":"Slowakei",
            "es":"Rep\u00fablica Eslovaca",
            "fa":"\u0627\u0633\u0644\u0648\u0627\u06a9\u06cc",
            "fr":"Slovaquie",
            "hr":"Slova\u010dka",
            "it":"Slovacchia",
            "ja":"\u30b9\u30ed\u30d0\u30ad\u30a2",
            "nl":"Slowakije",
            "pt":"Eslov\u00e1quia",
            "hu":"Szlov\u00e1kia"
        },
        "cioc":"SVK"
    },
    {
        "alpha2Code":"SI",
        "alpha3Code":"SVN",
        "altSpellings":[
            "SI",
            "Republic of Slovenia",
            "Republika Slovenija"
        ],
        "area":20273,
        "borders":[
            "AUT",
            "HRV",
            "ITA",
            "HUN"
        ],
        "callingCodes":[
            "386"
        ],
        "capital":"Ljubljana",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Slovene",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/svn.svg",
            "https://restcountries.com/data/png/svn.png"
        ],
        "gini":31.2,
        "languages":[
            {
                "iso639_1":"sl",
                "iso639_2":"slv",
                "name":"Slovene",
                "nativeName":"slovenski jezik"
            }
        ],
        "latlng":[
            46.11666666,
            14.81666666
        ],
        "name":"Slovenia",
        "nativeName":"Slovenija",
        "numericCode":"705",
        "population":2064188,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Southern Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".si"
        ],
        "translations":{
            "br":"Eslov\u00eania",
            "de":"Slowenien",
            "es":"Eslovenia",
            "fa":"\u0627\u0633\u0644\u0648\u0648\u0646\u06cc",
            "fr":"Slov\u00e9nie",
            "hr":"Slovenija",
            "it":"Slovenia",
            "ja":"\u30b9\u30ed\u30d9\u30cb\u30a2",
            "nl":"Sloveni\u00eb",
            "pt":"Eslov\u00e9nia",
            "hu":"Szlov\u00e9nia"
        },
        "cioc":"SLO"
    },
    {
        "alpha2Code":"SB",
        "alpha3Code":"SLB",
        "altSpellings":[
            "SB"
        ],
        "area":28896,
        "borders":[
            
        ],
        "callingCodes":[
            "677"
        ],
        "capital":"Honiara",
        "currencies":[
            {
                "code":"SBD",
                "name":"Solomon Islands dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Solomon Islander",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/slb.svg",
            "https://restcountries.com/data/png/slb.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            -8,
            159
        ],
        "name":"Solomon Islands",
        "nativeName":"Solomon Islands",
        "numericCode":"090",
        "population":642000,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Melanesia",
        "timezones":[
            "+11:00"
        ],
        "topLevelDomain":[
            ".sb"
        ],
        "translations":{
            "br":"Ilhas Salom\u00e3o",
            "de":"Salomonen",
            "es":"Islas Salom\u00f3n",
            "fa":"\u062c\u0632\u0627\u06cc\u0631 \u0633\u0644\u06cc\u0645\u0627\u0646",
            "fr":"\u00celes Salomon",
            "hr":"Solomonski Otoci",
            "it":"Isole Salomone",
            "ja":"\u30bd\u30ed\u30e2\u30f3\u8af8\u5cf6",
            "nl":"Salomonseilanden",
            "pt":"Ilhas Salom\u00e3o",
            "hu":"Salamon-szigetek"
        },
        "cioc":"SOL"
    },
    {
        "alpha2Code":"SO",
        "alpha3Code":"SOM",
        "altSpellings":[
            "SO",
            "a\u1e63-\u1e62\u016bm\u0101l",
            "Federal Republic of Somalia",
            "Jamhuuriyadda Federaalka Soomaaliya",
            "Jumh\u016briyyat a\u1e63-\u1e62\u016bm\u0101l al-Fider\u0101liyya"
        ],
        "area":637657,
        "borders":[
            "DJI",
            "ETH",
            "KEN"
        ],
        "callingCodes":[
            "252"
        ],
        "capital":"Mogadishu",
        "currencies":[
            {
                "code":"SOS",
                "name":"Somali shilling",
                "symbol":"Sh"
            }
        ],
        "demonym":"Somali",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/som.svg",
            "https://restcountries.com/data/png/som.png"
        ],
        "gini":null,
        "languages":[
            {
                "iso639_1":"so",
                "iso639_2":"som",
                "name":"Somali",
                "nativeName":"Soomaaliga"
            },
            {
                "iso639_1":"ar",
                "iso639_2":"ara",
                "name":"Arabic",
                "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
            }
        ],
        "latlng":[
            10,
            49
        ],
        "name":"Somalia",
        "nativeName":"Soomaaliya",
        "numericCode":"706",
        "population":11079000,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            },
            {
                "acronym":"AL",
                "name":"Arab League",
                "otherNames":[
                    "\u062c\u0627\u0645\u0639\u0629 \u0627\u0644\u062f\u0648\u0644 \u0627\u0644\u0639\u0631\u0628\u064a\u0629",
                    "J\u0101mi\u02bbat ad-Duwal al-\u02bbArab\u012byah",
                    "League of Arab States"
                ]
            }
        ],
        "region":"Eastern Africa",
        "timezones":[
            "+03:00"
        ],
        "topLevelDomain":[
            ".so"
        ],
        "translations":{
            "br":"Som\u00e1lia",
            "de":"Somalia",
            "es":"Somalia",
            "fa":"\u0633\u0648\u0645\u0627\u0644\u06cc",
            "fr":"Somalie",
            "hr":"Somalija",
            "it":"Somalia",
            "ja":"\u30bd\u30de\u30ea\u30a2",
            "nl":"Somali\u00eb",
            "pt":"Som\u00e1lia",
            "hu":"Szom\u00e1lia"
        },
        "cioc":"SOM"
    },
    {
        "alpha2Code":"ZA",
        "alpha3Code":"ZAF",
        "altSpellings":[
            "ZA",
            "RSA",
            "Suid-Afrika",
            "Republic of South Africa"
        ],
        "area":1221037,
        "borders":[
            "BWA",
            "LSO",
            "MOZ",
            "NAM",
            "SWZ",
            "ZWE"
        ],
        "callingCodes":[
            "27"
        ],
        "capital":"Pretoria",
        "currencies":[
            {
                "code":"ZAR",
                "name":"South African rand",
                "symbol":"R"
            }
        ],
        "demonym":"South African",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/zaf.svg",
            "https://restcountries.com/data/png/zaf.png"
        ],
        "gini":63.1,
        "languages":[
            {
                "iso639_1":"af",
                "iso639_2":"afr",
                "name":"Afrikaans",
                "nativeName":"Afrikaans"
            },
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"nr",
                "iso639_2":"nbl",
                "name":"Southern Ndebele",
                "nativeName":"isiNdebele"
            },
            {
                "iso639_1":"st",
                "iso639_2":"sot",
                "name":"Southern Sotho",
                "nativeName":"Sesotho"
            },
            {
                "iso639_1":"ss",
                "iso639_2":"ssw",
                "name":"Swati",
                "nativeName":"SiSwati"
            },
            {
                "iso639_1":"tn",
                "iso639_2":"tsn",
                "name":"Tswana",
                "nativeName":"Setswana"
            },
            {
                "iso639_1":"ts",
                "iso639_2":"tso",
                "name":"Tsonga",
                "nativeName":"Xitsonga"
            },
            {
                "iso639_1":"ve",
                "iso639_2":"ven",
                "name":"Venda",
                "nativeName":"Tshiven\u1e13a"
            },
            {
                "iso639_1":"xh",
                "iso639_2":"xho",
                "name":"Xhosa",
                "nativeName":"isiXhosa"
            },
            {
                "iso639_1":"zu",
                "iso639_2":"zul",
                "name":"Zulu",
                "nativeName":"isiZulu"
            }
        ],
        "latlng":[
            -29,
            24
        ],
        "name":"South Africa",
        "nativeName":"South Africa",
        "numericCode":"710",
        "population":55653654,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Southern Africa",
        "timezones":[
            "+02:00"
        ],
        "topLevelDomain":[
            ".za"
        ],
        "translations":{
            "br":"Rep\u00fablica Sul-Africana",
            "de":"Republik S\u00fcdafrika",
            "es":"Rep\u00fablica de Sud\u00e1frica",
            "fa":"\u0622\u0641\u0631\u06cc\u0642\u0627\u06cc \u062c\u0646\u0648\u0628\u06cc",
            "fr":"Afrique du Sud",
            "hr":"Ju\u017enoafri\u010dka Republika",
            "it":"Sud Africa",
            "ja":"\u5357\u30a2\u30d5\u30ea\u30ab",
            "nl":"Zuid-Afrika",
            "pt":"Rep\u00fablica Sul-Africana",
            "hu":"D\u00e9l-afrikai K\u00f6zt\u00e1rsas\u00e1g"
        },
        "cioc":"RSA"
    },
    {
        "alpha2Code":"GS",
        "alpha3Code":"SGS",
        "altSpellings":[
            "GS",
            "South Georgia and the South Sandwich Islands"
        ],
        "borders":[
            
        ],
        "callingCodes":[
            "500"
        ],
        "capital":"King Edward Point",
        "currencies":[
            {
                "code":"FKP",
                "name":"Falkland Islands Pound",
                "symbol":"\u00a3"
            }
        ],
        "demonym":"South Georgia and the South Sandwich Islander",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/sgs.svg",
            "https://restcountries.com/data/png/sgs.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            -54.5,
            -37
        ],
        "name":"South Georgia and the South Sandwich Islands",
        "nativeName":"South Georgia",
        "numericCode":"239",
        "population":30,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"USAN",
                "name":"Union of South American Nations",
                "otherAcronyms":[
                    "UNASUR",
                    "UNASUL",
                    "UZAN"
                ],
                "otherNames":[
                    "Uni\u00f3n de Naciones Suramericanas",
                    "Uni\u00e3o de Na\u00e7\u00f5es Sul-Americanas",
                    "Unie van Zuid-Amerikaanse Naties",
                    "South American Union"
                ]
            }
        ],
        "region":"South America",
        "timezones":[
            "-02:00"
        ],
        "topLevelDomain":[
            ".gs"
        ],
        "translations":{
            "br":"Ilhas Ge\u00f3rgias do Sul e Sandwich do Sul",
            "de":"S\u00fcdgeorgien und die S\u00fcdlichen Sandwichinseln",
            "es":"Islas Georgias del Sur y Sandwich del Sur",
            "fa":"\u062c\u0632\u0627\u06cc\u0631 \u062c\u0648\u0631\u062c\u06cc\u0627\u06cc \u062c\u0646\u0648\u0628\u06cc \u0648 \u0633\u0627\u0646\u062f\u0648\u06cc\u0686 \u062c\u0646\u0648\u0628\u06cc",
            "fr":"G\u00e9orgie du Sud-et-les \u00celes Sandwich du Sud",
            "hr":"Ju\u017ena Georgija i oto\u010dje Ju\u017eni Sandwich",
            "it":"Georgia del Sud e Isole Sandwich Meridionali",
            "ja":"\u30b5\u30a6\u30b9\u30b8\u30e7\u30fc\u30b8\u30a2\u30fb\u30b5\u30a6\u30b9\u30b5\u30f3\u30c9\u30a6\u30a3\u30c3\u30c1\u8af8\u5cf6",
            "nl":"Zuid-Georgia en Zuidelijke Sandwicheilanden",
            "pt":"Ilhas Ge\u00f3rgia do Sul e Sandu\u00edche do Sul",
            "se":"Sydgeorgien och Sydsandwich\u00f6arna",
            "hu":"D\u00edli-Georgia \u00eds D\u00edli-Sandwich-szigetek"
        },
        "cioc":""
    },
    {
        "alpha2Code":"KR",
        "alpha3Code":"KOR",
        "altSpellings":[
            "KR",
            "Republic of Korea"
        ],
        "area":100210,
        "borders":[
            "PRK"
        ],
        "callingCodes":[
            "82"
        ],
        "capital":"Seoul",
        "currencies":[
            {
                "code":"KRW",
                "name":"South Korean won",
                "symbol":"\u20a9"
            }
        ],
        "demonym":"South Korean",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/kor.svg",
            "https://restcountries.com/data/png/kor.png"
        ],
        "gini":31.3,
        "languages":[
            {
                "iso639_1":"ko",
                "iso639_2":"kor",
                "name":"Korean",
                "nativeName":"\ud55c\uad6d\uc5b4"
            }
        ],
        "latlng":[
            37,
            127.5
        ],
        "name":"Korea (Republic of)",
        "nativeName":"\ub300\ud55c\ubbfc\uad6d",
        "numericCode":"410",
        "population":50801405,
        "continent":"Asia",
        "regionalBlocs":[
            
        ],
        "region":"Eastern Asia",
        "timezones":[
            "+09:00"
        ],
        "topLevelDomain":[
            ".kr"
        ],
        "translations":{
            "br":"Coreia do Sul",
            "de":"S\u00fcdkorea",
            "es":"Corea del Sur",
            "fa":"\u06a9\u0631\u0647 \u0634\u0645\u0627\u0644\u06cc",
            "fr":"Cor\u00e9e du Sud",
            "hr":"Ju\u017ena Koreja",
            "it":"Corea del Sud",
            "ja":"\u5927\u97d3\u6c11\u56fd",
            "nl":"Zuid-Korea",
            "pt":"Coreia do Sul",
            "hu":"D\u00edl-Korea"
        },
        "cioc":"KOR"
    },
    {
        "alpha2Code":"SS",
        "alpha3Code":"SSD",
        "altSpellings":[
            "SS"
        ],
        "area":619745,
        "borders":[
            "CAF",
            "COD",
            "ETH",
            "KEN",
            "SDN",
            "UGA"
        ],
        "callingCodes":[
            "211"
        ],
        "capital":"Juba",
        "currencies":[
            {
                "code":"SSP",
                "name":"South Sudanese pound",
                "symbol":"\u00a3"
            }
        ],
        "demonym":"South Sudanese",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/ssd.svg",
            "https://restcountries.com/data/png/ssd.png"
        ],
        "gini":45.5,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            7,
            30
        ],
        "name":"South Sudan",
        "nativeName":"South Sudan",
        "numericCode":"728",
        "population":12131000,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Middle Africa",
        "timezones":[
            "+03:00"
        ],
        "topLevelDomain":[
            ".ss"
        ],
        "translations":{
            "br":"Sud\u00e3o do Sul",
            "de":"S\u00fcdsudan",
            "es":"Sud\u00e1n del Sur",
            "fa":"\u0633\u0648\u062f\u0627\u0646 \u062c\u0646\u0648\u0628\u06cc",
            "fr":"Soudan du Sud",
            "hr":"Ju\u017eni Sudan",
            "it":"Sudan del sud",
            "ja":"\u5357\u30b9\u30fc\u30c0\u30f3",
            "nl":"Zuid-Soedan",
            "pt":"Sud\u00e3o do Sul",
            "hu":"D\u00edl-Szud\u00e1n"
        },
        "cioc":""
    },
    {
        "alpha2Code":"ES",
        "alpha3Code":"ESP",
        "altSpellings":[
            "ES",
            "Kingdom of Spain",
            "Reino de Espa\u00f1a"
        ],
        "area":505992,
        "borders":[
            "AND",
            "FRA",
            "GIB",
            "PRT",
            "MAR"
        ],
        "callingCodes":[
            "34"
        ],
        "capital":"Madrid",
        "currencies":[
            {
                "code":"EUR",
                "name":"Euro",
                "symbol":"\u20ac"
            }
        ],
        "demonym":"Spanish",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/esp.svg",
            "https://restcountries.com/data/png/esp.png"
        ],
        "gini":34.7,
        "languages":[
            {
                "iso639_1":"es",
                "iso639_2":"spa",
                "name":"Spanish",
                "nativeName":"Espa\u00f1ol"
            }
        ],
        "latlng":[
            40,
            -4
        ],
        "name":"Spain",
        "nativeName":"Espa\u00f1a",
        "numericCode":"724",
        "population":46438422,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Southern Europe",
        "timezones":[
            "",
            "+01:00"
        ],
        "topLevelDomain":[
            ".es"
        ],
        "translations":{
            "br":"Espanha",
            "de":"Spanien",
            "es":"Espa\u00f1a",
            "fa":"\u0627\u0633\u067e\u0627\u0646\u06cc\u0627",
            "fr":"Espagne",
            "hr":"\u0160panjolska",
            "it":"Spagna",
            "ja":"\u30b9\u30da\u30a4\u30f3",
            "nl":"Spanje",
            "pt":"Espanha",
            "hu":"Spanyolorsz\u00e1g"
        },
        "cioc":"ESP"
    },
    {
        "alpha2Code":"LK",
        "alpha3Code":"LKA",
        "altSpellings":[
            "LK",
            "ila\u1e45kai",
            "Democratic Socialist Republic of Sri Lanka"
        ],
        "area":65610,
        "borders":[
            "IND"
        ],
        "callingCodes":[
            "94"
        ],
        "capital":"Sri Jayawardenepura Kotte",
        "currencies":[
            {
                "code":"LKR",
                "name":"Sri Lankan rupee",
                "symbol":"Rs"
            }
        ],
        "demonym":"Sri Lankan",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/lka.svg",
            "https://restcountries.com/data/png/lka.png"
        ],
        "gini":40.3,
        "languages":[
            {
                "iso639_1":"si",
                "iso639_2":"sin",
                "name":"Sinhalese",
                "nativeName":"\u0dc3\u0dd2\u0d82\u0dc4\u0dbd"
            },
            {
                "iso639_1":"ta",
                "iso639_2":"tam",
                "name":"Tamil",
                "nativeName":"\u0ba4\u0bae\u0bbf\u0bb4\u0bcd"
            }
        ],
        "latlng":[
            7,
            81
        ],
        "name":"Sri Lanka",
        "nativeName":"\u015br\u012b la\u1e43k\u0101va",
        "numericCode":"144",
        "population":20966000,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"SAARC",
                "name":"South Asian Association for Regional Cooperation"
            }
        ],
        "region":"Southern Asia",
        "timezones":[
            "+05:30"
        ],
        "topLevelDomain":[
            ".lk"
        ],
        "translations":{
            "br":"Sri Lanka",
            "de":"Sri Lanka",
            "es":"Sri Lanka",
            "fa":"\u0633\u0631\u06cc\u200c\u0644\u0627\u0646\u06a9\u0627",
            "fr":"Sri Lanka",
            "hr":"\u0160ri Lanka",
            "it":"Sri Lanka",
            "ja":"\u30b9\u30ea\u30e9\u30f3\u30ab",
            "nl":"Sri Lanka",
            "pt":"Sri Lanka",
            "hu":"Srí Lanka"
        },
        "cioc":"SRI"
    },
    {
        "alpha2Code":"SD",
        "alpha3Code":"SDN",
        "altSpellings":[
            "SD",
            "Republic of the Sudan",
            "Jumh\u016br\u012byat as-S\u016bd\u0101n"
        ],
        "area":1886068,
        "borders":[
            "CAF",
            "TCD",
            "EGY",
            "ERI",
            "ETH",
            "LBY",
            "SSD"
        ],
        "callingCodes":[
            "249"
        ],
        "capital":"Khartoum",
        "currencies":[
            {
                "code":"SDG",
                "name":"Sudanese pound",
                "symbol":"\u062c.\u0633."
            }
        ],
        "demonym":"Sudanese",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/sdn.svg",
            "https://restcountries.com/data/png/sdn.png"
        ],
        "gini":35.3,
        "languages":[
            {
                "iso639_1":"ar",
                "iso639_2":"ara",
                "name":"Arabic",
                "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
            },
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            15,
            30
        ],
        "name":"Sudan",
        "nativeName":"\u0627\u0644\u0633\u0648\u062f\u0627\u0646",
        "numericCode":"729",
        "population":39598700,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            },
            {
                "acronym":"AL",
                "name":"Arab League",
                "otherNames":[
                    "\u062c\u0627\u0645\u0639\u0629 \u0627\u0644\u062f\u0648\u0644 \u0627\u0644\u0639\u0631\u0628\u064a\u0629",
                    "J\u0101mi\u02bbat ad-Duwal al-\u02bbArab\u012byah",
                    "League of Arab States"
                ]
            }
        ],
        "region":"Northern Africa",
        "timezones":[
            "+03:00"
        ],
        "topLevelDomain":[
            ".sd"
        ],
        "translations":{
            "br":"Sud\u00e3o",
            "de":"Sudan",
            "es":"Sud\u00e1n",
            "fa":"\u0633\u0648\u062f\u0627\u0646",
            "fr":"Soudan",
            "hr":"Sudan",
            "it":"Sudan",
            "ja":"\u30b9\u30fc\u30c0\u30f3",
            "nl":"Soedan",
            "pt":"Sud\u00e3o",
            "hu":"Szud\u00e1n"
        },
        "cioc":"SUD"
    },
    {
        "alpha2Code":"SR",
        "alpha3Code":"SUR",
        "altSpellings":[
            "SR",
            "Sarnam",
            "Sranangron",
            "Republic of Suriname",
            "Republiek Suriname"
        ],
        "area":163820,
        "borders":[
            "BRA",
            "FRA",
            "GUF",
            "GUY"
        ],
        "callingCodes":[
            "597"
        ],
        "capital":"Paramaribo",
        "currencies":[
            {
                "code":"SRD",
                "name":"Surinamese dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Surinamer",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/sur.svg",
            "https://restcountries.com/data/png/sur.png"
        ],
        "gini":52.9,
        "languages":[
            {
                "iso639_1":"nl",
                "iso639_2":"nld",
                "name":"Dh",
                "nativeName":"Nederlands"
            }
        ],
        "latlng":[
            4,
            -56
        ],
        "name":"Suriname",
        "nativeName":"Suriname",
        "numericCode":"740",
        "population":541638,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"CARICOM",
                "name":"Caribbean Community",
                "otherNames":[
                    "Comunidad del Caribe",
                    "Communaut\u00e9 Carib\u00e9enne",
                    "Caribische Gemeenschap"
                ]
            },
            {
                "acronym":"USAN",
                "name":"Union of South American Nations",
                "otherAcronyms":[
                    "UNASUR",
                    "UNASUL",
                    "UZAN"
                ],
                "otherNames":[
                    "Uni\u00f3n de Naciones Suramericanas",
                    "Uni\u00e3o de Na\u00e7\u00f5es Sul-Americanas",
                    "Unie van Zuid-Amerikaanse Naties",
                    "South American Union"
                ]
            }
        ],
        "region":"South America",
        "timezones":[
            "-03:00"
        ],
        "topLevelDomain":[
            ".sr"
        ],
        "translations":{
            "br":"Suriname",
            "de":"Suriname",
            "es":"Surinam",
            "fa":"\u0633\u0648\u0631\u06cc\u0646\u0627\u0645",
            "fr":"Surinam",
            "hr":"Surinam",
            "it":"Suriname",
            "ja":"\u30b9\u30ea\u30ca\u30e0",
            "nl":"Suriname",
            "pt":"Suriname",
            "hu":"Suriname"
        },
        "cioc":"SUR"
    },
    {
        "alpha2Code":"SJ",
        "alpha3Code":"SJM",
        "altSpellings":[
            "SJ",
            "Svalbard and Jan Mayen Islands"
        ],
        "borders":[
            
        ],
        "callingCodes":[
            "47"
        ],
        "capital":"Longyearbyen",
        "currencies":[
            {
                "code":"NOK",
                "name":"Norwegian krone",
                "symbol":"kr"
            }
        ],
        "demonym":"Norwegian",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/sjm.svg",
            "https://restcountries.com/data/png/sjm.png"
        ],
        "languages":[
            {
                "iso639_1":"no",
                "iso639_2":"nor",
                "name":"Norwegian",
                "nativeName":"Norsk"
            }
        ],
        "latlng":[
            78,
            20
        ],
        "name":"Svalbard and Jan Mayen",
        "nativeName":"Svalbard og Jan Mayen",
        "numericCode":"744",
        "population":2562,
        "continent":"Europe",
        "regionalBlocs":[
            
        ],
        "region":"Northern Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".sj"
        ],
        "translations":{
            "br":"Svalbard",
            "de":"Svalbard und Jan Mayen",
            "es":"Islas Svalbard y Jan Mayen",
            "fa":"\u0633\u0648\u0627\u0644\u0628\u0627\u0631\u062f \u0648 \u06cc\u0627\u0646 \u0645\u0627\u06cc\u0646",
            "fr":"Svalbard et Jan Mayen",
            "hr":"Svalbard i Jan Mayen",
            "it":"Svalbard e Jan Mayen",
            "ja":"\u30b9\u30f4\u30a1\u30fc\u30eb\u30d0\u30eb\u8af8\u5cf6\u304a\u3088\u3073\u30e4\u30f3\u30de\u30a4\u30a8\u30f3\u5cf6",
            "nl":"Svalbard en Jan Mayen",
            "pt":"Svalbard",
            "hu":"Spitzberg\u00e1k \u00eds Jan Mayen-szigetek"
        },
        "cioc":""
    },
    {
        "alpha2Code":"SZ",
        "alpha3Code":"SWZ",
        "altSpellings":[
            "SZ",
            "weSwatini",
            "Swatini",
            "Ngwane",
            "Kingdom of Swaziland",
            "Umbuso waseSwatini"
        ],
        "area":17364,
        "borders":[
            "MOZ",
            "ZAF"
        ],
        "callingCodes":[
            "268"
        ],
        "capital":"Lobamba",
        "currencies":[
            {
                "code":"SZL",
                "name":"Swazi lilangeni",
                "symbol":"L"
            }
        ],
        "demonym":"Swazi",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/swz.svg",
            "https://restcountries.com/data/png/swz.png"
        ],
        "gini":51.5,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"ss",
                "iso639_2":"ssw",
                "name":"Swati",
                "nativeName":"SiSwati"
            }
        ],
        "latlng":[
            -26.5,
            31.5
        ],
        "name":"Swaziland",
        "nativeName":"Swaziland",
        "numericCode":"748",
        "population":1132657,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Southern Africa",
        "timezones":[
            "+02:00"
        ],
        "topLevelDomain":[
            ".sz"
        ],
        "translations":{
            "br":"Suazil\u00e2ndia",
            "de":"Swasiland",
            "es":"Suazilandia",
            "fa":"\u0633\u0648\u0627\u0632\u06cc\u0644\u0646\u062f",
            "fr":"Swaziland",
            "hr":"Svazi",
            "it":"Swaziland",
            "ja":"\u30b9\u30ef\u30b8\u30e9\u30f3\u30c9",
            "nl":"Swaziland",
            "pt":"Suazil\u00e2ndia",
            "hu":"Szv\u00e1zif\u00f6ld"
        },
        "cioc":"SWZ"
    },
    {
        "alpha2Code":"SE",
        "alpha3Code":"SWE",
        "altSpellings":[
            "SE",
            "Kingdom of Sweden",
            "Konungariket Sverige"
        ],
        "area":450295,
        "borders":[
            "FIN",
            "NOR"
        ],
        "callingCodes":[
            "46"
        ],
        "capital":"Stockholm",
        "currencies":[
            {
                "code":"SEK",
                "name":"Swedish krona",
                "symbol":"kr"
            }
        ],
        "demonym":"Swedish",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/swe.svg",
            "https://restcountries.com/data/png/swe.png"
        ],
        "gini":25,
        "languages":[
            {
                "iso639_1":"sv",
                "iso639_2":"swe",
                "name":"Swedish",
                "nativeName":"svenska"
            }
        ],
        "latlng":[
            62,
            15
        ],
        "name":"Sweden",
        "nativeName":"Sverige",
        "numericCode":"752",
        "population":9894888,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EU",
                "name":"European Union"
            }
        ],
        "region":"Northern Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".se"
        ],
        "translations":{
            "br":"Su\u00e9cia",
            "de":"Schweden",
            "es":"Suecia",
            "fa":"\u0633\u0648\u0626\u062f",
            "fr":"Su\u00e8de",
            "hr":"\u0160vedska",
            "it":"Svezia",
            "ja":"\u30b9\u30a6\u30a7\u30fc\u30c7\u30f3",
            "nl":"Zweden",
            "pt":"Su\u00e9cia",
            "hu":"Sv\u00eddorsz\u00e1g"
        },
        "cioc":"SWE"
    },
    {
        "alpha2Code":"CH",
        "alpha3Code":"CHE",
        "altSpellings":[
            "CH",
            "Swiss Confederation",
            "Schweiz",
            "Suisse",
            "Svizzera",
            "Svizra"
        ],
        "area":41284,
        "borders":[
            "AUT",
            "FRA",
            "ITA",
            "LIE",
            "DEU"
        ],
        "callingCodes":[
            "41"
        ],
        "capital":"Bern",
        "currencies":[
            {
                "code":"CHF",
                "name":"Swiss franc",
                "symbol":"Fr"
            }
        ],
        "demonym":"Swiss",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/che.svg",
            "https://restcountries.com/data/png/che.png"
        ],
        "gini":33.7,
        "languages":[
            {
                "iso639_1":"de",
                "iso639_2":"deu",
                "name":"German",
                "nativeName":"Deutsch"
            },
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            },
            {
                "iso639_1":"it",
                "iso639_2":"ita",
                "name":"Italian",
                "nativeName":"Italiano"
            },
            {
                "iso639-1":"rm",
                "iso639_2":"roh",
                "name":"Romansh",
                "nativName":"Rumantsch"
            }
        ],
        "latlng":[
            47,
            8
        ],
        "name":"Switzerland",
        "nativeName":"Schweiz",
        "numericCode":"756",
        "population":8341600,
        "continent":"Europe",
        "regionalBlocs":[
            {
                "acronym":"EFTA",
                "name":"European Free Trade Association"
            }
        ],
        "region":"Central Europe",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".ch"
        ],
        "translations":{
            "br":"Su\u00ed\u00e7a",
            "de":"Schweiz",
            "es":"Suiza",
            "fa":"\u0633\u0648\u0626\u06cc\u0633",
            "fr":"Suisse",
            "hr":"\u0160vicarska",
            "it":"Svizzera",
            "ja":"\u30b9\u30a4\u30b9",
            "nl":"Zwitserland",
            "pt":"Su\u00ed\u00e7a",
            "hu":"Sv\u00e1jc"
        },
        "cioc":"SUI"
    },
    {
        "alpha2Code":"SY",
        "alpha3Code":"SYR",
        "altSpellings":[
            "SY",
            "Syrian Arab Republic",
            "Al-Jumh\u016br\u012byah Al-\u02bbArab\u012byah As-S\u016br\u012byah"
        ],
        "area":185180,
        "borders":[
            "IRQ",
            "ISR",
            "JOR",
            "LBN",
            "TUR"
        ],
        "callingCodes":[
            "963"
        ],
        "capital":"Damascus",
        "currencies":[
            {
                "code":"SYP",
                "name":"Syrian pound",
                "symbol":"\u00a3"
            }
        ],
        "demonym":"Syrian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/syr.svg",
            "https://restcountries.com/data/png/syr.png"
        ],
        "gini":35.8,
        "languages":[
            {
                "iso639_1":"ar",
                "iso639_2":"ara",
                "name":"Arabic",
                "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
            }
        ],
        "latlng":[
            35,
            38
        ],
        "name":"Syrian Arab Republic",
        "nativeName":"\u0633\u0648\u0631\u064a\u0627",
        "numericCode":"760",
        "population":18564000,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"AL",
                "name":"Arab League",
                "otherNames":[
                    "\u062c\u0627\u0645\u0639\u0629 \u0627\u0644\u062f\u0648\u0644 \u0627\u0644\u0639\u0631\u0628\u064a\u0629",
                    "J\u0101mi\u02bbat ad-Duwal al-\u02bbArab\u012byah",
                    "League of Arab States"
                ]
            }
        ],
        "region":"Western Asia",
        "timezones":[
            "+02:00"
        ],
        "topLevelDomain":[
            ".sy"
        ],
        "translations":{
            "br":"S\u00edria",
            "de":"Syrien",
            "es":"Siria",
            "fa":"\u0633\u0648\u0631\u06cc\u0647",
            "fr":"Syrie",
            "hr":"Sirija",
            "it":"Siria",
            "ja":"\u30b7\u30ea\u30a2\u30fb\u30a2\u30e9\u30d6\u5171\u548c\u56fd",
            "nl":"Syri\u00eb",
            "pt":"S\u00edria",
            "hu":"Sz\u0151ria"
        },
        "cioc":"SYR"
    },
    {
        "alpha2Code":"TW",
        "alpha3Code":"TWN",
        "altSpellings":[
            "TW",
            "T\u00e1iw\u0101n",
            "Republic of China",
            "\u4e2d\u83ef\u6c11\u570b",
            "Zh\u014dnghu\u00e1 M\u00edngu\u00f3"
        ],
        "area":36193,
        "borders":[
            
        ],
        "callingCodes":[
            "886"
        ],
        "capital":"Taipei",
        "currencies":[
            {
                "code":"TWD",
                "name":"New Taiwan dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Taiwanese",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/twn.svg",
            "https://restcountries.com/data/png/twn.png"
        ],
        "gini":33.6,
        "languages":[
            {
                "iso639_1":"zh",
                "iso639_2":"zho",
                "name":"Chinese",
                "nativeName":"\u4e2d\u6587 (Zh\u014dngw\u00e9n)"
            }
        ],
        "latlng":[
            23.5,
            121
        ],
        "name":"Taiwan",
        "nativeName":"\u81fa\u7063",
        "numericCode":"158",
        "population":23503349,
        "continent":"Asia",
        "regionalBlocs":[
            
        ],
        "region":"Eastern Asia",
        "timezones":[
            "+08:00"
        ],
        "topLevelDomain":[
            ".tw"
        ],
        "translations":{
            "br":"Taiwan",
            "de":"Taiwan",
            "es":"Taiw\u00e1n",
            "fa":"\u062a\u0627\u06cc\u0648\u0627\u0646",
            "fr":"Ta\u00efwan",
            "hr":"Tajvan",
            "it":"Taiwan",
            "ja":"\u53f0\u6e7e\uff08\u4e2d\u83ef\u6c11\u56fd\uff09",
            "nl":"Taiwan",
            "pt":"Taiwan",
            "hu":"Tajvan"
        },
        "cioc":"TPE"
    },
    {
        "alpha2Code":"TJ",
        "alpha3Code":"TJK",
        "altSpellings":[
            "TJ",
            "To\u00e7ikiston",
            "Republic of Tajikistan",
            "\u04b6\u0443\u043c\u04b3\u0443\u0440\u0438\u0438 \u0422\u043e\u04b7\u0438\u043a\u0438\u0441\u0442\u043e\u043d",
            "\u00c7umhuriyi To\u00e7ikiston"
        ],
        "area":143100,
        "borders":[
            "AFG",
            "CHN",
            "KGZ",
            "UZB"
        ],
        "callingCodes":[
            "992"
        ],
        "capital":"Dushanbe",
        "currencies":[
            {
                "code":"TJS",
                "name":"Tajikistani somoni",
                "symbol":"\u0405\u041c"
            }
        ],
        "demonym":"Tadzhik",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/tjk.svg",
            "https://restcountries.com/data/png/tjk.png"
        ],
        "gini":30.8,
        "languages":[
            {
                "iso639_1":"tg",
                "iso639_2":"tgk",
                "name":"Tajik",
                "nativeName":"\u0442\u043e\u04b7\u0438\u043a\u04e3"
            },
            {
                "iso639_1":"ru",
                "iso639_2":"rus",
                "name":"Russian",
                "nativeName":"\u0420\u0443\u0441\u0441\u043a\u0438\u0439"
            }
        ],
        "latlng":[
            39,
            71
        ],
        "name":"Tajikistan",
        "nativeName":"\u0422\u043e\u04b7\u0438\u043a\u0438\u0441\u0442\u043e\u043d",
        "numericCode":"762",
        "population":8593600,
        "continent":"Asia",
        "regionalBlocs":[
            
        ],
        "region":"Central Asia",
        "timezones":[
            "+05:00"
        ],
        "topLevelDomain":[
            ".tj"
        ],
        "translations":{
            "br":"Tajiquist\u00e3o",
            "de":"Tadschikistan",
            "es":"Tayikist\u00e1n",
            "fa":"\u062a\u0627\u062c\u06cc\u06a9\u0633\u062a\u0627\u0646",
            "fr":"Tadjikistan",
            "hr":"Ta\u0111ikistan",
            "it":"Tagikistan",
            "ja":"\u30bf\u30b8\u30ad\u30b9\u30bf\u30f3",
            "nl":"Tadzjikistan",
            "pt":"Tajiquist\u00e3o",
            "hu":"T\u00e1dzsikiszt\u00e1n"
        },
        "cioc":"TJK"
    },
    {
        "alpha2Code":"TZ",
        "alpha3Code":"TZA",
        "altSpellings":[
            "TZ",
            "United Republic of Tanzania",
            "Jamhuri ya Muungano wa Tanzania"
        ],
        "area":945087,
        "borders":[
            "BDI",
            "COD",
            "KEN",
            "MWI",
            "MOZ",
            "RWA",
            "UGA",
            "ZMB"
        ],
        "callingCodes":[
            "255"
        ],
        "capital":"Dodoma",
        "currencies":[
            {
                "code":"TZS",
                "name":"Tanzanian shilling",
                "symbol":"Sh"
            }
        ],
        "demonym":"Tanzanian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/tza.svg",
            "https://restcountries.com/data/png/tza.png"
        ],
        "gini":37.6,
        "languages":[
            {
                "iso639_1":"sw",
                "iso639_2":"swa",
                "name":"Swahili",
                "nativeName":"Kiswahili"
            },
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            -6,
            35
        ],
        "name":"Tanzania, United Republic of",
        "nativeName":"Tanzania",
        "numericCode":"834",
        "population":55155000,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Eastern Africa",
        "timezones":[
            "+03:00"
        ],
        "topLevelDomain":[
            ".tz"
        ],
        "translations":{
            "br":"Tanz\u00e2nia",
            "de":"Tansania",
            "es":"Tanzania",
            "fa":"\u062a\u0627\u0646\u0632\u0627\u0646\u06cc\u0627",
            "fr":"Tanzanie",
            "hr":"Tanzanija",
            "it":"Tanzania",
            "ja":"\u30bf\u30f3\u30b6\u30cb\u30a2",
            "nl":"Tanzania",
            "pt":"Tanz\u00e2nia",
            "hu":"T\u00e1dzsikiszt\u00e1n"
        },
        "cioc":"TAN"
    },
    {
        "alpha2Code":"TH",
        "alpha3Code":"THA",
        "altSpellings":[
            "TH",
            "Prathet",
            "Thai",
            "Kingdom of Thailand",
            "\u0e23\u0e32\u0e0a\u0e2d\u0e32\u0e13\u0e32\u0e08\u0e31\u0e01\u0e23\u0e44\u0e17\u0e22",
            "Ratcha Anachak Thai"
        ],
        "area":513120,
        "borders":[
            "MMR",
            "KHM",
            "LAO",
            "MYS"
        ],
        "callingCodes":[
            "66"
        ],
        "capital":"Bangkok",
        "currencies":[
            {
                "code":"THB",
                "name":"Thai baht",
                "symbol":"\u0e3f"
            }
        ],
        "demonym":"Thai",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/tha.svg",
            "https://restcountries.com/data/png/tha.png"
        ],
        "gini":40,
        "languages":[
            {
                "iso639_1":"th",
                "iso639_2":"tha",
                "name":"Thai",
                "nativeName":"\u0e44\u0e17\u0e22"
            }
        ],
        "latlng":[
            15,
            100
        ],
        "name":"Thailand",
        "nativeName":"\u0e1b\u0e23\u0e30\u0e40\u0e17\u0e28\u0e44\u0e17\u0e22",
        "numericCode":"764",
        "population":65327652,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"ASEAN",
                "name":"Association of Southeast Asian Nations"
            }
        ],
        "region":"South-Eastern Asia",
        "timezones":[
            "+07:00"
        ],
        "topLevelDomain":[
            ".th"
        ],
        "translations":{
            "br":"Tail\u00e2ndia",
            "de":"Thailand",
            "es":"Tailandia",
            "fa":"\u062a\u0627\u06cc\u0644\u0646\u062f",
            "fr":"Tha\u00eflande",
            "hr":"Tajland",
            "it":"Tailandia",
            "ja":"\u30bf\u30a4",
            "nl":"Thailand",
            "pt":"Tail\u00e2ndia",
            "hu":"Thaif\u00f6ld"
        },
        "cioc":"THA"
    },
    {
        "alpha2Code":"TL",
        "alpha3Code":"TLS",
        "altSpellings":[
            "TL",
            "East Timor",
            "Democratic Republic of Timor-Leste",
            "Rep\u00fablica Democr\u00e1tica de Timor-Leste",
            "Rep\u00fablika Demokr\u00e1tika Tim\u00f3r-Leste"
        ],
        "area":14874,
        "borders":[
            "IDN"
        ],
        "callingCodes":[
            "670"
        ],
        "capital":"Dili",
        "currencies":[
            {
                "code":"THB",
                "name":"Thai baht",
                "symbol":"\u0e3f"
            }
        ],
        "demonym":"East Timorese",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/tls.svg",
            "https://restcountries.com/data/png/tls.png"
        ],
        "gini":31.9,
        "languages":[
            {
                "iso639_1":"pt",
                "iso639_2":"por",
                "name":"Portuguese",
                "nativeName":"Portugu\u00eas"
            }
        ],
        "latlng":[
            -8.83333333,
            125.91666666
        ],
        "name":"Timor-Leste",
        "nativeName":"Timor-Leste",
        "numericCode":"626",
        "population":1167242,
        "continent":"Asia",
        "regionalBlocs":[
            
        ],
        "region":"South-Eastern Asia",
        "timezones":[
            "+09:00"
        ],
        "topLevelDomain":[
            ".tl"
        ],
        "translations":{
            "br":"Timor Leste",
            "de":"Timor-Leste",
            "es":"Timor Oriental",
            "fa":"\u062a\u06cc\u0645\u0648\u0631 \u0634\u0631\u0642\u06cc",
            "fr":"Timor oriental",
            "hr":"Isto\u010dni Timor",
            "it":"Timor Est",
            "ja":"\u6771\u30c6\u30a3\u30e2\u30fc\u30eb",
            "nl":"Oost-Timor",
            "pt":"Timor Leste",
            "hu":"Kelet-Timor"
        },
        "cioc":"TLS"
    },
    {
        "alpha2Code":"TG",
        "alpha3Code":"TGO",
        "altSpellings":[
            "TG",
            "Togolese",
            "Togolese Republic",
            "R\u00e9publique Togolaise"
        ],
        "area":56785,
        "borders":[
            "BEN",
            "BFA",
            "GHA"
        ],
        "callingCodes":[
            "228"
        ],
        "capital":"Lom\u00e9",
        "currencies":[
            {
                "code":"XOF",
                "name":"West African CFA franc",
                "symbol":"Fr"
            }
        ],
        "demonym":"Togolese",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/tgo.svg",
            "https://restcountries.com/data/png/tgo.png"
        ],
        "gini":34.4,
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            8,
            1.16666666
        ],
        "name":"Togo",
        "nativeName":"Togo",
        "numericCode":"768",
        "population":7143000,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Western Africa",
        "timezones":[
            ""
        ],
        "topLevelDomain":[
            ".tg"
        ],
        "translations":{
            "br":"Togo",
            "de":"Togo",
            "es":"Togo",
            "fa":"\u062a\u0648\u06af\u0648",
            "fr":"Togo",
            "hr":"Togo",
            "it":"Togo",
            "ja":"\u30c8\u30fc\u30b4",
            "nl":"Togo",
            "pt":"Togo",
            "hu":"Togo"
        },
        "cioc":"TOG"
    },
    {
        "alpha2Code":"TK",
        "alpha3Code":"TKL",
        "altSpellings":[
            "TK"
        ],
        "area":12,
        "borders":[
            
        ],
        "callingCodes":[
            "690"
        ],
        "capital":"Fakaofo",
        "currencies":[
            {
                "code":"NZD",
                "name":"New Zealand dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Tokelauan",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/tkl.svg",
            "https://restcountries.com/data/png/tkl.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            -9,
            -172
        ],
        "name":"Tokelau",
        "nativeName":"Tokelau",
        "numericCode":"772",
        "population":1411,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Polynesia",
        "timezones":[
            "+13:00"
        ],
        "topLevelDomain":[
            ".tk"
        ],
        "translations":{
            "br":"Tokelau",
            "de":"Tokelau",
            "es":"Islas Tokelau",
            "fa":"\u062a\u0648\u06a9\u0644\u0627\u0626\u0648",
            "fr":"Tokelau",
            "hr":"Tokelau",
            "it":"Isole Tokelau",
            "ja":"\u30c8\u30b1\u30e9\u30a6",
            "nl":"Tokelau",
            "pt":"Toquelau",
            "hu":"Tokelau-szigetek"
        },
        "cioc":""
    },
    {
        "alpha2Code":"TO",
        "alpha3Code":"TON",
        "altSpellings":[
            "TO"
        ],
        "area":747,
        "borders":[
            
        ],
        "callingCodes":[
            "676"
        ],
        "capital":"Nuku'alofa",
        "currencies":[
            {
                "code":"TOP",
                "name":"Tongan pa\u02bbanga",
                "symbol":"T\$"
            }
        ],
        "demonym":"Tongan",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/ton.svg",
            "https://restcountries.com/data/png/ton.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"to",
                "iso639_2":"ton",
                "name":"Tonga (Tonga Islands)",
                "nativeName":"faka Tonga"
            }
        ],
        "latlng":[
            -20,
            -175
        ],
        "name":"Tonga",
        "nativeName":"Tonga",
        "numericCode":"776",
        "population":103252,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Polynesia",
        "timezones":[
            "+13:00"
        ],
        "topLevelDomain":[
            ".to"
        ],
        "translations":{
            "br":"Tonga",
            "de":"Tonga",
            "es":"Tonga",
            "fa":"\u062a\u0648\u0646\u06af\u0627",
            "fr":"Tonga",
            "hr":"Tonga",
            "it":"Tonga",
            "ja":"\u30c8\u30f3\u30ac",
            "nl":"Tonga",
            "pt":"Tonga",
            "hu":"Tonga"
        },
        "cioc":"TGA"
    },
    {
        "alpha2Code":"TT",
        "alpha3Code":"TTO",
        "altSpellings":[
            "TT",
            "Republic of Trinidad and Tobago"
        ],
        "area":5130,
        "borders":[
            
        ],
        "callingCodes":[
            "1"
        ],
        "capital":"Port of Spain",
        "currencies":[
            {
                "code":"TTD",
                "name":"Trinidad and Tobago dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Trinidadian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/tto.svg",
            "https://restcountries.com/data/png/tto.png"
        ],
        "gini":40.3,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            11,
            -61
        ],
        "name":"Trinidad and Tobago",
        "nativeName":"Trinidad and Tobago",
        "numericCode":"780",
        "population":1349667,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"CARICOM",
                "name":"Caribbean Community",
                "otherNames":[
                    "Comunidad del Caribe",
                    "Communaut\u00e9 Carib\u00e9enne",
                    "Caribische Gemeenschap"
                ]
            }
        ],
        "region":"Caribbean",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".tt"
        ],
        "translations":{
            "br":"Trinidad e Tobago",
            "de":"Trinidad und Tobago",
            "es":"Trinidad y Tobago",
            "fa":"\u062a\u0631\u06cc\u0646\u06cc\u062f\u0627\u062f \u0648 \u062a\u0648\u0628\u0627\u06af\u0648",
            "fr":"Trinit\u00e9 et Tobago",
            "hr":"Trinidad i Tobago",
            "it":"Trinidad e Tobago",
            "ja":"\u30c8\u30ea\u30cb\u30c0\u30fc\u30c9\u30fb\u30c8\u30d0\u30b4",
            "nl":"Trinidad en Tobago",
            "pt":"Trindade e Tobago",
            "hu":"Trinidad \u00eds Tobago"
        },
        "cioc":"TTO"
    },
    {
        "alpha2Code":"TN",
        "alpha3Code":"TUN",
        "altSpellings":[
            "TN",
            "Republic of Tunisia",
            "al-Jumh\u016briyyah at-T\u016bnisiyyah"
        ],
        "area":163610,
        "borders":[
            "DZA",
            "LBY"
        ],
        "callingCodes":[
            "216"
        ],
        "capital":"Tunis",
        "currencies":[
            {
                "code":"TND",
                "name":"Tunisian dinar",
                "symbol":"\u062f.\u062a"
            }
        ],
        "demonym":"Tunisian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/tun.svg",
            "https://restcountries.com/data/png/tun.png"
        ],
        "gini":41.4,
        "languages":[
            {
                "iso639_1":"ar",
                "iso639_2":"ara",
                "name":"Arabic",
                "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
            }
        ],
        "latlng":[
            34,
            9
        ],
        "name":"Tunisia",
        "nativeName":"\u062a\u0648\u0646\u0633",
        "numericCode":"788",
        "population":11154400,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            },
            {
                "acronym":"AL",
                "name":"Arab League",
                "otherNames":[
                    "\u062c\u0627\u0645\u0639\u0629 \u0627\u0644\u062f\u0648\u0644 \u0627\u0644\u0639\u0631\u0628\u064a\u0629",
                    "J\u0101mi\u02bbat ad-Duwal al-\u02bbArab\u012byah",
                    "League of Arab States"
                ]
            }
        ],
        "region":"Northern Africa",
        "timezones":[
            "+01:00"
        ],
        "topLevelDomain":[
            ".tn"
        ],
        "translations":{
            "br":"Tun\u00edsia",
            "de":"Tunesien",
            "es":"T\u00fanez",
            "fa":"\u062a\u0648\u0646\u0633",
            "fr":"Tunisie",
            "hr":"Tunis",
            "it":"Tunisia",
            "ja":"\u30c1\u30e5\u30cb\u30b8\u30a2",
            "nl":"Tunesi\u00eb",
            "pt":"Tun\u00edsia",
            "hu":"Tun\u00edzia"
        },
        "cioc":"TUN"
    },
    {
        "alpha2Code":"TR",
        "alpha3Code":"TUR",
        "altSpellings":[
            "TR",
            "Turkiye",
            "Republic of Turkey",
            "T\u00fcrkiye Cumhuriyeti"
        ],
        "area":783562,
        "borders":[
            "ARM",
            "AZE",
            "BGR",
            "GEO",
            "GRC",
            "IRN",
            "IRQ",
            "SYR"
        ],
        "callingCodes":[
            "90"
        ],
        "capital":"Ankara",
        "currencies":[
            {
                "code":"TRY",
                "name":"Turkish lira",
                "symbol":"\u058f"
            }
        ],
        ",demonym":"Turkish",
        "flags":[
            "https://restcountries.com/data/tur.svg",
            "https://restcountries.com/data/png/tur.png"
        ],
        "gini":39,
        "languages":[
            {
                "iso639_1":"tr",
                "iso639_2":"tur",
                "name":"Turkish",
                "nativeName":"T\u00fcrk\u00e7e"
            }
        ],
        "latlng":[
            39,
            35
        ],
        "name":"Turkey",
        "nativeName":"T\u00fcrkiye",
        "numericCode":"792",
        "population":78741053,
        "continent":"Asia",
        "regionalBlocs":[
            
        ],
        "region":"Western Asia",
        "timezones":[
            "+03:00"
        ],
        "topLevelDomain":[
            ".tr"
        ],
        "translations":{
            "br":"Turquia",
            "de":"T\u00fcrkei",
            "es":"Turqu\u00eda",
            "fa":"\u062a\u0631\u06a9\u06cc\u0647",
            "fr":"Turquie",
            "hr":"Turska",
            "it":"Turchia",
            "ja":"\u30c8\u30eb\u30b3",
            "nl":"Turkije",
            "pt":"Turquia",
            "hu":"T\u00f6r\u00f6korsz\u00e1g"
        },
        "cioc":"TUR"
    },
    {
        "alpha2Code":"TM",
        "alpha3Code":"TKM",
        "altSpellings":[
            "TM"
        ],
        "area":488100,
        "borders":[
            "AFG",
            "IRN",
            "KAZ",
            "UZB"
        ],
        "callingCodes":[
            "993"
        ],
        "capital":"Ashgabat",
        "currencies":[
            {
                "code":"TMT",
                "name":"Turkmenistan manat",
                "symbol":"m"
            }
        ],
        "demonym":"Turkmen",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/tkm.svg",
            "https://restcountries.com/data/png/tkm.png"
        ],
        "gini":40.8,
        "languages":[
            {
                "iso639_1":"tk",
                "iso639_2":"tuk",
                "name":"Turkmen",
                "nativeName":"T\u00fcrkmen"
            },
            {
                "iso639_1":"ru",
                "iso639_2":"rus",
                "name":"Russian",
                "nativeName":"\u0420\u0443\u0441\u0441\u043a\u0438\u0439"
            }
        ],
        "latlng":[
            40,
            60
        ],
        "name":"Turkmenistan",
        "nativeName":"T\u00fcrkmenistan",
        "numericCode":"795",
        "population":4751120,
        "continent":"Asia",
        "regionalBlocs":[
            
        ],
        "region":"Central Asia",
        "timezones":[
            "+05:00"
        ],
        "topLevelDomain":[
            ".tm"
        ],
        "translations":{
            "br":"Turcomenist\u00e3o",
            "de":"Turkmenistan",
            "es":"Turkmenist\u00e1n",
            "fa":"\u062a\u0631\u06a9\u0645\u0646\u0633\u062a\u0627\u0646",
            "fr":"Turkm\u00e9nistan",
            "hr":"Turkmenistan",
            "it":"Turkmenistan",
            "ja":"\u30c8\u30eb\u30af\u30e1\u30cb\u30b9\u30bf\u30f3",
            "nl":"Turkmenistan",
            "pt":"Turquemenist\u00e3o",
            "hu":"T\u00fcrkmeniszt\u00e1n"
        },
        "cioc":"TKM"
    },
    {
        "alpha2Code":"TC",
        "alpha3Code":"TCA",
        "altSpellings":[
            "TC"
        ],
        "area":948,
        "borders":[
            
        ],
        "callingCodes":[
            "1"
        ],
        "capital":"Cockburn Town",
        "currencies":[
            {
                "code":"USD",
                "name":"United States dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Turks and Caicos Islander",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/tca.svg",
            "https://restcountries.com/data/png/tca.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            21.75,
            -71.58333333
        ],
        "name":"Turks and Caicos Islands",
        "nativeName":"Turks and Caicos Islands",
        "numericCode":"796",
        "population":31458,
        "continent":"Americas",
        "regionalBlocs":[
            
        ],
        "region":"Caribbean",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".tc"
        ],
        "translations":{
            "br":"Ilhas Turcas e Caicos",
            "de":"Turks- und Caicosinseln",
            "es":"Islas Turks y Caicos",
            "fa":"\u062c\u0632\u0627\u06cc\u0631 \u062a\u0648\u0631\u06a9\u0633 \u0648 \u06a9\u0627\u06cc\u06a9\u0648\u0633",
            "fr":"\u00celes Turques-et-Ca\u00efques",
            "hr":"Otoci Turks i Caicos",
            "it":"Isole Turks e Caicos",
            "ja":"\u30bf\u30fc\u30af\u30b9\u30fb\u30ab\u30a4\u30b3\u30b9\u8af8\u5cf6",
            "nl":"Turks- en Caicoseilanden",
            "pt":"Ilhas Turcas e Caicos",
            "hu":"Turks- \u00eds Caicos-szigetek"
        },
        "cioc":""
    },
    {
        "alpha2Code":"TV",
        "alpha3Code":"TUV",
        "altSpellings":[
            "TV"
        ],
        "area":26,
        "borders":[
            
        ],
        "callingCodes":[
            "688"
        ],
        "capital":"Funafuti",
        "currencies":[
            {
                "code":"AUD",
                "name":"Australian dollar",
                "symbol":"\$"
            },
            {
                "code":"TVD[G]",
                "name":"Tuvaluan dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"Tuvaluan",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/tuv.svg",
            "https://restcountries.com/data/png/tuv.png"
        ],
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            -8,
            178
        ],
        "name":"Tuvalu",
        "nativeName":"Tuvalu",
        "numericCode":"798",
        "population":10640,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Polynesia",
        "timezones":[
            "+12:00"
        ],
        "topLevelDomain":[
            ".tv"
        ],
        "translations":{
            "br":"Tuvalu",
            "de":"Tuvalu",
            "es":"Tuvalu",
            "fa":"\u062a\u0648\u0648\u0627\u0644\u0648",
            "fr":"Tuvalu",
            "hr":"Tuvalu",
            "it":"Tuvalu",
            "ja":"\u30c4\u30d0\u30eb",
            "nl":"Tuvalu",
            "pt":"Tuvalu",
            "hu":"Tuvalu"
        },
        "cioc":"TUV"
    },
    {
        "alpha2Code":"UG",
        "alpha3Code":"UGA",
        "altSpellings":[
            "UG",
            "Republic of Uganda",
            "Jamhuri ya Uganda"
        ],
        "area":241550,
        "borders":[
            "COD",
            "KEN",
            "RWA",
            "SSD",
            "TZA"
        ],
        "callingCodes":[
            "256"
        ],
        "capital":"Kampala",
        "currencies":[
            {
                "code":"UGX",
                "name":"Ugandan shilling",
                "symbol":"Sh"
            }
        ],
        "demonym":"Ugandan",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/uga.svg",
            "https://restcountries.com/data/png/uga.png"
        ],
        "gini":44.3,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"sw",
                "iso639_2":"swa",
                "name":"Swahili",
                "nativeName":"Kiswahili"
            }
        ],
        "latlng":[
            1,
            32
        ],
        "name":"Uganda",
        "nativeName":"Uganda",
        "numericCode":"800",
        "population":33860700,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Eastern Africa",
        "timezones":[
            "+03:00"
        ],
        "topLevelDomain":[
            ".ug"
        ],
        "translations":{
            "br":"Uganda",
            "de":"Uganda",
            "es":"Uganda",
            "fa":"\u0627\u0648\u06af\u0627\u0646\u062f\u0627",
            "fr":"Uganda",
            "hr":"Uganda",
            "it":"Uganda",
            "ja":"\u30a6\u30ac\u30f3\u30c0",
            "nl":"Oeganda",
            "pt":"Uganda",
            "hu":"Uganda"
        },
        "cioc":"UGA"
    },
    {
        "alpha2Code":"UA",
        "alpha3Code":"UKR",
        "altSpellings":[
            "UA",
            "Ukrayina"
        ],
        "area":603700,
        "borders":[
            "BLR",
            "HUN",
            "MDA",
            "POL",
            "ROU",
            "RUS",
            "SVK"
        ],
        "callingCodes":[
            "380"
        ],
        "capital":"Kiev",
        "currencies":[
            {
                "code":"UAH",
                "name":"Ukrainian hryvnia",
                "symbol":"\u20b4"
            }
        ],
        "demonym":"Ukrainian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/ukr.svg",
            "https://restcountries.com/data/png/ukr.png"
        ],
        "gini":26.4,
        "languages":[
            {
                "iso639_1":"uk",
                "iso639_2":"ukr",
                "name":"Ukrainian",
                "nativeName":"\u0423\u043a\u0440\u0430\u0457\u043d\u0441\u044c\u043a\u0430"
            }
        ],
        "latlng":[
            49,
            32
        ],
        "name":"Ukraine",
        "nativeName":"\u0423\u043a\u0440\u0430\u0457\u043d\u0430",
        "numericCode":"804",
        "population":42692393,
        "continent":"Europe",
        "regionalBlocs":[
            
        ],
        "region":"Eastern Europe",
        "timezones":[
            "+02:00"
        ],
        "topLevelDomain":[
            ".ua"
        ],
        "translations":{
            "br":"Ucr\u00e2nia",
            "de":"Ukraine",
            "es":"Ucrania",
            "fa":"\u0648\u06a9\u0631\u0627\u06cc\u0646",
            "fr":"Ukraine",
            "hr":"Ukrajina",
            "it":"Ucraina",
            "ja":"\u30a6\u30af\u30e9\u30a4\u30ca",
            "nl":"Oekra\u00efne",
            "pt":"Ucr\u00e2nia",
            "hu":"Ukrajna"
        },
        "cioc":"UKR"
    },
    {
        "alpha2Code":"AE",
        "alpha3Code":"ARE",
        "altSpellings":[
            "AE",
            "UAE"
        ],
        "area":83600,
        "borders":[
            "OMN",
            "SAU"
        ],
        "callingCodes":[
            "971"
        ],
        "capital":"Abu Dhabi",
        "currencies":[
            {
                "code":"AED",
                "name":"United Arab Emirates dirham",
                "symbol":"\u062f.\u0625"
            }
        ],
        "demonym":"Emirati",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/are.svg",
            "https://restcountries.com/data/png/are.png"
        ],
        "gini":45.9,
        "languages":[
            {
                "iso639_1":"ar",
                "iso639_2":"ara",
                "name":"Arabic",
                "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
            }
        ],
        "latlng":[
            24,
            54
        ],
        "name":"United Arab Emirates",
        "nativeName":"\u062f\u0648\u0644\u0629 \u0627\u0644\u0625\u0645\u0627\u0631\u0627\u062a \u0627\u0644\u0639\u0631\u0628\u064a\u0629 \u0627\u0644\u0645\u062a\u062d\u062f\u0629",
        "numericCode":"784",
        "population":9856000,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"AL",
                "name":"Arab League",
                "otherNames":[
                    "\u062c\u0627\u0645\u0639\u0629 \u0627\u0644\u062f\u0648\u0644 \u0627\u0644\u0639\u0631\u0628\u064a\u0629",
                    "J\u0101mi\u02bbat ad-Duwal al-\u02bbArab\u012byah",
                    "League of Arab States"
                ]
            }
        ],
        "region":"Western Asia",
        "timezones":[
            "+04"
        ],
        "topLevelDomain":[
            ".ae"
        ],
        "translations":{
            "br":"Emirados \u00e1rabes Unidos",
            "de":"Vereinigte Arabische Emirate",
            "es":"Emiratos \u00c1rabes Unidos",
            "fa":"\u0627\u0645\u0627\u0631\u0627\u062a \u0645\u062a\u062d\u062f\u0647 \u0639\u0631\u0628\u06cc",
            "fr":"\u00c9mirats arabes unis",
            "hr":"Ujedinjeni Arapski Emirati",
            "it":"Emirati Arabi Uniti",
            "ja":"\u30a2\u30e9\u30d6\u9996\u9577\u56fd\u9023\u90a6",
            "nl":"Verenigde Arabische Emiraten",
            "pt":"Emirados \u00e1rabes Unidos",
            "hu":"Egyes\u00fclt Arab Em\u0151rs\u00edgek"
        },
        "cioc":"UAE"
    },
    {
        "alpha2Code":"GB",
        "alpha3Code":"GBR",
        "altSpellings":[
            "GB",
            "UK",
            "Great Britain"
        ],
        "area":242900,
        "borders":[
            "IRL"
        ],
        "callingCodes":[
            "44"
        ],
        "capital":"London",
        "currencies":[
            {
                "code":"GBP",
                "name":"British pound",
                "symbol":"\u00a3"
            }
        ],
        "demonym":"British",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/gbr.svg",
            "https://restcountries.com/data/png/gbr.png"
        ],
        "gini":34,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            54,
            -2
        ],
        "name":"United Kingdom of Great Britain and Northern Ireland",
        "nativeName":"United Kingdom",
        "numericCode":"826",
        "population":65110000,
        "continent":"Europe",
        "region":"Northern Europe",
        "timezones":[
            "-08:00",
            "-05:00",
            "-04:00",
            "-03:00",
            "-02:00",
            "",
            "+01:00",
            "+02:00",
            "+06:00"
        ],
        "topLevelDomain":[
            ".uk"
        ],
        "translations":{
            "br":"Reino Unido",
            "de":"Vereinigtes K\u00f6nigreich",
            "es":"Reino Unido",
            "fa":"\u0628\u0631\u06cc\u062a\u0627\u0646\u06cc\u0627\u06cc \u06a9\u0628\u06cc\u0631 \u0648 \u0627\u06cc\u0631\u0644\u0646\u062f \u0634\u0645\u0627\u0644\u06cc",
            "fr":"Royaume-Uni",
            "hr":"Ujedinjeno Kraljevstvo",
            "it":"Regno Unito",
            "ja":"\u30a4\u30ae\u30ea\u30b9",
            "nl":"Verenigd Koninkrijk",
            "pt":"Reino Unido",
            "hu":"Nagy-Britannia"
        },
        "cioc":"GBR"
    },
    {
        "alpha2Code":"US",
        "alpha3Code":"USA",
        "altSpellings":[
            "US",
            "USA",
            "United States of America"
        ],
        "area":9629091,
        "borders":[
            "CAN",
            "MEX"
        ],
        "callingCodes":[
            "1"
        ],
        "capital":"Washington, D.C.",
        "currencies":[
            {
                "code":"USD",
                "name":"United States dollar",
                "symbol":"\$"
            }
        ],
        "demonym":"American",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/usa.svg",
            "https://restcountries.com/data/png/usa.png"
        ],
        "gini":48,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            38,
            -97
        ],
        "name":"United States of America",
        "nativeName":"United States",
        "numericCode":"840",
        "population":323947000,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"NAFTA",
                "name":"North American Free Trade Agreement",
                "otherNames":[
                    "Tratado de Libre Comercio de Am\u00e9rica del Norte",
                    "Accord de Libre-\u00e9change Nord-Am\u00e9ricain"
                ]
            }
        ],
        "region":"Northern America",
        "timezones":[
            "-12:00",
            "-11:00",
            "-10:00",
            "-09:00",
            "-08:00",
            "-07:00",
            "-06:00",
            "-05:00",
            "-04:00",
            "+10:00",
            "+12:00"
        ],
        "topLevelDomain":[
            ".us"
        ],
        "translations":{
            "br":"Estados Unidos",
            "de":"Vereinigte Staaten von Amerika",
            "es":"Estados Unidos",
            "fa":"\u0627\u06cc\u0627\u0644\u0627\u062a \u0645\u062a\u062d\u062f\u0647 \u0622\u0645\u0631\u06cc\u06a9\u0627",
            "fr":"\u00c9tats-Unis",
            "hr":"Sjedinjene Ameri\u010dke Dr\u017eave",
            "it":"Stati Uniti D'America",
            "ja":"\u30a2\u30e1\u30ea\u30ab\u5408\u8846\u56fd",
            "nl":"Verenigde Staten",
            "pt":"Estados Unidos",
            "hu":"Amerikai Egyes\u00fclt \u00c1llamok"
        },
        "cioc":"USA"
    },
    {
        "alpha2Code":"UY",
        "alpha3Code":"URY",
        "altSpellings":[
            "UY",
            "Oriental Republic of Uruguay",
            "Rep\u00fablica Oriental del Uruguay"
        ],
        "area":181034,
        "borders":[
            "ARG",
            "BRA"
        ],
        "callingCodes":[
            "598"
        ],
        "capital":"Montevideo",
        "currencies":[
            {
                "code":"UYU",
                "name":"Uruguayan peso",
                "symbol":"\$"
            }
        ],
        "demonym":"Uruguayan",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/ury.svg",
            "https://restcountries.com/data/png/ury.png"
        ],
        "gini":39.7,
        "languages":[
            {
                "iso639_1":"es",
                "iso639_2":"spa",
                "name":"Spanish",
                "nativeName":"Espa\u00f1ol"
            }
        ],
        "latlng":[
            -33,
            -56
        ],
        "name":"Uruguay",
        "nativeName":"Uruguay",
        "numericCode":"858",
        "population":3480222,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"USAN",
                "name":"Union of South American Nations",
                "otherAcronyms":[
                    "UNASUR",
                    "UNASUL",
                    "UZAN"
                ],
                "otherNames":[
                    "Uni\u00f3n de Naciones Suramericanas",
                    "Uni\u00e3o de Na\u00e7\u00f5es Sul-Americanas",
                    "Unie van Zuid-Amerikaanse Naties",
                    "South American Union"
                ]
            }
        ],
        "region":"South America",
        "timezones":[
            "-03:00"
        ],
        "topLevelDomain":[
            ".uy"
        ],
        "translations":{
            "br":"Uruguai",
            "de":"Uruguay",
            "es":"Uruguay",
            "fa":"\u0627\u0631\u0648\u06af\u0648\u0626\u0647",
            "fr":"Uruguay",
            "hr":"Urugvaj",
            "it":"Uruguay",
            "ja":"\u30a6\u30eb\u30b0\u30a2\u30a4",
            "nl":"Uruguay",
            "pt":"Uruguai",
            "hu":"Uruguay"
        },
        "cioc":"URU"
    },
    {
        "alpha2Code":"UZ",
        "alpha3Code":"UZB",
        "altSpellings":[
            "UZ",
            "Republic of Uzbekistan",
            "O\u2018zbekiston Respublikasi",
            "\u040e\u0437\u0431\u0435\u043a\u0438\u0441\u0442\u043e\u043d \u0420\u0435\u0441\u043f\u0443\u0431\u043b\u0438\u043a\u0430\u0441\u0438"
        ],
        "area":447400,
        "borders":[
            "AFG",
            "KAZ",
            "KGZ",
            "TJK",
            "TKM"
        ],
        "callingCodes":[
            "998"
        ],
        "capital":"Tashkent",
        "currencies":[
            {
                "code":"UZS",
                "name":"Uzbekistani so'm",
                "symbol":"so'm"
            }
        ],
        ",demonym":"Uzbekistani",
        "flags":[
            "https://restcountries.com/data/uzb.svg",
            "https://restcountries.com/data/png/uzb.png"
        ],
        "gini":36.7,
        "languages":[
            {
                "iso639_1":"uz",
                "iso639_2":"uzb",
                "name":"Uzbek",
                "nativeName":"O\u02bbzbek"
            },
            {
                "iso639_1":"ru",
                "iso639_2":"rus",
                "name":"Russian",
                "nativeName":"\u0420\u0443\u0441\u0441\u043a\u0438\u0439"
            }
        ],
        "latlng":[
            41,
            64
        ],
        "name":"Uzbekistan",
        "nativeName":"O\u2018zbekiston",
        "numericCode":"860",
        "population":31576400,
        "continent":"Asia",
        "regionalBlocs":[
            
        ],
        "region":"Central Asia",
        "timezones":[
            "+05:00"
        ],
        "topLevelDomain":[
            ".uz"
        ],
        "translations":{
            "br":"Uzbequist\u00e3o",
            "de":"Usbekistan",
            "es":"Uzbekist\u00e1n",
            "fa":"\u0627\u0632\u0628\u06a9\u0633\u062a\u0627\u0646",
            "fr":"Ouzb\u00e9kistan",
            "hr":"Uzbekistan",
            "it":"Uzbekistan",
            "ja":"\u30a6\u30ba\u30d9\u30ad\u30b9\u30bf\u30f3",
            "nl":"Oezbekistan",
            "pt":"Usbequist\u00e3o",
            "hu":"\u00dczbegiszt\u00e1n"
        },
        "cioc":"UZB"
    },
    {
        "alpha2Code":"VU",
        "alpha3Code":"VUT",
        "altSpellings":[
            "VU",
            "Republic of Vanuatu",
            "Ripablik blong Vanuatu",
            "R\u00e9publique de Vanuatu"
        ],
        "area":12189,
        "borders":[
            
        ],
        "callingCodes":[
            "678"
        ],
        "capital":"Port Vila",
        "currencies":[
            {
                "code":"VUV",
                "name":"Vanuatu vatu",
                "symbol":"Vt"
            }
        ],
        "demonym":"Ni-Vanuatu",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/vut.svg",
            "https://restcountries.com/data/png/vut.png"
        ],
        "languages":[
            {
                "iso639_1":"bi",
                "iso639_2":"bis",
                "name":"Bislama",
                "nativeName":"Bislama"
            },
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            -16,
            167
        ],
        "name":"Vanuatu",
        "nativeName":"Vanuatu",
        "numericCode":"548",
        "population":277500,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Melanesia",
        "timezones":[
            "+11:00"
        ],
        "topLevelDomain":[
            ".vu"
        ],
        "translations":{
            "br":"Vanuatu",
            "de":"Vanuatu",
            "es":"Vanuatu",
            "fa":"\u0648\u0627\u0646\u0648\u0627\u062a\u0648",
            "fr":"Vanuatu",
            "hr":"Vanuatu",
            "it":"Vanuatu",
            "ja":"\u30d0\u30cc\u30a2\u30c4",
            "nl":"Vanuatu",
            "pt":"Vanuatu",
            "hu":"Vanuatu"
        },
        "cioc":"VAN"
    },
    {
        "alpha2Code":"VE",
        "alpha3Code":"VEN",
        "altSpellings":[
            "VE",
            "Bolivarian Republic of Venezuela",
            "Rep\u00fablica Bolivariana de Venezuela"
        ],
        "area":916445,
        "borders":[
            "BRA",
            "COL",
            "GUY"
        ],
        "callingCodes":[
            "58"
        ],
        "capital":"Caracas",
        "currencies":[
            {
                "code":"VEF",
                "name":"Venezuelan bol\u00edvar",
                "symbol":"Bs S"
            }
        ],
        "demonym":"Venezuelan",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/ven.svg",
            "https://restcountries.com/data/png/ven.png"
        ],
        "gini":44.8,
        "languages":[
            {
                "iso639_1":"es",
                "iso639_2":"spa",
                "name":"Spanish",
                "nativeName":"Espa\u00f1ol"
            }
        ],
        "latlng":[
            8,
            -66
        ],
        "name":"Venezuela (Bolivarian Republic of)",
        "nativeName":"Venezuela",
        "numericCode":"862",
        "population":31028700,
        "continent":"Americas",
        "regionalBlocs":[
            {
                "acronym":"USAN",
                "name":"Union of South American Nations",
                "otherAcronyms":[
                    "UNASUR",
                    "UNASUL",
                    "UZAN"
                ],
                "otherNames":[
                    "Uni\u00f3n de Naciones Suramericanas",
                    "Uni\u00e3o de Na\u00e7\u00f5es Sul-Americanas",
                    "Unie van Zuid-Amerikaanse Naties",
                    "South American Union"
                ]
            }
        ],
        "region":"South America",
        "timezones":[
            "-04:00"
        ],
        "topLevelDomain":[
            ".ve"
        ],
        "translations":{
            "br":"Venezuela",
            "de":"Venezuela",
            "es":"Venezuela",
            "fa":"\u0648\u0646\u0632\u0648\u0626\u0644\u0627",
            "fr":"Venezuela",
            "hr":"Venezuela",
            "it":"Venezuela",
            "ja":"\u30d9\u30cd\u30ba\u30a8\u30e9\u30fb\u30dc\u30ea\u30d0\u30eb\u5171\u548c\u56fd",
            "nl":"Venezuela",
            "pt":"Venezuela",
            "hu":"Venezuela"
        },
        "cioc":"VEN"
    },
    {
        "alpha2Code":"VN",
        "alpha3Code":"VNM",
        "altSpellings":[
            "VN",
            "Socialist Republic of Vietnam",
            "C\u1ed9ng h\u00f2a X\u00e3 h\u1ed9i ch\u1ee7 ngh\u0129a Vi\u1ec7t Nam"
        ],
        "area":331212,
        "borders":[
            "KHM",
            "CHN",
            "LAO"
        ],
        "callingCodes":[
            "84"
        ],
        "capital":"Hanoi",
        "currencies":[
            {
                "code":"VND",
                "name":"Vietnamese \u0111\u1ed3ng",
                "symbol":"\u20ab"
            }
        ],
        "demonym":"Vietnamese",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/vnm.svg",
            "https://restcountries.com/data/png/vnm.png"
        ],
        "gini":35.6,
        "languages":[
            {
                "iso639_1":"vi",
                "iso639_2":"vie",
                "name":"Vietnamese",
                "nativeName":"Ti\u1ebfng Vi\u1ec7t"
            }
        ],
        "latlng":[
            16.16666666,
            107.83333333
        ],
        "name":"Vietnam",
        "nativeName":"Vi\u1ec7t Nam",
        "numericCode":"704",
        "population":92700000,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"ASEAN",
                "name":"Association of Southeast Asian Nations"
            }
        ],
        "region":"South-Eastern Asia",
        "timezones":[
            "+07:00"
        ],
        "topLevelDomain":[
            ".vn"
        ],
        "translations":{
            "br":"Vietn\u00e3",
            "de":"Vietnam",
            "es":"Vietnam",
            "fa":"\u0648\u06cc\u062a\u0646\u0627\u0645",
            "fr":"Vi\u00eat Nam",
            "hr":"Vijetnam",
            "it":"Vietnam",
            "ja":"\u30d9\u30c8\u30ca\u30e0",
            "nl":"Vietnam",
            "pt":"Vietname",
            "hu":"Vietn\u00e1m"
        },
        "cioc":"VIE"
    },
    {
        "alpha2Code":"WF",
        "alpha3Code":"WLF",
        "altSpellings":[
            "WF",
            "Territory of the Wallis and Futuna Islands",
            "Territoire des \u00eeles Wallis et Futuna"
        ],
        "area":142,
        "borders":[
            
        ],
        "callingCodes":[
            "681"
        ],
        "capital":"Mata-Utu",
        "currencies":[
            {
                "code":"XPF",
                "name":"CFP franc",
                "symbol":"Fr"
            }
        ],
        "demonym":"Wallis and Futuna Islander",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/wlf.svg",
            "https://restcountries.com/data/png/wlf.png"
        ],
        "languages":[
            {
                "iso639_1":"fr",
                "iso639_2":"fra",
                "name":"French",
                "nativeName":"fran\u00e7ais"
            }
        ],
        "latlng":[
            -13.3,
            -176.2
        ],
        "name":"Wallis and Futuna",
        "nativeName":"Wallis et Futuna",
        "numericCode":"876",
        "population":11750,
        "continent":"Oceania",
        "regionalBlocs":[
            
        ],
        "region":"Polynesia",
        "timezones":[
            "+12:00"
        ],
        "topLevelDomain":[
            ".wf"
        ],
        "translations":{
            "br":"Wallis e Futuna",
            "de":"Wallis und Futuna",
            "es":"Wallis y Futuna",
            "fa":"\u0648\u0627\u0644\u06cc\u0633 \u0648 \u0641\u0648\u062a\u0648\u0646\u0627",
            "fr":"Wallis-et-Futuna",
            "hr":"Wallis i Fortuna",
            "it":"Wallis e Futuna",
            "ja":"\u30a6\u30a9\u30ea\u30b9\u30fb\u30d5\u30c4\u30ca",
            "nl":"Wallis en Futuna",
            "pt":"Wallis e Futuna",
            "hu":"Wallis \u00e9s Futuna"
        },
        "cioc":""
    },
    {
        "alpha2Code":"EH",
        "alpha3Code":"ESH",
        "altSpellings":[
            "EH",
            "Tane\u1e93roft Tutrimt"
        ],
        "area":266000,
        "borders":[
            "DZA",
            "MRT",
            "MAR"
        ],
        "callingCodes":[
            "212"
        ],
        "capital":"El Aai\u00fan",
        "currencies":[
            {
                "code":"MAD",
                "name":"Moroccan dirham",
                "symbol":"\u062f.\u0645."
            },
            {
                "code":"DZD",
                "name":"Algerian dinar",
                "symbol":"\u062f.\u062c"
            }
        ],
        "demonym":"Sahrawi",
        "independent":false,
        "flags":[
            "https://restcountries.com/data/esh.svg",
            "https://restcountries.com/data/png/esh.png"
        ],
        "languages":[
            {
                "iso639_1":"es",
                "iso639_2":"spa",
                "name":"Spanish",
                "nativeName":"Espa\u00f1ol"
            }
        ],
        "latlng":[
            24.5,
            -13
        ],
        "name":"Western Sahara",
        "nativeName":"\u0627\u0644\u0635\u062d\u0631\u0627\u0621 \u0627\u0644\u063a\u0631\u0628\u064a\u0629",
        "numericCode":"732",
        "population":510713,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Northern Africa",
        "timezones":[
            "+00:00"
        ],
        "topLevelDomain":[
            ".eh"
        ],
        "translations":{
            "br":"Saara Ocidental",
            "de":"Westsahara",
            "es":"Sahara Occidental",
            "fa":"\u062c\u0645\u0647\u0648\u0631\u06cc \u062f\u0645\u0648\u06a9\u0631\u0627\u062a\u06cc\u06a9 \u0639\u0631\u0628\u06cc \u0635\u062d\u0631\u0627",
            "fr":"Sahara Occidental",
            "hr":"Zapadna Sahara",
            "it":"Sahara Occidentale",
            "ja":"\u897f\u30b5\u30cf\u30e9",
            "nl":"Westelijke Sahara",
            "pt":"Saara Ocidental",
            "hu":"Nyugat-Szahara"
        },
        "cioc":""
    },
    {
        "alpha2Code":"YE",
        "alpha3Code":"YEM",
        "altSpellings":[
            "YE",
            "Yemeni Republic",
            "al-Jumh\u016briyyah al-Yamaniyyah"
        ],
        "area":527968,
        "borders":[
            "OMN",
            "SAU"
        ],
        "callingCodes":[
            "967"
        ],
        "capital":"Sana'a",
        "currencies":[
            {
                "code":"YER",
                "name":"Yemeni rial",
                "symbol":"\ufdfc"
            }
        ],
        "demonym":"Yemeni",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/yem.svg",
            "https://restcountries.com/data/png/yem.png"
        ],
        "gini":37.7,
        "languages":[
            {
                "iso639_1":"ar",
                "iso639_2":"ara",
                "name":"Arabic",
                "nativeName":"\u0627\u0644\u0639\u0631\u0628\u064a\u0629"
            }
        ],
        "latlng":[
            15,
            48
        ],
        "name":"Yemen",
        "nativeName":"\u0627\u0644\u064a\u064e\u0645\u064e\u0646",
        "numericCode":"887",
        "population":27478000,
        "continent":"Asia",
        "regionalBlocs":[
            {
                "acronym":"AL",
                "name":"Arab League",
                "otherNames":[
                    "\u062c\u0627\u0645\u0639\u0629 \u0627\u0644\u062f\u0648\u0644 \u0627\u0644\u0639\u0631\u0628\u064a\u0629",
                    "J\u0101mi\u02bbat ad-Duwal al-\u02bbArab\u012byah",
                    "League of Arab States"
                ]
            }
        ],
        "region":"Western Asia",
        "timezones":[
            "+03:00"
        ],
        "topLevelDomain":[
            ".ye"
        ],
        "translations":{
            "br":"I\u00eamen",
            "de":"Jemen",
            "es":"Yemen",
            "fa":"\u06cc\u0645\u0646",
            "fr":"Y\u00e9men",
            "hr":"Jemen",
            "it":"Yemen",
            "ja":"\u30a4\u30a8\u30e1\u30f3",
            "nl":"Jemen",
            "pt":"I\u00e9men",
            "hu":"Jemen"
        },
        "cioc":"YEM"
    },
    {
        "alpha2Code":"ZM",
        "alpha3Code":"ZMB",
        "altSpellings":[
            "ZM",
            "Republic of Zambia"
        ],
        "area":752612,
        "borders":[
            "AGO",
            "BWA",
            "COD",
            "MWI",
            "MOZ",
            "NAM",
            "TZA",
            "ZWE"
        ],
        "callingCodes":[
            "260"
        ],
        "capital":"Lusaka",
        "currencies":[
            {
                "code":"ZMW",
                "name":"Zambian kwacha",
                "symbol":"ZK"
            }
        ],
        "demonym":"Zambian",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/zmb.svg",
            "https://restcountries.com/data/png/zmb.png"
        ],
        "gini":54.6,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            }
        ],
        "latlng":[
            -15,
            30
        ],
        "name":"Zambia",
        "nativeName":"Zambia",
        "numericCode":"894",
        "population":15933883,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Eastern Africa",
        "timezones":[
            "+02:00"
        ],
        "topLevelDomain":[
            ".zm"
        ],
        "translations":{
            "br":"Z\u00e2mbia",
            "de":"Sambia",
            "es":"Zambia",
            "fa":"\u0632\u0627\u0645\u0628\u06cc\u0627",
            "fr":"Zambie",
            "hr":"Zambija",
            "it":"Zambia",
            "ja":"\u30b6\u30f3\u30d3\u30a2",
            "nl":"Zambia",
            "pt":"Z\u00e2mbia",
            "hu":"Zambia"
        },
        "cioc":"ZAM"
    },
    {
        "alpha2Code":"ZW",
        "alpha3Code":"ZWE",
        "altSpellings":[
            "ZW",
            "Republic of Zimbabwe"
        ],
        "area":390757,
        "borders":[
            "BWA",
            "MOZ",
            "ZAF",
            "ZMB"
        ],
        "callingCodes":[
            "263"
        ],
        "capital":"Harare",
        "currencies":[
            {
                "code":"ZMW",
                "name":"Zambian kwacha",
                "symbol":"K"
            }
        ],
        "demonym":"Zimbabwean",
        "independent":true,
        "flags":[
            "https://restcountries.com/data/zwe.svg",
            "https://restcountries.com/data/png/zwe.png"
        ],
        "gini":57.1,
        "languages":[
            {
                "iso639_1":"en",
                "iso639_2":"eng",
                "name":"English",
                "nativeName":"English"
            },
            {
                "iso639_1":"sn",
                "iso639_2":"sna",
                "name":"Shona",
                "nativeName":"chiShona"
            },
            {
                "iso639_1":"nd",
                "iso639_2":"nde",
                "name":"Northern Ndebele",
                "nativeName":"isiNdebele"
            }
        ],
        "latlng":[
            -20,
            30
        ],
        "name":"Zimbabwe",
        "nativeName":"Zimbabwe",
        "numericCode":"716",
        "population":14240168,
        "continent":"Africa",
        "regionalBlocs":[
            {
                "acronym":"AU",
                "name":"African Union",
                "otherNames":[
                    "\u0627\u0644\u0627\u062a\u062d\u0627\u062f \u0627\u0644\u0623\u0641\u0631\u064a\u0642\u064a",
                    "Union africaine",
                    "Uni\u00e3o Africana",
                    "Uni\u00f3n Africana",
                    "Umoja wa Afrika"
                ]
            }
        ],
        "region":"Eastern Africa",
        "timezones":[
            "+02:00"
        ],
        "topLevelDomain":[
            ".zw"
        ],
        "translations":{
            "br":"Zimbabwe",
            "de":"Simbabwe",
            "es":"Zimbabue",
            "fa":"\u0632\u06cc\u0645\u0628\u0627\u0648\u0647",
            "fr":"Zimbabwe",
            "hr":"Zimbabve",
            "it":"Zimbabwe",
            "ja":"\u30b8\u30f3\u30d0\u30d6\u30a8",
            "nl":"Zimbabwe",
            "pt":"Zimbabu\u00e9",
            "hu":"Zimbabwe"
        },
        "cioc":"ZIM"
    }
];
